import { Base, Type, INotifyPropertyChanged, PropertyChangedEventArgs, EventArgs } from "igniteui-react-core";
import { DomRenderer } from "igniteui-react-core";
import { Path } from "igniteui-react-core";
import { ControlDisplayDensity } from "igniteui-react-core";
import { FontInfo } from "igniteui-react-core";
import { AnimationKeyFrameEffect } from "igniteui-react-core";
import { AnimationKeyFrameEffectTiming } from "igniteui-react-core";
import { SuffixShiftType } from "./SuffixShiftType";
import { PrefixShiftType } from "./PrefixShiftType";
import { Brush } from "igniteui-react-core";
import { LabelShiftType } from "./LabelShiftType";
import { MouseButtonEventArgs } from "igniteui-react-core";
import { KeyEventArgs } from "igniteui-react-core";
import { InputShiftType } from "./InputShiftType";
import { InputGroupDisplayType } from "./InputGroupDisplayType";
import { BaseControlTheme } from "igniteui-react-core";
import { CornerRadius } from "igniteui-react-core";
import { Thickness } from "igniteui-react-core";
import { ObservableCollection$1 } from "igniteui-react-core";
import { InputChangeEventArgs } from "./InputChangeEventArgs";
/**
 * @hidden
 */
export declare class InputGroupView extends Base {
    static $t: Type;
    constructor();
    d: InputGroup;
    ag(): void;
    g(): boolean;
    private l;
    private e;
    private i;
    readonly v: any;
    readonly ao: Path;
    readonly h: boolean;
    ad(a: DomRenderer): void;
    readonly u: any;
    readonly t: any;
    readonly w: any;
    readonly x: any;
    private y;
    am(a: string): void;
    al(): void;
    private z;
    ah(): void;
    j(): number;
    private f;
    private n;
    private o;
    private p;
    private s;
    private r;
    private q;
    private m;
    ac(): void;
    ae(): void;
    an(a: FontInfo): void;
    k(a: Label): number;
    ab(): void;
    a(a: AnimationKeyFrameEffectTiming): AnimationKeyFrameEffect;
    c(a: AnimationKeyFrameEffectTiming): AnimationKeyFrameEffect;
    b(a: AnimationKeyFrameEffectTiming): AnimationKeyFrameEffect;
    ak(a: Input): void;
    aa(a: any): void;
    aj(a: any): void;
    private af;
    private ai;
}
/**
 * @hidden
 */
export declare class SuffixView extends Base {
    static $t: Type;
    constructor();
    a: Suffix;
    o(): void;
    d(): boolean;
    private g;
    private b;
    private e;
    readonly r: Path;
    m(a: DomRenderer): void;
    q(): void;
    private f;
    p(): void;
    private i;
    private j;
    private c;
    private h;
    l(): void;
    n(): void;
    k(a: any): void;
}
/**
 * @hidden
 */
export declare class PrefixView extends Base {
    static $t: Type;
    constructor();
    a: Prefix;
    o(): void;
    d(): boolean;
    private g;
    private b;
    private e;
    readonly r: Path;
    m(a: DomRenderer): void;
    q(): void;
    private f;
    p(): void;
    private i;
    private j;
    private c;
    private h;
    l(): void;
    n(): void;
    k(a: any): void;
}
/**
 * @hidden
 */
export declare class LabelView extends Base {
    static $t: Type;
    constructor();
    b: Label;
    y(): void;
    e(): boolean;
    i: DomRenderer;
    private c;
    private g;
    readonly l: any;
    readonly ag: Path;
    readonly f: boolean;
    q(): void;
    a(a: AnimationKeyFrameEffectTiming): AnimationKeyFrameEffect;
    t(a: DomRenderer): void;
    ac(): void;
    ad(): void;
    ab(): void;
    private m;
    ae(a: string): void;
    v(): void;
    r(): void;
    w(): void;
    x(): void;
    private n;
    z(): void;
    h(): number;
    private o;
    private p;
    private d;
    private j;
    private k;
    s(): void;
    u(): void;
    af(a: FontInfo): void;
    aa(a: Brush): void;
}
/**
 * @hidden
 */
export declare class InputView extends Base {
    static $t: Type;
    constructor();
    a: Input;
    al(): void;
    e(): boolean;
    private i;
    private b;
    private g;
    readonly n: any;
    readonly az: Path;
    readonly f: boolean;
    ai(a: DomRenderer): void;
    d: boolean;
    private x;
    private w;
    ap(): void;
    an(): void;
    av(): void;
    au(): void;
    private h;
    aq(a: string): void;
    private t;
    private aa;
    private ae;
    private af;
    private ay;
    private u;
    private v;
    private ab;
    private ad;
    private ac;
    private ag;
    private y;
    private z;
    private o;
    aw(a: string): void;
    p(): string;
    private q;
    m(): number;
    l(): number;
    at(a: number): void;
    ar(a: number): void;
    am(): void;
    private r;
    private s;
    private c;
    private j;
    private k;
    ah(): void;
    aj(): void;
    ax(a: FontInfo): void;
    ak(): void;
    ao(): void;
    as(a: number, b: number): void;
}
/**
 * @hidden
 */
export declare abstract class InputGroupItem extends Base implements INotifyPropertyChanged {
    static $t: Type;
    private c;
    e: string;
    private a;
    b: InputGroup;
    propertyChanged: (sender: any, e: PropertyChangedEventArgs) => void;
    protected g(a: string, b: any, c: any): void;
    protected h(a: string, b: any, c: any): void;
}
/**
 * @hidden
 */
export declare class Suffix extends InputGroupItem {
    static $t: Type;
    constructor();
    private _view;
    view: SuffixView;
    destroy(): void;
    private i;
    j: SuffixShiftType;
    protected h(a: string, b: any, c: any): void;
    private ai;
    private af;
    private am;
    private al;
    ag(): void;
    ah(): void;
    private static r;
    private t;
    w: string;
    private s;
    u: string;
    private m;
    p: boolean;
    private l;
    private n;
    disabled: boolean;
    aj(): void;
    onDetachedFromUI(): void;
    onAttachedToUI(): void;
    protected q(): boolean;
    appendContentChild(a: any): void;
    provideContainer(a: DomRenderer): void;
}
/**
 * @hidden
 */
export declare class Prefix extends InputGroupItem {
    static $t: Type;
    constructor();
    private _view;
    view: PrefixView;
    destroy(): void;
    private i;
    j: PrefixShiftType;
    protected h(a: string, b: any, c: any): void;
    private ai;
    private af;
    private am;
    private al;
    ag(): void;
    ah(): void;
    private static r;
    private t;
    w: string;
    private s;
    u: string;
    private m;
    p: boolean;
    private l;
    private n;
    disabled: boolean;
    aj(): void;
    onDetachedFromUI(): void;
    onAttachedToUI(): void;
    protected q(): boolean;
    appendContentChild(a: any): void;
    provideContainer(a: DomRenderer): void;
}
/**
 * @hidden
 */
export declare class InputGroup extends Base implements INotifyPropertyChanged {
    static $t: Type;
    constructor();
    private lq;
    appendContentChild(a: any): void;
    ma(a: any): void;
    private i;
    j: InputGroupDisplayType;
    private f;
    h: ControlDisplayDensity;
    private e;
    g: ControlDisplayDensity;
    private lv;
    private lw;
    private lu;
    private lx;
    private lp;
    private b;
    d: BaseControlTheme;
    private _view;
    view: InputGroupView;
    destroy(): void;
    protected l5(a: string, b: any, c: any): void;
    protected l8(a: string, b: any, c: any): void;
    static mt(a: CornerRadius, b: CornerRadius): CornerRadius;
    static s9(a: Thickness, b: Thickness): Thickness;
    private mg;
    private mh;
    private mf;
    private mi;
    private me;
    private md;
    private p;
    private n;
    private readonly a;
    onChildrenMutated(): void;
    private lt;
    readonly ac: boolean;
    l4(): void;
    lostFocus: (sender: any, e: EventArgs) => void;
    gotFocus: (sender: any, e: EventArgs) => void;
    static c: BaseControlTheme;
    static fq: number;
    static f1: number;
    static m6: CornerRadius;
    static tm: Thickness;
    static q4: Brush;
    static rl: Brush;
    private static rm;
    static gt: number;
    static gs: number;
    static f5: number;
    static r5: Brush;
    static r6: Brush;
    static ro: Brush;
    static rn: Brush;
    static gq: number;
    static f4: number;
    static f2: number;
    static f3: number;
    static gr: number;
    static q3: Brush;
    private static f6;
    private static f7;
    private static m7;
    private static tn;
    private static rq;
    private static rr;
    private static rs;
    private static gf;
    private static ge;
    private static gb;
    private static rv;
    private static rw;
    private static ru;
    private static rt;
    private static gc;
    private static ga;
    private static f8;
    private static f9;
    private static gd;
    private static rp;
    private static fr;
    private static fs;
    private static m5;
    private static tl;
    private static re;
    private static rf;
    private static rg;
    private static f0;
    private static fz;
    private static fw;
    private static rj;
    private static rk;
    private static ri;
    private static rh;
    private static fx;
    private static fv;
    private static ft;
    private static fu;
    private static fy;
    private static rd;
    private static fg;
    private static fh;
    private static m4;
    private static tk;
    private static q6;
    private static q7;
    private static q8;
    private static fp;
    private static fo;
    private static fl;
    private static rb;
    private static rc;
    private static ra;
    private static q9;
    private static fm;
    private static fk;
    private static fi;
    private static fj;
    private static fn;
    private static q5;
    static gg: number;
    static gh: number;
    static m8: CornerRadius;
    static to: Thickness;
    static ry: Brush;
    static rz: Brush;
    private static r0;
    static gp: number;
    static go: number;
    static gl: number;
    static r3: Brush;
    static r4: Brush;
    static r2: Brush;
    static r1: Brush;
    static gm: number;
    static gk: number;
    static gi: number;
    static gj: number;
    static gn: number;
    static rx: Brush;
    static dx: number;
    static d8: number;
    static m0: CornerRadius;
    static tg: Thickness;
    static po: Brush;
    static p5: Brush;
    private static p6;
    static e0: number;
    static ez: number;
    static ec: number;
    static qp: Brush;
    static qq: Brush;
    static p8: Brush;
    static p7: Brush;
    static ex: number;
    static eb: number;
    static d9: number;
    static ea: number;
    static ey: number;
    static pn: Brush;
    private static ed;
    private static ee;
    private static m1;
    private static th;
    private static qa;
    private static qb;
    private static qc;
    private static em;
    private static el;
    private static ei;
    private static qf;
    private static qg;
    private static qe;
    private static qd;
    private static ej;
    private static eh;
    private static ef;
    private static eg;
    private static ek;
    private static p9;
    private static dy;
    private static dz;
    private static mz;
    private static tf;
    private static py;
    private static pz;
    private static p0;
    private static d7;
    private static d6;
    private static d3;
    private static p3;
    private static p4;
    private static p2;
    private static p1;
    private static d4;
    private static d2;
    private static d0;
    private static d1;
    private static d5;
    private static px;
    private static dm;
    private static dn;
    private static my;
    private static te;
    private static pq;
    private static pr;
    private static ps;
    private static dw;
    private static dv;
    private static ds;
    private static pv;
    private static pw;
    private static pu;
    private static pt;
    private static dt;
    private static dr;
    private static dp;
    private static dq;
    private static du;
    private static pp;
    static en: number;
    static eo: number;
    static m2: CornerRadius;
    static ti: Thickness;
    static qi: Brush;
    static qj: Brush;
    private static qk;
    static ew: number;
    static ev: number;
    static es: number;
    static qn: Brush;
    static qo: Brush;
    static qm: Brush;
    static ql: Brush;
    static et: number;
    static er: number;
    static ep: number;
    static eq: number;
    static eu: number;
    static qh: Brush;
    private db;
    private e1;
    private mx;
    private td;
    private o6;
    private qr;
    private qs;
    private g7;
    private g6;
    private e5;
    private sf;
    private sg;
    private qu;
    private qt;
    private g4;
    private e4;
    private e2;
    private e3;
    private g5;
    private o5;
    private e6;
    private e7;
    private m3;
    private tj;
    private qw;
    private qx;
    private qy;
    private ff;
    private fe;
    private fb;
    private q1;
    private q2;
    private q0;
    private qz;
    private fc;
    private fa;
    private e8;
    private e9;
    private fd;
    private qv;
    private dc;
    private dd;
    private mw;
    private tc;
    private pg;
    private ph;
    private pi;
    private dl;
    private dk;
    private dh;
    private pl;
    private pm;
    private pk;
    private pj;
    private di;
    private dg;
    private de;
    private df;
    private dj;
    private pf;
    private c1;
    private c2;
    private mv;
    private tb;
    private o8;
    private o9;
    private pa;
    private da;
    private c9;
    private c6;
    private pd;
    private pe;
    private pc;
    private pb;
    private c7;
    private c5;
    private c3;
    private c4;
    private c8;
    private o7;
    private gu;
    private gv;
    private m9;
    private tp;
    private r8;
    private r9;
    private sa;
    private g3;
    private g2;
    private gz;
    private sd;
    private se;
    private sc;
    private sb;
    private g0;
    private gy;
    private gw;
    private gx;
    private g1;
    private r7;
    private mc;
    ly(): void;
    l3(): void;
    l2(): void;
    mj(): void;
    private l7;
    private nd;
    oj: Brush;
    private ne;
    ok: Brush;
    private ai;
    b6: number;
    private aj;
    b7: number;
    private mk;
    mq: CornerRadius;
    private s0;
    s6: Thickness;
    private ar;
    cf: number;
    private aq;
    ce: number;
    private an;
    cb: number;
    private nh;
    on: Brush;
    private ni;
    oo: Brush;
    private ng;
    om: Brush;
    private nf;
    ol: Brush;
    private ao;
    cc: number;
    private am;
    ca: number;
    private ak;
    b8: number;
    private al;
    b9: number;
    private ap;
    cd: number;
    private nc;
    oi: Brush;
    private a2;
    cq: number;
    private bd;
    g8: number;
    private nk;
    oq: Brush;
    private mn;
    mu: CornerRadius;
    private s3;
    ta: Thickness;
    private b5;
    h0: number;
    private b4;
    hz: number;
    private bh;
    hc: number;
    private og;
    sy: Brush;
    private oh;
    sz: Brush;
    private n1;
    sj: Brush;
    private n0;
    si: Brush;
    private b2;
    hx: number;
    private bg;
    hb: number;
    private be;
    g9: number;
    private bf;
    ha: number;
    private b3;
    hy: number;
    private nj;
    op: Brush;
    private bi;
    hd: number;
    private bj;
    he: number;
    private n4;
    sm: Brush;
    private n3;
    sl: Brush;
    private mo;
    na: CornerRadius;
    private s4;
    tq: Thickness;
    private br;
    hm: number;
    private bq;
    hl: number;
    private bn;
    hi: number;
    private n7;
    sp: Brush;
    private n8;
    sq: Brush;
    private n6;
    so: Brush;
    private n5;
    sn: Brush;
    private bo;
    hj: number;
    private bm;
    hh: number;
    private bk;
    hf: number;
    private bl;
    hg: number;
    private bp;
    hk: number;
    private n2;
    sk: Brush;
    private a3;
    cr: number;
    private a4;
    cs: number;
    private nu;
    o0: Brush;
    private nt;
    oz: Brush;
    private mm;
    ms: CornerRadius;
    private s2;
    s8: Thickness;
    private bc;
    c0: number;
    private bb;
    cz: number;
    private a8;
    cw: number;
    private nx;
    o3: Brush;
    private ny;
    o4: Brush;
    private nw;
    o2: Brush;
    private nv;
    o1: Brush;
    private a9;
    cx: number;
    private a7;
    cv: number;
    private a5;
    ct: number;
    private a6;
    cu: number;
    private ba;
    cy: number;
    private ns;
    oy: Brush;
    private as;
    cg: number;
    private at;
    ch: number;
    private nn;
    ot: Brush;
    private nm;
    os: Brush;
    private ml;
    mr: CornerRadius;
    private s1;
    s7: Thickness;
    private a1;
    cp: number;
    private a0;
    co: number;
    private ax;
    cl: number;
    private nq;
    ow: Brush;
    private nr;
    ox: Brush;
    private np;
    ov: Brush;
    private no;
    ou: Brush;
    private ay;
    cm: number;
    private aw;
    ck: number;
    private au;
    ci: number;
    private av;
    cj: number;
    private az;
    cn: number;
    private nl;
    or: Brush;
    private bs;
    hn: number;
    private bt;
    ho: number;
    private ob;
    st: Brush;
    private oa;
    ss: Brush;
    private mp;
    nb: CornerRadius;
    private s5;
    tr: Thickness;
    private b1;
    hw: number;
    private b0;
    hv: number;
    private bx;
    hs: number;
    private oe;
    sw: Brush;
    private of;
    sx: Brush;
    private od;
    sv: Brush;
    private oc;
    su: Brush;
    private by;
    ht: number;
    private bw;
    hr: number;
    private bu;
    hp: number;
    private bv;
    hq: number;
    private bz;
    hu: number;
    private n9;
    sr: Brush;
    private w;
    private s;
    ae: boolean;
    mb(): void;
    private y;
    private u;
    ag: boolean;
    private x;
    private t;
    af: boolean;
    private q;
    ab: boolean;
    private nz;
    sh: Brush;
    private static h3;
    private h4;
    ka: string;
    private v;
    disabled: boolean;
    l6(): void;
    propertyChanged: (sender: any, e: PropertyChangedEventArgs) => void;
    onDetachedFromUI(): void;
    onAttachedToUI(): void;
    protected ah(): boolean;
    provideContainer(a: DomRenderer): void;
    private k;
    private o;
    private aa;
    private r;
    private z;
    readonly inputs: InputGroupInputCollection;
}
/**
 * @hidden
 */
export declare class InputGroupInputCollection extends ObservableCollection$1<InputGroupItem> {
    static $t: Type;
    constructor();
    collectionResetting: (sender: any, e: EventArgs) => void;
    protected p(): void;
}
/**
 * @hidden
 */
export declare class Label extends InputGroupItem {
    static $t: Type;
    constructor();
    private j;
    l: BaseControlTheme;
    private _view;
    view: LabelView;
    destroy(): void;
    private readonly i;
    private z;
    private y;
    private b1;
    private ca;
    protected h(a: string, b: any, c: any): void;
    private b8;
    private b5;
    private b4;
    private ce;
    private cd;
    static c1: Brush;
    private static cy;
    private static c0;
    private static cz;
    static cu: Brush;
    private static cr;
    private static ct;
    private static cs;
    private static k;
    private static c2;
    private static cv;
    private static cx;
    private static cw;
    private cc;
    private static w;
    private n;
    p: ControlDisplayDensity;
    private m;
    o: ControlDisplayDensity;
    private ci;
    cq: Brush;
    private cf;
    cn: Brush;
    private cg;
    co: Brush;
    private ch;
    cp: Brush;
    private t;
    v: FontInfo;
    private cm;
    c6: Brush;
    private cj;
    c3: Brush;
    private ck;
    c4: Brush;
    private q;
    r: LabelShiftType;
    private ae;
    am: boolean;
    private ac;
    ak: boolean;
    b6(): void;
    b7(): void;
    private u;
    x: FontInfo;
    private cl;
    c5: Brush;
    private static ar;
    private ay;
    bn: string;
    private au;
    bc: string;
    private av;
    be: string;
    private aw;
    bg: string;
    private as;
    a6: string;
    private ap;
    private aa;
    readonly ai: boolean;
    aq: number;
    private ax;
    bi: string;
    private at;
    a8: string;
    private az;
    text: string;
    private ad;
    al: boolean;
    private ah;
    ao: boolean;
    private ab;
    private ag;
    private af;
    disabled: boolean;
    b9(): void;
    onDetachedFromUI(): void;
    onAttachedToUI(): void;
    protected an(): boolean;
    provideContainer(a: DomRenderer): void;
}
/**
 * @hidden
 */
export declare class Input extends InputGroupItem {
    static $t: Type;
    private v;
    private av;
    private aw;
    private r;
    private bb;
    private a5;
    private ab;
    private a6;
    private ac;
    private ai;
    constructor();
    private _view;
    view: InputView;
    destroy(): void;
    private o;
    p: InputShiftType;
    private j;
    l: ControlDisplayDensity;
    private i;
    k: ControlDisplayDensity;
    private ba;
    bw: string;
    private bd;
    b0: string;
    private ae;
    al: boolean;
    protected h(a: string, b: any, c: any): void;
    private cu;
    private cw;
    private cv;
    private cl;
    private c4;
    private c3;
    private static dd;
    private static dc;
    private static z;
    private c7;
    db: Brush;
    private c6;
    da: Brush;
    private w;
    y: FontInfo;
    private c9;
    df: Brush;
    cc(): void;
    ck(): void;
    keyDown: (sender: any, args: KeyEventArgs) => void;
    keyUp: (sender: any, args: KeyEventArgs) => void;
    keyPress: (sender: any, args: KeyEventArgs) => void;
    gotFocus: (sender: any, e: EventArgs) => void;
    lostFocus: (sender: any, e: EventArgs) => void;
    mouseDown: (sender: any, e: MouseButtonEventArgs) => void;
    mouseUp: (sender: any, e: MouseButtonEventArgs) => void;
    cm(a: KeyEventArgs): void;
    co(a: KeyEventArgs): void;
    cn(a: KeyEventArgs): void;
    cp(a: MouseButtonEventArgs): void;
    cs(a: MouseButtonEventArgs): void;
    ct(): void;
    ci(): void;
    cj(): void;
    cd(): void;
    ce(): void;
    cg(): void;
    cf(): void;
    cq(): void;
    cr(): void;
    private x;
    aa: FontInfo;
    private a9;
    bs: string;
    private bc;
    by: string;
    private c8;
    de: Brush;
    private static a3;
    private a8;
    bp: string;
    private ax;
    private ad;
    readonly aj: boolean;
    a2: number;
    private a7;
    bm: string;
    private a4;
    bj: string;
    private ah;
    an: boolean;
    private be;
    b6: string;
    readonly ak: boolean;
    private ag;
    private af;
    disabled: boolean;
    cx(): void;
    onDetachedFromUI(): void;
    onAttachedToUI(): void;
    protected ao(): boolean;
    change: (sender: any, args: InputChangeEventArgs) => void;
    changing: (sender: any, args: InputChangeEventArgs) => void;
    compositionStart: (sender: any, e: EventArgs) => void;
    compositionEnd: (sender: any, e: EventArgs) => void;
    provideContainer(a: DomRenderer): void;
    ca(): void;
    cz(): void;
    c0(a: number, b: number): void;
    private c2;
    private c1;
    private c5;
    private b8;
    private az;
    private ay;
    selectionStart: number;
    selectionEnd: number;
}
