import { Component, Children, cloneElement, createElement } from 'react';
import { Base, List$1, Delegate_$type, fromEnum, runOn, NativeUI, ScaleTransform, KeyFrameAnimationFactory, AnimationKeyFrameEffect, markType, LinkedList$1, IKeyFrameAnimation_$type, PropertyChangedEventArgs, AnimationKeyFrameProperty, AnimationKeyFrameEffectTiming, INotifyPropertyChanged_$type, BrushUtil, markEnum, EventArgs, stringReplace, enumGetBox, BaseControlTheme_$type, isNaN_, CornerRadius, Thickness, TransformGroup, RotateTransform, TranslateTransform, ensureBool, NamePatcher, PortalManager, ReactRenderer, getModifiedProps, isValidProp, ensureEnum, brushToString, stringToBrush, toSpinal, initializePropertiesFromCss, delegateRemove, delegateCombine, TypeRegistrar, IgrChildContentModule, ControlDisplayDensity_$type, ElevationMode_$type, FontInfo, ObservableCollection$1, fromEn, IgCollection, SyncableObservableCollection$2, ContentChildrenManager, CollectionAdapter, NotifyCollectionChangedAction, String_$type, Dictionary$2, Number_$type, MouseButtonEventArgs, Point_$type, KeyEventArgs, typeGetValue, typeCast, stringIsNullOrEmpty, IgrKeyEventArgs } from 'igniteui-react-core';

/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
/**
 * @hidden
 */
let RippleView = /*@__PURE__*/ (() => {
    class RippleView extends Base {
        constructor() {
            super();
            this.b = null;
            this.g = null;
            this.c = null;
            this.f = new List$1(Delegate_$type, 0);
            this.l = null;
            this.d = true;
            this.k = null;
            this.h = null;
            this.j = null;
            this.i = null;
        }
        w() {
        }
        e() {
            return true;
        }
        t(a) {
            if (a == null) {
                for (let b of fromEnum(this.f)) {
                    b();
                }
                this.f.clear();
            }
            this.g = a;
            this.b.af();
        }
        v() {
            if (this.b.p == null) {
                this.l = null;
                for (let a of fromEnum(this.f)) {
                    a();
                }
                this.f.clear();
            }
            else {
                let b = this.b.p;
                let c = this.g.getWrapper(b);
                this.l = c;
                this.f.add(c.listen("click", runOn(this, this.p)));
                this.f.add(c.listen("mouseenter", runOn(this, this.q)));
                this.f.add(c.listen("mouseleave", runOn(this, this.r)));
            }
        }
        r(a) {
            this.b.ad();
        }
        q(a) {
            this.b.ac();
        }
        p(a) {
            if (this.l == null) {
                return;
            }
            let b = this.g.rootWrapper.getOffset();
            let c = a.pageX - b.left;
            let d = a.pageY - b.top;
            this.b.ai(c, d, this.g.rootWrapper.outerWidth(), this.g.rootWrapper.outerHeight());
        }
        aa() {
            if (this.b.i) {
                this.g.rootWrapper.setStyleProperty("background-color", this.b.ap._fill);
            }
        }
        x() {
            this.g.rootWrapper.setStyleProperty("background-color", "transparent");
        }
        z() {
            this.g.rootWrapper.setStyleProperty("background-color", this.b.ap._fill);
        }
        m(a, b, c) {
            let d = this.g.createElement("span");
            d.setStyleProperty("width", c * 2 + "px");
            d.setStyleProperty("height", c * 2 + "px");
            d.setStyleProperty("top", b + "px");
            d.setStyleProperty("left", a + "px");
            d.setStyleProperty("background-color", this.b.aq._fill);
            d.setStyleProperty("position", "absolute");
            d.setStyleProperty("pointer-events", "none");
            d.setStyleProperty("border-radius", c + "px");
            d.setStyleProperty("opacity", ".5");
            NativeUI.z(d, ((() => {
                let $ret = new ScaleTransform();
                $ret.l = 0.3;
                $ret.m = 0.3;
                return $ret;
            })()));
            this.g.append(d);
            return d;
        }
        y(a) {
            let b = a;
            b.remove();
        }
        n() {
            if (KeyFrameAnimationFactory.h == null) {
                KeyFrameAnimationFactory.h = this.g;
            }
        }
        a(a, b) {
            return new AnimationKeyFrameEffect(0, a, 0, null, b);
        }
        o(a) {
        }
        s() {
            this.d = true;
            this.v();
        }
        u() {
            this.d = false;
            for (let a of fromEnum(this.f)) {
                a();
            }
            this.f.clear();
        }
    }
    RippleView.$t = /*@__PURE__*/ markType(RippleView, 'RippleView');
    return RippleView;
})();
/**
 * @hidden
 */
let Ripple = /*@__PURE__*/ (() => {
    class Ripple extends Base {
        constructor() {
            super();
            this.b = null;
            this.i = false;
            this.o = null;
            this.ao = null;
            this.an = null;
            this.al = Ripple.ar;
            this.l = new LinkedList$1(IKeyFrameAnimation_$type);
            this.am = Ripple.as;
            this.m = 600;
            this.e = false;
            this.d = false;
            this.f = false;
            this.propertyChanged = null;
            let a = new RippleView();
            a.b = this;
            this.b = a;
            this.b.w();
        }
        destroy() {
            this.provideContainer(null);
        }
        ae(a, b, c) {
            if (this.propertyChanged != null) {
                this.propertyChanged(this, new PropertyChangedEventArgs(a));
            }
            this.ag(a, b, c);
        }
        ag(a, b, c) {
            switch (a) {
                case "RippleColor":
                    this.aq = this.au != null ? this.au : Ripple.as;
                    break;
                case "HoverColor":
                    this.ap = this.at != null ? this.at : Ripple.ar;
                    break;
                case "EventSource":
                    if (this.b.e()) {
                        this.b.v();
                    }
                    break;
                case "ActualRippleColor":
                    this.ak();
                    break;
                case "ActualHoverColor":
                    this.aj();
                    break;
            }
        }
        aj() {
            if (this.h) {
                this.b.x();
                return;
            }
            this.b.aa();
        }
        ak() {
        }
        ac() {
            this.i = true;
            if (this.h) {
                this.b.x();
                return;
            }
            if (this.j) {
                this.b.z();
            }
        }
        ad() {
            this.i = false;
            if (this.j || this.h) {
                this.b.x();
            }
        }
        get p() {
            return this.o;
        }
        set p(a) {
            let b = this.o;
            this.o = a;
            if (b != this.o) {
                this.ae("EventSource", b, a);
            }
        }
        get au() {
            return this.ao;
        }
        set au(a) {
            let b = this.ao;
            this.ao = a;
            if (b != this.ao) {
                this.ae("RippleColor", b, a);
            }
        }
        get at() {
            return this.an;
        }
        set at(a) {
            let b = this.an;
            this.an = a;
            if (b != this.an) {
                this.ae("HoverColor", b, a);
            }
        }
        get ap() {
            return this.al;
        }
        set ap(a) {
            let b = this.al;
            this.al = a;
            if (b != this.al) {
                this.ae("ActualHoverColor", b, a);
            }
        }
        ai(a, b, c, d) {
            if (this.h) {
                return;
            }
            let e = Math.max(c, d);
            let f = e / 2;
            let g = a - f;
            let h = b - f;
            if (this.g) {
                g = 0;
                h = 0;
            }
            let i = this.b.m(g, h, f);
            let j = this.c(i);
            this.l.f(j);
            let k = this.l.d;
            j.play();
            j.finished.f((l) => {
                j.commitStyles();
                this.l.h(k);
                this.b.y(i);
            });
        }
        c(a) {
            let b = this.a;
            let c = KeyFrameAnimationFactory.f.c(this.b.a(a, b).m(new AnimationKeyFrameProperty(1, 0.5), new AnimationKeyFrameProperty(14, ((() => {
                let $ret = new ScaleTransform();
                $ret.l = 0.3;
                $ret.m = 0.3;
                return $ret;
            })()))).m(new AnimationKeyFrameProperty(1, 0), new AnimationKeyFrameProperty(14, ((() => {
                let $ret = new ScaleTransform();
                $ret.l = 2;
                $ret.m = 2;
                return $ret;
            })()))));
            return c;
        }
        get aq() {
            return this.am;
        }
        set aq(a) {
            let b = this.am;
            this.am = a;
            if (b != this.am) {
                this.ae("ActualRippleColor", b, a);
            }
        }
        get n() {
            return this.m;
        }
        set n(a) {
            let b = this.m;
            this.m = a;
            if (b != this.m) {
                this.ae("RippleDuration", b, a);
            }
        }
        get h() {
            return this.e;
        }
        set h(a) {
            let b = this.e;
            this.e = a;
            if (b != this.e) {
                this.ae("IsDisabled", b, a);
            }
        }
        get g() {
            return this.d;
        }
        set g(a) {
            let b = this.d;
            this.d = a;
            if (b != this.d) {
                this.ae("IsCentered", b, a);
            }
        }
        get j() {
            return this.f;
        }
        set j(a) {
            let b = this.f;
            this.f = a;
            if (b != this.f) {
                this.ae("IsHoverEnabled", b, a);
            }
        }
        af() {
            this.b.v();
        }
        get a() {
            let a = new AnimationKeyFrameEffectTiming();
            a.g = this.n;
            a.b = 0;
            return a;
        }
        onDetachedFromUI() {
            this.b.u();
        }
        onAttachedToUI() {
            this.b.s();
        }
        k() {
            return this.b.e();
        }
        provideContainer(a) {
            this.b.t(a);
        }
    }
    Ripple.$t = /*@__PURE__*/ markType(Ripple, 'Ripple', Base.$, [INotifyPropertyChanged_$type]);
    Ripple.ar = /*@__PURE__*/ BrushUtil.g(40, 0, 0, 0);
    Ripple.as = /*@__PURE__*/ BrushUtil.g(189, 0, 0, 0);
    return Ripple;
})();

/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/

/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
/**
 * @hidden
 */
let CheckboxLabelPosition_$type = /*@__PURE__*/ markEnum('CheckboxLabelPosition', 'After,0|Before,1');

/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
/**
 * @hidden
 */
let ThemeResolver = /*@__PURE__*/ (() => {
    class ThemeResolver extends Base {
        static e(a, b, c) {
            if (a == 1) {
                return c;
            }
            return b;
        }
        static c(a, b, c) {
            if (a == 1) {
                return c;
            }
            return b;
        }
        static b(a, b, c) {
            if (a == 1) {
                return c;
            }
            return b;
        }
        static d(a, b, c) {
            if (a == 1) {
                return c;
            }
            return b;
        }
        static f(a, b, c) {
            if (a == 1) {
                return c;
            }
            return b;
        }
        static a(a, b, c) {
            if (a == 1) {
                return c;
            }
            return b;
        }
    }
    ThemeResolver.$t = /*@__PURE__*/ markType(ThemeResolver, 'ThemeResolver');
    return ThemeResolver;
})();

/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
/**
 * @hidden
 */
let CheckboxChangeEventArgs = /*@__PURE__*/ (() => {
    class CheckboxChangeEventArgs extends EventArgs {
        constructor() {
            super(...arguments);
            this._isChecked = false;
            this._isIndeterminate = false;
        }
        get isChecked() {
            return this._isChecked;
        }
        set isChecked(a) {
            this._isChecked = a;
        }
        get isIndeterminate() {
            return this._isIndeterminate;
        }
        set isIndeterminate(a) {
            this._isIndeterminate = a;
        }
    }
    CheckboxChangeEventArgs.$t = /*@__PURE__*/ markType(CheckboxChangeEventArgs, 'CheckboxChangeEventArgs', EventArgs.$);
    return CheckboxChangeEventArgs;
})();

/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
/**
 * @hidden
 */
let CheckboxView = /*@__PURE__*/ (() => {
    class CheckboxView extends Base {
        constructor() {
            super();
            this.c = null;
            this.l = null;
            this.f = null;
            this.j = new List$1(Delegate_$type, 0);
            this.g = true;
            this.q = null;
            this.m = null;
            this.p = null;
            this.n = null;
            this.d = null;
            this.o = null;
        }
        ad() {
        }
        i() {
            return true;
        }
        ab(a) {
            if (a == null) {
                for (let b of fromEnum(this.j)) {
                    b();
                }
                this.j.clear();
                return;
            }
            this.l = a;
            this.l.rootWrapper.setStyleProperty("display", "flex");
            this.l.rootWrapper.setStyleProperty("flex-direction", "row");
            this.l.rootWrapper.setStyleProperty("flex-wrap", "no-wrap");
            this.l.rootWrapper.setStyleProperty("align-items", "center");
            let c = this.l.createElement("input");
            this.q = c;
            this.q.addClass("ig-native-checkbox");
            this.q.setStyleProperty("position", "absolute");
            this.q.setStyleProperty("width", "1px");
            this.q.setStyleProperty("height", "1px");
            this.q.setStyleProperty("margin", "-1px");
            this.q.setStyleProperty("border", "none");
            this.q.setStyleProperty("clip", "rect(0, 0, 0, 0)");
            this.q.setStyleProperty("outline", "0");
            this.q.setStyleProperty("pointer-events", "none");
            this.q.setStyleProperty("overflow", "hidden");
            this.q.setStyleProperty("-webkit-appearance", "none");
            this.q.setStyleProperty("-moz-appearance", "none");
            this.q.setStyleProperty("appearance", "none");
            this.q.setAttribute("type", "checkbox");
            this.q.setAttribute("id", this.c.bv);
            this.ag();
            this.j.add(c.listen("change", runOn(this, this.v)));
            this.j.add(c.listen("click", runOn(this, this.w)));
            this.j.add(c.listen("focus", runOn(this, this.x)));
            this.j.add(c.listen("blur", runOn(this, this.u)));
            this.l.append(c);
            let d = this.l.createElement("div");
            d.addClass("ig-checkbox-box");
            d.setStyleProperty("width", "1.25em");
            d.setStyleProperty("height", "1.25em");
            d.setStyleProperty("position", "relative");
            this.m = d;
            this.l.append(d);
            let e = this.l.createElement("label");
            e.setAttribute("for", this.c.bv);
            e.addClass("ig-checkbox-composite");
            e.setStyleProperty("box-sizing", "border-box");
            e.setStyleProperty("position", "relative");
            e.setStyleProperty("display", "inline-block");
            e.setStyleProperty("cursor", "pointer");
            e.setStyleProperty("width", "1.25em");
            e.setStyleProperty("height", "1.25em");
            e.setStyleProperty("min-width", "1.25em");
            e.setStyleProperty("border-width", "0.125rem");
            e.setStyleProperty("border-style", "solid");
            e.setStyleProperty("border-color", "rgba(0,0,0,0.54)");
            e.setStyleProperty("border-top-color", "rgba(0, 0, 0, 0.54)");
            e.setStyleProperty("border-right-color", "rgba(0, 0, 0, 0.54)");
            e.setStyleProperty("border-bottom-color", "rgba(0, 0, 0, 0.54)");
            e.setStyleProperty("border-left-color", "rgba(0, 0, 0, 0.54)");
            e.setStyleProperty("border-radius", "2px");
            e.setStyleProperty("-webkit-tap-highlight-color", "transparent");
            e.setStyleProperty("overflow", "hidden");
            this.p = e;
            this.m.append(e);
            let f = this.l.createElementNS("svg", "http://www.w3.org/2000/svg");
            f.setAttribute("viewBox", "0 0 24 24");
            f.addClass("ig-checkbox-mark");
            f.setStyleProperty("position", "absolute");
            f.setStyleProperty("top", "0");
            f.setStyleProperty("left", "0");
            f.setStyleProperty("right", "0");
            f.setStyleProperty("bottom", "0");
            f.setStyleProperty("stroke", "#fff");
            f.setStyleProperty("stroke-linecap", "square");
            f.setStyleProperty("stroke-width", "3");
            f.setStyleProperty("stroke-dasharray", "24");
            f.setStyleProperty("stroke-dashoffset", "24");
            f.setStyleProperty("fill", "none");
            f.setStyleProperty("opacity", "0");
            f.setStyleProperty("z-index", "1");
            this.n = f;
            e.append(f);
            let g = this.l.createElementNS("path", "http://www.w3.org/2000/svg");
            g.setAttribute("d", "M4.1,12.7 9,17.6 20.3,6.3");
            f.append(g);
            let h = this.l.createElement("div");
            let i = this.l.getSubRenderer(h);
            h.setStyleProperty("position", "absolute");
            h.setStyleProperty("width", "3em");
            h.setStyleProperty("height", "3em");
            h.setStyleProperty("right", "calc(50% - 1.5em)");
            h.setStyleProperty("top", "calc(50% - 1.5em)");
            h.setStyleProperty("border-radius", "24px");
            h.setStyleProperty("overflow", "hidden");
            let j = new Ripple();
            j.provideContainer(i);
            j.p = d;
            let k = this.l.getExternal(j, this.l.rootWrapper, this.l.getExternal(this.c, null, null));
            j.g = true;
            j.j = true;
            this.d = j;
            d.append(h);
            let l = this.l.createElement("span");
            l.addClass("ig-checkbox-label");
            l.setStyleProperty("font-family", "'Segoe UI', Verdana");
            l.setStyleProperty("font-weight", "400");
            l.setStyleProperty("font-size", "1rem");
            l.setStyleProperty("letter-spacing", ".00937rem");
            l.setStyleProperty("text-transform", "none");
            l.setStyleProperty("line-height", "1.5rem");
            l.setStyleProperty("margin-left", "8px");
            l.setStyleProperty("margin-top", "0");
            l.setStyleProperty("margin-bottom", "0");
            l.setStyleProperty("cursor", "pointer");
            l.setStyleProperty("role", "label");
            this.o = l;
            this.j.add(l.listen("click", runOn(this, this.t)));
            this.l.append(l);
            this.l.getPortal(l, "ChildContent", (m) => {
            }, true);
            this.c.cj();
        }
        t(a) {
            this.c.toggle();
        }
        ag() {
            if (this.i()) {
                let a = this.c.bv;
                this.q.setAttribute("name", this.c.b4);
                this.q.setProperty("value", this.c.a3);
                if (this.c.u) {
                    this.q.setAttribute("tabindex", this.c.az.toString());
                }
                this.q.setProperty("disabled", this.c.disabled);
                this.q.setProperty("indeterminate", this.c.indeterminate);
                this.q.setProperty("checked", this.c.checked);
                this.q.setProperty("required", this.c.ay);
                if (this.c.indeterminate) {
                    this.q.setAttribute("aria-checked", "mixed");
                }
                else {
                    this.q.setAttribute("aria-checked", this.c.checked ? "true" : "false");
                }
                this.q.setAttribute("aria-labelledby", this.c.bj);
                this.q.setAttribute("aria-label", this.c.bi);
            }
        }
        ae() {
            if (this.i()) {
                let a = this.c.bv;
                this.q.setAttribute("id", a);
                this.p.setAttribute("for", a);
            }
        }
        u(a) {
            this.c.focused = false;
        }
        x(a) {
            this.c.focused = true;
        }
        w(a) {
            a.stopPropagation();
            if (this.h()) {
                let native_ = this.q.getNativeElement();
                native_.blur();
            }
            this.c.toggle();
        }
        h() {
            return false;
        }
        v(a) {
            a.stopPropagation();
        }
        y() {
            if (KeyFrameAnimationFactory.h == null) {
                KeyFrameAnimationFactory.h = this.l;
            }
        }
        a(a) {
            return new AnimationKeyFrameEffect(0, this.p, 0, null, a);
        }
        b(a) {
            return new AnimationKeyFrameEffect(0, this.n, 0, null, a);
        }
        z(a) {
        }
        get r() {
            return this.p;
        }
        get e() {
            return this.d;
        }
        get s() {
            return this.n;
        }
        aa() {
            this.g = true;
            this.j.add(this.q.listen("change", runOn(this, this.v)));
            this.j.add(this.q.listen("click", runOn(this, this.w)));
            this.j.add(this.q.listen("focus", runOn(this, this.x)));
            this.j.add(this.q.listen("blur", runOn(this, this.u)));
            this.j.add(this.o.listen("click", runOn(this, this.t)));
        }
        ac() {
            this.g = false;
            for (let a of fromEnum(this.j)) {
                a();
            }
            this.j.clear();
        }
        af() {
            let model_ = this.c;
            if (model_.externalObject && model_.externalObject.refreshDefaults) {
                model_.externalObject.refreshDefaults();
            }
            ;
        }
        ah(a, b) {
            this.d.au = a;
            this.d.at = b;
        }
        k() {
            let a = this.p.getStyleProperty("border-top-width");
            a = stringReplace(a, "px", "");
            return parseFloat(a);
        }
    }
    CheckboxView.$t = /*@__PURE__*/ markType(CheckboxView, 'CheckboxView');
    return CheckboxView;
})();
/**
 * @hidden
 */
let Checkbox = /*@__PURE__*/ (() => {
    class Checkbox extends Base {
        constructor() {
            super();
            this._view = null;
            this.b = 0;
            this.m = false;
            this.aa = false;
            this.c0 = null;
            this.cv = ThemeResolver.e(Checkbox.c, Checkbox.dj, Checkbox.de);
            this.cx = null;
            this.cz = null;
            this.cu = ThemeResolver.e(Checkbox.c, Checkbox.di, Checkbox.dd);
            this.c1 = null;
            this.cy = null;
            this.dn = ThemeResolver.e(Checkbox.c, Checkbox.dk, Checkbox.df);
            this.da = ThemeResolver.e(Checkbox.c, Checkbox.dh, Checkbox.dc);
            this.am = ThemeResolver.b(Checkbox.c, Checkbox.ar, Checkbox.ao);
            this.c9 = ThemeResolver.e(Checkbox.c, Checkbox.dg, Checkbox.db);
            this.an = ThemeResolver.b(Checkbox.c, Checkbox.as, Checkbox.ap);
            this.dl = ThemeResolver.e(Checkbox.c, Checkbox.di, Checkbox.dd);
            this.au = ThemeResolver.b(Checkbox.c, Checkbox.at, Checkbox.aq);
            this.dm = ThemeResolver.e(Checkbox.c, Checkbox.dj, Checkbox.de);
            this.cw = ThemeResolver.e(Checkbox.c, Checkbox.dk, Checkbox.df);
            this.ct = ThemeResolver.e(Checkbox.c, Checkbox.dh, Checkbox.dc);
            this.ae = NaN;
            this.ab = ThemeResolver.b(Checkbox.c, Checkbox.ar, Checkbox.ao);
            this.af = NaN;
            this.ag = NaN;
            this.ad = ThemeResolver.b(Checkbox.c, Checkbox.at, Checkbox.aq);
            this.ac = ThemeResolver.b(Checkbox.c, Checkbox.as, Checkbox.ap);
            this.cs = ThemeResolver.e(Checkbox.c, Checkbox.dg, Checkbox.db);
            this.a7 = "ig-native-checkbox-" + Checkbox.a1++;
            this.a6 = "ig-checkbox-" + Checkbox.a0++;
            this.a8 = null;
            this.a2 = null;
            this.a9 = null;
            this.ax = 0;
            this.n = false;
            this.aw = 0;
            this.q = false;
            this.a5 = null;
            this.a4 = null;
            this.change = null;
            this.f = 0;
            this.k = false;
            this.o = false;
            this.r = false;
            this.p = false;
            this.l = false;
            this.i = null;
            this.j = null;
            this.propertyChanged = null;
            this.a8 = this.a6 + "-label";
            this.a5 = this.a8;
            let a = new CheckboxView();
            a.c = this;
            this.view = a;
            this.view.ad();
        }
        get view() {
            return this._view;
        }
        set view(a) {
            this._view = a;
        }
        get d() {
            return this.b;
        }
        set d(a) {
            let b = this.b;
            this.b = a;
            if (b != this.b) {
                this.ci("BaseTheme", enumGetBox(BaseControlTheme_$type, b), enumGetBox(BaseControlTheme_$type, a));
            }
        }
        destroy() {
            this.provideContainer(null);
        }
        ci(a, b, c) {
            if (this.propertyChanged != null) {
                this.propertyChanged(this, new PropertyChangedEventArgs(a));
            }
            this.ck(a, b, c);
        }
        co() {
            this.c4 = this.dp != null ? this.dp : this.dl;
            this.c6 = this.dr != null ? this.dr : this.dn;
            this.c3 = this.c8 != null ? this.c8 : this.da;
            this.ah = !isNaN_(this.ak) ? this.ak : this.am;
            this.c2 = this.c7 != null ? this.c7 : this.c9;
            this.c5 = this.dq != null ? this.dq : this.dm;
            this.ai = !isNaN_(this.al) ? this.al : this.an;
            this.aj = !isNaN_(this.av) ? this.av : this.au;
        }
        ck(a, b, c) {
            switch (a) {
                case "BaseTheme":
                    this.cr(this.d);
                    this.co();
                    break;
                case "TickColor":
                    this.c4 = this.dp != null ? this.dp : this.dl;
                    break;
                case "UncheckedBorderColor":
                    this.c6 = this.dr != null ? this.dr : this.dn;
                    break;
                case "CheckedBorderColor":
                    this.c3 = this.c8 != null ? this.c8 : this.da;
                    break;
                case "BorderWidth":
                    this.ah = !isNaN_(this.ak) ? this.ak : this.am;
                    break;
                case "CheckedBackgroundColor":
                    this.c2 = this.c7 != null ? this.c7 : this.c9;
                    break;
                case "UncheckedBackgroundColor":
                    this.c5 = this.dq != null ? this.dq : this.dm;
                    break;
                case "CornerRadius":
                    this.ai = !isNaN_(this.al) ? this.al : this.an;
                    break;
                case "TickStrokeWidth":
                    this.aj = !isNaN_(this.av) ? this.av : this.au;
                    break;
                case "ActualTickStrokeWidth":
                case "ActualTickColor":
                    this.cq();
                    break;
                case "ActualCheckedBackgroundColor":
                case "ActualUncheckedBackgroundColor":
                case "ActualUncheckedBorderColor":
                case "ActualCheckedBorderColor":
                case "ActualBorderWidth":
                    if (this.i != null) {
                        this.i.cancel();
                    }
                    if (this.j != null) {
                        this.j.cancel();
                    }
                    this.i = null;
                    this.j = null;
                    this.cn();
                    let d = (this.t);
                    this.t = true;
                    this.cp(this.indeterminate);
                    this.t = d;
                    break;
                case "ActualCornerRadius":
                    this.cn();
                    break;
                case "IsChecked":
                    if (!this.m) {
                        let e = this.indeterminate;
                        this.m = true;
                        this.indeterminate = false;
                        this.m = false;
                        let f = (this.t);
                        this.t = true;
                        this.cp(e);
                        this.t = f;
                    }
                    break;
                case "IsIndeterminate":
                    if (!this.m) {
                        this.cp(b);
                    }
                    break;
                case "DisableRipple":
                    this.view.e.h = this.s;
                    break;
                case "InputId":
                    this.view.ae();
                    break;
            }
        }
        cn() {
            let a = this.view.r;
            NativeUI.l(a, new CornerRadius(0, this.ai));
            if (!isNaN_(this.ah)) {
                NativeUI.m(a, new Thickness(0, this.ah));
            }
            if (this.checked) {
                NativeUI.j(a, this.c2);
                NativeUI.k(a, this.c3);
            }
            else {
                NativeUI.j(a, this.c5);
                NativeUI.k(a, this.c6);
            }
        }
        cq() {
            let a = this.view.s;
            NativeUI.v(a, this.c4);
            NativeUI.y(a, this.aj);
        }
        get dq() {
            return this.c0;
        }
        set dq(a) {
            let b = this.c0;
            this.c0 = a;
            if (b != this.c0) {
                this.ci("UncheckedBackgroundColor", b, a);
            }
        }
        get c5() {
            return this.cv;
        }
        set c5(a) {
            let b = this.cv;
            this.cv = a;
            if (b != this.cv) {
                this.ci("ActualUncheckedBackgroundColor", b, a);
            }
        }
        get c7() {
            return this.cx;
        }
        set c7(a) {
            let b = this.cx;
            this.cx = a;
            if (b != this.cx) {
                this.ci("CheckedBackgroundColor", b, a);
            }
        }
        get dp() {
            return this.cz;
        }
        set dp(a) {
            let b = this.cz;
            this.cz = a;
            if (b != this.cz) {
                this.ci("TickColor", b, a);
            }
        }
        get c4() {
            return this.cu;
        }
        set c4(a) {
            let b = this.cu;
            this.cu = a;
            if (b != this.cu) {
                this.ci("ActualTickColor", b, a);
            }
        }
        get dr() {
            return this.c1;
        }
        set dr(a) {
            let b = this.c1;
            this.c1 = a;
            if (b != this.c1) {
                this.ci("UncheckedBorderColor", b, a);
            }
        }
        get c8() {
            return this.cy;
        }
        set c8(a) {
            let b = this.cy;
            this.cy = a;
            if (b != this.cy) {
                this.ci("CheckedBorderColor", b, a);
            }
        }
        cr(a) {
            this.dn = ThemeResolver.e(a, Checkbox.dk, Checkbox.df);
            this.da = ThemeResolver.e(a, Checkbox.dh, Checkbox.dc);
            this.am = ThemeResolver.b(a, Checkbox.ar, Checkbox.ao);
            this.c9 = ThemeResolver.e(a, Checkbox.dg, Checkbox.db);
            this.an = ThemeResolver.b(a, Checkbox.as, Checkbox.ap);
            this.dl = ThemeResolver.e(a, Checkbox.di, Checkbox.dd);
            this.au = ThemeResolver.b(a, Checkbox.at, Checkbox.aq);
            this.dm = ThemeResolver.e(a, Checkbox.dj, Checkbox.de);
        }
        get c6() {
            return this.cw;
        }
        set c6(a) {
            let b = this.cw;
            this.cw = a;
            if (b != this.cw) {
                this.ci("ActualUncheckedBorderColor", b, a);
            }
        }
        get c3() {
            return this.ct;
        }
        set c3(a) {
            let b = this.ct;
            this.ct = a;
            if (b != this.ct) {
                this.ci("ActualCheckedBorderColor", b, a);
            }
        }
        get ak() {
            return this.ae;
        }
        set ak(a) {
            let b = this.ae;
            this.ae = a;
            if (b != this.ae) {
                this.ci("BorderWidth", b, a);
            }
        }
        get ah() {
            return this.ab;
        }
        set ah(a) {
            let b = this.ab;
            this.ab = a;
            if (b != this.ab) {
                this.ci("ActualBorderWidth", b, a);
            }
        }
        get al() {
            return this.af;
        }
        set al(a) {
            let b = this.af;
            this.af = a;
            if (b != this.af) {
                this.ci("CornerRadius", b, a);
            }
        }
        get av() {
            return this.ag;
        }
        set av(a) {
            let b = this.ag;
            this.ag = a;
            if (b != this.ag) {
                this.ci("TickStrokeWidth", b, a);
            }
        }
        get aj() {
            return this.ad;
        }
        set aj(a) {
            let b = this.ad;
            this.ad = a;
            if (b != this.ad) {
                this.ci("ActualTickStrokeWidth", b, a);
            }
        }
        get ai() {
            return this.ac;
        }
        set ai(a) {
            let b = this.ac;
            this.ac = a;
            if (b != this.ac) {
                this.ci("ActualCornerRadius", b, a);
            }
        }
        get c2() {
            return this.cs;
        }
        set c2(a) {
            let b = this.cs;
            this.cs = a;
            if (b != this.cs) {
                this.ci("ActualCheckedBackgroundColor", b, a);
            }
        }
        get bv() {
            return this.a7;
        }
        set bv(a) {
            let b = this.a7;
            this.a7 = a;
            if (b != this.a7) {
                this.ci("InputId", b, a);
            }
        }
        get bt() {
            return this.a6;
        }
        set bt(a) {
            let b = this.a6;
            this.a6 = a;
            if (b != this.a6) {
                this.ci("Id", b, a);
            }
        }
        get labelId() {
            return this.a8;
        }
        set labelId(a) {
            let b = this.a8;
            this.a8 = a;
            if (b != this.a8) {
                this.ci("LabelId", b, a);
            }
        }
        get a3() {
            return this.a2;
        }
        set a3(a) {
            let b = this.a2;
            this.a2 = a;
            if (b != this.a2) {
                this.ci("Value", b, a);
            }
        }
        get b4() {
            return this.a9;
        }
        set b4(a) {
            let b = this.a9;
            this.a9 = a;
            if (b != this.a9) {
                this.ci("Name", b, a);
            }
        }
        get u() {
            return this.n;
        }
        get az() {
            return this.ax;
        }
        set az(a) {
            let b = this.ax;
            this.ax = a;
            this.n = true;
            if (b != this.ax) {
                this.ci("TabIndex", b, a);
            }
        }
        get ay() {
            return this.aw;
        }
        set ay(a) {
            let b = this.aw;
            this.aw = a;
            if (b != this.aw) {
                this.ci("Required", b, a);
            }
        }
        get focused() {
            return this.q;
        }
        set focused(a) {
            let b = this.q;
            this.q = a;
            if (b != this.q) {
                this.ci("IsFocused", b, a);
            }
        }
        get bj() {
            return this.a5;
        }
        set bj(a) {
            let b = this.a5;
            this.a5 = a;
            if (b != this.a5) {
                this.ci("AriaLabelledBy", b, a);
            }
        }
        get bi() {
            return this.a4;
        }
        set bi(a) {
            let b = this.a4;
            this.a4 = a;
            if (b != this.a4) {
                this.ci("AriaLabel", b, a);
            }
        }
        get g() {
            return this.f;
        }
        set g(a) {
            let b = this.f;
            this.f = a;
            if (b != this.f) {
                this.ci("LabelPosition", enumGetBox(CheckboxLabelPosition_$type, b), enumGetBox(CheckboxLabelPosition_$type, a));
            }
        }
        get s() {
            return this.k;
        }
        set s(a) {
            let b = this.k;
            this.k = a;
            if (b != this.k) {
                this.ci("DisableRipple", b, a);
            }
        }
        get checked() {
            return this.o;
        }
        set checked(a) {
            let b = this.o;
            this.o = a;
            if (b != this.o) {
                this.ci("IsChecked", b, a);
            }
        }
        get indeterminate() {
            return this.r;
        }
        set indeterminate(a) {
            let b = this.r;
            this.r = a;
            if (b != this.r) {
                this.ci("IsIndeterminate", b, a);
            }
        }
        get disabled() {
            return this.p;
        }
        set disabled(a) {
            let b = this.p;
            this.p = a;
            if (b != this.p) {
                this.ci("IsDisabled", b, a);
            }
        }
        get t() {
            return this.l;
        }
        set t(a) {
            let b = this.l;
            this.l = a;
            if (b != this.l) {
                this.ci("DisableTransitions", b, a);
            }
        }
        cj() {
            this.ce();
            if (this.checked) {
                this.view.ah(BrushUtil.n(this.c2, 0.6), BrushUtil.n(this.c2, 0.1));
            }
            else {
                this.view.ah(BrushUtil.n(this.c2, 0.6), BrushUtil.n(this.c6, 0.1));
            }
        }
        get a() {
            let a = new AnimationKeyFrameEffectTiming();
            a.g = 300;
            a.b = 0;
            return a;
        }
        ce() {
            this.view.y();
            let a = false;
            if (this.i == null) {
                if (!a) {
                    a = true;
                    this.view.af();
                }
                this.i = KeyFrameAnimationFactory.f.c(this.view.a(this.a).m(new AnimationKeyFrameProperty(2, this.c5), new AnimationKeyFrameProperty(3, this.c6)).m(new AnimationKeyFrameProperty(2, this.c2), new AnimationKeyFrameProperty(3, this.c3)));
                this.j = KeyFrameAnimationFactory.f.c(this.view.b(this.a).m(new AnimationKeyFrameProperty(19, 24), new AnimationKeyFrameProperty(1, 0)).m(new AnimationKeyFrameProperty(19, 0), new AnimationKeyFrameProperty(1, 1)));
            }
        }
        toggle() {
            if (this.disabled) {
                return;
            }
            this.ce();
            this.focused = false;
            this.m = true;
            let a = false;
            if (this.indeterminate) {
                a = true;
                this.checked = true;
            }
            this.indeterminate = false;
            this.checked = !this.checked;
            this.m = false;
            this.cp(a);
            if (this.change != null) {
                let b = new CheckboxChangeEventArgs();
                b.isChecked = this.checked;
                b.isIndeterminate = this.indeterminate;
                this.change(this, b);
            }
        }
        cp(a) {
            this.ce();
            let b = this.checked;
            if (this.indeterminate) {
                b = true;
            }
            let c = 1;
            if (!b) {
                c = -1;
            }
            if (b) {
                this.view.ah(BrushUtil.n(this.c2, 0.6), BrushUtil.n(this.c2, 0.1));
            }
            else {
                this.view.ah(BrushUtil.n(this.c2, 0.6), BrushUtil.n(this.c6, 0.1));
            }
            if (!this.indeterminate) {
                NativeUI.z(this.view.s, null);
            }
            if (this.t || this.indeterminate || a) {
                let d = this.view.r;
                let e = this.view.s;
                if (this.indeterminate) {
                    let f = new TransformGroup();
                    f.j.add(((() => {
                        let $ret = new RotateTransform();
                        $ret.j = 45;
                        return $ret;
                    })()));
                    f.j.add(((() => {
                        let $ret = new TranslateTransform();
                        $ret.j = -this.view.k();
                        return $ret;
                    })()));
                    NativeUI.j(d, this.c2);
                    NativeUI.k(d, this.c3);
                    NativeUI.t(e, 1);
                    NativeUI.x(e, 41);
                    NativeUI.z(e, f);
                }
                else if (b) {
                    NativeUI.j(d, this.c2);
                    NativeUI.k(d, this.c3);
                    NativeUI.t(e, 1);
                    NativeUI.x(e, 0);
                }
                else {
                    NativeUI.j(d, this.c5);
                    NativeUI.k(d, this.c6);
                    NativeUI.t(e, 0);
                    NativeUI.x(e, 24);
                }
                return;
            }
            if ((c > 0 && this.i.playbackRate < 0) || (c < 0 && this.i.playbackRate > 0)) {
                this.i.reverse();
                this.i.finished.f((g) => {
                    if (this.i != null) {
                        this.i.commitStyles();
                    }
                });
                this.j.reverse();
                this.j.finished.f((g) => {
                    if (this.j != null) {
                        this.j.commitStyles();
                    }
                });
            }
            else {
                this.i.play();
                this.i.finished.f((g) => {
                    if (this.i != null) {
                        this.i.commitStyles();
                    }
                });
                this.j.play();
                this.j.finished.f((g) => {
                    if (this.j != null) {
                        this.j.commitStyles();
                    }
                });
            }
        }
        onDetachedFromUI() {
            this.view.ac();
        }
        onAttachedToUI() {
            this.view.aa();
        }
        onContentReady() {
            if (this.indeterminate) {
                this.cp(false);
            }
        }
        z() {
            return this.view.i();
        }
        provideContainer(a) {
            this.view.ab(a);
        }
    }
    Checkbox.$t = /*@__PURE__*/ markType(Checkbox, 'Checkbox', Base.$, [INotifyPropertyChanged_$type]);
    Checkbox.dk = /*@__PURE__*/ BrushUtil.g(138, 0, 0, 0);
    Checkbox.dh = /*@__PURE__*/ BrushUtil.g(138, 0, 0, 0);
    Checkbox.ar = NaN;
    Checkbox.dg = /*@__PURE__*/ BrushUtil.g(255, 228, 28, 119);
    Checkbox.as = 2;
    Checkbox.di = /*@__PURE__*/ BrushUtil.g(255, 255, 255, 255);
    Checkbox.at = 3;
    Checkbox.dj = /*@__PURE__*/ BrushUtil.g(255, 255, 255, 255);
    Checkbox.df = /*@__PURE__*/ BrushUtil.g(255, 153, 153, 153);
    Checkbox.dc = /*@__PURE__*/ BrushUtil.g(138, 33, 150, 243);
    Checkbox.ao = NaN;
    Checkbox.db = /*@__PURE__*/ BrushUtil.g(255, 33, 150, 243);
    Checkbox.ap = 2;
    Checkbox.dd = /*@__PURE__*/ BrushUtil.g(255, 255, 255, 255);
    Checkbox.aq = 3;
    Checkbox.de = /*@__PURE__*/ BrushUtil.g(255, 255, 255, 255);
    Checkbox.c = 2;
    Checkbox.a1 = 0;
    Checkbox.a0 = 0;
    return Checkbox;
})();

/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/

class IgrCheckboxChangeEventArgs {
    createImplementation() {
        return new CheckboxChangeEventArgs();
    }
    /**
     * @hidden
     */
    get i() {
        return this._implementation;
    }
    onImplementationCreated() {
    }
    constructor() {
        this._implementation = this.createImplementation();
        this._implementation.externalObject = this;
        this.onImplementationCreated();
    }
    _provideImplementation(i) {
        this._implementation = i;
        this._implementation.externalObject = this;
        this.onImplementationCreated();
    }
    get isChecked() {
        return this.i.isChecked;
    }
    set isChecked(v) {
        this.i.isChecked = ensureBool(v);
    }
    get isIndeterminate() {
        return this.i.isIndeterminate;
    }
    set isIndeterminate(v) {
        this.i.isIndeterminate = ensureBool(v);
    }
}

let requiredStyle = `

/*.ig-checkbox-mark {
    position: absolute;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    stroke: #fff;
    stroke-linecap: square;
    stroke-width: 3;
    stroke-dasharray: 24;
    stroke-dashoffset: 24;
    fill: none;
    opacity: 0;
    z-index: 1;
}*/

/*.ig-native-checkbox {
    position: absolute;
    width: 1px;
    height: 1px;
    margin: -1px;
    border: none;
    clip: rect(0, 0, 0, 0);
    outline: 0;
    pointer-events: none;
    overflow: hidden;
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
}*/

/*.ig-checkbox-box {
    width: 1.25em;
    height: 1.25em;
}*/

/*.ig-checkbox-composite {
    box-sizing: border-box;
    position: relative;
    display: inline-block;
    cursor: pointer;
    width: 1.25em;
    height: 1.25em;
    min-width: 1.25em;
    border-width: .125rem;
    border-style: solid;
    border-color: rgba(0,0,0,0.54);
    border-top-color: rgba(0, 0, 0, 0.54);
    border-right-color: rgba(0, 0, 0, 0.54);
    border-bottom-color: rgba(0, 0, 0, 0.54);
    border-left-color: rgba(0, 0, 0, 0.54);
    border-radius: 2px;
    -webkit-tap-highlight-color: transparent;
    overflow: hidden;
}*/

/*.ig-checkbox-label {
    font-family: "Titillium Web", Verdana;
    font-weight: 400;
    font-size: 1rem;
    letter-spacing: .00937rem;
    text-transform: none;
    line-height: 1.5rem;
    margin-left: 8px;
    margin-top: 0;
    margin-bottom: 0;
    cursor: pointer;
}*/
`;
class IgrCheckbox extends Component {
    constructor(props) {
        super(props);
        this._wrapper = null;
        this._implementation = null;
        this.__p = null;
        this._hasUserValues = new Set();
        this._stylingContainer = null;
        this._stylingParent = null;
        this._inStyling = false;
        this._change = null;
        this._change_wrapped = null;
        if (this._styling) {
            NamePatcher.ensureStylablePatched(Object.getPrototypeOf(this));
        }
        this._implementation = this.createImplementation();
        this._implementation.externalObject = this;
        this._getMainRef = this._getMainRef.bind(this);
        var container;
        if (document) {
            container = document.createElement("div");
        }
        var root;
        root = container;
        if (container != null) {
            root = container;
        }
        this.requestRender = this.requestRender.bind(this);
        this._portalManager = new PortalManager("checkboxLabel", this.requestRender);
        var ren = new ReactRenderer(root, document, true, {}, this._portalManager);
        this._wrapper = ren;
        this._container = this._wrapper.rootWrapper;
        this._container.setStyleProperty("display", "inline-block");
        var checkbox = this.i;
        this._checkbox = checkbox;
        checkbox.provideContainer(ren);
        if (props) {
            this.initializeProperties();
        }
    }
    _getMainRef(ref) {
        this._elRef = ref;
    }
    render() {
        let propChildren = this.props.children;
        let children = [];
        Children.forEach(propChildren, (ch) => {
            children.push(cloneElement(ch));
        });
        this._portalManager.onRender(children);
        let div = createElement("div", {
            className: "ig-checkbox igr-checkbox",
            ref: this._getMainRef,
            children: children
        });
        return div;
    }
    requestRender() {
        if (this._initialized) {
            this.setState({});
        }
    }
    //private _getLabelPortal(element: DomWrapper, portalCallback: (portal: DomPortal) => void): void {
    //    this._portalManager.getPortal(element, "TemplateContent", portalCallback);
    //}
    shouldComponentUpdate(nextProps, nextState) {
        const mod = getModifiedProps(this.props, nextProps);
        for (const p of Object.keys(mod)) {
            if (isValidProp(this, p)) {
                this[p] = mod[p];
            }
        }
        return true;
    }
    initializeProperties() {
        for (const p of Object.keys(this.props)) {
            if (isValidProp(this, p)) {
                this[p] = this.props[p];
            }
        }
    }
    // supports angular themes or custom properties set in CSS
    updateStyle() {
        this._styling(this._elRef, this);
    }
    componentWillUnmount() {
        this._checkbox.destroy();
        this._wrapper.destroy();
    }
    componentDidMount() {
        this._elRef.appendChild(this._container.getNativeElement());
        this.initializeContent();
    }
    initializeContent() {
        this._styling(this._container.getNativeElement(), this);
        this.updateStyle();
        this.i.onContentReady();
    }
    createImplementation() {
        return new Checkbox();
    }
    get i() {
        return this._implementation;
    }
    /**
 * Gets or sets the base built in theme to use for the checkbox.
*/
    get baseTheme() {
        return this.i.d;
    }
    set baseTheme(v) {
        this.i.d = ensureEnum(BaseControlTheme_$type, v);
    }
    /**
     * Gets or sets the color to use for the background when the checkbox is unchecked.
    */
    get uncheckedBackgroundColor() {
        return brushToString(this.i.dq);
    }
    set uncheckedBackgroundColor(v) {
        this.i.dq = stringToBrush(v);
    }
    /**
     * Gets or sets the color to use for the actual background when the checkbox is unchecked.
    */
    get actualUncheckedBackgroundColor() {
        return brushToString(this.i.c5);
    }
    set actualUncheckedBackgroundColor(v) {
        this.i.c5 = stringToBrush(v);
    }
    /**
     * Gets or sets the color to use for the background when the checkbox is checked.
    */
    get checkedBackgroundColor() {
        return brushToString(this.i.c7);
    }
    set checkedBackgroundColor(v) {
        this.i.c7 = stringToBrush(v);
    }
    /**
     * Gets or sets the color to use for the check mark when the checkbox is checked.
    */
    get tickColor() {
        return brushToString(this.i.dp);
    }
    set tickColor(v) {
        this.i.dp = stringToBrush(v);
    }
    /**
     * Gets or sets the color to use for the check mark when the checkbox is checked.
    */
    get actualTickColor() {
        return brushToString(this.i.c4);
    }
    set actualTickColor(v) {
        this.i.c4 = stringToBrush(v);
    }
    /**
     * Gets or sets the color to use for the check mark when the checkbox is unchecked.
    */
    get uncheckedBorderColor() {
        return brushToString(this.i.dr);
    }
    set uncheckedBorderColor(v) {
        this.i.dr = stringToBrush(v);
    }
    /**
     * Gets or sets the color to use for the check mark when the checkbox is checked.
    */
    get checkedBorderColor() {
        return brushToString(this.i.c8);
    }
    set checkedBorderColor(v) {
        this.i.c8 = stringToBrush(v);
    }
    /**
     * Gets or sets the color to use for the check mark when the checkbox is checked.
    */
    get actualUncheckedBorderColor() {
        return brushToString(this.i.c6);
    }
    set actualUncheckedBorderColor(v) {
        this.i.c6 = stringToBrush(v);
    }
    /**
     * Gets or sets the color to use for the check mark when the checkbox is checked.
    */
    get actualCheckedBorderColor() {
        return brushToString(this.i.c3);
    }
    set actualCheckedBorderColor(v) {
        this.i.c3 = stringToBrush(v);
    }
    /**
     * Gets or sets the Width to use for the check mark when the checkbox is checked.
    */
    get borderWidth() {
        return this.i.ak;
    }
    set borderWidth(v) {
        this.i.ak = +v;
    }
    /**
     * Gets or sets the Width to use for the check mark when the checkbox is checked.
    */
    get actualBorderWidth() {
        return this.i.ah;
    }
    set actualBorderWidth(v) {
        this.i.ah = +v;
    }
    /**
     * Gets or sets the corner radius to use for the checkbox.
    */
    get cornerRadius() {
        return this.i.al;
    }
    set cornerRadius(v) {
        this.i.al = +v;
    }
    /**
     * Gets or sets the corner radius to use for the checkbox.
    */
    get tickStrokeWidth() {
        return this.i.av;
    }
    set tickStrokeWidth(v) {
        this.i.av = +v;
    }
    /**
     * Gets or sets the stroke width to use for the check mark.
    */
    get actualTickStrokeWidth() {
        return this.i.aj;
    }
    set actualTickStrokeWidth(v) {
        this.i.aj = +v;
    }
    /**
     * Gets the actual corner radius to use for the checkbox.
    */
    get actualCornerRadius() {
        return this.i.ai;
    }
    set actualCornerRadius(v) {
        this.i.ai = +v;
    }
    /**
     * Gets or sets the color to use for the actual background when the checkbox is checked.
    */
    get actualCheckedBackgroundColor() {
        return brushToString(this.i.c2);
    }
    set actualCheckedBackgroundColor(v) {
        this.i.c2 = stringToBrush(v);
    }
    /**
     * Gets or sets the id to use for the internal native checkbox.
    */
    get inputId() {
        return this.i.bv;
    }
    set inputId(v) {
        this.i.bv = v;
    }
    /**
     * Gets or sets the id to use for the checkbox.
    */
    get id() {
        return this.i.bt;
    }
    set id(v) {
        this.i.bt = v;
    }
    /**
     * Gets or sets id to use for the checkbox label.
    */
    get labelId() {
        return this.i.labelId;
    }
    set labelId(v) {
        this.i.labelId = v;
    }
    /**
     * Gets or sets value to use for the checkbox.
    */
    get value() {
        return this.i.a3;
    }
    set value(v) {
        this.i.a3 = v;
    }
    /**
     * Gets or sets name to use for the checkbox.
    */
    get name() {
        return this.i.b4;
    }
    set name(v) {
        this.i.b4 = v;
    }
    /**
     * Gets or sets TabIndex to use for the checkbox.
    */
    get tabIndex() {
        return this.i.az;
    }
    set tabIndex(v) {
        this.i.az = +v;
    }
    /**
     * Gets or sets if the checkbox is required.
    */
    get required() {
        return this.i.ay;
    }
    set required(v) {
        this.i.ay = +v;
    }
    /**
     * Gets or sets if the checkbox is Focused.
    */
    get focused() {
        return this.i.focused;
    }
    set focused(v) {
        this.i.focused = ensureBool(v);
    }
    /**
     * Gets or sets the value of the aria-labelledby attribute.
    */
    get ariaLabelledBy() {
        return this.i.bj;
    }
    set ariaLabelledBy(v) {
        this.i.bj = v;
    }
    /**
     * Gets or sets the value of the aria-label attribute.
    */
    get ariaLabel() {
        return this.i.bi;
    }
    set ariaLabel(v) {
        this.i.bi = v;
    }
    /**
     * Gets or sets LabelPosition to use for the checkbox.
    */
    get labelPosition() {
        return this.i.g;
    }
    set labelPosition(v) {
        this.i.g = ensureEnum(CheckboxLabelPosition_$type, v);
    }
    /**
     * Gets or sets whether to disable the ripple effect for the checkbox.
    */
    get disableRipple() {
        return this.i.s;
    }
    set disableRipple(v) {
        this.i.s = ensureBool(v);
    }
    /**
     * Gets or sets whether the checkbox is checked.
    */
    get checked() {
        return this.i.checked;
    }
    set checked(v) {
        this.i.checked = ensureBool(v);
    }
    /**
     * Gets or sets whether the checkbox is indeterminate.
    */
    get indeterminate() {
        return this.i.indeterminate;
    }
    set indeterminate(v) {
        this.i.indeterminate = ensureBool(v);
    }
    /**
     * Gets or sets whether the checkbox is disabled.
    */
    get disabled() {
        return this.i.disabled;
    }
    set disabled(v) {
        this.i.disabled = ensureBool(v);
    }
    /**
     * Gets or sets whether the checkbox transitions are disabled.
    */
    get disableTransitions() {
        return this.i.t;
    }
    set disableTransitions(v) {
        this.i.t = ensureBool(v);
    }
    findByName(name) {
        return null;
    }
    get hasUserValues() {
        return this._hasUserValues;
    }
    __m(propertyName) {
        if (!this._inStyling) {
            this._hasUserValues.add(propertyName);
        }
    }
    _styling(container, component, parent) {
        if (this._inStyling) {
            return;
        }
        this._inStyling = true;
        this._stylingContainer = container;
        this._stylingParent = component;
        let genericPrefix = "";
        let typeName = this.i.$type.name;
        if (typeName.indexOf("Xam") === 0) {
            typeName = typeName.substring(3);
        }
        genericPrefix = toSpinal("Checkbox");
        let additionalPrefixes = [];
        let prefix = toSpinal(typeName);
        additionalPrefixes.push(prefix + "-");
        let b = this.i.$type.baseType;
        while (b && b.name != "Object" &&
            b.name != "Base" &&
            b.name != "Control" &&
            b.Name != "DependencyObject" &&
            b.Name != "FrameworkElement") {
            typeName = b.name;
            if (typeName.indexOf("Xam") === 0) {
                typeName = typeName.substring(3);
            }
            let basePrefix = toSpinal(typeName);
            additionalPrefixes.push(basePrefix + "-");
            b = b.baseType;
        }
        if (parent) {
            let parentTypeName = parent.i.$type.name;
            if (parentTypeName.indexOf("Xam") === 0) {
                parentTypeName = parentTypeName.substring(3);
            }
            let parentPrefix = toSpinal(parentTypeName);
            additionalPrefixes.push(parentPrefix + "-" + genericPrefix + "-");
            additionalPrefixes.push(parentPrefix + "-" + prefix + "-");
        }
        initializePropertiesFromCss(container, this, genericPrefix + "-", this.hasUserValues, false, additionalPrefixes);
        if (this._otherStyling) {
            this._otherStyling(container, component, parent);
        }
        this._inStyling = false;
    }
    onDetachedFromUI() {
        this.i.onDetachedFromUI();
    }
    onAttachedToUI() {
        this.i.onAttachedToUI();
    }
    get change() {
        return this._change;
    }
    set change(ev) {
        if (this._change_wrapped !== null) {
            this.i.change = delegateRemove(this.i.change, this._change_wrapped);
            this._change_wrapped = null;
            this._change = null;
        }
        this._change = ev;
        this._change_wrapped = (o, e) => {
            let outerArgs = new IgrCheckboxChangeEventArgs();
            outerArgs._provideImplementation(e);
            if (this.beforeChange) {
                this.beforeChange(this, outerArgs);
            }
            if (this._change) {
                this._change(this, outerArgs);
            }
        };
        this.i.change = delegateCombine(this.i.change, this._change_wrapped);
    }
}

class IgrRipple extends Component {
    constructor(props) {
        super(props);
        this._wrapper = null;
        this._implementation = null;
        this.__p = null;
        this._hasUserValues = new Set();
        this._stylingContainer = null;
        this._stylingParent = null;
        this._inStyling = false;
        if (this._styling) {
            NamePatcher.ensureStylablePatched(Object.getPrototypeOf(this));
        }
        this._implementation = this.createImplementation();
        this._implementation.externalObject = this;
        this._getMainRef = this._getMainRef.bind(this);
        if (document) {
            this._container = document.createElement("div");
            this._container.style.display = "block";
        }
        var root;
        root = this._container;
        if (this._container != null) {
            root = this._container;
        }
        var ren = new ReactRenderer(root, document, true, {});
        this._wrapper = ren;
        var ripple = this.i;
        this._ripple = ripple;
        ripple.provideContainer(ren);
        if (props) {
            this.initializeProperties();
        }
    }
    set height(value) {
        this._height = value;
        if (this._elRef) {
            this._elRef.style.height = value;
        }
    }
    get height() {
        return this._height;
    }
    set width(value) {
        this._width = value;
        if (this._elRef) {
            this._elRef.style.width = value;
        }
    }
    get width() {
        return this._width;
    }
    set top(value) {
        this._top = value;
        if (this._elRef) {
            this._elRef.style.top = value;
        }
    }
    get top() {
        return this._top;
    }
    set left(value) {
        this._left = value;
        if (this._elRef) {
            this._elRef.style.left = value;
        }
    }
    get left() {
        return this._left;
    }
    set position(value) {
        this._position = value;
        if (this._elRef) {
            this._elRef.style.position = value;
        }
    }
    get position() {
        return this._position;
    }
    _getMainRef(ref) {
        this._elRef = ref;
    }
    render() {
        let div = createElement("div", {
            className: "ig-ripple igr-ripple",
            ref: this._getMainRef
        });
        //}
        return div;
    }
    shouldComponentUpdate(nextProps, nextState) {
        const mod = getModifiedProps(this.props, nextProps);
        for (const p of Object.keys(mod)) {
            if (isValidProp(this, p)) {
                this[p] = mod[p];
            }
        }
        return true;
    }
    initializeProperties() {
        for (const p of Object.keys(this.props)) {
            if (isValidProp(this, p)) {
                this[p] = this.props[p];
            }
        }
    }
    // supports angular themes or custom properties set in CSS
    updateStyle() {
        this._styling(this._elRef, this);
    }
    componentWillUnmount() {
        this._ripple.destroy();
        this._wrapper.destroy();
    }
    componentDidMount() {
        this._elRef.appendChild(this._container);
        this.initializeContent();
    }
    initializeContent() {
        this._styling(this._container, this);
        this.updateStyle();
    }
    createImplementation() {
        return new Ripple();
    }
    get i() {
        return this._implementation;
    }
    /**
 * Gets or sets the target element to inject ripples into.
*/
    get eventSource() {
        return this.i.p;
    }
    set eventSource(v) {
        this.i.p = v;
    }
    /**
     * Gets or sets the color to use for the background when the checkbox is unchecked.
    */
    get rippleColor() {
        return brushToString(this.i.au);
    }
    set rippleColor(v) {
        this.i.au = stringToBrush(v);
    }
    /**
     * Gets or sets the color to use for the background when the ripple is hovered.
    */
    get hoverColor() {
        return brushToString(this.i.at);
    }
    set hoverColor(v) {
        this.i.at = stringToBrush(v);
    }
    /**
     * Gets or sets the actual color to use for the background when the ripple is hovered.
    */
    get actualHoverColor() {
        return brushToString(this.i.ap);
    }
    set actualHoverColor(v) {
        this.i.ap = stringToBrush(v);
    }
    /**
     * Gets or sets the color to use for the actual background when the checkbox is unchecked.
    */
    get actualRippleColor() {
        return brushToString(this.i.aq);
    }
    set actualRippleColor(v) {
        this.i.aq = stringToBrush(v);
    }
    /**
     * Gets or sets the duration to use for the ripple animation.
    */
    get rippleDuration() {
        return this.i.n;
    }
    set rippleDuration(v) {
        this.i.n = +v;
    }
    /**
     * Gets or sets if the ripple is disabled.
    */
    get isDisabled() {
        return this.i.h;
    }
    set isDisabled(v) {
        this.i.h = ensureBool(v);
    }
    /**
     * Gets or sets if the ripple is centered.
    */
    get isCentered() {
        return this.i.g;
    }
    set isCentered(v) {
        this.i.g = ensureBool(v);
    }
    /**
     * Gets or sets if the ripple is centered.
    */
    get isHoverEnabled() {
        return this.i.j;
    }
    set isHoverEnabled(v) {
        this.i.j = ensureBool(v);
    }
    findByName(name) {
        return null;
    }
    get hasUserValues() {
        return this._hasUserValues;
    }
    __m(propertyName) {
        if (!this._inStyling) {
            this._hasUserValues.add(propertyName);
        }
    }
    _styling(container, component, parent) {
        if (this._inStyling) {
            return;
        }
        this._inStyling = true;
        this._stylingContainer = container;
        this._stylingParent = component;
        let genericPrefix = "";
        let typeName = this.i.$type.name;
        if (typeName.indexOf("Xam") === 0) {
            typeName = typeName.substring(3);
        }
        genericPrefix = toSpinal("Ripple");
        let additionalPrefixes = [];
        let prefix = toSpinal(typeName);
        additionalPrefixes.push(prefix + "-");
        let b = this.i.$type.baseType;
        while (b && b.name != "Object" &&
            b.name != "Base" &&
            b.name != "Control" &&
            b.Name != "DependencyObject" &&
            b.Name != "FrameworkElement") {
            typeName = b.name;
            if (typeName.indexOf("Xam") === 0) {
                typeName = typeName.substring(3);
            }
            let basePrefix = toSpinal(typeName);
            additionalPrefixes.push(basePrefix + "-");
            b = b.baseType;
        }
        if (parent) {
            let parentTypeName = parent.i.$type.name;
            if (parentTypeName.indexOf("Xam") === 0) {
                parentTypeName = parentTypeName.substring(3);
            }
            let parentPrefix = toSpinal(parentTypeName);
            additionalPrefixes.push(parentPrefix + "-" + genericPrefix + "-");
            additionalPrefixes.push(parentPrefix + "-" + prefix + "-");
        }
        initializePropertiesFromCss(container, this, genericPrefix + "-", this.hasUserValues, false, additionalPrefixes);
        if (this._otherStyling) {
            this._otherStyling(container, component, parent);
        }
        this._inStyling = false;
    }
    onDetachedFromUI() {
        this.i.onDetachedFromUI();
    }
    onAttachedToUI() {
        this.i.onAttachedToUI();
    }
}

/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE: you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
class IgrRippleModule {
    static register() {
        TypeRegistrar.registerCons('IgrRipple', IgrRipple);
        TypeRegistrar.registerCons('IgrRipple', IgrRipple);
        TypeRegistrar.register('Ripple', Ripple.$type);
    }
}

/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE: you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
class IgrCheckboxModule {
    static register() {
        IgrRippleModule.register();
        IgrChildContentModule.register();
        TypeRegistrar.registerCons('IgrCheckbox', IgrCheckbox);
        TypeRegistrar.registerCons('IgrCheckbox', IgrCheckbox);
        TypeRegistrar.register('Checkbox', Checkbox.$type);
    }
}

/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
/**
 * @hidden
 */
let ElevationHelper = /*@__PURE__*/ (() => {
    class ElevationHelper extends Base {
        static g(a, b) {
            if (ElevationHelper.c == null) {
                ElevationHelper.c = ["0 1px 3px 0 ", "0 1px 5px 0 ", "0 1px 8px 0 ", "0 2px 4px -1px ", "0 3px 5px -1px ", "0 3px 5px -1px ", "0 4px 5px -2px ", "0 5px 5px -3px ", "0 5px 6px -3px ", "0 6px 6px -3px ", "0 6px 7px -4px ", "0 7px 8px -4px ", "0 7px 8px -4px ", "0 7px 9px -4px ", "0 8px 9px -5px ", "0 8px 10px -5px ", "0 8px 11px -5px ", "0 9px 11px -5px ", "0 9px 12px -6px ", "0 10px 13px -6px ", "0 10px 13px -6px ", "0 10px 14px -6px ", "0 11px 14px -7px ", "0 11px 15px -7px "];
            }
            a--;
            if (a < 0) {
                return "";
            }
            if (a > ElevationHelper.c.length - 1) {
                a = ElevationHelper.c.length - 1;
            }
            return ElevationHelper.c[a] + b;
        }
        static f(a, b) {
            if (ElevationHelper.b == null) {
                ElevationHelper.b = ["0 1px 1px 0 ", "0 2px 2px 0 ", "0 3px 4px 0 ", "0 4px 5px 0 ", "0 5px 8px 0 ", "0 6px 10px 0 ", "0 7px 10px 1px ", "0 8px 10px 1px ", "0 9px 12px 1px ", "0 10px 14px 1px ", "0 11px 15px 1px ", "0 12px 17px 2px ", "0 13px 19px 2px ", "0 14px 21px 2px ", "0 15px 22px 2px ", "0 16px 24px 2px ", "0 17px 26px 2px ", "0 18px 28px 2px ", "0 19px 29px 2px ", "0 20px 31px 3px ", "0 21px 33px 3px ", "0 22px 35px 3px ", "0 23px 36px 3px ", "0 24px 38px 3px "];
            }
            a--;
            if (a < 0) {
                return "";
            }
            if (a > ElevationHelper.b.length - 1) {
                a = ElevationHelper.b.length - 1;
            }
            return ElevationHelper.b[a] + b;
        }
        static d(a, b) {
            if (ElevationHelper.a == null) {
                ElevationHelper.a = ["0 2px 1px -1px ", "0 3px 1px -2px ", "0 3px 3px -2px ", "0 1px 10px 0 ", "0 1px 14px 0 ", "0 1px 18px 0 ", "0 2px 16px 1px ", "0 3px 14px 2px ", "0 3px 16px 2px ", "0 4px 18px 3px ", "0 4px 20px 3px ", "0 5px 22px 4px ", "0 5px 24px 4px ", "0 5px 26px 4px ", "0 6px 28px 5px ", "0 6px 30px 5px ", "0 6px 32px 5px ", "0 7px 34px 6px ", "0 7px 36px 6px ", "0 8px 38px 7px ", "0 8px 40px 7px ", "0 8px 42px 7px ", "0 9px 44px 8px ", "0 9px 46px 8px "];
            }
            a--;
            if (a < 0) {
                return "";
            }
            if (a > ElevationHelper.a.length - 1) {
                a = ElevationHelper.a.length - 1;
            }
            return ElevationHelper.a[a] + b;
        }
        static e(a, b, c, d, e) {
            if (e == 2) {
                return "0 0 " + a + "px " + (a / 20) + "rem " + b._fill;
            }
            if (a == 0) {
                return "";
            }
            return ElevationHelper.g(a, b._fill) + ", " + ElevationHelper.f(a, c._fill) + ", " + ElevationHelper.d(a, d._fill);
        }
    }
    ElevationHelper.$t = /*@__PURE__*/ markType(ElevationHelper, 'ElevationHelper');
    ElevationHelper.c = null;
    ElevationHelper.b = null;
    ElevationHelper.a = null;
    return ElevationHelper;
})();

/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
/**
 * @hidden
 */
let ButtonDisplayStyle_$type = /*@__PURE__*/ markEnum('ButtonDisplayStyle', 'Raised,0|Flat,1|Outlined,2|Fab,3|Icon,4');

/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
/**
 * @hidden
 */
let ButtonClickEventArgs = /*@__PURE__*/ (() => {
    class ButtonClickEventArgs extends EventArgs {
    }
    ButtonClickEventArgs.$t = /*@__PURE__*/ markType(ButtonClickEventArgs, 'ButtonClickEventArgs', EventArgs.$);
    return ButtonClickEventArgs;
})();

/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
/**
 * @hidden
 */
let ButtonView = /*@__PURE__*/ (() => {
    class ButtonView extends Base {
        constructor() {
            super();
            this.a = null;
            this.h = null;
            this.c = null;
            this.g = new List$1(Delegate_$type, 0);
            this.d = true;
            this.k = null;
            this.i = null;
            this.b = null;
            this.j = null;
            this.m = null;
            this.l = null;
        }
        ag() {
        }
        f() {
            return true;
        }
        get n() {
            return this.k;
        }
        get o() {
            return this.j;
        }
        aa(a) {
            if (a == null) {
                for (let b of fromEnum(this.g)) {
                    b();
                }
                this.g.clear();
                return;
            }
            this.h = a;
            this.h.rootWrapper.setStyleProperty("display", "flex");
            this.h.rootWrapper.setStyleProperty("flex-direction", "row");
            this.h.rootWrapper.setStyleProperty("flex-wrap", "no-wrap");
            this.h.rootWrapper.setStyleProperty("align-items", "center");
            let c = this.h.createElement("button");
            this.k = c;
            this.k.setStyleProperty("position", "relative");
            this.k.setStyleProperty("display", "inline-flex");
            this.k.setStyleProperty("align-items", "center");
            this.k.setStyleProperty("justify-content", "center");
            this.an();
            this.k.setStyleProperty("border", "none");
            this.k.setStyleProperty("cursor", "pointer");
            this.k.setStyleProperty("user-select", "none");
            this.k.setStyleProperty("outline-style", "none");
            this.k.setStyleProperty("-webkit-tap-highlight-color", "transparent");
            this.k.setStyleProperty("overflow", "hidden");
            this.k.setStyleProperty("white-space", "no-wrap");
            this.k.setStyleProperty("color", "#000");
            this.k.setStyleProperty("background", this.a.my._fill);
            NativeUI.l(this.k, this.a.j2);
            this.k.setAttribute("id", this.a.h0);
            this.ak();
            this.g.add(c.listen("change", runOn(this, this.t)));
            this.g.add(c.listen("click", runOn(this, this.u)));
            this.g.add(c.listen("focus", runOn(this, this.v)));
            this.g.add(c.listen("blur", runOn(this, this.s)));
            this.g.add(this.h.rootWrapper.listen("mouseenter", runOn(this, this.q)));
            this.g.add(this.h.rootWrapper.listen("mouseleave", runOn(this, this.r)));
            this.h.append(c);
            let d = this.h.createElement("div");
            let e = this.h.getSubRenderer(d);
            d.setStyleProperty("position", "absolute");
            d.setStyleProperty("width", "100%");
            d.setStyleProperty("height", "100%");
            d.setStyleProperty("left", "0px");
            d.setStyleProperty("top", "0px");
            d.setStyleProperty("overflow", "hidden");
            let f = new Ripple();
            f.provideContainer(e);
            f.p = c;
            let g = this.h.getExternal(f, this.h.rootWrapper, this.h.getExternal(this.a, null, null));
            f.g = false;
            f.j = true;
            this.b = f;
            this.k.append(d);
            let h = this.h.createElement("div");
            h.addClass("ig-button-content");
            h.setStyleProperty("font-family", "'Segoe UI', Verdana");
            h.setStyleProperty("font-weight", "400");
            h.setStyleProperty("font-size", ".875rem");
            h.setStyleProperty("cursor", "pointer");
            this.j = h;
            this.g.add(h.listen("click", runOn(this, this.p)));
            this.k.append(h);
            this.l = h;
            this.h.getPortal(h, "ChildContent", (i) => {
                let comp_ = i.componentRef;
                this.m = comp_;
                {
                    this.l.setStyleProperty("flex-direction", this.a.g7);
                    this.l.setStyleProperty("align-items", this.a.fp);
                    let direction_ = this.a.g7;
                    let display_ = this.a.f5;
                    let alignItems_ = this.a.fp;
                    comp_.display = display_;
                    comp_.flexDirection = direction_;
                    comp_.alignItems = alignItems_;
                }
            }, true);
            this.a.jp();
        }
        ac() {
            this.b.h = this.a.ad;
        }
        an() {
            let a = "2.25rem";
            let b = "2.25rem";
            let c = "2.25rem";
            let d = "2.25rem";
            let e = "3.5rem";
            let f = "3.5rem";
            let g = "3.5rem";
            let h = "3.5rem";
            let i = "5.5rem";
            let j = "2.25rem";
            let k = "0px";
            let l = ".9375rem";
            let m = ".5625rem 1rem";
            switch (this.a.g) {
                case 2:
                    m = ".375rem .75rem";
                    j = "1.875rem";
                    e = "3rem";
                    f = "3rem";
                    g = "3rem";
                    h = "3rem";
                    l = ".6875rem";
                    break;
                case 3:
                    m = ".1875rem 1rem";
                    j = "1.5rem";
                    f = "2.5rem";
                    e = "2.5rem";
                    h = "2.5rem";
                    g = "2.5rem";
                    l = ".4375rem";
                    break;
            }
            if (this.a.r == 4) {
                this.k.setStyleProperty("min-width", a);
                this.k.setStyleProperty("min-height", b);
                this.k.setStyleProperty("padding", k);
                this.k.setStyleProperty("width", c);
                this.k.setStyleProperty("height", d);
            }
            else if (this.a.r == 3) {
                this.k.setStyleProperty("min-width", e);
                this.k.setStyleProperty("min-height", f);
                this.k.setStyleProperty("padding", l);
                this.k.setStyleProperty("width", g);
                this.k.setStyleProperty("height", h);
            }
            else {
                this.k.setStyleProperty("min-width", i);
                this.k.setStyleProperty("min-height", j);
                this.k.setStyleProperty("padding", m);
            }
            if (!isNaN_(this.a.at) && this.a.at > 0) {
                this.k.setStyleProperty("border-style", "solid");
            }
            else {
                this.k.setStyleProperty("border-style", "none");
            }
        }
        ai() {
            this.k.setAttribute("disabled", this.a.disabled ? "true" : "false");
            this.k.setProperty("disabled", this.a.disabled);
        }
        ad() {
            if (this.h != null) {
                this.h.rootWrapper.setStyleProperty("display", this.a.f5);
                let comp_ = this.m;
                if (this.m != null) {
                    this.l.setStyleProperty("display", this.a.f5);
                    let display_ = this.a.f5;
                    comp_.display = display_;
                }
                let ext_ = this.h.getExternal(this.a, null, null);
                if (ext_ && ext_._onDisplayChanged) {
                    ext_._onDisplayChanged();
                }
                ;
            }
        }
        y() {
            if (this.h != null) {
                this.h.rootWrapper.setStyleProperty("align-items", this.a.fp);
                this.k.setStyleProperty("align-items", this.a.fp);
                let comp_ = this.m;
                if (this.m != null) {
                    this.l.setStyleProperty("align-items", this.a.fp);
                    let alignItems_ = this.a.fp;
                    comp_.alignItems = alignItems_;
                }
                let ext_ = this.h.getExternal(this.a, null, null);
                if (ext_ && ext_._onAlignItemsChanged) {
                    ext_._onAlignItemsChanged();
                }
                ;
            }
        }
        ae() {
            if (this.h != null) {
                this.h.rootWrapper.setStyleProperty("flex-direction", this.a.g7);
                this.k.setStyleProperty("flex-direction", this.a.g7);
                let ext_ = this.h.getExternal(this.a, null, null);
                let comp_ = this.m;
                if (this.m != null) {
                    this.l.setStyleProperty("flex-direction", this.a.g7);
                    let direction_ = this.a.g7;
                    comp_.flexDirection = direction_;
                }
                if (ext_ && ext_._onFlexDirectionChanged) {
                    ext_._onFlexDirectionChanged();
                }
                ;
            }
        }
        af() {
            if (this.h != null) {
                this.h.rootWrapper.setStyleProperty("flex-grow", this.a.g9);
                this.k.setStyleProperty("flex-grow", this.a.g9);
                let ext_ = this.h.getExternal(this.a, null, null);
                if (ext_ && ext_._onFlexGrowChanged) {
                    ext_._onFlexGrowChanged();
                }
                ;
            }
        }
        p(a) {
        }
        ak() {
            if (this.f()) {
                let a = this.a.h0;
                this.k.setAttribute("name", this.a.h6);
                this.k.setProperty("value", this.a.et);
                if (this.a.ag) {
                    this.k.setAttribute("tabindex", this.a.ep.toString());
                }
                this.k.setProperty("disabled", this.a.disabled);
                {
                }
                this.k.setAttribute("aria-label", this.a.fr);
            }
        }
        ah() {
            if (this.f()) {
                let a = this.a.h0;
                this.k.setAttribute("id", a);
            }
        }
        q(a) {
            this.a.jm();
        }
        r(a) {
            this.a.jn();
        }
        s(a) {
            this.a.ji();
        }
        v(a) {
            this.a.jl();
        }
        u(a) {
            this.a.jj();
        }
        e() {
            return false;
        }
        t(a) {
        }
        x() {
            if (KeyFrameAnimationFactory.h == null) {
                KeyFrameAnimationFactory.h = this.h;
            }
        }
        z() {
            this.d = true;
            this.g.add(this.k.listen("change", runOn(this, this.t)));
            this.g.add(this.k.listen("click", runOn(this, this.u)));
            this.g.add(this.k.listen("focus", runOn(this, this.v)));
            this.g.add(this.k.listen("blur", runOn(this, this.s)));
            this.g.add(this.j.listen("click", runOn(this, this.p)));
            this.g.add(this.k.listen("mouseenter", runOn(this, this.q)));
            this.g.add(this.k.listen("mouseleave", runOn(this, this.r)));
        }
        ab() {
            this.d = false;
            for (let a of fromEnum(this.g)) {
                a();
            }
            this.g.clear();
        }
        aj() {
            let model_ = this.a;
            if (model_.externalObject && model_.externalObject.refreshDefaults) {
                model_.externalObject.refreshDefaults();
            }
            ;
        }
        al(a, b) {
            this.b.au = a;
            this.b.at = b;
        }
        am(a, b) {
            let c = ElevationHelper.e(a, this.a.na, this.a.m7, this.a.mx, b);
            this.k.setStyleProperty("box-shadow", c);
        }
        ao(a) {
            if (a != null) {
                this.j.setStyleProperty("font", a.fontString);
            }
        }
        w(a) {
            this.j.append(a);
        }
    }
    ButtonView.$t = /*@__PURE__*/ markType(ButtonView, 'ButtonView');
    return ButtonView;
})();
/**
 * @hidden
 */
let Button = /*@__PURE__*/ (() => {
    class Button extends Base {
        constructor() {
            super();
            this._view = null;
            this.r6 = ThemeResolver.e(Button.c, Button.ri, Button.oz);
            this.ru = ThemeResolver.e(Button.c, Button.q6, Button.on);
            this.nd = ThemeResolver.e(Button.c, Button.px, Button.ne);
            this.m = ThemeResolver.a(Button.c, Button.n, Button.l);
            this.rx = ThemeResolver.e(Button.c, Button.q9, Button.oq);
            this.ry = ThemeResolver.e(Button.c, Button.ra, Button.or);
            this.rz = ThemeResolver.e(Button.c, Button.rb, Button.os);
            this.dx = ThemeResolver.c(Button.c, Button.dp, Button.cs);
            this.d0 = ThemeResolver.c(Button.c, Button.ds, Button.cv);
            this.dz = ThemeResolver.c(Button.c, Button.dr, Button.cu);
            this.dy = ThemeResolver.c(Button.c, Button.dq, Button.ct);
            this.rw = ThemeResolver.e(Button.c, Button.q8, Button.op);
            this.r4 = ThemeResolver.e(Button.c, Button.rg, Button.ox);
            this.kj = ThemeResolver.d(Button.c, Button.kh, Button.j9);
            this.a9 = ThemeResolver.b(Button.c, Button.a7, Button.az);
            this.rv = ThemeResolver.e(Button.c, Button.q7, Button.oo);
            this.r5 = ThemeResolver.e(Button.c, Button.rh, Button.oy);
            this.r3 = ThemeResolver.e(Button.c, Button.rf, Button.ow);
            this.r2 = ThemeResolver.e(Button.c, Button.re, Button.ov);
            this.r0 = ThemeResolver.e(Button.c, Button.rc, Button.ot);
            this.r1 = ThemeResolver.e(Button.c, Button.rd, Button.ou);
            this.pd = ThemeResolver.e(Button.c, Button.qb, Button.ns);
            this.pe = ThemeResolver.e(Button.c, Button.qc, Button.nt);
            this.pf = ThemeResolver.e(Button.c, Button.qd, Button.nu);
            this.c0 = ThemeResolver.c(Button.c, Button.dc, Button.cg);
            this.c3 = ThemeResolver.c(Button.c, Button.df, Button.cj);
            this.c2 = ThemeResolver.c(Button.c, Button.de, Button.ci);
            this.c1 = ThemeResolver.c(Button.c, Button.dd, Button.ch);
            this.pc = ThemeResolver.e(Button.c, Button.qa, Button.nr);
            this.pk = ThemeResolver.e(Button.c, Button.qi, Button.nz);
            this.kb = ThemeResolver.d(Button.c, Button.ke, Button.j6);
            this.a1 = ThemeResolver.b(Button.c, Button.a4, Button.aw);
            this.pb = ThemeResolver.e(Button.c, Button.p9, Button.nq);
            this.pl = ThemeResolver.e(Button.c, Button.qj, Button.n0);
            this.pj = ThemeResolver.e(Button.c, Button.qh, Button.ny);
            this.pi = ThemeResolver.e(Button.c, Button.qg, Button.nx);
            this.pg = ThemeResolver.e(Button.c, Button.qe, Button.nv);
            this.ph = ThemeResolver.e(Button.c, Button.qf, Button.nw);
            this.rl = ThemeResolver.e(Button.c, Button.qx, Button.oe);
            this.rm = ThemeResolver.e(Button.c, Button.qy, Button.of);
            this.rn = ThemeResolver.e(Button.c, Button.qz, Button.og);
            this.dt = ThemeResolver.c(Button.c, Button.dk, Button.co);
            this.dw = ThemeResolver.c(Button.c, Button.dn, Button.cr);
            this.dv = ThemeResolver.c(Button.c, Button.dm, Button.cq);
            this.du = ThemeResolver.c(Button.c, Button.dl, Button.cp);
            this.rk = ThemeResolver.e(Button.c, Button.qw, Button.od);
            this.rs = ThemeResolver.e(Button.c, Button.q4, Button.ol);
            this.ki = ThemeResolver.d(Button.c, Button.kg, Button.j8);
            this.a8 = ThemeResolver.b(Button.c, Button.a6, Button.ay);
            this.rj = ThemeResolver.e(Button.c, Button.qv, Button.oc);
            this.rt = ThemeResolver.e(Button.c, Button.q5, Button.om);
            this.rr = ThemeResolver.e(Button.c, Button.q3, Button.ok);
            this.rq = ThemeResolver.e(Button.c, Button.q2, Button.oj);
            this.ro = ThemeResolver.e(Button.c, Button.q0, Button.oh);
            this.rp = ThemeResolver.e(Button.c, Button.q1, Button.oi);
            this.po = ThemeResolver.e(Button.c, Button.qm, Button.n3);
            this.pp = ThemeResolver.e(Button.c, Button.qn, Button.n4);
            this.pq = ThemeResolver.e(Button.c, Button.qo, Button.n5);
            this.c4 = ThemeResolver.c(Button.c, Button.dg, Button.ck);
            this.c7 = ThemeResolver.c(Button.c, Button.dj, Button.cn);
            this.c6 = ThemeResolver.c(Button.c, Button.di, Button.cm);
            this.c5 = ThemeResolver.c(Button.c, Button.dh, Button.cl);
            this.pn = ThemeResolver.e(Button.c, Button.ql, Button.n2);
            this.pv = ThemeResolver.e(Button.c, Button.qt, Button.oa);
            this.kc = ThemeResolver.d(Button.c, Button.kf, Button.j7);
            this.a2 = ThemeResolver.b(Button.c, Button.a5, Button.ax);
            this.pm = ThemeResolver.e(Button.c, Button.qk, Button.n1);
            this.pw = ThemeResolver.e(Button.c, Button.qu, Button.ob);
            this.pu = ThemeResolver.e(Button.c, Button.qs, Button.n9);
            this.pt = ThemeResolver.e(Button.c, Button.qr, Button.n8);
            this.pr = ThemeResolver.e(Button.c, Button.qp, Button.n6);
            this.ps = ThemeResolver.e(Button.c, Button.qq, Button.n7);
            this.o2 = ThemeResolver.e(Button.c, Button.p0, Button.nh);
            this.o3 = ThemeResolver.e(Button.c, Button.p1, Button.ni);
            this.o4 = ThemeResolver.e(Button.c, Button.p2, Button.nj);
            this.cw = ThemeResolver.c(Button.c, Button.c8, Button.cc);
            this.cz = ThemeResolver.c(Button.c, Button.db, Button.cf);
            this.cy = ThemeResolver.c(Button.c, Button.da, Button.ce);
            this.cx = ThemeResolver.c(Button.c, Button.c9, Button.cd);
            this.o1 = ThemeResolver.e(Button.c, Button.pz, Button.ng);
            this.o9 = ThemeResolver.e(Button.c, Button.p7, Button.no);
            this.ka = ThemeResolver.d(Button.c, Button.kd, Button.j5);
            this.a0 = ThemeResolver.b(Button.c, Button.a3, Button.av);
            this.o0 = ThemeResolver.e(Button.c, Button.py, Button.nf);
            this.pa = ThemeResolver.e(Button.c, Button.p8, Button.np);
            this.o8 = ThemeResolver.e(Button.c, Button.p6, Button.nn);
            this.o7 = ThemeResolver.e(Button.c, Button.p5, Button.nm);
            this.o5 = ThemeResolver.e(Button.c, Button.p3, Button.nk);
            this.o6 = ThemeResolver.e(Button.c, Button.p4, Button.nl);
            this.q = 0;
            this.f = 0;
            this.b = 0;
            this.e = 1;
            this.kr = ThemeResolver.e(Button.c, Button.q8, Button.op);
            this.k2 = ThemeResolver.e(Button.c, Button.ri, Button.oz);
            this.kz = ThemeResolver.e(Button.c, Button.q6, Button.on);
            this.kp = ThemeResolver.e(Button.c, Button.px, Button.ne);
            this.bi = ThemeResolver.c(Button.c, Button.ds, Button.cv);
            this.bg = ThemeResolver.c(Button.c, Button.dq, Button.ct);
            this.bh = ThemeResolver.c(Button.c, Button.dr, Button.cu);
            this.k0 = ThemeResolver.e(Button.c, Button.rg, Button.ox);
            this.jv = ThemeResolver.d(Button.c, Button.kh, Button.j9);
            this.kq = ThemeResolver.e(Button.c, Button.q7, Button.oo);
            this.ks = ThemeResolver.e(Button.c, Button.q9, Button.oq);
            this.kt = ThemeResolver.e(Button.c, Button.ra, Button.or);
            this.ku = ThemeResolver.e(Button.c, Button.rb, Button.os);
            this.bf = ThemeResolver.c(Button.c, Button.dp, Button.cs);
            this.i = ThemeResolver.a(Button.c, Button.n, Button.l);
            this.k1 = ThemeResolver.e(Button.c, Button.rh, Button.oy);
            this.ky = ThemeResolver.e(Button.c, Button.rf, Button.ow);
            this.kv = ThemeResolver.e(Button.c, Button.rc, Button.ot);
            this.kw = ThemeResolver.e(Button.c, Button.rd, Button.ou);
            this.kx = ThemeResolver.e(Button.c, Button.re, Button.ov);
            this.am = ThemeResolver.b(Button.c, Button.a7, Button.az);
            this.mk = null;
            this.mm = null;
            this.mn = null;
            this.mo = null;
            this.b2 = -1;
            this.mr = null;
            this.ml = null;
            this.b5 = -1;
            this.b4 = -1;
            this.b3 = -1;
            this.as = NaN;
            this.j1 = new CornerRadius(1, NaN, NaN, NaN, NaN);
            this.mt = null;
            this.li = null;
            this.lk = null;
            this.ll = null;
            this.lm = null;
            this.bo = -1;
            this.lp = null;
            this.lj = null;
            this.br = -1;
            this.bq = -1;
            this.bp = -1;
            this.lr = null;
            this.ls = null;
            this.lq = null;
            this.ln = null;
            this.lo = null;
            this.ap = NaN;
            this.jy = new CornerRadius(1, NaN, NaN, NaN, NaN);
            this.k3 = null;
            this.k5 = null;
            this.k6 = null;
            this.k7 = null;
            this.bj = -1;
            this.j = 0;
            this.lv = null;
            this.k4 = null;
            this.b6 = -1;
            this.bt = -1;
            this.bs = -1;
            this.t = null;
            this.mw = null;
            this.lx = null;
            this.mv = null;
            this.mu = null;
            this.ms = null;
            this.mp = null;
            this.mq = null;
            this.lt = null;
            this.lu = null;
            this.an = NaN;
            this.jw = new CornerRadius(1, NaN, NaN, NaN, NaN);
            this.l9 = null;
            this.mb = null;
            this.mc = null;
            this.md = null;
            this.by = -1;
            this.mg = null;
            this.ma = null;
            this.b1 = -1;
            this.b0 = -1;
            this.bz = -1;
            this.ar = NaN;
            this.j0 = new CornerRadius(1, NaN, NaN, NaN, NaN);
            this.mi = null;
            this.mj = null;
            this.mh = null;
            this.me = null;
            this.mf = null;
            this.k8 = null;
            this.la = null;
            this.lb = null;
            this.lc = null;
            this.bk = -1;
            this.lw = null;
            this.k9 = null;
            this.bn = -1;
            this.bm = -1;
            this.bl = -1;
            this.ao = NaN;
            this.jx = new CornerRadius(1, NaN, NaN, NaN, NaN);
            this.lg = null;
            this.lh = null;
            this.lf = null;
            this.ld = null;
            this.le = null;
            this.ly = null;
            this.l0 = null;
            this.l1 = null;
            this.l2 = null;
            this.bu = -1;
            this.l5 = null;
            this.lz = null;
            this.bx = -1;
            this.bw = -1;
            this.bv = -1;
            this.aq = NaN;
            this.jz = new CornerRadius(1, NaN, NaN, NaN, NaN);
            this.l7 = null;
            this.l8 = null;
            this.l6 = null;
            this.l3 = null;
            this.l4 = null;
            this.e0 = "ig-native-button-" + Button.er++;
            this.ez = "ig-button-" + Button.eq++;
            this.ew = "inline-block";
            this.ex = "inline-block";
            this.ey = null;
            this.eu = "center";
            this.es = null;
            this.e1 = null;
            this.b7 = 0;
            this.y = false;
            this.aa = false;
            this.ab = true;
            this.ev = null;
            this.w = false;
            this.v = false;
            this.ac = false;
            this.z = false;
            this.x = false;
            this.propertyChanged = null;
            this.clicked = null;
            let a = new ButtonView();
            a.a = this;
            this.view = a;
            this.view.ag();
        }
        get view() {
            return this._view;
        }
        set view(a) {
            this._view = a;
        }
        destroy() {
            this.provideContainer(null);
        }
        jo(a, b, c) {
            if (this.propertyChanged != null) {
                this.propertyChanged(this, new PropertyChangedEventArgs(a));
            }
            this.jq(a, b, c);
        }
        jq(a, b, c) {
            switch (a) {
                case "CornerRadius":
                case "BorderColor":
                case "RestingElevation":
                case "HoverElevation":
                case "FocusElevation":
                case "RippleColor":
                case "BorderWidth":
                case "BackgroundColor":
                case "DisabledBackgroundColor":
                case "DisabledBorderColor":
                case "DisabledTextColor":
                case "DisabledElevation":
                case "HoverBackgroundColor":
                case "TextStyle":
                case "FocusTextColor":
                case "TextColor":
                case "HoverTextColor":
                case "FocusBackgroundColor":
                case "RaisedBorderColor":
                case "RaisedRestingElevation":
                case "RaisedFocusElevation":
                case "RaisedHoverElevation":
                case "RaisedRippleColor":
                case "RaisedBorderWidth":
                case "RaisedBackgroundColor":
                case "RaisedDisabledBackgroundColor":
                case "RaisedDisabledBorderColor":
                case "RaisedDisabledTextColor":
                case "RaisedDisabledElevation":
                case "RaisedHoverBackgroundColor":
                case "RaisedCornerRadius":
                case "RaisedFocusBackgroundColor":
                case "RaisedFocusTextColor":
                case "RaisedTextColor":
                case "RaisedHoverTextColor":
                case "FlatBorderColor":
                case "FlatRestingElevation":
                case "FlatFocusElevation":
                case "FlatHoverElevation":
                case "FlatRippleColor":
                case "FlatBorderWidth":
                case "FlatBackgroundColor":
                case "FlatDisabledBackgroundColor":
                case "FlatDisabledBorderColor":
                case "FlatDisabledTextColor":
                case "FlatDisabledElevation":
                case "FlatHoverBackgroundColor":
                case "FlatCornerRadius":
                case "FlatFocusBackgroundColor":
                case "FlatFocusTextColor":
                case "FlatTextColor":
                case "FlatHoverTextColor":
                case "OutlinedRippleColor":
                case "OutlinedRestingElevation":
                case "OutlinedFocusElevation":
                case "OutlinedHoverElevation":
                case "OutlinedBorderColor":
                case "OutlinedBorderWidth":
                case "OutlinedBackgroundColor":
                case "OutlinedDisabledBackgroundColor":
                case "OutlinedDisabledBorderColor":
                case "OutlinedDisabledTextColor":
                case "OutlinedDisabledElevation":
                case "OutlinedHoverBackgroundColor":
                case "OutlinedCornerRadius":
                case "OutlinedFocusBackgroundColor":
                case "OutlinedFocusTextColor":
                case "OutlinedTextColor":
                case "OutlinedHoverTextColor":
                case "FabBorderColor":
                case "FabRippleColor":
                case "FabRestingElevation":
                case "FabFocusElevation":
                case "FabHoverElevation":
                case "FabBorderWidth":
                case "FabBackgroundColor":
                case "FabDisabledBackgroundColor":
                case "FabDisabledBorderColor":
                case "FabDisabledTextColor":
                case "FabDisabledElevation":
                case "FabHoverBackgroundColor":
                case "FabCornerRadius":
                case "FabFocusBackgroundColor":
                case "FabFocusTextColor":
                case "FabTextColor":
                case "FabHoverTextColor":
                case "IconRestingElevation":
                case "IconFocusElevation":
                case "IconHoverElevation":
                case "IconBorderColor":
                case "IconRippleColor":
                case "IconBorderWidth":
                case "IconBackgroundColor":
                case "IconDisabledBackgroundColor":
                case "IconDisabledBorderColor":
                case "IconDisabledTextColor":
                case "IconDisabledElevation":
                case "IconHoverBackgroundColor":
                case "IconCornerRadius":
                case "IconFocusBackgroundColor":
                case "IconFocusTextColor":
                case "IconTextColor":
                case "IconHoverTextColor":
                case "ElevationMode":
                    this.jt();
                    break;
                case "BaseTheme":
                    this.ju(this.d == 0 ? 2 : this.d);
                    this.jt();
                    break;
                case "IsDisabled":
                    this.ad = this.disabled || this.ae;
                    this.jt();
                    this.view.ai();
                    break;
                case "DisableRipple":
                    this.ad = this.disabled || this.ae;
                    this.jt();
                    break;
                case "ActualDisableRipple":
                    this.view.ac();
                    break;
                case "ActualBackgroundColor":
                case "ActualDisabledBackgroundColor":
                case "ActualDisabledBorderColor":
                case "ActualDisabledTextColor":
                case "ActualDisabledElevation":
                case "ActualHoverBackgroundColor":
                case "ActualBorderColor":
                case "ActualFocusTextColor":
                case "ActualHoverTextColor":
                case "ActualElevationMode":
                    this.js();
                    break;
                case "Density":
                    this.g = this.h == 0 ? 1 : this.h;
                    break;
                case "ActualDensity":
                case "ActualBorderWidth":
                case "ActualCornerRadius":
                    this.view.an();
                    this.js();
                    break;
                case "DisplayType":
                    this.view.an();
                    this.jt();
                    this.js();
                    break;
                case "InputId":
                    this.view.ah();
                    break;
                case "Display":
                    this.view.ad();
                    break;
                case "FlexDirection":
                    this.view.ae();
                    break;
                case "FlexGrow":
                    this.view.af();
                    break;
                case "AlignItems":
                    this.view.y();
                    break;
            }
        }
        j3(a, b) {
            return new CornerRadius(1, !isNaN_(a.c) ? a.c : b.c, !isNaN_(a.d) ? a.d : b.d, !isNaN_(a.b) ? a.b : b.b, !isNaN_(a.a) ? a.a : b.a);
        }
        jt() {
            this.k = this.o != 0 ? this.o : this.m;
            this.na = this.r6;
            this.m7 = this.ru;
            this.mx = this.nd;
            switch (this.r) {
                case 0:
                    this.m0 = this.r7 != null ? this.r7 : this.to != null ? this.to : this.rx;
                    this.m1 = this.r8 != null ? this.r8 : this.tp != null ? this.tp : this.ry;
                    this.m2 = this.r9 != null ? this.r9 : this.tq != null ? this.tq : this.rz;
                    this.b8 = this.d1 >= 0 ? this.d1 : this.ek >= 0 ? this.ek : this.dx;
                    this.cb = this.eo >= 0 ? this.eo : this.en >= 0 ? this.en : this.d0;
                    this.ca = this.eb >= 0 ? this.eb : this.em >= 0 ? this.em : this.dz;
                    this.b9 = this.ea >= 0 ? this.ea : this.el >= 0 ? this.el : this.dy;
                    this.mz = this.nc != null ? this.nc : this.tn != null ? this.tn : this.rw;
                    this.my = this.nb != null ? this.nb : this.tm != null ? this.tm : this.rv;
                    this.m5 = this.sy != null ? this.sy : this.tt != null ? this.tt : this.r2;
                    this.j2 = this.j3(this.j4, this.j3(this.ko, this.kj));
                    this.at = !isNaN_(this.au) ? this.au : !isNaN_(this.be) ? this.be : this.a9;
                    this.m8 = this.tx != null ? this.tx : this.tv != null ? this.tv : this.r4;
                    this.m3 = this.sw != null ? this.sw : this.tr != null ? this.tr : this.r0;
                    this.m4 = this.sx != null ? this.sx : this.ts != null ? this.ts : this.r1;
                    this.m9 = this.ty != null ? this.ty : this.tw != null ? this.tw : this.r5;
                    this.m6 = this.sz != null ? this.sz : this.tu != null ? this.tu : this.r3;
                    break;
                case 2:
                    this.m0 = this.r7 != null ? this.r7 : this.td != null ? this.td : this.rl;
                    this.m1 = this.r8 != null ? this.r8 : this.te != null ? this.te : this.rm;
                    this.m2 = this.r9 != null ? this.r9 : this.tf != null ? this.tf : this.rn;
                    this.b8 = this.d1 >= 0 ? this.d1 : this.eg >= 0 ? this.eg : this.dt;
                    this.cb = this.eo >= 0 ? this.eo : this.ej >= 0 ? this.ej : this.dw;
                    this.ca = this.eb >= 0 ? this.eb : this.ei >= 0 ? this.ei : this.dv;
                    this.b9 = this.ea >= 0 ? this.ea : this.eh >= 0 ? this.eh : this.du;
                    this.mz = this.nc != null ? this.nc : this.tc != null ? this.tc : this.rk;
                    this.my = this.sy != null ? this.sy : this.nb != null ? this.nb : this.tb != null ? this.tb : this.rj;
                    this.m5 = this.ti != null ? this.ti : this.rq;
                    this.j2 = this.j3(this.j4, this.j3(this.kn, this.ki));
                    this.at = !isNaN_(this.au) ? this.au : !isNaN_(this.bd) ? this.bd : this.a8;
                    this.m8 = this.tx != null ? this.tx : this.tk != null ? this.tk : this.rs;
                    this.m3 = this.sw != null ? this.sw : this.tg != null ? this.tg : this.ro;
                    this.m4 = this.sx != null ? this.sx : this.th != null ? this.th : this.rp;
                    this.m9 = this.ty != null ? this.ty : this.tl != null ? this.tl : this.rt;
                    this.m6 = this.sz != null ? this.sz : this.tj != null ? this.tj : this.rr;
                    break;
                case 1:
                    this.m0 = this.r7 != null ? this.r7 : this.sn != null ? this.sn : this.pd;
                    this.m1 = this.r8 != null ? this.r8 : this.so != null ? this.so : this.pe;
                    this.m2 = this.r9 != null ? this.r9 : this.sp != null ? this.sp : this.pf;
                    this.b8 = this.d1 >= 0 ? this.d1 : this.d6 >= 0 ? this.d6 : this.c0;
                    this.cb = this.eo >= 0 ? this.eo : this.d9 >= 0 ? this.d9 : this.c3;
                    this.ca = this.eb >= 0 ? this.eb : this.d8 >= 0 ? this.d8 : this.c2;
                    this.b9 = this.ea >= 0 ? this.ea : this.d7 >= 0 ? this.d7 : this.c1;
                    this.mz = this.nc != null ? this.nc : this.sm != null ? this.sm : this.pc;
                    this.my = this.nb != null ? this.nb : this.sl != null ? this.sl : this.pb;
                    this.m5 = this.sy != null ? this.sy : this.ss != null ? this.ss : this.pi;
                    this.j2 = this.j3(this.j4, this.j3(this.kl, this.kb));
                    this.at = !isNaN_(this.au) ? this.au : !isNaN_(this.bb) ? this.bb : this.a1;
                    this.m8 = this.tx != null ? this.tx : this.su != null ? this.su : this.pk;
                    this.m3 = this.sw != null ? this.sw : this.sq != null ? this.sq : this.pg;
                    this.m4 = this.sx != null ? this.sx : this.sr != null ? this.sr : this.ph;
                    this.m9 = this.ty != null ? this.ty : this.sv != null ? this.sv : this.pl;
                    this.m6 = this.sz != null ? this.sz : this.st != null ? this.st : this.pj;
                    break;
                case 4:
                    this.m0 = this.r7 != null ? this.r7 : this.s2 != null ? this.s2 : this.po;
                    this.m1 = this.r8 != null ? this.r8 : this.s3 != null ? this.s3 : this.pp;
                    this.m2 = this.r9 != null ? this.r9 : this.s4 != null ? this.s4 : this.pq;
                    this.b8 = this.d1 >= 0 ? this.d1 : this.ec >= 0 ? this.ec : this.c4;
                    this.cb = this.eo >= 0 ? this.eo : this.ef >= 0 ? this.ef : this.c7;
                    this.ca = this.eb >= 0 ? this.eb : this.ee >= 0 ? this.ee : this.c6;
                    this.b9 = this.ea >= 0 ? this.ea : this.ed >= 0 ? this.ed : this.c5;
                    this.mz = this.nc != null ? this.nc : this.s1 != null ? this.s1 : this.pn;
                    this.my = this.nb != null ? this.nb : this.s0 != null ? this.s0 : this.pm;
                    this.m5 = this.sy != null ? this.sy : this.s7 != null ? this.s7 : this.pt;
                    this.j2 = this.j3(this.j4, this.j3(this.km, this.kc));
                    this.at = !isNaN_(this.au) ? this.au : !isNaN_(this.bc) ? this.bc : this.a2;
                    this.m8 = this.tx != null ? this.tx : this.s9 != null ? this.s9 : this.pv;
                    this.m3 = this.sw != null ? this.sw : this.s5 != null ? this.s5 : this.pr;
                    this.m4 = this.sx != null ? this.sx : this.s6 != null ? this.s6 : this.ps;
                    this.m9 = this.ty != null ? this.ty : this.ta != null ? this.ta : this.pw;
                    this.m6 = this.sz != null ? this.sz : this.s8 != null ? this.s8 : this.pu;
                    break;
                case 3:
                    this.m0 = this.r7 != null ? this.r7 : this.sc != null ? this.sc : this.o2;
                    this.m1 = this.r8 != null ? this.r8 : this.sd != null ? this.sd : this.o3;
                    this.m2 = this.r9 != null ? this.r9 : this.se != null ? this.se : this.o4;
                    this.b8 = this.d1 >= 0 ? this.d1 : this.d2 >= 0 ? this.d2 : this.cw;
                    this.cb = this.eo >= 0 ? this.eo : this.d5 >= 0 ? this.d5 : this.cz;
                    this.ca = this.eb >= 0 ? this.eb : this.d4 >= 0 ? this.d4 : this.cy;
                    this.b9 = this.ea >= 0 ? this.ea : this.d3 >= 0 ? this.d3 : this.cx;
                    this.mz = this.nc != null ? this.nc : this.sb != null ? this.sb : this.o1;
                    this.my = this.nb != null ? this.nb : this.sa != null ? this.sa : this.o0;
                    this.m5 = this.sy != null ? this.sy : this.sh != null ? this.sh : this.o7;
                    this.j2 = this.j3(this.j4, this.j3(this.kk, this.ka));
                    this.at = !isNaN_(this.au) ? this.au : !isNaN_(this.ba) ? this.ba : this.a0;
                    this.m8 = this.tx != null ? this.tx : this.sj != null ? this.sj : this.r4;
                    this.m3 = this.sw != null ? this.sw : this.sf != null ? this.sf : this.o5;
                    this.m4 = this.sx != null ? this.sx : this.sg != null ? this.sg : this.o6;
                    this.m9 = this.ty != null ? this.ty : this.sk != null ? this.sk : this.pa;
                    this.m6 = this.sz != null ? this.sz : this.si != null ? this.si : this.o8;
                    break;
            }
        }
        jj() {
            if (this.disabled) {
                return;
            }
            if (this.clicked != null) {
                this.clicked(this, new ButtonClickEventArgs());
            }
        }
        ji() {
            this.focused = false;
            this.js();
        }
        jl() {
            this.focused = true;
            this.js();
        }
        jn() {
            this.ak = false;
            this.js();
        }
        jm() {
            this.ak = true;
            this.js();
        }
        js() {
            let a = this.view.n;
            NativeUI.l(a, this.j2);
            NativeUI.k(a, this.mz);
            if (!isNaN_(this.at)) {
                NativeUI.m(a, new Thickness(0, this.at));
            }
            if (this.disabled) {
                this.view.am(this.b8, this.k);
            }
            else if (this.focused && this.aj) {
                this.view.am(this.b9, this.k);
            }
            else {
                if (this.ak) {
                    this.view.am(this.ca, this.k);
                }
                else {
                    this.view.am(this.cb, this.k);
                }
            }
            if (this.disabled) {
                NativeUI.j(a, this.m0);
            }
            else if (this.focused && this.aj) {
                NativeUI.j(a, this.m3);
            }
            else {
                if (this.ak) {
                    NativeUI.j(a, this.m5);
                }
                else {
                    NativeUI.j(a, this.my);
                }
            }
            this.view.al(this.m8, BrushUtil.g(0, 0, 0, 0));
            if (this.u != null) {
                this.view.ao(this.u);
            }
            if (this.disabled) {
                NativeUI.n(this.view.o, this.m2);
                NativeUI.o(this.view.o, this.m2);
            }
            else if (this.focused && this.aj) {
                NativeUI.n(this.view.o, this.m4);
                NativeUI.o(this.view.o, this.m4);
            }
            else {
                NativeUI.n(this.view.o, this.m9);
                NativeUI.o(this.view.o, this.m9);
            }
        }
        ju(a) {
            this.r6 = ThemeResolver.e(a, Button.ri, Button.oz);
            this.ru = ThemeResolver.e(a, Button.q6, Button.on);
            this.nd = ThemeResolver.e(a, Button.px, Button.ne);
            this.m = ThemeResolver.a(a, Button.n, Button.l);
            this.rx = ThemeResolver.e(a, Button.q9, Button.oq);
            this.ry = ThemeResolver.e(a, Button.ra, Button.or);
            this.rz = ThemeResolver.e(a, Button.rb, Button.os);
            this.dx = ThemeResolver.c(a, Button.dp, Button.cs);
            this.d0 = ThemeResolver.c(a, Button.ds, Button.cv);
            this.dz = ThemeResolver.c(a, Button.dr, Button.cu);
            this.dy = ThemeResolver.c(a, Button.dq, Button.ct);
            this.rw = ThemeResolver.e(a, Button.q8, Button.op);
            this.r4 = ThemeResolver.e(a, Button.rg, Button.ox);
            this.kj = ThemeResolver.d(a, Button.kh, Button.j9);
            this.a9 = ThemeResolver.b(a, Button.a7, Button.az);
            this.rv = ThemeResolver.e(a, Button.q7, Button.oo);
            this.r5 = ThemeResolver.e(a, Button.rh, Button.oy);
            this.r3 = ThemeResolver.e(a, Button.rf, Button.ow);
            this.r2 = ThemeResolver.e(a, Button.re, Button.ov);
            this.r0 = ThemeResolver.e(a, Button.rc, Button.ot);
            this.r1 = ThemeResolver.e(a, Button.rd, Button.ou);
            this.pd = ThemeResolver.e(a, Button.qb, Button.ns);
            this.pe = ThemeResolver.e(a, Button.qc, Button.nt);
            this.pf = ThemeResolver.e(a, Button.qd, Button.nu);
            this.c0 = ThemeResolver.c(a, Button.dc, Button.cg);
            this.c3 = ThemeResolver.c(a, Button.df, Button.cj);
            this.c2 = ThemeResolver.c(a, Button.de, Button.ci);
            this.c1 = ThemeResolver.c(a, Button.dd, Button.ch);
            this.pc = ThemeResolver.e(a, Button.qa, Button.nr);
            this.pk = ThemeResolver.e(a, Button.qi, Button.nz);
            this.kb = ThemeResolver.d(a, Button.ke, Button.j6);
            this.a1 = ThemeResolver.b(a, Button.a4, Button.aw);
            this.pb = ThemeResolver.e(a, Button.p9, Button.nq);
            this.pl = ThemeResolver.e(a, Button.qj, Button.n0);
            this.pj = ThemeResolver.e(a, Button.qh, Button.ny);
            this.pi = ThemeResolver.e(a, Button.qg, Button.nx);
            this.pg = ThemeResolver.e(a, Button.qe, Button.nv);
            this.ph = ThemeResolver.e(a, Button.qf, Button.nw);
            this.rl = ThemeResolver.e(a, Button.qx, Button.oe);
            this.rm = ThemeResolver.e(a, Button.qy, Button.of);
            this.rn = ThemeResolver.e(a, Button.qz, Button.og);
            this.dt = ThemeResolver.c(a, Button.dk, Button.co);
            this.dw = ThemeResolver.c(a, Button.dn, Button.cr);
            this.dv = ThemeResolver.c(a, Button.dm, Button.cq);
            this.du = ThemeResolver.c(a, Button.dl, Button.cp);
            this.rk = ThemeResolver.e(a, Button.qw, Button.od);
            this.rs = ThemeResolver.e(a, Button.q4, Button.ol);
            this.ki = ThemeResolver.d(a, Button.kg, Button.j8);
            this.a8 = ThemeResolver.b(a, Button.a6, Button.ay);
            this.rj = ThemeResolver.e(a, Button.qv, Button.oc);
            this.rt = ThemeResolver.e(a, Button.q5, Button.om);
            this.rr = ThemeResolver.e(a, Button.q3, Button.ok);
            this.rq = ThemeResolver.e(a, Button.q2, Button.oj);
            this.ro = ThemeResolver.e(a, Button.q0, Button.oh);
            this.rp = ThemeResolver.e(a, Button.q1, Button.oi);
            this.po = ThemeResolver.e(a, Button.qm, Button.n3);
            this.pp = ThemeResolver.e(a, Button.qn, Button.n4);
            this.pq = ThemeResolver.e(a, Button.qo, Button.n5);
            this.c4 = ThemeResolver.c(a, Button.dg, Button.ck);
            this.c7 = ThemeResolver.c(a, Button.dj, Button.cn);
            this.c6 = ThemeResolver.c(a, Button.di, Button.cm);
            this.c5 = ThemeResolver.c(a, Button.dh, Button.cl);
            this.pn = ThemeResolver.e(a, Button.ql, Button.n2);
            this.pv = ThemeResolver.e(a, Button.qt, Button.oa);
            this.kc = ThemeResolver.d(a, Button.kf, Button.j7);
            this.a2 = ThemeResolver.b(a, Button.a5, Button.ax);
            this.pm = ThemeResolver.e(a, Button.qk, Button.n1);
            this.pw = ThemeResolver.e(a, Button.qu, Button.ob);
            this.pu = ThemeResolver.e(a, Button.qs, Button.n9);
            this.pt = ThemeResolver.e(a, Button.qr, Button.n8);
            this.pr = ThemeResolver.e(a, Button.qp, Button.n6);
            this.ps = ThemeResolver.e(a, Button.qq, Button.n7);
            this.o2 = ThemeResolver.e(a, Button.p0, Button.nh);
            this.o3 = ThemeResolver.e(a, Button.p1, Button.ni);
            this.o4 = ThemeResolver.e(a, Button.p2, Button.nj);
            this.cw = ThemeResolver.c(a, Button.c8, Button.cc);
            this.cz = ThemeResolver.c(a, Button.db, Button.cf);
            this.cy = ThemeResolver.c(a, Button.da, Button.ce);
            this.cx = ThemeResolver.c(a, Button.c9, Button.cd);
            this.o1 = ThemeResolver.e(a, Button.pz, Button.ng);
            this.o9 = ThemeResolver.e(a, Button.p7, Button.no);
            this.ka = ThemeResolver.d(a, Button.kd, Button.j5);
            this.a0 = ThemeResolver.b(a, Button.a3, Button.av);
            this.o0 = ThemeResolver.e(a, Button.py, Button.nf);
            this.pa = ThemeResolver.e(a, Button.p8, Button.np);
            this.o8 = ThemeResolver.e(a, Button.p6, Button.nn);
            this.o7 = ThemeResolver.e(a, Button.p5, Button.nm);
            this.o5 = ThemeResolver.e(a, Button.p3, Button.nk);
            this.o6 = ThemeResolver.e(a, Button.p4, Button.nl);
        }
        get r() {
            return this.q;
        }
        set r(a) {
            let b = this.q;
            this.q = a;
            if (b != this.q) {
                this.jo("DisplayType", enumGetBox(ButtonDisplayStyle_$type, b), enumGetBox(ButtonDisplayStyle_$type, a));
            }
        }
        get h() {
            return this.f;
        }
        set h(a) {
            let b = this.f;
            this.f = a;
            if (b != this.f) {
                this.jo("Density", enumGetBox(ControlDisplayDensity_$type, b), enumGetBox(ControlDisplayDensity_$type, a));
            }
        }
        get d() {
            return this.b;
        }
        set d(a) {
            let b = this.b;
            this.b = a;
            if (b != this.b) {
                this.jo("BaseTheme", enumGetBox(BaseControlTheme_$type, b), enumGetBox(BaseControlTheme_$type, a));
            }
        }
        get g() {
            return this.e;
        }
        set g(a) {
            let b = this.e;
            this.e = a;
            if (b != this.e) {
                this.jo("ActualDensity", enumGetBox(ControlDisplayDensity_$type, b), enumGetBox(ControlDisplayDensity_$type, a));
            }
        }
        get mz() {
            return this.kr;
        }
        set mz(a) {
            let b = this.kr;
            this.kr = a;
            if (b != this.kr) {
                this.jo("ActualBorderColor", b, a);
            }
        }
        get na() {
            return this.k2;
        }
        set na(a) {
            let b = this.k2;
            this.k2 = a;
            if (b != this.k2) {
                this.jo("ActualUmbraShadowColor", b, a);
            }
        }
        get m7() {
            return this.kz;
        }
        set m7(a) {
            let b = this.kz;
            this.kz = a;
            if (b != this.kz) {
                this.jo("ActualPenumbraShadowColor", b, a);
            }
        }
        get mx() {
            return this.kp;
        }
        set mx(a) {
            let b = this.kp;
            this.kp = a;
            if (b != this.kp) {
                this.jo("ActualAmbientShadowColor", b, a);
            }
        }
        get cb() {
            return this.bi;
        }
        set cb(a) {
            let b = this.bi;
            this.bi = a;
            if (b != this.bi) {
                this.jo("ActualRestingElevation", b, a);
            }
        }
        get b9() {
            return this.bg;
        }
        set b9(a) {
            let b = this.bg;
            this.bg = a;
            if (b != this.bg) {
                this.jo("ActualFocusElevation", b, a);
            }
        }
        get ca() {
            return this.bh;
        }
        set ca(a) {
            let b = this.bh;
            this.bh = a;
            if (b != this.bh) {
                this.jo("ActualHoverElevation", b, a);
            }
        }
        get m8() {
            return this.k0;
        }
        set m8(a) {
            let b = this.k0;
            this.k0 = a;
            if (b != this.k0) {
                this.jo("ActualRippleColor", b, a);
            }
        }
        get j2() {
            return this.jv;
        }
        set j2(a) {
            let b = this.jv;
            this.jv = a;
            if (b != this.jv) {
                this.jo("ActualCornerRadius", b, a);
            }
        }
        get my() {
            return this.kq;
        }
        set my(a) {
            let b = this.kq;
            this.kq = a;
            if (b != this.kq) {
                this.jo("ActualBackgroundColor", b, a);
            }
        }
        get m0() {
            return this.ks;
        }
        set m0(a) {
            let b = this.ks;
            this.ks = a;
            if (b != this.ks) {
                this.jo("ActualDisabledBackgroundColor", b, a);
            }
        }
        get m1() {
            return this.kt;
        }
        set m1(a) {
            let b = this.kt;
            this.kt = a;
            if (b != this.kt) {
                this.jo("ActualDisabledBorderColor", b, a);
            }
        }
        get m2() {
            return this.ku;
        }
        set m2(a) {
            let b = this.ku;
            this.ku = a;
            if (b != this.ku) {
                this.jo("ActualDisabledTextColor", b, a);
            }
        }
        get b8() {
            return this.bf;
        }
        set b8(a) {
            let b = this.bf;
            this.bf = a;
            if (b != this.bf) {
                this.jo("ActualDisabledElevation", b, a);
            }
        }
        get k() {
            return this.i;
        }
        set k(a) {
            let b = this.i;
            this.i = a;
            if (b != this.i) {
                this.jo("ActualElevationMode", enumGetBox(ElevationMode_$type, b), enumGetBox(ElevationMode_$type, a));
            }
        }
        get m9() {
            return this.k1;
        }
        set m9(a) {
            let b = this.k1;
            this.k1 = a;
            if (b != this.k1) {
                this.jo("ActualTextColor", b, a);
            }
        }
        get m6() {
            return this.ky;
        }
        set m6(a) {
            let b = this.ky;
            this.ky = a;
            if (b != this.ky) {
                this.jo("ActualHoverTextColor", b, a);
            }
        }
        get m3() {
            return this.kv;
        }
        set m3(a) {
            let b = this.kv;
            this.kv = a;
            if (b != this.kv) {
                this.jo("ActualFocusBackgroundColor", b, a);
            }
        }
        get m4() {
            return this.kw;
        }
        set m4(a) {
            let b = this.kw;
            this.kw = a;
            if (b != this.kw) {
                this.jo("ActualFocusTextColor", b, a);
            }
        }
        get m5() {
            return this.kx;
        }
        set m5(a) {
            let b = this.kx;
            this.kx = a;
            if (b != this.kx) {
                this.jo("ActualHoverBackgroundColor", b, a);
            }
        }
        get at() {
            return this.am;
        }
        set at(a) {
            let b = this.am;
            this.am = a;
            if (b != this.am) {
                this.jo("ActualBorderWidth", b, a);
            }
        }
        get tm() {
            return this.mk;
        }
        set tm(a) {
            let b = this.mk;
            this.mk = a;
            if (b != this.mk) {
                this.jo("RaisedBackgroundColor", b, a);
            }
        }
        get to() {
            return this.mm;
        }
        set to(a) {
            let b = this.mm;
            this.mm = a;
            if (b != this.mm) {
                this.jo("RaisedDisabledBackgroundColor", b, a);
            }
        }
        get tp() {
            return this.mn;
        }
        set tp(a) {
            let b = this.mn;
            this.mn = a;
            if (b != this.mn) {
                this.jo("RaisedDisabledBorderColor", b, a);
            }
        }
        get tq() {
            return this.mo;
        }
        set tq(a) {
            let b = this.mo;
            this.mo = a;
            if (b != this.mo) {
                this.jo("RaisedDisabledTextColor", b, a);
            }
        }
        get ek() {
            return this.b2;
        }
        set ek(a) {
            let b = this.b2;
            this.b2 = a;
            if (b != this.b2) {
                this.jo("RaisedDisabledElevation", b, a);
            }
        }
        get tt() {
            return this.mr;
        }
        set tt(a) {
            let b = this.mr;
            this.mr = a;
            if (b != this.mr) {
                this.jo("RaisedHoverBackgroundColor", b, a);
            }
        }
        get tn() {
            return this.ml;
        }
        set tn(a) {
            let b = this.ml;
            this.ml = a;
            if (b != this.ml) {
                this.jo("RaisedBorderColor", b, a);
            }
        }
        get en() {
            return this.b5;
        }
        set en(a) {
            let b = this.b5;
            this.b5 = a;
            if (b != this.b5) {
                this.jo("RaisedRestingElevation", b, a);
            }
        }
        get em() {
            return this.b4;
        }
        set em(a) {
            let b = this.b4;
            this.b4 = a;
            if (b != this.b4) {
                this.jo("RaisedHoverElevation", b, a);
            }
        }
        get el() {
            return this.b3;
        }
        set el(a) {
            let b = this.b3;
            this.b3 = a;
            if (b != this.b3) {
                this.jo("RaisedFocusElevation", b, a);
            }
        }
        get be() {
            return this.as;
        }
        set be(a) {
            let b = this.as;
            this.as = a;
            if (b != this.as) {
                this.jo("RaisedBorderWidth", b, a);
            }
        }
        get ko() {
            return this.j1;
        }
        set ko(a) {
            let b = this.j1;
            this.j1 = a;
            {
                this.jo("RaisedCornerRadius", b, a);
            }
        }
        get tv() {
            return this.mt;
        }
        set tv(a) {
            let b = this.mt;
            this.mt = a;
            if (b != this.mt) {
                this.jo("RaisedRippleColor", b, a);
            }
        }
        get sl() {
            return this.li;
        }
        set sl(a) {
            let b = this.li;
            this.li = a;
            if (b != this.li) {
                this.jo("FlatBackgroundColor", b, a);
            }
        }
        get sn() {
            return this.lk;
        }
        set sn(a) {
            let b = this.lk;
            this.lk = a;
            if (b != this.lk) {
                this.jo("FlatDisabledBackgroundColor", b, a);
            }
        }
        get so() {
            return this.ll;
        }
        set so(a) {
            let b = this.ll;
            this.ll = a;
            if (b != this.ll) {
                this.jo("FlatDisabledBorderColor", b, a);
            }
        }
        get sp() {
            return this.lm;
        }
        set sp(a) {
            let b = this.lm;
            this.lm = a;
            if (b != this.lm) {
                this.jo("FlatDisabledTextColor", b, a);
            }
        }
        get d6() {
            return this.bo;
        }
        set d6(a) {
            let b = this.bo;
            this.bo = a;
            if (b != this.bo) {
                this.jo("FlatDisabledElevation", b, a);
            }
        }
        get ss() {
            return this.lp;
        }
        set ss(a) {
            let b = this.lp;
            this.lp = a;
            if (b != this.lp) {
                this.jo("FlatHoverBackgroundColor", b, a);
            }
        }
        get sm() {
            return this.lj;
        }
        set sm(a) {
            let b = this.lj;
            this.lj = a;
            if (b != this.lj) {
                this.jo("FlatBorderColor", b, a);
            }
        }
        get d9() {
            return this.br;
        }
        set d9(a) {
            let b = this.br;
            this.br = a;
            if (b != this.br) {
                this.jo("FlatRestingElevation", b, a);
            }
        }
        get d8() {
            return this.bq;
        }
        set d8(a) {
            let b = this.bq;
            this.bq = a;
            if (b != this.bq) {
                this.jo("FlatHoverElevation", b, a);
            }
        }
        get d7() {
            return this.bp;
        }
        set d7(a) {
            let b = this.bp;
            this.bp = a;
            if (b != this.bp) {
                this.jo("FlatFocusElevation", b, a);
            }
        }
        get su() {
            return this.lr;
        }
        set su(a) {
            let b = this.lr;
            this.lr = a;
            if (b != this.lr) {
                this.jo("FlatRippleColor", b, a);
            }
        }
        get sv() {
            return this.ls;
        }
        set sv(a) {
            let b = this.ls;
            this.ls = a;
            if (b != this.ls) {
                this.jo("FlatTextColor", b, a);
            }
        }
        get st() {
            return this.lq;
        }
        set st(a) {
            let b = this.lq;
            this.lq = a;
            if (b != this.lq) {
                this.jo("FlatHoverTextColor", b, a);
            }
        }
        get sq() {
            return this.ln;
        }
        set sq(a) {
            let b = this.ln;
            this.ln = a;
            if (b != this.ln) {
                this.jo("FlatFocusBackgroundColor", b, a);
            }
        }
        get sr() {
            return this.lo;
        }
        set sr(a) {
            let b = this.lo;
            this.lo = a;
            if (b != this.lo) {
                this.jo("FlatFocusTextColor", b, a);
            }
        }
        get bb() {
            return this.ap;
        }
        set bb(a) {
            let b = this.ap;
            this.ap = a;
            if (b != this.ap) {
                this.jo("FlatBorderWidth", b, a);
            }
        }
        get kl() {
            return this.jy;
        }
        set kl(a) {
            let b = this.jy;
            this.jy = a;
            {
                this.jo("FlatCornerRadius", b, a);
            }
        }
        get nb() {
            return this.k3;
        }
        set nb(a) {
            let b = this.k3;
            this.k3 = a;
            if (b != this.k3) {
                this.jo("BackgroundColor", b, a);
            }
        }
        get r7() {
            return this.k5;
        }
        set r7(a) {
            let b = this.k5;
            this.k5 = a;
            if (b != this.k5) {
                this.jo("DisabledBackgroundColor", b, a);
            }
        }
        get r8() {
            return this.k6;
        }
        set r8(a) {
            let b = this.k6;
            this.k6 = a;
            if (b != this.k6) {
                this.jo("DisabledBorderColor", b, a);
            }
        }
        get r9() {
            return this.k7;
        }
        set r9(a) {
            let b = this.k7;
            this.k7 = a;
            if (b != this.k7) {
                this.jo("DisabledTextColor", b, a);
            }
        }
        get d1() {
            return this.bj;
        }
        set d1(a) {
            let b = this.bj;
            this.bj = a;
            if (b != this.bj) {
                this.jo("DisabledElevation", b, a);
            }
        }
        get o() {
            return this.j;
        }
        set o(a) {
            let b = this.j;
            this.j = a;
            if (b != this.j) {
                this.jo("ElevationMode", enumGetBox(ElevationMode_$type, b), enumGetBox(ElevationMode_$type, a));
            }
        }
        get sy() {
            return this.lv;
        }
        set sy(a) {
            let b = this.lv;
            this.lv = a;
            if (b != this.lv) {
                this.jo("HoverBackgroundColor", b, a);
            }
        }
        get nc() {
            return this.k4;
        }
        set nc(a) {
            let b = this.k4;
            this.k4 = a;
            if (b != this.k4) {
                this.jo("BorderColor", b, a);
            }
        }
        get eo() {
            return this.b6;
        }
        set eo(a) {
            let b = this.b6;
            this.b6 = a;
            if (b != this.b6) {
                this.jo("RestingElevation", b, a);
            }
        }
        get eb() {
            return this.bt;
        }
        set eb(a) {
            let b = this.bt;
            this.bt = a;
            if (b != this.bt) {
                this.jo("HoverElevation", b, a);
            }
        }
        get ea() {
            return this.bs;
        }
        set ea(a) {
            let b = this.bs;
            this.bs = a;
            if (b != this.bs) {
                this.jo("FocusElevation", b, a);
            }
        }
        get u() {
            return this.t;
        }
        set u(a) {
            let b = this.t;
            this.t = a;
            if (b != this.t) {
                this.jo("TextStyle", b, a);
            }
        }
        get ty() {
            return this.mw;
        }
        set ty(a) {
            let b = this.mw;
            this.mw = a;
            if (b != this.mw) {
                this.jo("TextColor", b, a);
            }
        }
        get sz() {
            return this.lx;
        }
        set sz(a) {
            let b = this.lx;
            this.lx = a;
            if (b != this.lx) {
                this.jo("HoverTextColor", b, a);
            }
        }
        get tx() {
            return this.mv;
        }
        set tx(a) {
            let b = this.mv;
            this.mv = a;
            if (b != this.mv) {
                this.jo("RippleColor", b, a);
            }
        }
        get tw() {
            return this.mu;
        }
        set tw(a) {
            let b = this.mu;
            this.mu = a;
            if (b != this.mu) {
                this.jo("RaisedTextColor", b, a);
            }
        }
        get tu() {
            return this.ms;
        }
        set tu(a) {
            let b = this.ms;
            this.ms = a;
            if (b != this.ms) {
                this.jo("RaisedHoverTextColor", b, a);
            }
        }
        get tr() {
            return this.mp;
        }
        set tr(a) {
            let b = this.mp;
            this.mp = a;
            if (b != this.mp) {
                this.jo("RaisedFocusBackgroundColor", b, a);
            }
        }
        get ts() {
            return this.mq;
        }
        set ts(a) {
            let b = this.mq;
            this.mq = a;
            if (b != this.mq) {
                this.jo("RaisedFocusTextColor", b, a);
            }
        }
        get sw() {
            return this.lt;
        }
        set sw(a) {
            let b = this.lt;
            this.lt = a;
            if (b != this.lt) {
                this.jo("FocusBackgroundColor", b, a);
            }
        }
        get sx() {
            return this.lu;
        }
        set sx(a) {
            let b = this.lu;
            this.lu = a;
            if (b != this.lu) {
                this.jo("FocusTextColor", b, a);
            }
        }
        get au() {
            return this.an;
        }
        set au(a) {
            let b = this.an;
            this.an = a;
            if (b != this.an) {
                this.jo("BorderWidth", b, a);
            }
        }
        get j4() {
            return this.jw;
        }
        set j4(a) {
            let b = this.jw;
            this.jw = a;
            {
                this.jo("CornerRadius", b, a);
            }
        }
        get tb() {
            return this.l9;
        }
        set tb(a) {
            let b = this.l9;
            this.l9 = a;
            if (b != this.l9) {
                this.jo("OutlinedBackgroundColor", b, a);
            }
        }
        get td() {
            return this.mb;
        }
        set td(a) {
            let b = this.mb;
            this.mb = a;
            if (b != this.mb) {
                this.jo("OutlinedDisabledBackgroundColor", b, a);
            }
        }
        get te() {
            return this.mc;
        }
        set te(a) {
            let b = this.mc;
            this.mc = a;
            if (b != this.mc) {
                this.jo("OutlinedDisabledBorderColor", b, a);
            }
        }
        get tf() {
            return this.md;
        }
        set tf(a) {
            let b = this.md;
            this.md = a;
            if (b != this.md) {
                this.jo("OutlinedDisabledTextColor", b, a);
            }
        }
        get eg() {
            return this.by;
        }
        set eg(a) {
            let b = this.by;
            this.by = a;
            if (b != this.by) {
                this.jo("OutlinedDisabledElevation", b, a);
            }
        }
        get ti() {
            return this.mg;
        }
        set ti(a) {
            let b = this.mg;
            this.mg = a;
            if (b != this.mg) {
                this.jo("OutlinedHoverBackgroundColor", b, a);
            }
        }
        get tc() {
            return this.ma;
        }
        set tc(a) {
            let b = this.ma;
            this.ma = a;
            if (b != this.ma) {
                this.jo("OutlinedBorderColor", b, a);
            }
        }
        get ej() {
            return this.b1;
        }
        set ej(a) {
            let b = this.b1;
            this.b1 = a;
            if (b != this.b1) {
                this.jo("OutlinedRestingElevation", b, a);
            }
        }
        get ei() {
            return this.b0;
        }
        set ei(a) {
            let b = this.b0;
            this.b0 = a;
            if (b != this.b0) {
                this.jo("OutlinedHoverElevation", b, a);
            }
        }
        get eh() {
            return this.bz;
        }
        set eh(a) {
            let b = this.bz;
            this.bz = a;
            if (b != this.bz) {
                this.jo("OutlinedFocusElevation", b, a);
            }
        }
        get bd() {
            return this.ar;
        }
        set bd(a) {
            let b = this.ar;
            this.ar = a;
            if (b != this.ar) {
                this.jo("OutlinedBorderWidth", b, a);
            }
        }
        get kn() {
            return this.j0;
        }
        set kn(a) {
            let b = this.j0;
            this.j0 = a;
            {
                this.jo("OutlinedCornerRadius", b, a);
            }
        }
        get tk() {
            return this.mi;
        }
        set tk(a) {
            let b = this.mi;
            this.mi = a;
            if (b != this.mi) {
                this.jo("OutlinedRippleColor", b, a);
            }
        }
        get tl() {
            return this.mj;
        }
        set tl(a) {
            let b = this.mj;
            this.mj = a;
            if (b != this.mj) {
                this.jo("OutlinedTextColor", b, a);
            }
        }
        get tj() {
            return this.mh;
        }
        set tj(a) {
            let b = this.mh;
            this.mh = a;
            if (b != this.mh) {
                this.jo("OutlinedHoverTextColor", b, a);
            }
        }
        get tg() {
            return this.me;
        }
        set tg(a) {
            let b = this.me;
            this.me = a;
            if (b != this.me) {
                this.jo("OutlinedFocusBackgroundColor", b, a);
            }
        }
        get th() {
            return this.mf;
        }
        set th(a) {
            let b = this.mf;
            this.mf = a;
            if (b != this.mf) {
                this.jo("OutlinedFocusTextColor", b, a);
            }
        }
        get sa() {
            return this.k8;
        }
        set sa(a) {
            let b = this.k8;
            this.k8 = a;
            if (b != this.k8) {
                this.jo("FabBackgroundColor", b, a);
            }
        }
        get sc() {
            return this.la;
        }
        set sc(a) {
            let b = this.la;
            this.la = a;
            if (b != this.la) {
                this.jo("FabDisabledBackgroundColor", b, a);
            }
        }
        get sd() {
            return this.lb;
        }
        set sd(a) {
            let b = this.lb;
            this.lb = a;
            if (b != this.lb) {
                this.jo("FabDisabledBorderColor", b, a);
            }
        }
        get se() {
            return this.lc;
        }
        set se(a) {
            let b = this.lc;
            this.lc = a;
            if (b != this.lc) {
                this.jo("FabDisabledTextColor", b, a);
            }
        }
        get d2() {
            return this.bk;
        }
        set d2(a) {
            let b = this.bk;
            this.bk = a;
            if (b != this.bk) {
                this.jo("FabDisabledElevation", b, a);
            }
        }
        get sh() {
            return this.lw;
        }
        set sh(a) {
            let b = this.lw;
            this.lw = a;
            if (b != this.lw) {
                this.jo("FabHoverBackgroundColor", b, a);
            }
        }
        get sb() {
            return this.k9;
        }
        set sb(a) {
            let b = this.k9;
            this.k9 = a;
            if (b != this.k9) {
                this.jo("FabBorderColor", b, a);
            }
        }
        get d5() {
            return this.bn;
        }
        set d5(a) {
            let b = this.bn;
            this.bn = a;
            if (b != this.bn) {
                this.jo("FabRestingElevation", b, a);
            }
        }
        get d4() {
            return this.bm;
        }
        set d4(a) {
            let b = this.bm;
            this.bm = a;
            if (b != this.bm) {
                this.jo("FabHoverElevation", b, a);
            }
        }
        get d3() {
            return this.bl;
        }
        set d3(a) {
            let b = this.bl;
            this.bl = a;
            if (b != this.bl) {
                this.jo("FabFocusElevation", b, a);
            }
        }
        get ba() {
            return this.ao;
        }
        set ba(a) {
            let b = this.ao;
            this.ao = a;
            if (b != this.ao) {
                this.jo("FabBorderWidth", b, a);
            }
        }
        get kk() {
            return this.jx;
        }
        set kk(a) {
            let b = this.jx;
            this.jx = a;
            {
                this.jo("FabCornerRadius", b, a);
            }
        }
        get sj() {
            return this.lg;
        }
        set sj(a) {
            let b = this.lg;
            this.lg = a;
            if (b != this.lg) {
                this.jo("FabRippleColor", b, a);
            }
        }
        get sk() {
            return this.lh;
        }
        set sk(a) {
            let b = this.lh;
            this.lh = a;
            if (b != this.lh) {
                this.jo("FabTextColor", b, a);
            }
        }
        get si() {
            return this.lf;
        }
        set si(a) {
            let b = this.lf;
            this.lf = a;
            if (b != this.lf) {
                this.jo("FabHoverTextColor", b, a);
            }
        }
        get sf() {
            return this.ld;
        }
        set sf(a) {
            let b = this.ld;
            this.ld = a;
            if (b != this.ld) {
                this.jo("FabFocusBackgroundColor", b, a);
            }
        }
        get sg() {
            return this.le;
        }
        set sg(a) {
            let b = this.le;
            this.le = a;
            if (b != this.le) {
                this.jo("FabFocusTextColor", b, a);
            }
        }
        get s0() {
            return this.ly;
        }
        set s0(a) {
            let b = this.ly;
            this.ly = a;
            if (b != this.ly) {
                this.jo("IconBackgroundColor", b, a);
            }
        }
        get s2() {
            return this.l0;
        }
        set s2(a) {
            let b = this.l0;
            this.l0 = a;
            if (b != this.l0) {
                this.jo("IconDisabledBackgroundColor", b, a);
            }
        }
        get s3() {
            return this.l1;
        }
        set s3(a) {
            let b = this.l1;
            this.l1 = a;
            if (b != this.l1) {
                this.jo("IconDisabledBorderColor", b, a);
            }
        }
        get s4() {
            return this.l2;
        }
        set s4(a) {
            let b = this.l2;
            this.l2 = a;
            if (b != this.l2) {
                this.jo("IconDisabledTextColor", b, a);
            }
        }
        get ec() {
            return this.bu;
        }
        set ec(a) {
            let b = this.bu;
            this.bu = a;
            if (b != this.bu) {
                this.jo("IconDisabledElevation", b, a);
            }
        }
        get s7() {
            return this.l5;
        }
        set s7(a) {
            let b = this.l5;
            this.l5 = a;
            if (b != this.l5) {
                this.jo("IconHoverBackgroundColor", b, a);
            }
        }
        get s1() {
            return this.lz;
        }
        set s1(a) {
            let b = this.lz;
            this.lz = a;
            if (b != this.lz) {
                this.jo("IconBorderColor", b, a);
            }
        }
        get ef() {
            return this.bx;
        }
        set ef(a) {
            let b = this.bx;
            this.bx = a;
            if (b != this.bx) {
                this.jo("IconRestingElevation", b, a);
            }
        }
        get ee() {
            return this.bw;
        }
        set ee(a) {
            let b = this.bw;
            this.bw = a;
            if (b != this.bw) {
                this.jo("IconHoverElevation", b, a);
            }
        }
        get ed() {
            return this.bv;
        }
        set ed(a) {
            let b = this.bv;
            this.bv = a;
            if (b != this.bv) {
                this.jo("IconFocusElevation", b, a);
            }
        }
        get bc() {
            return this.aq;
        }
        set bc(a) {
            let b = this.aq;
            this.aq = a;
            if (b != this.aq) {
                this.jo("IconBorderWidth", b, a);
            }
        }
        get km() {
            return this.jz;
        }
        set km(a) {
            let b = this.jz;
            this.jz = a;
            {
                this.jo("IconCornerRadius", b, a);
            }
        }
        get s9() {
            return this.l7;
        }
        set s9(a) {
            let b = this.l7;
            this.l7 = a;
            if (b != this.l7) {
                this.jo("IconRippleColor", b, a);
            }
        }
        get ta() {
            return this.l8;
        }
        set ta(a) {
            let b = this.l8;
            this.l8 = a;
            if (b != this.l8) {
                this.jo("IconTextColor", b, a);
            }
        }
        get s8() {
            return this.l6;
        }
        set s8(a) {
            let b = this.l6;
            this.l6 = a;
            if (b != this.l6) {
                this.jo("IconHoverTextColor", b, a);
            }
        }
        get s5() {
            return this.l3;
        }
        set s5(a) {
            let b = this.l3;
            this.l3 = a;
            if (b != this.l3) {
                this.jo("IconFocusBackgroundColor", b, a);
            }
        }
        get s6() {
            return this.l4;
        }
        set s6(a) {
            let b = this.l4;
            this.l4 = a;
            if (b != this.l4) {
                this.jo("IconFocusTextColor", b, a);
            }
        }
        get h0() {
            return this.e0;
        }
        set h0(a) {
            let b = this.e0;
            this.e0 = a;
            if (b != this.e0) {
                this.jo("InputId", b, a);
            }
        }
        get hy() {
            return this.ez;
        }
        set hy(a) {
            let b = this.ez;
            this.ez = a;
            if (b != this.ez) {
                this.jo("Id", b, a);
            }
        }
        get f5() {
            return this.ew;
        }
        set f5(a) {
            let b = this.ew;
            this.ew = a;
            if (b != this.ew) {
                this.jo("Display", b, a);
            }
        }
        get g7() {
            return this.ex;
        }
        set g7(a) {
            let b = this.ex;
            this.ex = a;
            if (b != this.ex) {
                this.jo("FlexDirection", b, a);
            }
        }
        get g9() {
            return this.ey;
        }
        set g9(a) {
            let b = this.ey;
            this.ey = a;
            if (b != this.ey) {
                this.jo("FlexGrow", b, a);
            }
        }
        get fp() {
            return this.eu;
        }
        set fp(a) {
            let b = this.eu;
            this.eu = a;
            if (b != this.eu) {
                this.jo("AlignItems", b, a);
            }
        }
        get et() {
            return this.es;
        }
        set et(a) {
            let b = this.es;
            this.es = a;
            if (b != this.es) {
                this.jo("Value", b, a);
            }
        }
        get h6() {
            return this.e1;
        }
        set h6(a) {
            let b = this.e1;
            this.e1 = a;
            if (b != this.e1) {
                this.jo("Name", b, a);
            }
        }
        get ag() {
            return this.y;
        }
        get ep() {
            return this.b7;
        }
        set ep(a) {
            let b = this.b7;
            this.b7 = a;
            this.y = true;
            if (b != this.b7) {
                this.jo("TabIndex", b, a);
            }
        }
        get focused() {
            return this.aa;
        }
        set focused(a) {
            let b = this.aa;
            this.aa = a;
            if (b != this.aa) {
                this.jo("IsFocused", b, a);
            }
        }
        get aj() {
            return this.ab;
        }
        set aj(a) {
            let b = this.ab;
            this.ab = a;
            if (b != this.ab) {
                this.jo("IsFocusStyleEnabled", b, a);
            }
        }
        get fr() {
            return this.ev;
        }
        set fr(a) {
            let b = this.ev;
            this.ev = a;
            if (b != this.ev) {
                this.jo("AriaLabel", b, a);
            }
        }
        get ae() {
            return this.w;
        }
        set ae(a) {
            let b = this.w;
            this.w = a;
            if (b != this.w) {
                this.jo("DisableRipple", b, a);
            }
        }
        get ad() {
            return this.v;
        }
        set ad(a) {
            let b = this.v;
            this.v = a;
            if (b != this.v) {
                this.jo("ActualDisableRipple", b, a);
            }
        }
        get ak() {
            return this.ac;
        }
        set ak(a) {
            let b = this.ac;
            this.ac = a;
            if (b != this.ac) {
                this.jo("IsHover", b, a);
            }
        }
        get disabled() {
            return this.z;
        }
        set disabled(a) {
            let b = this.z;
            this.z = a;
            if (b != this.z) {
                this.jo("IsDisabled", b, a);
            }
        }
        get af() {
            return this.x;
        }
        set af(a) {
            let b = this.x;
            this.x = a;
            if (b != this.x) {
                this.jo("DisableTransitions", b, a);
            }
        }
        jp() {
            this.jg();
            this.view.al(this.m8, BrushUtil.g(0, 0, 0, 0));
            this.js();
        }
        get a() {
            let a = new AnimationKeyFrameEffectTiming();
            a.g = 300;
            a.b = 0;
            return a;
        }
        jg() {
            this.view.x();
        }
        onDetachedFromUI() {
            this.view.ab();
        }
        onAttachedToUI() {
            this.view.z();
        }
        appendButtonContent(a) {
            this.view.w(a);
        }
        al() {
            return this.view.f();
        }
        provideContainer(a) {
            this.view.aa(a);
        }
    }
    Button.$t = /*@__PURE__*/ markType(Button, 'Button', Base.$, [INotifyPropertyChanged_$type]);
    Button.ri = /*@__PURE__*/ BrushUtil.g(66, 0, 0, 0);
    Button.q6 = /*@__PURE__*/ BrushUtil.g(30, 0, 0, 0);
    Button.px = /*@__PURE__*/ BrushUtil.g(20, 0, 0, 0);
    Button.n = 1;
    Button.q9 = /*@__PURE__*/ BrushUtil.g(10, 0, 0, 0);
    Button.ra = /*@__PURE__*/ BrushUtil.g(10, 0, 0, 0);
    Button.rb = /*@__PURE__*/ BrushUtil.g(66, 0, 0, 0);
    Button.dp = 0;
    Button.ds = 2;
    Button.dr = 4;
    Button.dq = 8;
    Button.q8 = /*@__PURE__*/ BrushUtil.g(138, 0, 0, 0);
    Button.rg = /*@__PURE__*/ BrushUtil.g(255, 255, 255, 255);
    Button.kh = /*@__PURE__*/ new CornerRadius(0, 4);
    Button.a7 = NaN;
    Button.q7 = /*@__PURE__*/ BrushUtil.g(255, 228, 28, 119);
    Button.rh = /*@__PURE__*/ BrushUtil.g(255, 0, 0, 0);
    Button.rf = /*@__PURE__*/ BrushUtil.g(255, 0, 0, 0);
    Button.re = /*@__PURE__*/ BrushUtil.g(255, 220, 83, 145);
    Button.rc = /*@__PURE__*/ BrushUtil.g(255, 220, 83, 145);
    Button.rd = /*@__PURE__*/ BrushUtil.g(255, 0, 0, 0);
    Button.qb = /*@__PURE__*/ BrushUtil.g(0, 0, 0, 0);
    Button.qc = /*@__PURE__*/ BrushUtil.g(0, 0, 0, 0);
    Button.qd = /*@__PURE__*/ BrushUtil.g(66, 0, 0, 0);
    Button.dc = 0;
    Button.df = 0;
    Button.de = 0;
    Button.dd = 0;
    Button.qa = /*@__PURE__*/ BrushUtil.g(138, 0, 0, 0);
    Button.qi = null;
    Button.ke = /*@__PURE__*/ new CornerRadius(0, 4);
    Button.a4 = NaN;
    Button.p9 = /*@__PURE__*/ BrushUtil.g(0, 0, 0, 0);
    Button.qj = /*@__PURE__*/ BrushUtil.g(255, 228, 28, 119);
    Button.qh = /*@__PURE__*/ BrushUtil.g(255, 228, 28, 119);
    Button.qg = /*@__PURE__*/ BrushUtil.g(13, 228, 28, 119);
    Button.qe = /*@__PURE__*/ BrushUtil.g(30, 228, 28, 119);
    Button.qf = /*@__PURE__*/ BrushUtil.g(255, 228, 28, 119);
    Button.qx = /*@__PURE__*/ BrushUtil.g(0, 0, 0, 0);
    Button.qy = /*@__PURE__*/ BrushUtil.g(30, 0, 0, 0);
    Button.qz = /*@__PURE__*/ BrushUtil.g(66, 0, 0, 0);
    Button.dk = 0;
    Button.dn = 0;
    Button.dm = 0;
    Button.dl = 0;
    Button.qw = /*@__PURE__*/ BrushUtil.g(30, 0, 0, 0);
    Button.q4 = /*@__PURE__*/ BrushUtil.g(0, 0, 0, 0);
    Button.kg = /*@__PURE__*/ new CornerRadius(0, 4);
    Button.a6 = 1;
    Button.qv = /*@__PURE__*/ BrushUtil.g(0, 0, 0, 0);
    Button.q5 = /*@__PURE__*/ BrushUtil.g(255, 228, 28, 119);
    Button.q3 = /*@__PURE__*/ BrushUtil.g(255, 228, 28, 119);
    Button.q2 = /*@__PURE__*/ BrushUtil.g(13, 228, 28, 119);
    Button.q0 = /*@__PURE__*/ BrushUtil.g(30, 228, 28, 119);
    Button.q1 = /*@__PURE__*/ BrushUtil.g(255, 228, 28, 119);
    Button.qm = /*@__PURE__*/ BrushUtil.g(0, 0, 0, 0);
    Button.qn = /*@__PURE__*/ BrushUtil.g(0, 0, 0, 0);
    Button.qo = /*@__PURE__*/ BrushUtil.g(66, 0, 0, 0);
    Button.dg = 0;
    Button.dj = 0;
    Button.di = 0;
    Button.dh = 0;
    Button.ql = /*@__PURE__*/ BrushUtil.g(138, 0, 0, 0);
    Button.qt = null;
    Button.kf = /*@__PURE__*/ new CornerRadius(0, 28);
    Button.a5 = NaN;
    Button.qk = /*@__PURE__*/ BrushUtil.g(0, 0, 0, 0);
    Button.qu = /*@__PURE__*/ BrushUtil.g(255, 0, 0, 0);
    Button.qs = /*@__PURE__*/ BrushUtil.g(255, 0, 0, 0);
    Button.qr = /*@__PURE__*/ BrushUtil.g(30, 0, 0, 0);
    Button.qp = /*@__PURE__*/ BrushUtil.g(66, 0, 0, 0);
    Button.qq = /*@__PURE__*/ BrushUtil.g(255, 0, 0, 0);
    Button.p0 = /*@__PURE__*/ BrushUtil.g(10, 0, 0, 0);
    Button.p1 = /*@__PURE__*/ BrushUtil.g(10, 0, 0, 0);
    Button.p2 = /*@__PURE__*/ BrushUtil.g(66, 0, 0, 0);
    Button.c8 = 0;
    Button.db = 6;
    Button.da = 12;
    Button.c9 = 12;
    Button.pz = /*@__PURE__*/ BrushUtil.g(138, 0, 0, 0);
    Button.p7 = /*@__PURE__*/ BrushUtil.g(255, 255, 255, 255);
    Button.kd = /*@__PURE__*/ new CornerRadius(0, 28);
    Button.a3 = NaN;
    Button.py = /*@__PURE__*/ BrushUtil.g(255, 228, 28, 119);
    Button.p8 = /*@__PURE__*/ BrushUtil.g(255, 0, 0, 0);
    Button.p6 = /*@__PURE__*/ BrushUtil.g(255, 0, 0, 0);
    Button.p5 = /*@__PURE__*/ BrushUtil.g(255, 220, 83, 145);
    Button.p3 = /*@__PURE__*/ BrushUtil.g(255, 220, 83, 145);
    Button.p4 = /*@__PURE__*/ BrushUtil.g(255, 0, 0, 0);
    Button.oz = /*@__PURE__*/ BrushUtil.g(100, 33, 150, 243);
    Button.on = /*@__PURE__*/ BrushUtil.g(70, 33, 150, 243);
    Button.ne = /*@__PURE__*/ BrushUtil.g(40, 33, 150, 243);
    Button.l = 2;
    Button.oq = /*@__PURE__*/ BrushUtil.g(10, 0, 0, 0);
    Button.or = /*@__PURE__*/ BrushUtil.g(10, 0, 0, 0);
    Button.os = /*@__PURE__*/ BrushUtil.g(66, 0, 0, 0);
    Button.cs = 0;
    Button.cv = 0;
    Button.cu = 0;
    Button.ct = 2;
    Button.op = /*@__PURE__*/ BrushUtil.g(138, 0, 0, 0);
    Button.ox = /*@__PURE__*/ BrushUtil.g(255, 255, 255, 255);
    Button.j9 = /*@__PURE__*/ new CornerRadius(0, 3);
    Button.az = NaN;
    Button.oo = /*@__PURE__*/ BrushUtil.g(255, 33, 150, 243);
    Button.oy = /*@__PURE__*/ BrushUtil.g(255, 255, 255, 255);
    Button.ow = /*@__PURE__*/ BrushUtil.g(255, 255, 255, 255);
    Button.ov = /*@__PURE__*/ BrushUtil.g(255, 27, 135, 220);
    Button.ot = /*@__PURE__*/ BrushUtil.g(255, 21, 112, 184);
    Button.ou = /*@__PURE__*/ BrushUtil.g(255, 255, 255, 255);
    Button.ns = /*@__PURE__*/ BrushUtil.g(0, 0, 0, 0);
    Button.nt = /*@__PURE__*/ BrushUtil.g(0, 0, 0, 0);
    Button.nu = /*@__PURE__*/ BrushUtil.g(66, 0, 0, 0);
    Button.cg = 0;
    Button.cj = 0;
    Button.ci = 0;
    Button.ch = 2;
    Button.nr = /*@__PURE__*/ BrushUtil.g(138, 0, 0, 0);
    Button.nz = /*@__PURE__*/ BrushUtil.g(100, 33, 150, 243);
    Button.j6 = /*@__PURE__*/ new CornerRadius(0, 3);
    Button.aw = NaN;
    Button.nq = /*@__PURE__*/ BrushUtil.g(0, 0, 0, 0);
    Button.n0 = /*@__PURE__*/ BrushUtil.g(255, 119, 119, 119);
    Button.ny = /*@__PURE__*/ BrushUtil.g(255, 119, 119, 119);
    Button.nx = /*@__PURE__*/ BrushUtil.g(26, 33, 150, 243);
    Button.nv = /*@__PURE__*/ BrushUtil.g(0, 0, 0, 0);
    Button.nw = /*@__PURE__*/ BrushUtil.g(255, 33, 150, 243);
    Button.oe = /*@__PURE__*/ BrushUtil.g(0, 0, 0, 0);
    Button.of = /*@__PURE__*/ BrushUtil.g(30, 0, 0, 0);
    Button.og = /*@__PURE__*/ BrushUtil.g(66, 0, 0, 0);
    Button.co = 0;
    Button.cr = 0;
    Button.cq = 0;
    Button.cp = 2;
    Button.od = /*@__PURE__*/ BrushUtil.g(255, 33, 150, 243);
    Button.ol = /*@__PURE__*/ BrushUtil.g(0, 0, 0, 0);
    Button.j8 = /*@__PURE__*/ new CornerRadius(0, 3);
    Button.ay = 1;
    Button.oc = /*@__PURE__*/ BrushUtil.g(0, 0, 0, 0);
    Button.om = /*@__PURE__*/ BrushUtil.g(255, 33, 150, 243);
    Button.ok = /*@__PURE__*/ BrushUtil.g(255, 33, 150, 243);
    Button.oj = /*@__PURE__*/ BrushUtil.g(26, 33, 150, 243);
    Button.oh = /*@__PURE__*/ BrushUtil.g(255, 33, 150, 243);
    Button.oi = /*@__PURE__*/ BrushUtil.g(255, 255, 255, 255);
    Button.n3 = /*@__PURE__*/ BrushUtil.g(0, 0, 0, 0);
    Button.n4 = /*@__PURE__*/ BrushUtil.g(0, 0, 0, 0);
    Button.n5 = /*@__PURE__*/ BrushUtil.g(66, 0, 0, 0);
    Button.ck = 0;
    Button.cn = 0;
    Button.cm = 0;
    Button.cl = 2;
    Button.n2 = /*@__PURE__*/ BrushUtil.g(138, 0, 0, 0);
    Button.oa = null;
    Button.j7 = /*@__PURE__*/ new CornerRadius(0, 28);
    Button.ax = NaN;
    Button.n1 = /*@__PURE__*/ BrushUtil.g(0, 0, 0, 0);
    Button.ob = /*@__PURE__*/ BrushUtil.g(255, 119, 119, 119);
    Button.n9 = /*@__PURE__*/ BrushUtil.g(255, 119, 119, 119);
    Button.n8 = /*@__PURE__*/ BrushUtil.g(30, 0, 0, 0);
    Button.n6 = /*@__PURE__*/ BrushUtil.g(66, 0, 0, 0);
    Button.n7 = /*@__PURE__*/ BrushUtil.g(255, 33, 150, 243);
    Button.nh = /*@__PURE__*/ BrushUtil.g(10, 0, 0, 0);
    Button.ni = /*@__PURE__*/ BrushUtil.g(10, 0, 0, 0);
    Button.nj = /*@__PURE__*/ BrushUtil.g(66, 0, 0, 0);
    Button.cc = 0;
    Button.cf = 0;
    Button.ce = 0;
    Button.cd = 2;
    Button.ng = /*@__PURE__*/ BrushUtil.g(138, 0, 0, 0);
    Button.no = /*@__PURE__*/ BrushUtil.g(255, 255, 255, 255);
    Button.j5 = /*@__PURE__*/ new CornerRadius(0, 28);
    Button.av = NaN;
    Button.nf = /*@__PURE__*/ BrushUtil.g(255, 33, 150, 243);
    Button.np = /*@__PURE__*/ BrushUtil.g(255, 255, 255, 255);
    Button.nn = /*@__PURE__*/ BrushUtil.g(255, 255, 255, 255);
    Button.nm = /*@__PURE__*/ BrushUtil.g(255, 27, 135, 220);
    Button.nk = /*@__PURE__*/ BrushUtil.g(255, 21, 112, 184);
    Button.nl = /*@__PURE__*/ BrushUtil.g(255, 255, 255, 255);
    Button.c = 2;
    Button.er = 0;
    Button.eq = 0;
    return Button;
})();

/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/

class IgrButtonClickEventArgs {
    createImplementation() {
        return new ButtonClickEventArgs();
    }
    /**
     * @hidden
     */
    get i() {
        return this._implementation;
    }
    onImplementationCreated() {
    }
    constructor() {
        this._implementation = this.createImplementation();
        this._implementation.externalObject = this;
        this.onImplementationCreated();
    }
    _provideImplementation(i) {
        this._implementation = i;
        this._implementation.externalObject = this;
        this.onImplementationCreated();
    }
}

class IgrButton extends Component {
    constructor(props) {
        super(props);
        this._wrapper = null;
        this.__p = null;
        this._hasUserValues = new Set();
        this._stylingContainer = null;
        this._stylingParent = null;
        this._inStyling = false;
        this._clicked = null;
        this._clicked_wrapped = null;
        if (this._styling) {
            NamePatcher.ensureStylablePatched(Object.getPrototypeOf(this));
        }
        this._implementation = this.createImplementation();
        this._implementation.externalObject = this;
        this._getMainRef = this._getMainRef.bind(this);
        var container;
        if (document) {
            container = document.createElement("div");
        }
        var root;
        root = container;
        if (container != null) {
            root = container;
        }
        this.requestRender = this.requestRender.bind(this);
        this._portalManager = new PortalManager("buttonContent", this.requestRender);
        var ren = new ReactRenderer(root, document, true, {}, this._portalManager);
        this._wrapper = ren;
        this._container = this._wrapper.rootWrapper;
        this._container.setStyleProperty("display", "inline-block");
        var button = this.i;
        this._button = button;
        button.provideContainer(ren);
        if (props) {
            this.initializeProperties();
        }
    }
    _getMainRef(ref) {
        this._elRef = ref;
    }
    render() {
        let propChildren = this.props.children;
        let children = [];
        Children.forEach(propChildren, (ch) => {
            children.push(cloneElement(ch));
        });
        this._portalManager.onRender(children);
        let div = createElement("div", {
            className: "ig-button igr-button",
            ref: this._getMainRef,
            children: children
        });
        return div;
    }
    requestRender() {
        if (this._initialized) {
            this.setState({});
        }
    }
    _onDisplayChanged() {
        this._container.setStyleProperty("display", this.display);
    }
    _onFlexDirectionChanged() {
        this._container.setStyleProperty("flex-direction", this.flexDirection);
    }
    _onFlexGrowChanged() {
        this._container.setStyleProperty("flex-grow", this.flexGrow);
    }
    _onAlignItemsChanged() {
        this._container.setStyleProperty("align-items", this.alignItems);
    }
    //private _getLabelPortal(element: DomWrapper, portalCallback: (portal: DomPortal) => void): void {
    //    this._portalManager.getPortal(element, "TemplateContent", portalCallback);
    //}
    shouldComponentUpdate(nextProps, nextState) {
        const mod = getModifiedProps(this.props, nextProps);
        for (const p of Object.keys(mod)) {
            if (isValidProp(this, p)) {
                this[p] = mod[p];
            }
        }
        return true;
    }
    initializeProperties() {
        for (const p of Object.keys(this.props)) {
            if (isValidProp(this, p)) {
                this[p] = this.props[p];
            }
        }
    }
    // supports angular themes or custom properties set in CSS
    updateStyle() {
        this._styling(this._elRef, this);
    }
    componentWillUnmount() {
        this._button.destroy();
        this._wrapper.destroy();
    }
    componentDidMount() {
        this._elRef.appendChild(this._container.getNativeElement());
        this.initializeContent();
    }
    initializeContent() {
        this._styling(this._container.getNativeElement(), this);
        this.updateStyle();
    }
    createImplementation() {
        return new Button();
    }
    /**
     * @hidden
     */
    get i() {
        return this._implementation;
    } /**
                                 * @hidden
                                 */
    static _createFromInternal(internal) {
        if (!internal) {
            return null;
        }
        if (!internal.$type) {
            return null;
        }
        let name = internal.$type.name;
        let externalName = "Igr" + name;
        if (!TypeRegistrar.isRegistered(externalName)) {
            return null;
        }
        return TypeRegistrar.create(externalName);
    }
    /**
 * Gets or sets the display style to use for the button.
*/
    get displayType() {
        return this.i.r;
    }
    set displayType(v) {
        this.i.r = ensureEnum(ButtonDisplayStyle_$type, v);
    }
    /**
     * Gets or sets the display density to use for the button.
    */
    get density() {
        return this.i.h;
    }
    set density(v) {
        this.i.h = ensureEnum(ControlDisplayDensity_$type, v);
    }
    /**
     * Gets or sets the base built in theme to use for the button.
    */
    get baseTheme() {
        return this.i.d;
    }
    set baseTheme(v) {
        this.i.d = ensureEnum(BaseControlTheme_$type, v);
    }
    /**
     * Gets the actual display density to use for the label.
    */
    get actualDensity() {
        return this.i.g;
    }
    set actualDensity(v) {
        this.i.g = ensureEnum(ControlDisplayDensity_$type, v);
    }
    /**
     * Gets or sets the color to use for the check mark when the checkbox is checked.
    */
    get actualBorderColor() {
        return brushToString(this.i.mz);
    }
    set actualBorderColor(v) {
        this.i.mz = stringToBrush(v);
    }
    /**
     * Gets or sets the color to use for the check mark when the checkbox is checked.
    */
    get actualUmbraShadowColor() {
        return brushToString(this.i.na);
    }
    set actualUmbraShadowColor(v) {
        this.i.na = stringToBrush(v);
    }
    /**
     * Gets or sets the color to use for the check mark when the checkbox is checked.
    */
    get actualPenumbraShadowColor() {
        return brushToString(this.i.m7);
    }
    set actualPenumbraShadowColor(v) {
        this.i.m7 = stringToBrush(v);
    }
    /**
     * Gets or sets the color to use for the check mark when the checkbox is checked.
    */
    get actualAmbientShadowColor() {
        return brushToString(this.i.mx);
    }
    set actualAmbientShadowColor(v) {
        this.i.mx = stringToBrush(v);
    }
    /**
     * Gets or sets the color to use for the check mark when the checkbox is checked.
    */
    get actualRestingElevation() {
        return this.i.cb;
    }
    set actualRestingElevation(v) {
        this.i.cb = +v;
    }
    /**
     * Gets or sets the color to use for the check mark when the checkbox is checked.
    */
    get actualFocusElevation() {
        return this.i.b9;
    }
    set actualFocusElevation(v) {
        this.i.b9 = +v;
    }
    /**
     * Gets or sets the color to use for the check mark when the checkbox is checked.
    */
    get actualHoverElevation() {
        return this.i.ca;
    }
    set actualHoverElevation(v) {
        this.i.ca = +v;
    }
    /**
     * Gets or sets the color to use for the ripple when the button is pressed.
    */
    get actualRippleColor() {
        return brushToString(this.i.m8);
    }
    set actualRippleColor(v) {
        this.i.m8 = stringToBrush(v);
    }
    get actualCornerRadiusBottomRight() {
        return this.i.j2 ? this.i.j2.b : NaN;
    }
    set actualCornerRadiusBottomRight(v) {
        this.ensureActualCornerRadius();
        this.i.j2.b = +v;
        this.i.j2 = this.i.j2;
    }
    get actualCornerRadiusBottomLeft() {
        return this.i.j2 ? this.i.j2.a : NaN;
    }
    set actualCornerRadiusBottomLeft(v) {
        this.ensureActualCornerRadius();
        this.i.j2.a = +v;
        this.i.j2 = this.i.j2;
    }
    get actualCornerRadiusTopLeft() {
        return this.i.j2 ? this.i.j2.c : NaN;
    }
    set actualCornerRadiusTopLeft(v) {
        this.ensureActualCornerRadius();
        this.i.j2.c = +v;
        this.i.j2 = this.i.j2;
    }
    get actualCornerRadiusTopRight() {
        return this.i.j2 ? this.i.j2.d : NaN;
    }
    set actualCornerRadiusTopRight(v) {
        this.ensureActualCornerRadius();
        this.i.j2.d = +v;
        this.i.j2 = this.i.j2;
    }
    ensureActualCornerRadius() {
        if (this.i.j2) {
            return;
        }
        this.i.j2 = new CornerRadius(2);
    }
    /**
     * Gets the color to use for the actual background.
    */
    get actualBackgroundColor() {
        return brushToString(this.i.my);
    }
    set actualBackgroundColor(v) {
        this.i.my = stringToBrush(v);
    }
    /**
     * Gets the actual color to use for the disabled background of the button.
    */
    get actualDisabledBackgroundColor() {
        return brushToString(this.i.m0);
    }
    set actualDisabledBackgroundColor(v) {
        this.i.m0 = stringToBrush(v);
    }
    /**
     * Gets the actual color to use for the disabled border of the button.
    */
    get actualDisabledBorderColor() {
        return brushToString(this.i.m1);
    }
    set actualDisabledBorderColor(v) {
        this.i.m1 = stringToBrush(v);
    }
    /**
     * Gets the actual color to use for the disabled text of the button.
    */
    get actualDisabledTextColor() {
        return brushToString(this.i.m2);
    }
    set actualDisabledTextColor(v) {
        this.i.m2 = stringToBrush(v);
    }
    /**
     * Gets the actual disabled elevation to use for the button.
    */
    get actualDisabledElevation() {
        return this.i.b8;
    }
    set actualDisabledElevation(v) {
        this.i.b8 = +v;
    }
    /**
     * Gets the actual disabled elevation to use for the button.
    */
    get actualElevationMode() {
        return this.i.k;
    }
    set actualElevationMode(v) {
        this.i.k = ensureEnum(ElevationMode_$type, v);
    }
    /**
     * Gets the color to use for the actual background.
    */
    get actualTextColor() {
        return brushToString(this.i.m9);
    }
    set actualTextColor(v) {
        this.i.m9 = stringToBrush(v);
    }
    /**
     * Gets the color to use for the actual background.
    */
    get actualHoverTextColor() {
        return brushToString(this.i.m6);
    }
    set actualHoverTextColor(v) {
        this.i.m6 = stringToBrush(v);
    }
    /**
     * Gets the color to use for the actual background.
    */
    get actualFocusBackgroundColor() {
        return brushToString(this.i.m3);
    }
    set actualFocusBackgroundColor(v) {
        this.i.m3 = stringToBrush(v);
    }
    /**
     * Gets the actual color to use for the focused text.
    */
    get actualFocusTextColor() {
        return brushToString(this.i.m4);
    }
    set actualFocusTextColor(v) {
        this.i.m4 = stringToBrush(v);
    }
    /**
     * Gets the hover color to use for the actual background.
    */
    get actualHoverBackgroundColor() {
        return brushToString(this.i.m5);
    }
    set actualHoverBackgroundColor(v) {
        this.i.m5 = stringToBrush(v);
    }
    /**
     * Gets or sets the Width to use for the check mark when the checkbox is checked.
    */
    get actualBorderWidth() {
        return this.i.at;
    }
    set actualBorderWidth(v) {
        this.i.at = +v;
    }
    /**
     * Gets or sets the color to use for the background of the button when the  type is raised.
    */
    get raisedBackgroundColor() {
        return brushToString(this.i.tm);
    }
    set raisedBackgroundColor(v) {
        this.i.tm = stringToBrush(v);
    }
    /**
     * Gets or sets the color to use for the disabled background of the button when the type is raised.
    */
    get raisedDisabledBackgroundColor() {
        return brushToString(this.i.to);
    }
    set raisedDisabledBackgroundColor(v) {
        this.i.to = stringToBrush(v);
    }
    /**
     * Gets or sets the color to use for the disabled border of the button when the type is raised.
    */
    get raisedDisabledBorderColor() {
        return brushToString(this.i.tp);
    }
    set raisedDisabledBorderColor(v) {
        this.i.tp = stringToBrush(v);
    }
    /**
     * Gets or sets the color to use for the disabled text of the button when the type is raised.
    */
    get raisedDisabledTextColor() {
        return brushToString(this.i.tq);
    }
    set raisedDisabledTextColor(v) {
        this.i.tq = stringToBrush(v);
    }
    /**
     * Gets or sets the disabled elevation to use for the button when the type is raised.
    */
    get raisedDisabledElevation() {
        return this.i.ek;
    }
    set raisedDisabledElevation(v) {
        this.i.ek = +v;
    }
    /**
     * Gets or sets the hover color to use for the background of the button when the  type is raised.
    */
    get raisedHoverBackgroundColor() {
        return brushToString(this.i.tt);
    }
    set raisedHoverBackgroundColor(v) {
        this.i.tt = stringToBrush(v);
    }
    /**
     * Gets or sets the border color to use for the button when the type is raised.
    */
    get raisedBorderColor() {
        return brushToString(this.i.tn);
    }
    set raisedBorderColor(v) {
        this.i.tn = stringToBrush(v);
    }
    /**
     * Gets or sets the elevation to use for the button when the type is raised.
    */
    get raisedRestingElevation() {
        return this.i.en;
    }
    set raisedRestingElevation(v) {
        this.i.en = +v;
    }
    /**
     * Gets or sets the hover elevation to use for the button when the type is raised.
    */
    get raisedHoverElevation() {
        return this.i.em;
    }
    set raisedHoverElevation(v) {
        this.i.em = +v;
    }
    /**
     * Gets or sets the focus elevation to use for the button when the type is raised.
    */
    get raisedFocusElevation() {
        return this.i.el;
    }
    set raisedFocusElevation(v) {
        this.i.el = +v;
    }
    /**
     * Gets or sets the width to use for the button border when the type is raised.
    */
    get raisedBorderWidth() {
        return this.i.be;
    }
    set raisedBorderWidth(v) {
        this.i.be = +v;
    }
    get raisedCornerRadiusBottomRight() {
        return this.i.ko ? this.i.ko.b : NaN;
    }
    set raisedCornerRadiusBottomRight(v) {
        this.ensureRaisedCornerRadius();
        this.i.ko.b = +v;
        this.i.ko = this.i.ko;
    }
    get raisedCornerRadiusBottomLeft() {
        return this.i.ko ? this.i.ko.a : NaN;
    }
    set raisedCornerRadiusBottomLeft(v) {
        this.ensureRaisedCornerRadius();
        this.i.ko.a = +v;
        this.i.ko = this.i.ko;
    }
    get raisedCornerRadiusTopLeft() {
        return this.i.ko ? this.i.ko.c : NaN;
    }
    set raisedCornerRadiusTopLeft(v) {
        this.ensureRaisedCornerRadius();
        this.i.ko.c = +v;
        this.i.ko = this.i.ko;
    }
    get raisedCornerRadiusTopRight() {
        return this.i.ko ? this.i.ko.d : NaN;
    }
    set raisedCornerRadiusTopRight(v) {
        this.ensureRaisedCornerRadius();
        this.i.ko.d = +v;
        this.i.ko = this.i.ko;
    }
    ensureRaisedCornerRadius() {
        if (this.i.ko) {
            return;
        }
        this.i.ko = new CornerRadius(2);
    }
    /**
     * Gets or sets the color to use for the background when the button is pressed and the type is floating action button.
    */
    get raisedRippleColor() {
        return brushToString(this.i.tv);
    }
    set raisedRippleColor(v) {
        this.i.tv = stringToBrush(v);
    }
    /**
     * Gets or sets the color to use for the background of the button when the type is flat.
    */
    get flatBackgroundColor() {
        return brushToString(this.i.sl);
    }
    set flatBackgroundColor(v) {
        this.i.sl = stringToBrush(v);
    }
    /**
     * Gets or sets the color to use for the disabled background of the button when the type is flat.
    */
    get flatDisabledBackgroundColor() {
        return brushToString(this.i.sn);
    }
    set flatDisabledBackgroundColor(v) {
        this.i.sn = stringToBrush(v);
    }
    /**
     * Gets or sets the color to use for the disabled border of the button when the type is flat.
    */
    get flatDisabledBorderColor() {
        return brushToString(this.i.so);
    }
    set flatDisabledBorderColor(v) {
        this.i.so = stringToBrush(v);
    }
    /**
     * Gets or sets the color to use for the disabled text of the button when the type is flat.
    */
    get flatDisabledTextColor() {
        return brushToString(this.i.sp);
    }
    set flatDisabledTextColor(v) {
        this.i.sp = stringToBrush(v);
    }
    /**
     * Gets or sets the disabled elevation to use for the button when the type is flat.
    */
    get flatDisabledElevation() {
        return this.i.d6;
    }
    set flatDisabledElevation(v) {
        this.i.d6 = +v;
    }
    /**
     * Gets or sets the hover color to use for the background of the button when the type is flat.
    */
    get flatHoverBackgroundColor() {
        return brushToString(this.i.ss);
    }
    set flatHoverBackgroundColor(v) {
        this.i.ss = stringToBrush(v);
    }
    /**
     * Gets or sets the border color to use for the button when the type is flat.
    */
    get flatBorderColor() {
        return brushToString(this.i.sm);
    }
    set flatBorderColor(v) {
        this.i.sm = stringToBrush(v);
    }
    /**
     * Gets or sets the elevation to use for the button when the type is flat.
    */
    get flatRestingElevation() {
        return this.i.d9;
    }
    set flatRestingElevation(v) {
        this.i.d9 = +v;
    }
    /**
     * Gets or sets the hover elevation to use for the button when the type is flat.
    */
    get flatHoverElevation() {
        return this.i.d8;
    }
    set flatHoverElevation(v) {
        this.i.d8 = +v;
    }
    /**
     * Gets or sets the focus elevation to use for the button when the type is flat.
    */
    get flatFocusElevation() {
        return this.i.d7;
    }
    set flatFocusElevation(v) {
        this.i.d7 = +v;
    }
    /**
     * Gets or sets the color to use for the background when the button is pressed and the type is floating action button.
    */
    get flatRippleColor() {
        return brushToString(this.i.su);
    }
    set flatRippleColor(v) {
        this.i.su = stringToBrush(v);
    }
    /**
     * Gets or sets the color to use for the text of the button when type is flat.
    */
    get flatTextColor() {
        return brushToString(this.i.sv);
    }
    set flatTextColor(v) {
        this.i.sv = stringToBrush(v);
    }
    /**
     * Gets or sets the color to use for the hovered text of the button when type is flat.
    */
    get flatHoverTextColor() {
        return brushToString(this.i.st);
    }
    set flatHoverTextColor(v) {
        this.i.st = stringToBrush(v);
    }
    /**
     * Gets or sets the color to use for the backround the button when it is focused and flat.
    */
    get flatFocusBackgroundColor() {
        return brushToString(this.i.sq);
    }
    set flatFocusBackgroundColor(v) {
        this.i.sq = stringToBrush(v);
    }
    /**
     * Gets or sets the color to use for the text the button when it is focused and flat.
    */
    get flatFocusTextColor() {
        return brushToString(this.i.sr);
    }
    set flatFocusTextColor(v) {
        this.i.sr = stringToBrush(v);
    }
    /**
     * Gets or sets the width to use for the button border when the type is flat.
    */
    get flatBorderWidth() {
        return this.i.bb;
    }
    set flatBorderWidth(v) {
        this.i.bb = +v;
    }
    get flatCornerRadiusBottomRight() {
        return this.i.kl ? this.i.kl.b : NaN;
    }
    set flatCornerRadiusBottomRight(v) {
        this.ensureFlatCornerRadius();
        this.i.kl.b = +v;
        this.i.kl = this.i.kl;
    }
    get flatCornerRadiusBottomLeft() {
        return this.i.kl ? this.i.kl.a : NaN;
    }
    set flatCornerRadiusBottomLeft(v) {
        this.ensureFlatCornerRadius();
        this.i.kl.a = +v;
        this.i.kl = this.i.kl;
    }
    get flatCornerRadiusTopLeft() {
        return this.i.kl ? this.i.kl.c : NaN;
    }
    set flatCornerRadiusTopLeft(v) {
        this.ensureFlatCornerRadius();
        this.i.kl.c = +v;
        this.i.kl = this.i.kl;
    }
    get flatCornerRadiusTopRight() {
        return this.i.kl ? this.i.kl.d : NaN;
    }
    set flatCornerRadiusTopRight(v) {
        this.ensureFlatCornerRadius();
        this.i.kl.d = +v;
        this.i.kl = this.i.kl;
    }
    ensureFlatCornerRadius() {
        if (this.i.kl) {
            return;
        }
        this.i.kl = new CornerRadius(2);
    }
    /**
     * Gets or sets the color to use for the background when the button regardless of type.
    */
    get backgroundColor() {
        return brushToString(this.i.nb);
    }
    set backgroundColor(v) {
        this.i.nb = stringToBrush(v);
    }
    /**
     * Gets or sets the color to use for the disabled background of the button when the type is disabled.
    */
    get disabledBackgroundColor() {
        return brushToString(this.i.r7);
    }
    set disabledBackgroundColor(v) {
        this.i.r7 = stringToBrush(v);
    }
    /**
     * Gets or sets the color to use for the disabled border of the button when the type is raised.
    */
    get disabledBorderColor() {
        return brushToString(this.i.r8);
    }
    set disabledBorderColor(v) {
        this.i.r8 = stringToBrush(v);
    }
    /**
     * Gets or sets the color to use for the disabled text of the button when the type is raised.
    */
    get disabledTextColor() {
        return brushToString(this.i.r9);
    }
    set disabledTextColor(v) {
        this.i.r9 = stringToBrush(v);
    }
    /**
     * Gets or sets the disabled elevation to use for the button when the type is raised.
    */
    get disabledElevation() {
        return this.i.d1;
    }
    set disabledElevation(v) {
        this.i.d1 = +v;
    }
    /**
     * Gets or sets the disabled elevation to use for the button when the type is raised.
    */
    get elevationMode() {
        return this.i.o;
    }
    set elevationMode(v) {
        this.i.o = ensureEnum(ElevationMode_$type, v);
    }
    /**
     * Gets or sets the hover color to use for the background of the button when the  type is hovered.
    */
    get hoverBackgroundColor() {
        return brushToString(this.i.sy);
    }
    set hoverBackgroundColor(v) {
        this.i.sy = stringToBrush(v);
    }
    /**
     * Gets or sets the border color to use for the button regardless of type.
    */
    get borderColor() {
        return brushToString(this.i.nc);
    }
    set borderColor(v) {
        this.i.nc = stringToBrush(v);
    }
    /**
     * Gets or sets the elevation to use for the button regardless of type.
    */
    get restingElevation() {
        return this.i.eo;
    }
    set restingElevation(v) {
        this.i.eo = +v;
    }
    /**
     * Gets or sets the hover elevation to use for the button regardless of type.
    */
    get hoverElevation() {
        return this.i.eb;
    }
    set hoverElevation(v) {
        this.i.eb = +v;
    }
    /**
     * Gets or sets the focus elevation to use for the button regardless of type.
    */
    get focusElevation() {
        return this.i.ea;
    }
    set focusElevation(v) {
        this.i.ea = +v;
    }
    /**
     * Gets or sets the use for the button.
    */
    get textStyle() {
        if (this.i.u == null) {
            return null;
        }
        return this.i.u.fontString;
    }
    set textStyle(v) {
        let fi = new FontInfo();
        fi.fontString = v;
        this.i.u = fi;
    }
    /**
     * Gets or sets the color to use for the text of the button regardless of type.
    */
    get textColor() {
        return brushToString(this.i.ty);
    }
    set textColor(v) {
        this.i.ty = stringToBrush(v);
    }
    /**
     * Gets or sets the color to use for the hovered text of the button regardless of type.
    */
    get hoverTextColor() {
        return brushToString(this.i.sz);
    }
    set hoverTextColor(v) {
        this.i.sz = stringToBrush(v);
    }
    /**
     * Gets or sets the color to use for the background of the button regardless of type.
    */
    get rippleColor() {
        return brushToString(this.i.tx);
    }
    set rippleColor(v) {
        this.i.tx = stringToBrush(v);
    }
    /**
     * Gets or sets the color to use for the text of the button when type is raised.
    */
    get raisedTextColor() {
        return brushToString(this.i.tw);
    }
    set raisedTextColor(v) {
        this.i.tw = stringToBrush(v);
    }
    /**
     * Gets or sets the color to use for the hovered text of the button when type is raised.
    */
    get raisedHoverTextColor() {
        return brushToString(this.i.tu);
    }
    set raisedHoverTextColor(v) {
        this.i.tu = stringToBrush(v);
    }
    /**
     * Gets or sets the color to use for the backround the button when it is focused and raised.
    */
    get raisedFocusBackgroundColor() {
        return brushToString(this.i.tr);
    }
    set raisedFocusBackgroundColor(v) {
        this.i.tr = stringToBrush(v);
    }
    /**
     * Gets or sets the color to use for the text the button when it is focused and raised.
    */
    get raisedFocusTextColor() {
        return brushToString(this.i.ts);
    }
    set raisedFocusTextColor(v) {
        this.i.ts = stringToBrush(v);
    }
    /**
     * Gets or sets the color to use for the backround the button when it is focused.
    */
    get focusBackgroundColor() {
        return brushToString(this.i.sw);
    }
    set focusBackgroundColor(v) {
        this.i.sw = stringToBrush(v);
    }
    /**
     * Gets or sets the color to use for the text of the button when it is focused.
    */
    get focusTextColor() {
        return brushToString(this.i.sx);
    }
    set focusTextColor(v) {
        this.i.sx = stringToBrush(v);
    }
    /**
     * Gets or sets the width to use for the button border regardless of type.
    */
    get borderWidth() {
        return this.i.au;
    }
    set borderWidth(v) {
        this.i.au = +v;
    }
    get cornerRadiusBottomRight() {
        return this.i.j4 ? this.i.j4.b : NaN;
    }
    set cornerRadiusBottomRight(v) {
        this.ensureCornerRadius();
        this.i.j4.b = +v;
        this.i.j4 = this.i.j4;
    }
    get cornerRadiusBottomLeft() {
        return this.i.j4 ? this.i.j4.a : NaN;
    }
    set cornerRadiusBottomLeft(v) {
        this.ensureCornerRadius();
        this.i.j4.a = +v;
        this.i.j4 = this.i.j4;
    }
    get cornerRadiusTopLeft() {
        return this.i.j4 ? this.i.j4.c : NaN;
    }
    set cornerRadiusTopLeft(v) {
        this.ensureCornerRadius();
        this.i.j4.c = +v;
        this.i.j4 = this.i.j4;
    }
    get cornerRadiusTopRight() {
        return this.i.j4 ? this.i.j4.d : NaN;
    }
    set cornerRadiusTopRight(v) {
        this.ensureCornerRadius();
        this.i.j4.d = +v;
        this.i.j4 = this.i.j4;
    }
    ensureCornerRadius() {
        if (this.i.j4) {
            return;
        }
        this.i.j4 = new CornerRadius(2);
    }
    /**
     * Gets or sets the color to use for the background of the button when the  type is outlined.
    */
    get outlinedBackgroundColor() {
        return brushToString(this.i.tb);
    }
    set outlinedBackgroundColor(v) {
        this.i.tb = stringToBrush(v);
    }
    /**
     * Gets or sets the color to use for the disabled background of the button when the type is outlined.
    */
    get outlinedDisabledBackgroundColor() {
        return brushToString(this.i.td);
    }
    set outlinedDisabledBackgroundColor(v) {
        this.i.td = stringToBrush(v);
    }
    /**
     * Gets or sets the color to use for the disabled border of the button when the type is outlined.
    */
    get outlinedDisabledBorderColor() {
        return brushToString(this.i.te);
    }
    set outlinedDisabledBorderColor(v) {
        this.i.te = stringToBrush(v);
    }
    /**
     * Gets or sets the color to use for the disabled text of the button when the type is outlined.
    */
    get outlinedDisabledTextColor() {
        return brushToString(this.i.tf);
    }
    set outlinedDisabledTextColor(v) {
        this.i.tf = stringToBrush(v);
    }
    /**
     * Gets or sets the disabled elevation to use for the button when the type is outlined.
    */
    get outlinedDisabledElevation() {
        return this.i.eg;
    }
    set outlinedDisabledElevation(v) {
        this.i.eg = +v;
    }
    /**
     * Gets or sets the hover color to use for the background of the button when the  type is hoveredOutlined.
    */
    get outlinedHoverBackgroundColor() {
        return brushToString(this.i.ti);
    }
    set outlinedHoverBackgroundColor(v) {
        this.i.ti = stringToBrush(v);
    }
    /**
     * Gets or sets the border color to use for the button when the type is outlined.
    */
    get outlinedBorderColor() {
        return brushToString(this.i.tc);
    }
    set outlinedBorderColor(v) {
        this.i.tc = stringToBrush(v);
    }
    /**
     * Gets or sets the elevation to use for the button when the type is outlined.
    */
    get outlinedRestingElevation() {
        return this.i.ej;
    }
    set outlinedRestingElevation(v) {
        this.i.ej = +v;
    }
    /**
     * Gets or sets the hover elevation to use for the button when the type is outlined.
    */
    get outlinedHoverElevation() {
        return this.i.ei;
    }
    set outlinedHoverElevation(v) {
        this.i.ei = +v;
    }
    /**
     * Gets or sets the focus elevation to use for the button when the type is outlined.
    */
    get outlinedFocusElevation() {
        return this.i.eh;
    }
    set outlinedFocusElevation(v) {
        this.i.eh = +v;
    }
    /**
     * Gets or sets the width to use for the button border when the type is outlined.
    */
    get outlinedBorderWidth() {
        return this.i.bd;
    }
    set outlinedBorderWidth(v) {
        this.i.bd = +v;
    }
    get outlinedCornerRadiusBottomRight() {
        return this.i.kn ? this.i.kn.b : NaN;
    }
    set outlinedCornerRadiusBottomRight(v) {
        this.ensureOutlinedCornerRadius();
        this.i.kn.b = +v;
        this.i.kn = this.i.kn;
    }
    get outlinedCornerRadiusBottomLeft() {
        return this.i.kn ? this.i.kn.a : NaN;
    }
    set outlinedCornerRadiusBottomLeft(v) {
        this.ensureOutlinedCornerRadius();
        this.i.kn.a = +v;
        this.i.kn = this.i.kn;
    }
    get outlinedCornerRadiusTopLeft() {
        return this.i.kn ? this.i.kn.c : NaN;
    }
    set outlinedCornerRadiusTopLeft(v) {
        this.ensureOutlinedCornerRadius();
        this.i.kn.c = +v;
        this.i.kn = this.i.kn;
    }
    get outlinedCornerRadiusTopRight() {
        return this.i.kn ? this.i.kn.d : NaN;
    }
    set outlinedCornerRadiusTopRight(v) {
        this.ensureOutlinedCornerRadius();
        this.i.kn.d = +v;
        this.i.kn = this.i.kn;
    }
    ensureOutlinedCornerRadius() {
        if (this.i.kn) {
            return;
        }
        this.i.kn = new CornerRadius(2);
    }
    /**
     * Gets or sets the color to use for the background when the button is pressed and the type is floating action button.
    */
    get outlinedRippleColor() {
        return brushToString(this.i.tk);
    }
    set outlinedRippleColor(v) {
        this.i.tk = stringToBrush(v);
    }
    /**
     * Gets or sets the color to use for the text of the button when type is outlined.
    */
    get outlinedTextColor() {
        return brushToString(this.i.tl);
    }
    set outlinedTextColor(v) {
        this.i.tl = stringToBrush(v);
    }
    /**
     * Gets or sets the color to use for the hovered text of the button when type is outlined.
    */
    get outlinedHoverTextColor() {
        return brushToString(this.i.tj);
    }
    set outlinedHoverTextColor(v) {
        this.i.tj = stringToBrush(v);
    }
    /**
     * Gets or sets the color to use for the backround the button when it is focused and outlined.
    */
    get outlinedFocusBackgroundColor() {
        return brushToString(this.i.tg);
    }
    set outlinedFocusBackgroundColor(v) {
        this.i.tg = stringToBrush(v);
    }
    /**
     * Gets or sets the color to use for the text the button when it is focused and outlined.
    */
    get outlinedFocusTextColor() {
        return brushToString(this.i.th);
    }
    set outlinedFocusTextColor(v) {
        this.i.th = stringToBrush(v);
    }
    /**
     * Gets or sets the color to use for the background of the button when the  type is floating action button.
    */
    get fabBackgroundColor() {
        return brushToString(this.i.sa);
    }
    set fabBackgroundColor(v) {
        this.i.sa = stringToBrush(v);
    }
    /**
     * Gets or sets the color to use for the disabled background of the button when the type is fab.
    */
    get fabDisabledBackgroundColor() {
        return brushToString(this.i.sc);
    }
    set fabDisabledBackgroundColor(v) {
        this.i.sc = stringToBrush(v);
    }
    /**
     * Gets or sets the color to use for the disabled border of the button when the type is fab.
    */
    get fabDisabledBorderColor() {
        return brushToString(this.i.sd);
    }
    set fabDisabledBorderColor(v) {
        this.i.sd = stringToBrush(v);
    }
    /**
     * Gets or sets the color to use for the disabled text of the button when the type is fab.
    */
    get fabDisabledTextColor() {
        return brushToString(this.i.se);
    }
    set fabDisabledTextColor(v) {
        this.i.se = stringToBrush(v);
    }
    /**
     * Gets or sets the disabled elevation to use for the button when the type is fab.
    */
    get fabDisabledElevation() {
        return this.i.d2;
    }
    set fabDisabledElevation(v) {
        this.i.d2 = +v;
    }
    /**
     * Gets or sets the hover color to use for the background of the button when the  type is hoveredFab.
    */
    get fabHoverBackgroundColor() {
        return brushToString(this.i.sh);
    }
    set fabHoverBackgroundColor(v) {
        this.i.sh = stringToBrush(v);
    }
    /**
     * Gets or sets the border color to use for the button when the type is floating action button.
    */
    get fabBorderColor() {
        return brushToString(this.i.sb);
    }
    set fabBorderColor(v) {
        this.i.sb = stringToBrush(v);
    }
    /**
     * Gets or sets the elevation to use for the button when the type is floating action button.
    */
    get fabRestingElevation() {
        return this.i.d5;
    }
    set fabRestingElevation(v) {
        this.i.d5 = +v;
    }
    /**
     * Gets or sets the hover elevation to use for the button when the type is floating action button.
    */
    get fabHoverElevation() {
        return this.i.d4;
    }
    set fabHoverElevation(v) {
        this.i.d4 = +v;
    }
    /**
     * Gets or sets the focus elevation to use for the button when the type is floating action button.
    */
    get fabFocusElevation() {
        return this.i.d3;
    }
    set fabFocusElevation(v) {
        this.i.d3 = +v;
    }
    /**
     * Gets or sets the width to use for the button border when the type is floating action button.
    */
    get fabBorderWidth() {
        return this.i.ba;
    }
    set fabBorderWidth(v) {
        this.i.ba = +v;
    }
    get fabCornerRadiusBottomRight() {
        return this.i.kk ? this.i.kk.b : NaN;
    }
    set fabCornerRadiusBottomRight(v) {
        this.ensureFabCornerRadius();
        this.i.kk.b = +v;
        this.i.kk = this.i.kk;
    }
    get fabCornerRadiusBottomLeft() {
        return this.i.kk ? this.i.kk.a : NaN;
    }
    set fabCornerRadiusBottomLeft(v) {
        this.ensureFabCornerRadius();
        this.i.kk.a = +v;
        this.i.kk = this.i.kk;
    }
    get fabCornerRadiusTopLeft() {
        return this.i.kk ? this.i.kk.c : NaN;
    }
    set fabCornerRadiusTopLeft(v) {
        this.ensureFabCornerRadius();
        this.i.kk.c = +v;
        this.i.kk = this.i.kk;
    }
    get fabCornerRadiusTopRight() {
        return this.i.kk ? this.i.kk.d : NaN;
    }
    set fabCornerRadiusTopRight(v) {
        this.ensureFabCornerRadius();
        this.i.kk.d = +v;
        this.i.kk = this.i.kk;
    }
    ensureFabCornerRadius() {
        if (this.i.kk) {
            return;
        }
        this.i.kk = new CornerRadius(2);
    }
    /**
     * Gets or sets the color to use for the background when the button is pressed and the type is floating action button.
    */
    get fabRippleColor() {
        return brushToString(this.i.sj);
    }
    set fabRippleColor(v) {
        this.i.sj = stringToBrush(v);
    }
    /**
     * Gets or sets the color to use for the text of the button when type is floating action button.
    */
    get fabTextColor() {
        return brushToString(this.i.sk);
    }
    set fabTextColor(v) {
        this.i.sk = stringToBrush(v);
    }
    /**
     * Gets or sets the color to use for the hovered text of the button when type is floating action button.
    */
    get fabHoverTextColor() {
        return brushToString(this.i.si);
    }
    set fabHoverTextColor(v) {
        this.i.si = stringToBrush(v);
    }
    /**
     * Gets or sets the color to use for the backround the button when it is focused and fab.
    */
    get fabFocusBackgroundColor() {
        return brushToString(this.i.sf);
    }
    set fabFocusBackgroundColor(v) {
        this.i.sf = stringToBrush(v);
    }
    /**
     * Gets or sets the color to use for the text the button when it is focused and fab.
    */
    get fabFocusTextColor() {
        return brushToString(this.i.sg);
    }
    set fabFocusTextColor(v) {
        this.i.sg = stringToBrush(v);
    }
    /**
     * Gets or sets the color to use for the background of the button when the  type is icon.
    */
    get iconBackgroundColor() {
        return brushToString(this.i.s0);
    }
    set iconBackgroundColor(v) {
        this.i.s0 = stringToBrush(v);
    }
    /**
     * Gets or sets the color to use for the disabled background of the button when the type is icon.
    */
    get iconDisabledBackgroundColor() {
        return brushToString(this.i.s2);
    }
    set iconDisabledBackgroundColor(v) {
        this.i.s2 = stringToBrush(v);
    }
    /**
     * Gets or sets the color to use for the disabled border of the button when the type is icon.
    */
    get iconDisabledBorderColor() {
        return brushToString(this.i.s3);
    }
    set iconDisabledBorderColor(v) {
        this.i.s3 = stringToBrush(v);
    }
    /**
     * Gets or sets the color to use for the disabled text of the button when the type is icon.
    */
    get iconDisabledTextColor() {
        return brushToString(this.i.s4);
    }
    set iconDisabledTextColor(v) {
        this.i.s4 = stringToBrush(v);
    }
    /**
     * Gets or sets the disabled elevation to use for the button when the type is icon.
    */
    get iconDisabledElevation() {
        return this.i.ec;
    }
    set iconDisabledElevation(v) {
        this.i.ec = +v;
    }
    /**
     * Gets or sets the hover color to use for the background of the button when the  type is hoveredIcon.
    */
    get iconHoverBackgroundColor() {
        return brushToString(this.i.s7);
    }
    set iconHoverBackgroundColor(v) {
        this.i.s7 = stringToBrush(v);
    }
    /**
     * Gets or sets the border color to use for the button when the type is icon.
    */
    get iconBorderColor() {
        return brushToString(this.i.s1);
    }
    set iconBorderColor(v) {
        this.i.s1 = stringToBrush(v);
    }
    /**
     * Gets or sets the elevation to use for the button when the type is icon.
    */
    get iconRestingElevation() {
        return this.i.ef;
    }
    set iconRestingElevation(v) {
        this.i.ef = +v;
    }
    /**
     * Gets or sets the hover elevation to use for the button when the type is icon.
    */
    get iconHoverElevation() {
        return this.i.ee;
    }
    set iconHoverElevation(v) {
        this.i.ee = +v;
    }
    /**
     * Gets or sets the focus elevation to use for the button when the type is icon.
    */
    get iconFocusElevation() {
        return this.i.ed;
    }
    set iconFocusElevation(v) {
        this.i.ed = +v;
    }
    /**
     * Gets or sets the width to use for the button border when the type is icon.
    */
    get iconBorderWidth() {
        return this.i.bc;
    }
    set iconBorderWidth(v) {
        this.i.bc = +v;
    }
    get iconCornerRadiusBottomRight() {
        return this.i.km ? this.i.km.b : NaN;
    }
    set iconCornerRadiusBottomRight(v) {
        this.ensureIconCornerRadius();
        this.i.km.b = +v;
        this.i.km = this.i.km;
    }
    get iconCornerRadiusBottomLeft() {
        return this.i.km ? this.i.km.a : NaN;
    }
    set iconCornerRadiusBottomLeft(v) {
        this.ensureIconCornerRadius();
        this.i.km.a = +v;
        this.i.km = this.i.km;
    }
    get iconCornerRadiusTopLeft() {
        return this.i.km ? this.i.km.c : NaN;
    }
    set iconCornerRadiusTopLeft(v) {
        this.ensureIconCornerRadius();
        this.i.km.c = +v;
        this.i.km = this.i.km;
    }
    get iconCornerRadiusTopRight() {
        return this.i.km ? this.i.km.d : NaN;
    }
    set iconCornerRadiusTopRight(v) {
        this.ensureIconCornerRadius();
        this.i.km.d = +v;
        this.i.km = this.i.km;
    }
    ensureIconCornerRadius() {
        if (this.i.km) {
            return;
        }
        this.i.km = new CornerRadius(2);
    }
    /**
     * Gets or sets the color to use for the background when the button is pressed and the type is floating action button.
    */
    get iconRippleColor() {
        return brushToString(this.i.s9);
    }
    set iconRippleColor(v) {
        this.i.s9 = stringToBrush(v);
    }
    /**
     * Gets or sets the color to use for the text of the button when type is icon.
    */
    get iconTextColor() {
        return brushToString(this.i.ta);
    }
    set iconTextColor(v) {
        this.i.ta = stringToBrush(v);
    }
    /**
     * Gets or sets the color to use for the hovered text of the button when type is icon.
    */
    get iconHoverTextColor() {
        return brushToString(this.i.s8);
    }
    set iconHoverTextColor(v) {
        this.i.s8 = stringToBrush(v);
    }
    /**
     * Gets or sets the color to use for the backround the button when it is focused and icon.
    */
    get iconFocusBackgroundColor() {
        return brushToString(this.i.s5);
    }
    set iconFocusBackgroundColor(v) {
        this.i.s5 = stringToBrush(v);
    }
    /**
     * Gets or sets the color to use for the text the button when it is focused and icon.
    */
    get iconFocusTextColor() {
        return brushToString(this.i.s6);
    }
    set iconFocusTextColor(v) {
        this.i.s6 = stringToBrush(v);
    }
    /**
     * Gets or sets the id to use for the internal native checkbox.
    */
    get inputId() {
        return this.i.h0;
    }
    set inputId(v) {
        this.i.h0 = v;
    }
    /**
     * Gets or sets the id to use for the checkbox.
    */
    get id() {
        return this.i.hy;
    }
    set id(v) {
        this.i.hy = v;
    }
    /**
     * Gets or sets the id to use for the checkbox.
    */
    get display() {
        return this.i.f5;
    }
    set display(v) {
        this.i.f5 = v;
    }
    /**
     * Gets or sets the id to use for the checkbox.
    */
    get flexDirection() {
        return this.i.g7;
    }
    set flexDirection(v) {
        this.i.g7 = v;
    }
    /**
     * Gets or sets the flex-grow setting for the button.
    */
    get flexGrow() {
        return this.i.g9;
    }
    set flexGrow(v) {
        this.i.g9 = v;
    }
    /**
     * Gets or sets the id to use for the checkbox.
    */
    get alignItems() {
        return this.i.fp;
    }
    set alignItems(v) {
        this.i.fp = v;
    }
    /**
     * Gets or sets value to use for the checkbox.
    */
    get value() {
        return this.i.et;
    }
    set value(v) {
        this.i.et = v;
    }
    /**
     * Gets or sets name to use for the button.
    */
    get name() {
        return this.i.h6;
    }
    set name(v) {
        this.i.h6 = v;
    }
    /**
     * Gets or sets TabIndex to use for the checkbox.
    */
    get tabIndex() {
        return this.i.ep;
    }
    set tabIndex(v) {
        this.i.ep = +v;
    }
    /**
     * Gets or sets if the checkbox is Focused.
    */
    get focused() {
        return this.i.focused;
    }
    set focused(v) {
        this.i.focused = ensureBool(v);
    }
    /**
     * Gets or sets if the button show use styling to show focus.
    */
    get isFocusStyleEnabled() {
        return this.i.aj;
    }
    set isFocusStyleEnabled(v) {
        this.i.aj = ensureBool(v);
    }
    /**
     * Gets or sets the value of the aria-label attribute.
    */
    get ariaLabel() {
        return this.i.fr;
    }
    set ariaLabel(v) {
        this.i.fr = v;
    }
    /**
     * Gets or sets whether to disable the ripple effect for the button.
    */
    get disableRipple() {
        return this.i.ae;
    }
    set disableRipple(v) {
        this.i.ae = ensureBool(v);
    }
    /**
     * Gets whether to actually disable the ripple effect for the button.
    */
    get actualDisableRipple() {
        return this.i.ad;
    }
    set actualDisableRipple(v) {
        this.i.ad = ensureBool(v);
    }
    /**
     * Gets or sets whether the checkbox is checked.
    */
    get isHover() {
        return this.i.ak;
    }
    set isHover(v) {
        this.i.ak = ensureBool(v);
    }
    /**
     * Gets or sets whether the checkbox is disabled.
    */
    get disabled() {
        return this.i.disabled;
    }
    set disabled(v) {
        this.i.disabled = ensureBool(v);
    }
    /**
     * Gets or sets whether the checkbox transitions are disabled.
    */
    get disableTransitions() {
        return this.i.af;
    }
    set disableTransitions(v) {
        this.i.af = ensureBool(v);
    }
    findByName(name) {
        return null;
    }
    get hasUserValues() {
        return this._hasUserValues;
    }
    __m(propertyName) {
        if (!this._inStyling) {
            this._hasUserValues.add(propertyName);
        }
    }
    _styling(container, component, parent) {
        if (this._inStyling) {
            return;
        }
        this._inStyling = true;
        this._stylingContainer = container;
        this._stylingParent = component;
        let genericPrefix = "";
        let typeName = this.i.$type.name;
        if (typeName.indexOf("Xam") === 0) {
            typeName = typeName.substring(3);
        }
        genericPrefix = toSpinal("Button");
        let additionalPrefixes = [];
        let prefix = toSpinal(typeName);
        additionalPrefixes.push(prefix + "-");
        let b = this.i.$type.baseType;
        while (b && b.name != "Object" &&
            b.name != "Base" &&
            b.name != "Control" &&
            b.Name != "DependencyObject" &&
            b.Name != "FrameworkElement") {
            typeName = b.name;
            if (typeName.indexOf("Xam") === 0) {
                typeName = typeName.substring(3);
            }
            let basePrefix = toSpinal(typeName);
            additionalPrefixes.push(basePrefix + "-");
            b = b.baseType;
        }
        if (parent) {
            let parentTypeName = parent.i.$type.name;
            if (parentTypeName.indexOf("Xam") === 0) {
                parentTypeName = parentTypeName.substring(3);
            }
            let parentPrefix = toSpinal(parentTypeName);
            additionalPrefixes.push(parentPrefix + "-" + genericPrefix + "-");
            additionalPrefixes.push(parentPrefix + "-" + prefix + "-");
        }
        initializePropertiesFromCss(container, this, genericPrefix + "-", this.hasUserValues, false, additionalPrefixes);
        if (this._otherStyling) {
            this._otherStyling(container, component, parent);
        }
        this._inStyling = false;
    }
    onDetachedFromUI() {
        this.i.onDetachedFromUI();
    }
    onAttachedToUI() {
        this.i.onAttachedToUI();
    }
    get clicked() {
        return this._clicked;
    }
    set clicked(ev) {
        if (this._clicked_wrapped !== null) {
            this.i.clicked = delegateRemove(this.i.clicked, this._clicked_wrapped);
            this._clicked_wrapped = null;
            this._clicked = null;
        }
        this._clicked = ev;
        this._clicked_wrapped = (o, e) => {
            let outerArgs = new IgrButtonClickEventArgs();
            outerArgs._provideImplementation(e);
            if (this.beforeClicked) {
                this.beforeClicked(this, outerArgs);
            }
            if (this._clicked) {
                this._clicked(this, outerArgs);
            }
        };
        this.i.clicked = delegateCombine(this.i.clicked, this._clicked_wrapped);
    }
}

/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE: you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
class IgrButtonModule {
    static register() {
        IgrRippleModule.register();
        IgrChildContentModule.register();
        TypeRegistrar.registerCons('IgrButton', IgrButton);
        TypeRegistrar.registerCons('IgrButton', IgrButton);
        TypeRegistrar.register('Button', Button.$type);
    }
}

/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
/**
 * @hidden
 */
let IconView = /*@__PURE__*/ (() => {
    class IconView extends Base {
        constructor() {
            super();
            this.a = null;
            this.g = null;
            this.b = null;
            this.f = new List$1(Delegate_$type, 0);
            this.k = null;
            this.c = true;
            this.h = null;
            this.i = null;
        }
        r() {
        }
        d() {
            return true;
        }
        get j() {
            return this.h;
        }
        get w() {
            return null;
        }
        get e() {
            return true;
        }
        p(a) {
            if (a == null) {
                for (let b of fromEnum(this.f)) {
                    b();
                }
                this.f.clear();
            }
            this.g = a;
            a.rootWrapper.setStyleProperty("position", "relative");
            this.g.rootWrapper.setStyleProperty("display", "flex");
            this.g.rootWrapper.setStyleProperty("flex-direction", "row");
            this.g.rootWrapper.setStyleProperty("flex-wrap", "no-wrap");
            this.g.rootWrapper.setStyleProperty("align-items", "center");
            this.t();
            let c = this.g.createElementNS("svg", "http://www.w3.org/2000/svg");
            c.setStyleProperty("position", "absolute");
            c.setStyleProperty("top", "0");
            c.setStyleProperty("left", "0");
            c.setStyleProperty("right", "0");
            c.setStyleProperty("bottom", "0");
            c.setAttribute("viewBox", "0 0 24 24");
            this.h = c;
            let d = this.g.createElementNS("path", "http://www.w3.org/2000/svg");
            d.setAttribute("d", "");
            this.h.append(d);
            if (this.k != null) {
                d.setAttribute("d", this.k);
            }
            this.i = d;
            this.g.append(this.h);
            this.a.a6();
        }
        u(a) {
            if (this.k != a) {
                this.k = a;
                if (this.i != null) {
                    this.i.setAttribute("d", this.k);
                }
            }
        }
        t() {
            this.g.rootWrapper.setStyleProperty("width", "1.5rem");
            this.g.rootWrapper.setStyleProperty("height", "1.5rem");
        }
        l(a) {
        }
        s() {
            if (this.d()) {
            }
        }
        m(a) {
            this.a.a3();
        }
        n(a) {
            this.a.a4();
        }
        o() {
            this.c = true;
            this.f.add(this.g.rootWrapper.listen("mouseenter", runOn(this, this.m)));
            this.f.add(this.g.rootWrapper.listen("mouseleave", runOn(this, this.n)));
        }
        q() {
            this.c = false;
            for (let a of fromEnum(this.f)) {
                a();
            }
            this.f.clear();
        }
        v(a) {
            if (a != null) {
                this.g.rootWrapper.setStyleProperty("font", a.fontString);
            }
        }
    }
    IconView.$t = /*@__PURE__*/ markType(IconView, 'IconView');
    return IconView;
})();
/**
 * @hidden
 */
let Icon = /*@__PURE__*/ (() => {
    class Icon extends Base {
        constructor() {
            super();
            this._view = null;
            this.bb = Icon.br;
            this.bf = Icon.bv;
            this.bc = Icon.bs;
            this.bd = Icon.bt;
            this.be = Icon.bu;
            this.l = Icon.r;
            this.m = Icon.s;
            this.bg = Icon.br;
            this.bl = Icon.bv;
            this.aa = null;
            this.bh = Icon.bs;
            this.bi = Icon.bt;
            this.bk = Icon.bu;
            this.n = Icon.r;
            this.o = Icon.s;
            this.b = null;
            this.bj = null;
            this.z = "ig-icon-" + Icon.x++;
            this.v = 0;
            this.d = false;
            this.y = null;
            this.f = false;
            this.e = false;
            this.propertyChanged = null;
            let a = new IconView();
            a.a = this;
            this.view = a;
            this.view.r();
        }
        get view() {
            return this._view;
        }
        set view(a) {
            this._view = a;
        }
        destroy() {
            this.provideContainer(null);
        }
        a5(a, b, c) {
            if (this.propertyChanged != null) {
                this.propertyChanged(this, new PropertyChangedEventArgs(a));
            }
            this.a7(a, b, c);
        }
        a7(a, b, c) {
            switch (a) {
                case "Fill":
                case "Stroke":
                case "StrokeThickness":
                case "HoverFill":
                case "HoverStroke":
                case "HoverStrokeThickness":
                    this.ba();
                    break;
                case "ActualFill":
                case "ActualStroke":
                case "ActualHoverFill":
                case "ActualHoverStroke":
                case "ActualStrokeThickness":
                case "ActualHoverStrokeThickness":
                case "SVGPath":
                    this.a9();
                    break;
            }
        }
        ba() {
            this.bm = this.bw != null ? this.bw : Icon.br;
            this.bn = this.bx != null ? this.bx : Icon.bs;
            this.bp = this.b0 != null ? this.b0 : Icon.bu;
            this.bo = this.by != null ? this.by : Icon.bt;
            this.q = !isNaN_(this.u) ? this.u : Icon.s;
            this.p = !isNaN_(this.t) ? this.t : Icon.r;
            this.bq = this.b1 != null ? this.b1 : Icon.bv;
        }
        get h() {
            return this.svgPath != null && !this.view.e;
        }
        a9() {
            let a = this.view.j;
            if (this.h) {
                let b = this.view.w;
                if (this.j) {
                    b._fill = this.bn;
                    b._stroke = this.bo;
                    b.ac = this.p;
                }
                else {
                    b._fill = this.bm;
                    b._stroke = this.bp;
                    b.ac = this.q;
                }
            }
            else {
                if (this.svgPath != null) {
                    this.view.u(this.svgPath);
                }
                let c = this.view.j;
                if (this.j) {
                    if (this.bn != null) {
                        NativeUI.o(c, this.bn);
                    }
                    if (this.bo != null) {
                        NativeUI.v(c, this.bo);
                    }
                    if (!isNaN_(this.p)) {
                        NativeUI.y(c, this.p);
                    }
                }
                else {
                    if (this.bm != null) {
                        NativeUI.o(c, this.bm);
                    }
                    if (this.bp != null) {
                        NativeUI.v(c, this.bp);
                    }
                    if (!isNaN_(this.q)) {
                        NativeUI.y(c, this.q);
                    }
                }
            }
            if (this.c != null) {
                this.view.v(this.c);
            }
            if (this.bq != null) {
                NativeUI.n(this.view.j, this.bq);
            }
        }
        get bm() {
            return this.bb;
        }
        set bm(a) {
            let b = this.bb;
            this.bb = a;
            if (b != this.bb) {
                this.a5("ActualFill", b, a);
            }
        }
        get bq() {
            return this.bf;
        }
        set bq(a) {
            let b = this.bf;
            this.bf = a;
            if (b != this.bf) {
                this.a5("ActualTextColor", b, a);
            }
        }
        get bn() {
            return this.bc;
        }
        set bn(a) {
            let b = this.bc;
            this.bc = a;
            if (b != this.bc) {
                this.a5("ActualHoverFill", b, a);
            }
        }
        get bo() {
            return this.bd;
        }
        set bo(a) {
            let b = this.bd;
            this.bd = a;
            if (b != this.bd) {
                this.a5("ActualHoverStroke", b, a);
            }
        }
        get bp() {
            return this.be;
        }
        set bp(a) {
            let b = this.be;
            this.be = a;
            if (b != this.be) {
                this.a5("ActualStroke", b, a);
            }
        }
        get p() {
            return this.l;
        }
        set p(a) {
            let b = this.l;
            this.l = a;
            if (b != this.l) {
                this.a5("ActualHoverStrokeThickness", b, a);
            }
        }
        get q() {
            return this.m;
        }
        set q(a) {
            let b = this.m;
            this.m = a;
            if (b != this.m) {
                this.a5("ActualStrokeThickness", b, a);
            }
        }
        get bw() {
            return this.bg;
        }
        set bw(a) {
            let b = this.bg;
            this.bg = a;
            if (b != this.bg) {
                this.a5("Fill", b, a);
            }
        }
        get b1() {
            return this.bl;
        }
        set b1(a) {
            let b = this.bl;
            this.bl = a;
            if (b != this.bl) {
                this.a5("TextColor", b, a);
            }
        }
        get svgPath() {
            return this.aa;
        }
        set svgPath(a) {
            let b = this.aa;
            this.aa = a;
            if (b != this.aa) {
                this.a5("SVGPath", b, a);
            }
        }
        get bx() {
            return this.bh;
        }
        set bx(a) {
            let b = this.bh;
            this.bh = a;
            if (b != this.bh) {
                this.a5("HoverFill", b, a);
            }
        }
        get by() {
            return this.bi;
        }
        set by(a) {
            let b = this.bi;
            this.bi = a;
            if (b != this.bi) {
                this.a5("HoverStroke", b, a);
            }
        }
        get b0() {
            return this.bk;
        }
        set b0(a) {
            let b = this.bk;
            this.bk = a;
            if (b != this.bk) {
                this.a5("Stroke", b, a);
            }
        }
        get t() {
            return this.n;
        }
        set t(a) {
            let b = this.n;
            this.n = a;
            if (b != this.n) {
                this.a5("HoverStrokeThickness", b, a);
            }
        }
        get u() {
            return this.o;
        }
        set u(a) {
            let b = this.o;
            this.o = a;
            if (b != this.o) {
                this.a5("StrokeThickness", b, a);
            }
        }
        a3() {
            this.j = true;
        }
        a4() {
            this.j = false;
        }
        get c() {
            return this.b;
        }
        set c(a) {
            let b = this.b;
            this.b = a;
            if (b != this.b) {
                this.a5("TextStyle", b, a);
            }
        }
        get bz() {
            return this.bj;
        }
        set bz(a) {
            let b = this.bj;
            this.bj = a;
            if (b != this.bj) {
                this.a5("HoverTextColor", b, a);
            }
        }
        get ap() {
            return this.z;
        }
        set ap(a) {
            let b = this.z;
            this.z = a;
            if (b != this.z) {
                this.a5("Id", b, a);
            }
        }
        get g() {
            return this.d;
        }
        get w() {
            return this.v;
        }
        set w(a) {
            let b = this.v;
            this.v = a;
            this.d = true;
            if (b != this.v) {
                this.a5("TabIndex", b, a);
            }
        }
        get ai() {
            return this.y;
        }
        set ai(a) {
            let b = this.y;
            this.y = a;
            if (b != this.y) {
                this.a5("AriaLabel", b, a);
            }
        }
        get j() {
            return this.f;
        }
        set j(a) {
            let b = this.f;
            this.f = a;
            if (b != this.f) {
                this.a5("IsHover", b, a);
            }
        }
        get disabled() {
            return this.e;
        }
        set disabled(a) {
            let b = this.e;
            this.e = a;
            if (b != this.e) {
                this.a5("IsDisabled", b, a);
            }
        }
        a6() {
        }
        onDetachedFromUI() {
            this.view.q();
        }
        onAttachedToUI() {
            this.view.o();
        }
        k() {
            return this.view.d();
        }
        provideContainer(a) {
            this.view.p(a);
        }
    }
    Icon.$t = /*@__PURE__*/ markType(Icon, 'Icon', Base.$, [INotifyPropertyChanged_$type]);
    Icon.br = null;
    Icon.bv = null;
    Icon.bu = null;
    Icon.bs = null;
    Icon.bt = null;
    Icon.s = 0;
    Icon.r = 0;
    Icon.x = 0;
    return Icon;
})();

/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/

class IgrIcon extends Component {
    constructor(props) {
        super(props);
        this._wrapper = null;
        this._implementation = null;
        this.__p = null;
        this._hasUserValues = new Set();
        this._stylingContainer = null;
        this._stylingParent = null;
        this._inStyling = false;
        if (this._styling) {
            NamePatcher.ensureStylablePatched(Object.getPrototypeOf(this));
        }
        this._implementation = this.createImplementation();
        this._implementation.externalObject = this;
        this._getMainRef = this._getMainRef.bind(this);
        var container;
        if (document) {
            container = document.createElement("div");
        }
        var root;
        root = container;
        if (container != null) {
            root = container;
        }
        this.requestRender = this.requestRender.bind(this);
        this._portalManager = new PortalManager("iconContent", this.requestRender);
        var ren = new ReactRenderer(root, document, true, {}, this._portalManager);
        this._wrapper = ren;
        this._container = this._wrapper.rootWrapper;
        this._container.setStyleProperty("display", "inline-block");
        this._container.setStyleProperty("vertical-align", "middle");
        var icon = this.i;
        this._icon = icon;
        icon.provideContainer(ren);
        if (props) {
            this.initializeProperties();
        }
    }
    _getMainRef(ref) {
        this._elRef = ref;
    }
    render() {
        let propChildren = this.props.children;
        let children = [];
        Children.forEach(propChildren, (ch) => {
            children.push(cloneElement(ch));
        });
        this._portalManager.onRender(children);
        let div = createElement("div", {
            className: "ig-icon igr-icon",
            ref: this._getMainRef,
            children: children
        });
        return div;
    }
    requestRender() {
        if (this._initialized) {
            this.setState({});
        }
    }
    //private _getLabelPortal(element: DomWrapper, portalCallback: (portal: DomPortal) => void): void {
    //    this._portalManager.getPortal(element, "TemplateContent", portalCallback);
    //}
    shouldComponentUpdate(nextProps, nextState) {
        const mod = getModifiedProps(this.props, nextProps);
        for (const p of Object.keys(mod)) {
            if (isValidProp(this, p)) {
                this[p] = mod[p];
            }
        }
        return true;
    }
    initializeProperties() {
        for (const p of Object.keys(this.props)) {
            if (isValidProp(this, p)) {
                this[p] = this.props[p];
            }
        }
    }
    // supports angular themes or custom properties set in CSS
    updateStyle() {
        this._styling(this._elRef, this);
    }
    componentWillUnmount() {
        this._icon.destroy();
        this._wrapper.destroy();
    }
    componentDidMount() {
        this._elRef.appendChild(this._container.getNativeElement());
        this.initializeContent();
    }
    initializeContent() {
        this._styling(this._container.getNativeElement(), this);
        this.updateStyle();
    }
    createImplementation() {
        return new Icon();
    }
    get i() {
        return this._implementation;
    }
    /**
 * Gets the color to use for the actual background.
*/
    get actualFill() {
        return brushToString(this.i.bm);
    }
    set actualFill(v) {
        this.i.bm = stringToBrush(v);
    }
    /**
     * Gets the color to use for the actual text color.
    */
    get actualTextColor() {
        return brushToString(this.i.bq);
    }
    set actualTextColor(v) {
        this.i.bq = stringToBrush(v);
    }
    /**
     * Gets the color to use for the actual background.
    */
    get actualHoverFill() {
        return brushToString(this.i.bn);
    }
    set actualHoverFill(v) {
        this.i.bn = stringToBrush(v);
    }
    /**
     * Gets the hover stroke to use for the icon.
    */
    get actualHoverStroke() {
        return brushToString(this.i.bo);
    }
    set actualHoverStroke(v) {
        this.i.bo = stringToBrush(v);
    }
    /**
     * Gets the stroke to use for the icon.
    */
    get actualStroke() {
        return brushToString(this.i.bp);
    }
    set actualStroke(v) {
        this.i.bp = stringToBrush(v);
    }
    /**
     * Gets the hover stroke to use for the icon.
    */
    get actualHoverStrokeThickness() {
        return this.i.p;
    }
    set actualHoverStrokeThickness(v) {
        this.i.p = +v;
    }
    /**
     * Gets the stroke to use for the icon.
    */
    get actualStrokeThickness() {
        return this.i.q;
    }
    set actualStrokeThickness(v) {
        this.i.q = +v;
    }
    /**
     * Gets or sets the color to use for the actual background.
    */
    get fill() {
        return brushToString(this.i.bw);
    }
    set fill(v) {
        this.i.bw = stringToBrush(v);
    }
    /**
     * Gets or sets the color to use for the text.
    */
    get textColor() {
        return brushToString(this.i.b1);
    }
    set textColor(v) {
        this.i.b1 = stringToBrush(v);
    }
    /**
     * Gets or sets the color to use for the text.
    */
    get svgPath() {
        return this.i.svgPath;
    }
    set svgPath(v) {
        this.i.svgPath = v;
    }
    /**
     * Gets or sets the color to use for the actual background.
    */
    get hoverFill() {
        return brushToString(this.i.bx);
    }
    set hoverFill(v) {
        this.i.bx = stringToBrush(v);
    }
    /**
     * Gets or sets the hover stroke to use for the icon.
    */
    get hoverStroke() {
        return brushToString(this.i.by);
    }
    set hoverStroke(v) {
        this.i.by = stringToBrush(v);
    }
    /**
     * Gets or sets the stroke to use for the icon.
    */
    get stroke() {
        return brushToString(this.i.b0);
    }
    set stroke(v) {
        this.i.b0 = stringToBrush(v);
    }
    /**
     * Gets or sets the hover stroke to use for the icon.
    */
    get hoverStrokeThickness() {
        return this.i.t;
    }
    set hoverStrokeThickness(v) {
        this.i.t = +v;
    }
    /**
     * Gets or sets the stroke to use for the icon.
    */
    get strokeThickness() {
        return this.i.u;
    }
    set strokeThickness(v) {
        this.i.u = +v;
    }
    /**
     * Gets or sets the use for the button.
    */
    get textStyle() {
        if (this.i.c == null) {
            return null;
        }
        return this.i.c.fontString;
    }
    set textStyle(v) {
        let fi = new FontInfo();
        fi.fontString = v;
        this.i.c = fi;
    }
    /**
     * Gets or sets the color to use for the hovered text of the button regardless of type.
    */
    get hoverTextColor() {
        return brushToString(this.i.bz);
    }
    set hoverTextColor(v) {
        this.i.bz = stringToBrush(v);
    }
    /**
     * Gets or sets the id to use for the checkbox.
    */
    get id() {
        return this.i.ap;
    }
    set id(v) {
        this.i.ap = v;
    }
    /**
     * Gets or sets TabIndex to use for the checkbox.
    */
    get tabIndex() {
        return this.i.w;
    }
    set tabIndex(v) {
        this.i.w = +v;
    }
    /**
     * Gets or sets the value of the aria-label attribute.
    */
    get ariaLabel() {
        return this.i.ai;
    }
    set ariaLabel(v) {
        this.i.ai = v;
    }
    /**
     * Gets or sets whether the icon is hovered.
    */
    get isHover() {
        return this.i.j;
    }
    set isHover(v) {
        this.i.j = ensureBool(v);
    }
    /**
     * Gets or sets whether the checkbox is disabled.
    */
    get disabled() {
        return this.i.disabled;
    }
    set disabled(v) {
        this.i.disabled = ensureBool(v);
    }
    findByName(name) {
        return null;
    }
    get hasUserValues() {
        return this._hasUserValues;
    }
    __m(propertyName) {
        if (!this._inStyling) {
            this._hasUserValues.add(propertyName);
        }
    }
    _styling(container, component, parent) {
        if (this._inStyling) {
            return;
        }
        this._inStyling = true;
        this._stylingContainer = container;
        this._stylingParent = component;
        let genericPrefix = "";
        let typeName = this.i.$type.name;
        if (typeName.indexOf("Xam") === 0) {
            typeName = typeName.substring(3);
        }
        genericPrefix = toSpinal("Icon");
        let additionalPrefixes = [];
        let prefix = toSpinal(typeName);
        additionalPrefixes.push(prefix + "-");
        let b = this.i.$type.baseType;
        while (b && b.name != "Object" &&
            b.name != "Base" &&
            b.name != "Control" &&
            b.Name != "DependencyObject" &&
            b.Name != "FrameworkElement") {
            typeName = b.name;
            if (typeName.indexOf("Xam") === 0) {
                typeName = typeName.substring(3);
            }
            let basePrefix = toSpinal(typeName);
            additionalPrefixes.push(basePrefix + "-");
            b = b.baseType;
        }
        if (parent) {
            let parentTypeName = parent.i.$type.name;
            if (parentTypeName.indexOf("Xam") === 0) {
                parentTypeName = parentTypeName.substring(3);
            }
            let parentPrefix = toSpinal(parentTypeName);
            additionalPrefixes.push(parentPrefix + "-" + genericPrefix + "-");
            additionalPrefixes.push(parentPrefix + "-" + prefix + "-");
        }
        initializePropertiesFromCss(container, this, genericPrefix + "-", this.hasUserValues, false, additionalPrefixes);
        if (this._otherStyling) {
            this._otherStyling(container, component, parent);
        }
        this._inStyling = false;
    }
    onDetachedFromUI() {
        this.i.onDetachedFromUI();
    }
    onAttachedToUI() {
        this.i.onAttachedToUI();
    }
}

/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE: you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
class IgrIconModule {
    static register() {
        IgrChildContentModule.register();
        TypeRegistrar.registerCons('IgrIcon', IgrIcon);
        TypeRegistrar.registerCons('IgrIcon', IgrIcon);
        TypeRegistrar.register('Icon', Icon.$type);
    }
}

/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
var ButtonGroupOrientation = /*@__PURE__*/ (function (ButtonGroupOrientation) {
    ButtonGroupOrientation[ButtonGroupOrientation["Horizontal"] = 0] = "Horizontal";
    ButtonGroupOrientation[ButtonGroupOrientation["Vertical"] = 1] = "Vertical";
    return ButtonGroupOrientation;
})({});
/**
 * @hidden
 */
let ButtonGroupOrientation_$type = /*@__PURE__*/ markEnum('ButtonGroupOrientation', 'Horizontal,0|Vertical,1');

/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
/**
 * @hidden
 */
let ButtonGroupDisplayStyle_$type = /*@__PURE__*/ markEnum('ButtonGroupDisplayStyle', 'Flat,0|Outlined,1');

/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
/**
 * @hidden
 */
let ButtonGroupButtonCollection = /*@__PURE__*/ (() => {
    class ButtonGroupButtonCollection extends ObservableCollection$1 {
        constructor() {
            super(Button.$, 0);
            this.collectionResetting = null;
        }
        p() {
            if (this.collectionResetting != null) {
                this.collectionResetting(this, null);
            }
            super.p();
        }
    }
    ButtonGroupButtonCollection.$t = /*@__PURE__*/ markType(ButtonGroupButtonCollection, 'ButtonGroupButtonCollection', /*@__PURE__*/ ObservableCollection$1.$.specialize(Button.$));
    return ButtonGroupButtonCollection;
})();

/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
/**
 * @hidden
 */
let ButtonGroupSelectionChangedEventArgs = /*@__PURE__*/ (() => {
    class ButtonGroupSelectionChangedEventArgs extends EventArgs {
    }
    ButtonGroupSelectionChangedEventArgs.$t = /*@__PURE__*/ markType(ButtonGroupSelectionChangedEventArgs, 'ButtonGroupSelectionChangedEventArgs', EventArgs.$);
    return ButtonGroupSelectionChangedEventArgs;
})();

/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
/**
 * @hidden
 */
let ButtonGroupView = /*@__PURE__*/ (() => {
    class ButtonGroupView extends Base {
        constructor() {
            super();
            this.a = null;
            this.g = null;
            this.b = null;
            this.f = new List$1(Delegate_$type, 0);
            this.m = null;
            this.c = true;
            this.h = null;
            this.i = null;
            this.j = null;
            this.k = null;
        }
        s() {
        }
        d() {
            return true;
        }
        get l() {
            return this.h;
        }
        get y() {
            return null;
        }
        get e() {
            return true;
        }
        q(a) {
            if (a == null) {
                for (let b of fromEnum(this.f)) {
                    b();
                }
                this.f.clear();
            }
            this.g = a;
            a.rootWrapper.setStyleProperty("position", "relative");
            let c = this.g.createElement("div");
            c.addClass("ig-button-content");
            c.setStyleProperty("position", "relative");
            c.setStyleProperty("display", "flex");
            c.setStyleProperty("flex-direction", "row");
            c.setStyleProperty("flex-wrap", "no-wrap");
            c.setStyleProperty("align-items", "center");
            this.j = c;
            this.f.add(c.listen("click", runOn(this, this.n)));
            this.g.append(c);
            this.g.getPortal(c, "ChildContent", (d) => {
                let comp_ = d.componentRef;
                this.k = comp_;
                if (this.a.q == 0) {
                    this.j.setStyleProperty("flex-direction", "row");
                    comp_.display = 'flex';
                    comp_.flexDirection = 'row';
                }
                else {
                    this.j.setStyleProperty("flex-direction", "column");
                    comp_.display = 'flex';
                    comp_.flexDirection = 'column';
                }
            }, true);
            this.a.c8();
        }
        w(a) {
            if (this.m != a) {
                this.m = a;
                if (this.i != null) {
                    this.i.setAttribute("d", this.m);
                }
            }
        }
        v() {
            let comp_ = this.k;
            if (comp_ != null) {
                if (this.a.q == 0) {
                    this.j.setStyleProperty("flex-direction", "row");
                    comp_.display = 'flex';
                    comp_.flexDirection = 'row';
                }
                else {
                    this.j.setStyleProperty("flex-direction", "column");
                    comp_.display = 'flex';
                    comp_.flexDirection = 'column';
                }
            }
        }
        n(a) {
        }
        t() {
            if (this.d()) {
            }
        }
        p() {
            this.c = true;
        }
        r() {
            this.c = false;
            for (let a of fromEnum(this.f)) {
                a();
            }
            this.f.clear();
        }
        x(a) {
            if (a != null) {
                this.g.rootWrapper.setStyleProperty("font", a.fontString);
            }
        }
        u(a) {
            if (this.a.q == 0) {
                a.f5 = "flex";
                a.g7 = "row";
                a.fp = "center";
            }
            else {
                a.f5 = "flex";
                a.g7 = "column";
                a.fp = "stretch";
            }
        }
        o(a) {
            this.j.append(a);
        }
    }
    ButtonGroupView.$t = /*@__PURE__*/ markType(ButtonGroupView, 'ButtonGroupView');
    return ButtonGroupView;
})();
/**
 * @hidden
 */
let ButtonGroup = /*@__PURE__*/ (() => {
    class ButtonGroup extends Base {
        constructor() {
            super();
            this.n = 1;
            this.e = 0;
            this.i = 1;
            this.h = 1;
            this.a = new Array(0);
            this.t = false;
            this._view = null;
            this.aw = ThemeResolver.b(ButtonGroup.f, ButtonGroup.au, ButtonGroup.ao);
            this.gw = ThemeResolver.e(ButtonGroup.f, ButtonGroup.gk, ButtonGroup.fk);
            this.gy = ThemeResolver.e(ButtonGroup.f, ButtonGroup.gm, ButtonGroup.fm);
            this.gx = ThemeResolver.e(ButtonGroup.f, ButtonGroup.gl, ButtonGroup.fl);
            this.gz = ThemeResolver.e(ButtonGroup.f, ButtonGroup.gn, ButtonGroup.fn);
            this.av = ThemeResolver.b(ButtonGroup.f, ButtonGroup.at, ButtonGroup.an);
            this.g3 = ThemeResolver.e(ButtonGroup.f, ButtonGroup.gr, ButtonGroup.fr);
            this.g0 = ThemeResolver.e(ButtonGroup.f, ButtonGroup.go, ButtonGroup.fo);
            this.g4 = ThemeResolver.e(ButtonGroup.f, ButtonGroup.gs, ButtonGroup.fs);
            this.g7 = ThemeResolver.e(ButtonGroup.f, ButtonGroup.gv, ButtonGroup.fv);
            this.g1 = ThemeResolver.e(ButtonGroup.f, ButtonGroup.gp, ButtonGroup.fp);
            this.g2 = ThemeResolver.e(ButtonGroup.f, ButtonGroup.gq, ButtonGroup.fq);
            this.g5 = ThemeResolver.e(ButtonGroup.f, ButtonGroup.gt, ButtonGroup.ft);
            this.g6 = ThemeResolver.e(ButtonGroup.f, ButtonGroup.gu, ButtonGroup.fu);
            this.aq = ThemeResolver.b(ButtonGroup.f, ButtonGroup.as, ButtonGroup.am);
            this.fw = ThemeResolver.e(ButtonGroup.f, ButtonGroup.f8, ButtonGroup.e8);
            this.fy = ThemeResolver.e(ButtonGroup.f, ButtonGroup.ga, ButtonGroup.fa);
            this.fx = ThemeResolver.e(ButtonGroup.f, ButtonGroup.f9, ButtonGroup.e9);
            this.fz = ThemeResolver.e(ButtonGroup.f, ButtonGroup.gb, ButtonGroup.fb);
            this.ap = ThemeResolver.b(ButtonGroup.f, ButtonGroup.ar, ButtonGroup.al);
            this.f3 = ThemeResolver.e(ButtonGroup.f, ButtonGroup.gf, ButtonGroup.ff);
            this.f0 = ThemeResolver.e(ButtonGroup.f, ButtonGroup.gc, ButtonGroup.fc);
            this.f4 = ThemeResolver.e(ButtonGroup.f, ButtonGroup.gg, ButtonGroup.fg);
            this.f7 = ThemeResolver.e(ButtonGroup.f, ButtonGroup.gj, ButtonGroup.fj);
            this.f1 = ThemeResolver.e(ButtonGroup.f, ButtonGroup.gd, ButtonGroup.fd);
            this.f2 = ThemeResolver.e(ButtonGroup.f, ButtonGroup.ge, ButtonGroup.fe);
            this.f5 = ThemeResolver.e(ButtonGroup.f, ButtonGroup.gh, ButtonGroup.fh);
            this.f6 = ThemeResolver.e(ButtonGroup.f, ButtonGroup.gi, ButtonGroup.fi);
            this.ac = ThemeResolver.b(ButtonGroup.f, ButtonGroup.au, ButtonGroup.ao);
            this.dj = ThemeResolver.e(ButtonGroup.f, ButtonGroup.gk, ButtonGroup.fk);
            this.dl = ThemeResolver.e(ButtonGroup.f, ButtonGroup.gm, ButtonGroup.fm);
            this.dr = ThemeResolver.e(ButtonGroup.f, ButtonGroup.gr, ButtonGroup.fr);
            this.dn = ThemeResolver.e(ButtonGroup.f, ButtonGroup.go, ButtonGroup.fo);
            this.dk = ThemeResolver.e(ButtonGroup.f, ButtonGroup.gl, ButtonGroup.fl);
            this.dm = ThemeResolver.e(ButtonGroup.f, ButtonGroup.gn, ButtonGroup.fn);
            this.ab = ThemeResolver.b(ButtonGroup.f, ButtonGroup.at, ButtonGroup.an);
            this.ds = ThemeResolver.e(ButtonGroup.f, ButtonGroup.gs, ButtonGroup.fs);
            this.dv = ThemeResolver.e(ButtonGroup.f, ButtonGroup.gv, ButtonGroup.fv);
            this.dp = ThemeResolver.e(ButtonGroup.f, ButtonGroup.gp, ButtonGroup.fp);
            this.dq = ThemeResolver.e(ButtonGroup.f, ButtonGroup.gq, ButtonGroup.fq);
            this.dt = ThemeResolver.e(ButtonGroup.f, ButtonGroup.gt, ButtonGroup.ft);
            this.du = ThemeResolver.e(ButtonGroup.f, ButtonGroup.gu, ButtonGroup.fu);
            this.ag = NaN;
            this.d4 = null;
            this.d6 = null;
            this.eb = null;
            this.d8 = null;
            this.d9 = null;
            this.d5 = null;
            this.d7 = null;
            this.af = NaN;
            this.ea = null;
            this.es = null;
            this.ev = null;
            this.et = null;
            this.eu = null;
            this.ai = NaN;
            this.ec = null;
            this.ee = null;
            this.ej = null;
            this.eg = null;
            this.eh = null;
            this.ed = null;
            this.ef = null;
            this.ah = NaN;
            this.ei = null;
            this.eo = null;
            this.er = null;
            this.ep = null;
            this.eq = null;
            this.ae = NaN;
            this.dw = null;
            this.dy = null;
            this.d3 = null;
            this.d0 = null;
            this.d1 = null;
            this.dx = null;
            this.dz = null;
            this.ad = NaN;
            this.d2 = null;
            this.ek = null;
            this.en = null;
            this.el = null;
            this.em = null;
            this.p = 0;
            this.a4 = "ig-buttongroup-" + ButtonGroup.a3++;
            this.v = false;
            this.u = false;
            this.w = false;
            this.propertyChanged = null;
            this.l = new ButtonGroupButtonCollection();
            this.selectionChanged = null;
            let a = new ButtonGroupView();
            a.a = this;
            this.view = a;
            this.view.s();
            let b = this.l;
            b.collectionChanged = delegateCombine(b.collectionChanged, runOn(this, this.c0));
            let c = this.l;
            c.collectionResetting = delegateCombine(c.collectionResetting, runOn(this, this.c1));
        }
        get o() {
            return this.n;
        }
        set o(a) {
            let b = this.n;
            this.n = a;
            if (b != this.n) {
                this.c7("DisplayType", enumGetBox(ButtonGroupDisplayStyle_$type, b), enumGetBox(ButtonGroupDisplayStyle_$type, a));
            }
        }
        get g() {
            return this.e;
        }
        set g(a) {
            let b = this.e;
            this.e = a;
            if (b != this.e) {
                this.c7("BaseTheme", enumGetBox(BaseControlTheme_$type, b), enumGetBox(BaseControlTheme_$type, a));
            }
        }
        c1(a, b) {
            for (let c of fromEnum(this.buttons)) {
                c.clicked = delegateRemove(c.clicked, runOn(this, this.c3));
            }
            this.dc();
        }
        appendContentChild(a) {
            this.view.o(a);
        }
        c0(a, b) {
            if (b.oldItems != null) {
                for (let c of fromEn(b.oldItems)) {
                    let d = c;
                    if (d != null) {
                        d.clicked = delegateRemove(d.clicked, runOn(this, this.c3));
                    }
                }
            }
            if (b.newItems != null) {
                for (let e of fromEn(b.newItems)) {
                    let f = e;
                    if (f != null) {
                        f.clicked = delegateCombine(f.clicked, runOn(this, this.c3));
                    }
                }
            }
            this.dc();
        }
        c3(a, b) {
            let c = a;
            let d = this.buttons.indexOf(c);
            this.db(c, d);
        }
        get k() {
            return this.i;
        }
        set k(a) {
            let b = this.i;
            this.i = a;
            if (b != this.i) {
                this.c7("Density", enumGetBox(ControlDisplayDensity_$type, b), enumGetBox(ControlDisplayDensity_$type, a));
            }
        }
        get j() {
            return this.h;
        }
        set j(a) {
            let b = this.h;
            this.h = a;
            if (b != this.h) {
                this.c7("ActualDensity", enumGetBox(ControlDisplayDensity_$type, b), enumGetBox(ControlDisplayDensity_$type, a));
            }
        }
        get d() {
            return this.a;
        }
        set d(a) {
            let b = this.a;
            this.a = a;
            if (b != this.a) {
                this.c7("SelectedIndices", b, a);
            }
        }
        db(a, b) {
            this.t = true;
            if (this.z(a)) {
                this.d = this.b(this.d, a, b);
            }
            else {
                if (!this.y) {
                    this.d = new Array(0);
                }
                this.d = this.c(this.d, a, b);
            }
            this.dc();
            if (this.selectionChanged != null) {
                this.selectionChanged(this, new ButtonGroupSelectionChangedEventArgs());
            }
            this.t = false;
        }
        c(a, b, c) {
            let d = new Array(Math.max(0, this.a.length + 1));
            let e = 0;
            for (let f = 0; f < this.a.length; f++) {
                if (this.a[f] != c) {
                    d[e] = this.a[f];
                    e++;
                }
            }
            d[e] = c;
            return d;
        }
        b(a, b, c) {
            let d = new Array(Math.max(0, this.a.length - 1));
            let e = 0;
            for (let f = 0; f < this.a.length; f++) {
                if (this.a[f] != c) {
                    d[e] = this.a[f];
                    e++;
                }
            }
            return d;
        }
        get view() {
            return this._view;
        }
        set view(a) {
            this._view = a;
        }
        destroy() {
            this.provideContainer(null);
        }
        c7(a, b, c) {
            if (this.propertyChanged != null) {
                this.propertyChanged(this, new PropertyChangedEventArgs(a));
            }
            this.c9(a, b, c);
        }
        c9(a, b, c) {
            switch (a) {
                case "BaseTheme":
                    this.de(this.g);
                    this.dd();
                    break;
                case "DisplayType":
                case "ItemBorderColor":
                case "ItemDisabledBorderColor":
                case "ItemBackgroundColor":
                case "ItemDisabledBackgroundColor":
                case "SelectedItemBackgroundColor":
                case "ItemTextColor":
                case "ItemDisabledTextColor":
                case "SelectedItemTextColor":
                case "ItemHoverBackgroundColor":
                case "SelectedItemHoverBackgroundColor":
                case "ItemHoverTextColor":
                case "SelectedItemHoverTextColor":
                case "OutlinedItemBorderColor":
                case "OutlinedItemDisabledBorderColor":
                case "OutlinedItemBackgroundColor":
                case "OutlinedItemDisabledBackgroundColor":
                case "OutlinedSelectedItemBackgroundColor":
                case "OutlinedItemTextColor":
                case "OutlinedItemDisabledTextColor":
                case "OutlinedSelectedItemTextColor":
                case "OutlinedItemHoverBackgroundColor":
                case ButtonGroup.cs:
                case "OutlinedItemHoverTextColor":
                case "OutlinedSelectedItemHoverTextColor":
                case "FlatItemBorderColor":
                case "FlatItemDisabledBorderColor":
                case "FlatItemBackgroundColor":
                case "FlatItemDisabledBackgroundColor":
                case "FlatSelectedItemBackgroundColor":
                case "FlatItemTextColor":
                case "FlatItemDisabledTextColor":
                case "FlatSelectedItemTextColor":
                case "FlatItemHoverBackgroundColor":
                case "FlatSelectedItemHoverBackgroundColor":
                case "FlatItemHoverTextColor":
                case "FlatSelectedItemHoverTextColor":
                    this.dd();
                    break;
                case "ActualItemBorderColor":
                case "ActualItemDisabledBorderColor":
                case "ActualItemDisabledBackgroundColor":
                case "ActualItemBackgroundColor":
                case "ActualItemTextColor":
                case "ActualItemDisabledTextColor":
                case "ActualSelectedItemTextColor":
                case "ActualSelectedItemBackgroundColor":
                    this.dc();
                    break;
                case "Orientation":
                    this.view.v();
                    this.dc();
                    break;
                case "Density":
                    this.j = this.k == 0 ? 1 : this.k;
                    break;
                case "ActualDensity":
                    for (let d = 0; d < this.buttons.count; d++) {
                        this.buttons._inner[d].h = this.j;
                    }
                    break;
                case "IsDisabled":
                    for (let e = 0; e < this.buttons.count; e++) {
                        this.buttons._inner[e].disabled = this.disabled;
                    }
                    break;
                case "SelectedIndices":
                    if (!this.t) {
                        this.dc();
                    }
                    break;
            }
        }
        di(a, b) {
            return new CornerRadius(1, !isNaN_(a.c) ? a.c : b.c, !isNaN_(a.d) ? a.d : b.d, !isNaN_(a.b) ? a.b : b.b, !isNaN_(a.a) ? a.a : b.a);
        }
        dd() {
            switch (this.o) {
                case 1:
                    this.ak = !isNaN_(this.a0) ? this.a0 : this.aw;
                    this.ew = this.hk != null ? this.hk : this.gw;
                    this.ey = this.hm != null ? this.hm : this.gy;
                    this.e3 = this.hr != null ? this.hr : this.g3;
                    this.e0 = this.ho != null ? this.ho : this.g0;
                    this.ex = this.hl != null ? this.hl : this.gx;
                    this.ez = this.hn != null ? this.hn : this.gz;
                    this.aj = !isNaN_(this.az) ? this.az : this.av;
                    this.e4 = this.h4 != null ? this.h4 : this.g4;
                    this.e7 = this.h7 != null ? this.h7 : this.g7;
                    this.e1 = this.hp != null ? this.hp : this.g1;
                    this.e2 = this.hq != null ? this.hq : this.g2;
                    this.e5 = this.h5 != null ? this.h5 : this.g5;
                    this.e6 = this.h6 != null ? this.h6 : this.g6;
                    break;
                case 0:
                    this.ak = !isNaN_(this.a0) ? this.a0 : this.aq;
                    this.ew = this.hk != null ? this.hk : this.fw;
                    this.ey = this.hm != null ? this.hm : this.fy;
                    this.e3 = this.hr != null ? this.hr : this.f3;
                    this.e0 = this.ho != null ? this.ho : this.f0;
                    this.ex = this.hl != null ? this.hl : this.fx;
                    this.ez = this.hn != null ? this.hn : this.fz;
                    this.aj = !isNaN_(this.az) ? this.az : this.ap;
                    this.e4 = this.h4 != null ? this.h4 : this.f4;
                    this.e7 = this.h7 != null ? this.h7 : this.f7;
                    this.e1 = this.hp != null ? this.hp : this.f1;
                    this.e2 = this.hq != null ? this.hq : this.f2;
                    this.e5 = this.h5 != null ? this.h5 : this.f5;
                    this.e6 = this.h6 != null ? this.h6 : this.f6;
                    break;
            }
        }
        dc() {
            for (let a = 0; a < this.buttons.count; a++) {
                let b = this.buttons._inner[a];
                b.h = this.j;
                if (a == 0) {
                    this.df(b);
                }
                else if (a == this.buttons.count - 1) {
                    this.dg(b);
                }
                else {
                    this.dh(b);
                }
                b.r = 1;
                b.aj = false;
                if (this.u) {
                    b.disabled = this.disabled;
                }
                b.nc = this.ex;
                b.au = this.aj;
                b.r8 = this.ez;
                b.r7 = this.ey;
                b.r9 = this.e0;
                this.view.u(b);
                if (this.z(b)) {
                    b.nb = this.e4;
                    b.ty = this.e7;
                    b.sy = this.e5;
                    b.sz = this.e6;
                }
                else {
                    b.nb = this.ew;
                    b.ty = this.e3;
                    b.sy = this.e1;
                    b.sz = this.e2;
                }
            }
        }
        z(a) {
            let b = this.buttons.indexOf(a);
            for (let c = 0; c < this.d.length; c++) {
                if (this.d[c] == b) {
                    return true;
                }
            }
            return false;
        }
        dh(a) {
            a.j4 = new CornerRadius(1, 0, 0, 0, 0);
        }
        dg(a) {
            if (this.q == 1) {
                a.j4 = new CornerRadius(1, 0, 0, this.ak, this.ak);
            }
            else {
                a.j4 = new CornerRadius(1, 0, this.ak, this.ak, 0);
            }
        }
        df(a) {
            if (this.q == 1) {
                a.j4 = new CornerRadius(1, this.ak, this.ak, 0, 0);
            }
            else {
                a.j4 = new CornerRadius(1, this.ak, 0, 0, this.ak);
            }
        }
        de(a) {
            this.aw = ThemeResolver.b(a, ButtonGroup.au, ButtonGroup.ao);
            this.gw = ThemeResolver.e(a, ButtonGroup.gk, ButtonGroup.fk);
            this.gy = ThemeResolver.e(a, ButtonGroup.gm, ButtonGroup.fm);
            this.gx = ThemeResolver.e(a, ButtonGroup.gl, ButtonGroup.fl);
            this.gz = ThemeResolver.e(a, ButtonGroup.gn, ButtonGroup.fn);
            this.av = ThemeResolver.b(a, ButtonGroup.at, ButtonGroup.an);
            this.g3 = ThemeResolver.e(a, ButtonGroup.gr, ButtonGroup.fr);
            this.g0 = ThemeResolver.e(a, ButtonGroup.go, ButtonGroup.fo);
            this.g4 = ThemeResolver.e(a, ButtonGroup.gs, ButtonGroup.fs);
            this.g7 = ThemeResolver.e(a, ButtonGroup.gv, ButtonGroup.fv);
            this.g1 = ThemeResolver.e(a, ButtonGroup.gp, ButtonGroup.fp);
            this.g2 = ThemeResolver.e(a, ButtonGroup.gq, ButtonGroup.fq);
            this.g5 = ThemeResolver.e(a, ButtonGroup.gt, ButtonGroup.ft);
            this.g6 = ThemeResolver.e(a, ButtonGroup.gu, ButtonGroup.fu);
            this.aq = ThemeResolver.b(a, ButtonGroup.as, ButtonGroup.am);
            this.fw = ThemeResolver.e(a, ButtonGroup.f8, ButtonGroup.e8);
            this.fy = ThemeResolver.e(a, ButtonGroup.ga, ButtonGroup.fa);
            this.fx = ThemeResolver.e(a, ButtonGroup.f9, ButtonGroup.e9);
            this.fz = ThemeResolver.e(a, ButtonGroup.gb, ButtonGroup.fb);
            this.ap = ThemeResolver.b(a, ButtonGroup.ar, ButtonGroup.al);
            this.f3 = ThemeResolver.e(a, ButtonGroup.gf, ButtonGroup.ff);
            this.f0 = ThemeResolver.e(a, ButtonGroup.gc, ButtonGroup.fc);
            this.f4 = ThemeResolver.e(a, ButtonGroup.gg, ButtonGroup.fg);
            this.f7 = ThemeResolver.e(a, ButtonGroup.gj, ButtonGroup.fj);
            this.f1 = ThemeResolver.e(a, ButtonGroup.gd, ButtonGroup.fd);
            this.f2 = ThemeResolver.e(a, ButtonGroup.ge, ButtonGroup.fe);
            this.f5 = ThemeResolver.e(a, ButtonGroup.gh, ButtonGroup.fh);
            this.f6 = ThemeResolver.e(a, ButtonGroup.gi, ButtonGroup.fi);
        }
        get ak() {
            return this.ac;
        }
        set ak(a) {
            let b = this.ac;
            this.ac = a;
            if (b != this.ac) {
                this.c7("ActualItemCornerRadius", b, a);
            }
        }
        get ew() {
            return this.dj;
        }
        set ew(a) {
            let b = this.dj;
            this.dj = a;
            if (b != this.dj) {
                this.c7("ActualItemBackgroundColor", b, a);
            }
        }
        get ey() {
            return this.dl;
        }
        set ey(a) {
            let b = this.dl;
            this.dl = a;
            if (b != this.dl) {
                this.c7("ActualItemDisabledBackgroundColor", b, a);
            }
        }
        get e3() {
            return this.dr;
        }
        set e3(a) {
            let b = this.dr;
            this.dr = a;
            if (b != this.dr) {
                this.c7("ActualItemTextColor", b, a);
            }
        }
        get e0() {
            return this.dn;
        }
        set e0(a) {
            let b = this.dn;
            this.dn = a;
            if (b != this.dn) {
                this.c7("ActualItemDisabledTextColor", b, a);
            }
        }
        get ex() {
            return this.dk;
        }
        set ex(a) {
            let b = this.dk;
            this.dk = a;
            if (b != this.dk) {
                this.c7("ActualItemBorderColor", b, a);
            }
        }
        get ez() {
            return this.dm;
        }
        set ez(a) {
            let b = this.dm;
            this.dm = a;
            if (b != this.dm) {
                this.c7("ActualItemDisabledBorderColor", b, a);
            }
        }
        get aj() {
            return this.ab;
        }
        set aj(a) {
            let b = this.ab;
            this.ab = a;
            if (b != this.ab) {
                this.c7("ActualItemBorderWidth", b, a);
            }
        }
        get e4() {
            return this.ds;
        }
        set e4(a) {
            let b = this.ds;
            this.ds = a;
            if (b != this.ds) {
                this.c7("ActualSelectedItemBackgroundColor", b, a);
            }
        }
        get e7() {
            return this.dv;
        }
        set e7(a) {
            let b = this.dv;
            this.dv = a;
            if (b != this.dv) {
                this.c7("ActualSelectedItemTextColor", b, a);
            }
        }
        get e1() {
            return this.dp;
        }
        set e1(a) {
            let b = this.dp;
            this.dp = a;
            if (b != this.dp) {
                this.c7("ActualItemHoverBackgroundColor", b, a);
            }
        }
        get e2() {
            return this.dq;
        }
        set e2(a) {
            let b = this.dq;
            this.dq = a;
            if (b != this.dq) {
                this.c7("ActualItemHoverTextColor", b, a);
            }
        }
        get e5() {
            return this.dt;
        }
        set e5(a) {
            let b = this.dt;
            this.dt = a;
            if (b != this.dt) {
                this.c7("ActualSelectedItemHoverBackgroundColor", b, a);
            }
        }
        get e6() {
            return this.du;
        }
        set e6(a) {
            let b = this.du;
            this.du = a;
            if (b != this.du) {
                this.c7("ActualSelectedItemHoverTextColor", b, a);
            }
        }
        get a0() {
            return this.ag;
        }
        set a0(a) {
            let b = this.ag;
            this.ag = a;
            if (b != this.ag) {
                this.c7("ItemCornerRadius", b, a);
            }
        }
        get hk() {
            return this.d4;
        }
        set hk(a) {
            let b = this.d4;
            this.d4 = a;
            if (b != this.d4) {
                this.c7("ItemBackgroundColor", b, a);
            }
        }
        get hm() {
            return this.d6;
        }
        set hm(a) {
            let b = this.d6;
            this.d6 = a;
            if (b != this.d6) {
                this.c7("ItemDisabledBackgroundColor", b, a);
            }
        }
        get hr() {
            return this.eb;
        }
        set hr(a) {
            let b = this.eb;
            this.eb = a;
            if (b != this.eb) {
                this.c7("ItemTextColor", b, a);
            }
        }
        get ho() {
            return this.d8;
        }
        set ho(a) {
            let b = this.d8;
            this.d8 = a;
            if (b != this.d8) {
                this.c7("ItemDisabledTextColor", b, a);
            }
        }
        get hp() {
            return this.d9;
        }
        set hp(a) {
            let b = this.d9;
            this.d9 = a;
            if (b != this.d9) {
                this.c7("ItemHoverBackgroundColor", b, a);
            }
        }
        get hl() {
            return this.d5;
        }
        set hl(a) {
            let b = this.d5;
            this.d5 = a;
            if (b != this.d5) {
                this.c7("ItemBorderColor", b, a);
            }
        }
        get hn() {
            return this.d7;
        }
        set hn(a) {
            let b = this.d7;
            this.d7 = a;
            if (b != this.d7) {
                this.c7("ItemDisabledBorderColor", b, a);
            }
        }
        get az() {
            return this.af;
        }
        set az(a) {
            let b = this.af;
            this.af = a;
            if (b != this.af) {
                this.c7("ItemBorderWidth", b, a);
            }
        }
        get hq() {
            return this.ea;
        }
        set hq(a) {
            let b = this.ea;
            this.ea = a;
            if (b != this.ea) {
                this.c7("ItemHoverTextColor", b, a);
            }
        }
        get h4() {
            return this.es;
        }
        set h4(a) {
            let b = this.es;
            this.es = a;
            if (b != this.es) {
                this.c7("SelectedItemBackgroundColor", b, a);
            }
        }
        get h7() {
            return this.ev;
        }
        set h7(a) {
            let b = this.ev;
            this.ev = a;
            if (b != this.ev) {
                this.c7("SelectedItemTextColor", b, a);
            }
        }
        get h5() {
            return this.et;
        }
        set h5(a) {
            let b = this.et;
            this.et = a;
            if (b != this.et) {
                this.c7("SelectedItemHoverBackgroundColor", b, a);
            }
        }
        get h6() {
            return this.eu;
        }
        set h6(a) {
            let b = this.eu;
            this.eu = a;
            if (b != this.eu) {
                this.c7("SelectedItemHoverTextColor", b, a);
            }
        }
        get a2() {
            return this.ai;
        }
        set a2(a) {
            let b = this.ai;
            this.ai = a;
            if (b != this.ai) {
                this.c7("OutlinedItemCornerRadius", b, a);
            }
        }
        get hs() {
            return this.ec;
        }
        set hs(a) {
            let b = this.ec;
            this.ec = a;
            if (b != this.ec) {
                this.c7("OutlinedItemBackgroundColor", b, a);
            }
        }
        get hu() {
            return this.ee;
        }
        set hu(a) {
            let b = this.ee;
            this.ee = a;
            if (b != this.ee) {
                this.c7("OutlinedItemDisabledBackgroundColor", b, a);
            }
        }
        get hz() {
            return this.ej;
        }
        set hz(a) {
            let b = this.ej;
            this.ej = a;
            if (b != this.ej) {
                this.c7("OutlinedItemTextColor", b, a);
            }
        }
        get hw() {
            return this.eg;
        }
        set hw(a) {
            let b = this.eg;
            this.eg = a;
            if (b != this.eg) {
                this.c7("OutlinedItemDisabledTextColor", b, a);
            }
        }
        get hx() {
            return this.eh;
        }
        set hx(a) {
            let b = this.eh;
            this.eh = a;
            if (b != this.eh) {
                this.c7("OutlinedItemHoverBackgroundColor", b, a);
            }
        }
        get ht() {
            return this.ed;
        }
        set ht(a) {
            let b = this.ed;
            this.ed = a;
            if (b != this.ed) {
                this.c7("OutlinedItemBorderColor", b, a);
            }
        }
        get hv() {
            return this.ef;
        }
        set hv(a) {
            let b = this.ef;
            this.ef = a;
            if (b != this.ef) {
                this.c7("OutlinedItemDisabledBorderColor", b, a);
            }
        }
        get a1() {
            return this.ah;
        }
        set a1(a) {
            let b = this.ah;
            this.ah = a;
            if (b != this.ah) {
                this.c7("OutlinedItemBorderWidth", b, a);
            }
        }
        get hy() {
            return this.ei;
        }
        set hy(a) {
            let b = this.ei;
            this.ei = a;
            if (b != this.ei) {
                this.c7("OutlinedItemHoverTextColor", b, a);
            }
        }
        get h0() {
            return this.eo;
        }
        set h0(a) {
            let b = this.eo;
            this.eo = a;
            if (b != this.eo) {
                this.c7("OutlinedSelectedItemBackgroundColor", b, a);
            }
        }
        get h3() {
            return this.er;
        }
        set h3(a) {
            let b = this.er;
            this.er = a;
            if (b != this.er) {
                this.c7("OutlinedSelectedItemTextColor", b, a);
            }
        }
        get h1() {
            return this.ep;
        }
        set h1(a) {
            let b = this.ep;
            this.ep = a;
            if (b != this.ep) {
                this.c7(ButtonGroup.cs, b, a);
            }
        }
        get h2() {
            return this.eq;
        }
        set h2(a) {
            let b = this.eq;
            this.eq = a;
            if (b != this.eq) {
                this.c7("OutlinedSelectedItemHoverTextColor", b, a);
            }
        }
        get ay() {
            return this.ae;
        }
        set ay(a) {
            let b = this.ae;
            this.ae = a;
            if (b != this.ae) {
                this.c7("FlatItemCornerRadius", b, a);
            }
        }
        get g8() {
            return this.dw;
        }
        set g8(a) {
            let b = this.dw;
            this.dw = a;
            if (b != this.dw) {
                this.c7("FlatItemBackgroundColor", b, a);
            }
        }
        get ha() {
            return this.dy;
        }
        set ha(a) {
            let b = this.dy;
            this.dy = a;
            if (b != this.dy) {
                this.c7("FlatItemDisabledBackgroundColor", b, a);
            }
        }
        get hf() {
            return this.d3;
        }
        set hf(a) {
            let b = this.d3;
            this.d3 = a;
            if (b != this.d3) {
                this.c7("FlatItemTextColor", b, a);
            }
        }
        get hc() {
            return this.d0;
        }
        set hc(a) {
            let b = this.d0;
            this.d0 = a;
            if (b != this.d0) {
                this.c7("FlatItemDisabledTextColor", b, a);
            }
        }
        get hd() {
            return this.d1;
        }
        set hd(a) {
            let b = this.d1;
            this.d1 = a;
            if (b != this.d1) {
                this.c7("FlatItemHoverBackgroundColor", b, a);
            }
        }
        get g9() {
            return this.dx;
        }
        set g9(a) {
            let b = this.dx;
            this.dx = a;
            if (b != this.dx) {
                this.c7("FlatItemBorderColor", b, a);
            }
        }
        get hb() {
            return this.dz;
        }
        set hb(a) {
            let b = this.dz;
            this.dz = a;
            if (b != this.dz) {
                this.c7("FlatItemDisabledBorderColor", b, a);
            }
        }
        get ax() {
            return this.ad;
        }
        set ax(a) {
            let b = this.ad;
            this.ad = a;
            if (b != this.ad) {
                this.c7("FlatItemBorderWidth", b, a);
            }
        }
        get he() {
            return this.d2;
        }
        set he(a) {
            let b = this.d2;
            this.d2 = a;
            if (b != this.d2) {
                this.c7("FlatItemHoverTextColor", b, a);
            }
        }
        get hg() {
            return this.ek;
        }
        set hg(a) {
            let b = this.ek;
            this.ek = a;
            if (b != this.ek) {
                this.c7("FlatSelectedItemBackgroundColor", b, a);
            }
        }
        get hj() {
            return this.en;
        }
        set hj(a) {
            let b = this.en;
            this.en = a;
            if (b != this.en) {
                this.c7("FlatSelectedItemTextColor", b, a);
            }
        }
        get hh() {
            return this.el;
        }
        set hh(a) {
            let b = this.el;
            this.el = a;
            if (b != this.el) {
                this.c7("FlatSelectedItemHoverBackgroundColor", b, a);
            }
        }
        get hi() {
            return this.em;
        }
        set hi(a) {
            let b = this.em;
            this.em = a;
            if (b != this.em) {
                this.c7("FlatSelectedItemHoverTextColor", b, a);
            }
        }
        get q() {
            return this.p;
        }
        set q(a) {
            let b = this.p;
            this.p = a;
            if (b != this.p) {
                this.c7("Orientation", enumGetBox(ButtonGroupOrientation_$type, b), enumGetBox(ButtonGroupOrientation_$type, a));
            }
        }
        get b2() {
            return this.a4;
        }
        set b2(a) {
            let b = this.a4;
            this.a4 = a;
            if (b != this.a4) {
                this.c7("Id", b, a);
            }
        }
        get disabled() {
            return this.v;
        }
        set disabled(a) {
            let b = this.v;
            this.v = a;
            this.u = true;
            if (b != this.v) {
                this.c7("IsDisabled", b, a);
            }
        }
        get y() {
            return this.w;
        }
        set y(a) {
            let b = this.w;
            this.w = a;
            if (b != this.w) {
                this.c7("IsMultiSelect", b, a);
            }
        }
        c8() {
        }
        onDetachedFromUI() {
            this.view.r();
        }
        onAttachedToUI() {
            this.view.p();
        }
        aa() {
            return this.view.d();
        }
        provideContainer(a) {
            this.view.q(a);
        }
        get buttons() {
            return this.l;
        }
    }
    ButtonGroup.$t = /*@__PURE__*/ markType(ButtonGroup, 'ButtonGroup', Base.$, [INotifyPropertyChanged_$type]);
    ButtonGroup.f = 2;
    ButtonGroup.au = 4;
    ButtonGroup.gk = /*@__PURE__*/ BrushUtil.g(255, 255, 255, 255);
    ButtonGroup.gm = /*@__PURE__*/ BrushUtil.g(10, 0, 0, 0);
    ButtonGroup.gl = /*@__PURE__*/ BrushUtil.g(255, 199, 199, 199);
    ButtonGroup.gn = /*@__PURE__*/ BrushUtil.g(255, 199, 199, 199);
    ButtonGroup.at = 1;
    ButtonGroup.gr = /*@__PURE__*/ BrushUtil.g(255, 0, 0, 0);
    ButtonGroup.go = /*@__PURE__*/ BrushUtil.g(66, 0, 0, 0);
    ButtonGroup.gs = /*@__PURE__*/ BrushUtil.g(60, 0, 0, 0);
    ButtonGroup.gv = /*@__PURE__*/ BrushUtil.g(255, 0, 0, 0);
    ButtonGroup.gp = /*@__PURE__*/ BrushUtil.g(30, 0, 0, 0);
    ButtonGroup.gq = /*@__PURE__*/ BrushUtil.g(255, 0, 0, 0);
    ButtonGroup.gt = /*@__PURE__*/ BrushUtil.g(96, 0, 0, 0);
    ButtonGroup.gu = /*@__PURE__*/ BrushUtil.g(255, 0, 0, 0);
    ButtonGroup.ao = 3;
    ButtonGroup.fk = /*@__PURE__*/ BrushUtil.g(0, 255, 255, 255);
    ButtonGroup.fm = /*@__PURE__*/ BrushUtil.g(10, 0, 0, 0);
    ButtonGroup.fl = /*@__PURE__*/ BrushUtil.g(255, 33, 150, 243);
    ButtonGroup.fn = /*@__PURE__*/ BrushUtil.g(255, 199, 199, 199);
    ButtonGroup.an = 1;
    ButtonGroup.fr = /*@__PURE__*/ BrushUtil.g(255, 33, 150, 243);
    ButtonGroup.fo = /*@__PURE__*/ BrushUtil.g(66, 0, 0, 0);
    ButtonGroup.fs = /*@__PURE__*/ BrushUtil.g(255, 33, 150, 243);
    ButtonGroup.fv = /*@__PURE__*/ BrushUtil.g(255, 255, 255, 255);
    ButtonGroup.fp = /*@__PURE__*/ BrushUtil.g(26, 33, 150, 243);
    ButtonGroup.fq = /*@__PURE__*/ BrushUtil.g(255, 33, 150, 243);
    ButtonGroup.ft = /*@__PURE__*/ BrushUtil.g(255, 33, 150, 243);
    ButtonGroup.fu = /*@__PURE__*/ BrushUtil.g(255, 255, 255, 255);
    ButtonGroup.as = 4;
    ButtonGroup.f8 = /*@__PURE__*/ BrushUtil.g(0, 255, 255, 255);
    ButtonGroup.ga = /*@__PURE__*/ BrushUtil.g(10, 0, 0, 0);
    ButtonGroup.f9 = /*@__PURE__*/ BrushUtil.g(0, 0, 0, 0);
    ButtonGroup.gb = /*@__PURE__*/ BrushUtil.g(255, 199, 199, 199);
    ButtonGroup.ar = 0;
    ButtonGroup.gf = /*@__PURE__*/ BrushUtil.g(255, 228, 28, 119);
    ButtonGroup.gc = /*@__PURE__*/ BrushUtil.g(66, 0, 0, 0);
    ButtonGroup.gg = /*@__PURE__*/ BrushUtil.g(30, 228, 28, 119);
    ButtonGroup.gj = /*@__PURE__*/ BrushUtil.g(255, 228, 28, 119);
    ButtonGroup.gd = /*@__PURE__*/ BrushUtil.g(13, 228, 28, 119);
    ButtonGroup.ge = /*@__PURE__*/ BrushUtil.g(255, 228, 28, 119);
    ButtonGroup.gh = /*@__PURE__*/ BrushUtil.g(30, 228, 28, 119);
    ButtonGroup.gi = /*@__PURE__*/ BrushUtil.g(255, 228, 28, 119);
    ButtonGroup.am = 0;
    ButtonGroup.e8 = /*@__PURE__*/ BrushUtil.g(0, 255, 255, 255);
    ButtonGroup.fa = /*@__PURE__*/ BrushUtil.g(10, 0, 0, 0);
    ButtonGroup.e9 = /*@__PURE__*/ BrushUtil.g(0, 0, 0, 0);
    ButtonGroup.fb = /*@__PURE__*/ BrushUtil.g(0, 0, 0, 0);
    ButtonGroup.al = 0;
    ButtonGroup.ff = /*@__PURE__*/ BrushUtil.g(255, 119, 119, 119);
    ButtonGroup.fc = /*@__PURE__*/ BrushUtil.g(66, 0, 0, 0);
    ButtonGroup.fg = /*@__PURE__*/ BrushUtil.g(26, 33, 150, 243);
    ButtonGroup.fj = /*@__PURE__*/ BrushUtil.g(255, 33, 150, 243);
    ButtonGroup.fd = /*@__PURE__*/ BrushUtil.g(10, 33, 150, 243);
    ButtonGroup.fe = /*@__PURE__*/ BrushUtil.g(255, 119, 119, 119);
    ButtonGroup.fh = /*@__PURE__*/ BrushUtil.g(26, 33, 150, 243);
    ButtonGroup.fi = /*@__PURE__*/ BrushUtil.g(255, 33, 150, 243);
    ButtonGroup.cs = "OutlinedSelectedItemHoverBackgroundColor";
    ButtonGroup.a3 = 0;
    return ButtonGroup;
})();

/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/

class IgrButtonGroupButtonCollection extends IgCollection {
    constructor(list) {
        super();
        if (!IgrButton.$type) {
            IgrButton.$type = markType(IgrButton, "IgrButton");
        }
        if (list) {
            for (let i = 0; i < list.length; i++) {
                this.add(list[i]);
            }
        }
    }
    _createInnerColl() {
        if (!IgrButton.$type) {
            IgrButton.$type = markType(IgrButton, "IgrButton");
        }
        let coll = new SyncableObservableCollection$2(IgrButton.$type, Button.$type, 0);
        coll.compare = (ext, int) => {
            let comp = ext;
            if (comp._implementation) {
                comp = comp._implementation;
            }
            if (comp.equals) {
                return comp.equals(int);
            }
            return comp === int;
        };
        coll.createTo = (ext) => {
            return ext._implementation;
        };
        coll.createFrom = (int) => {
            let ext = int.externalObject;
            if (!ext) {
                ext = IgrButton._createFromInternal(int);
                if (ext) {
                    ext._implementation = int;
                }
            }
            return ext;
        };
        return coll;
    }
}

class IgrButtonGroupSelectionChangedEventArgs {
    createImplementation() {
        return new ButtonGroupSelectionChangedEventArgs();
    }
    /**
     * @hidden
     */
    get i() {
        return this._implementation;
    }
    onImplementationCreated() {
    }
    constructor() {
        this._implementation = this.createImplementation();
        this._implementation.externalObject = this;
        this.onImplementationCreated();
    }
    _provideImplementation(i) {
        this._implementation = i;
        this._implementation.externalObject = this;
        this.onImplementationCreated();
    }
}

class IgrButtonGroup extends Component {
    constructor(props) {
        super(props);
        this._wrapper = null;
        this.contentButtons = [];
        /**
        * The style mappings actually present in the treemap. Do not directly modify this array.
        * This array's contents can be modified by causing React to reproject the child content.
        * Or adding and removing ranges from the manual ranges collection on the ranges property.
        */
        this.actualButtons = [];
        this._buttons = null;
        this._buttonsAdapter = null;
        this._implementation = null;
        this.__p = null;
        this._hasUserValues = new Set();
        this._stylingContainer = null;
        this._stylingParent = null;
        this._inStyling = false;
        this._selectionChanged = null;
        this._selectionChanged_wrapped = null;
        if (this._styling) {
            NamePatcher.ensureStylablePatched(Object.getPrototypeOf(this));
        }
        this._contentChildrenManager = new ContentChildrenManager((ch) => ch.props.name || ch.key || ch.props.id, (ch) => ch.name || ch.key || ch.id, () => this._updateContentChildren());
        this._implementation = this.createImplementation();
        this._implementation.externalObject = this;
        this._getMainRef = this._getMainRef.bind(this);
        var container;
        if (document) {
            container = document.createElement("div");
        }
        var root;
        root = container;
        if (container != null) {
            root = container;
        }
        this.requestRender = this.requestRender.bind(this);
        this._portalManager = new PortalManager("buttonContent", this.requestRender);
        var ren = new ReactRenderer(root, document, true, {}, this._portalManager);
        this._wrapper = ren;
        this._container = this._wrapper.rootWrapper;
        this._container.setStyleProperty("display", "inline-block");
        var buttonGroup = this.i;
        this._buttonGroup = buttonGroup;
        this._buttonsAdapter = new CollectionAdapter(this.contentButtons, this.i.buttons, this.actualButtons, (c) => c.i, (i) => {
            if (this._container && this._container.getNativeElement().parentElement) {
                i._styling(this._container.getNativeElement(), this, this);
            }
        }, (i) => { });
        buttonGroup.provideContainer(ren);
        if (props) {
            this.initializeProperties();
        }
    }
    _getMainRef(ref) {
        this._elRef = ref;
    }
    _updateContentChildren() {
        this.contentButtons.length = 0;
        let contentChildrenActual = this._contentChildrenManager.contentChildrenActual;
        for (let i = 0; i < contentChildrenActual.length; i++) {
            if ((Button.$type).isAssignableFrom(contentChildrenActual[i].i.$type)) {
                this.contentButtons.push(contentChildrenActual[i]);
            }
        }
        if (this._buttonsAdapter !== null) {
            this._buttonsAdapter.notifyContentChanged();
        }
    }
    /**
     * A collection of manually added style mappings for the treemap.
    */
    get buttons() {
        if (this._buttons === null) {
            let coll = new IgrButtonGroupButtonCollection();
            let inner = coll._innerColl;
            inner.addListener((sender, e) => {
                switch (e.action) {
                    case NotifyCollectionChangedAction.Add:
                        this._buttonsAdapter.insertManualItem(e.newStartingIndex, e.newItems.item(0));
                        break;
                    case NotifyCollectionChangedAction.Remove:
                        this._buttonsAdapter.removeManualItemAt(e.oldStartingIndex);
                        break;
                    case NotifyCollectionChangedAction.Replace:
                        this._buttonsAdapter.removeManualItemAt(e.oldStartingIndex);
                        this._buttonsAdapter.insertManualItem(e.newStartingIndex, e.newItems.item(0));
                        break;
                    case NotifyCollectionChangedAction.Reset:
                        this._buttonsAdapter.clearManualItems();
                        break;
                }
            });
            this._buttons = coll;
        }
        return this._buttons;
    }
    render() {
        let children = this._contentChildrenManager.getChildren(this.props.children);
        this._portalManager.onRender(children);
        let div = createElement("div", {
            className: "ig-button-group igr-button-group",
            ref: this._getMainRef,
            children: children
        });
        return div;
    }
    requestRender() {
        if (this._initialized) {
            this.setState({});
        }
    }
    //private _getLabelPortal(element: DomWrapper, portalCallback: (portal: DomPortal) => void): void {
    //    this._portalManager.getPortal(element, "TemplateContent", portalCallback);
    //}
    shouldComponentUpdate(nextProps, nextState) {
        const mod = getModifiedProps(this.props, nextProps);
        for (const p of Object.keys(mod)) {
            if (isValidProp(this, p)) {
                this[p] = mod[p];
            }
        }
        return true;
    }
    initializeProperties() {
        for (const p of Object.keys(this.props)) {
            if (isValidProp(this, p)) {
                this[p] = this.props[p];
            }
        }
    }
    // supports angular themes or custom properties set in CSS
    updateStyle() {
        this._styling(this._elRef, this);
    }
    componentWillUnmount() {
        this._buttonGroup.destroy();
        this._wrapper.destroy();
    }
    componentDidMount() {
        this._elRef.appendChild(this._container.getNativeElement());
        this.initializeContent();
    }
    initializeContent() {
        this._styling(this._container.getNativeElement(), this);
        this.updateStyle();
    }
    createImplementation() {
        return new ButtonGroup();
    }
    get i() {
        return this._implementation;
    }
    /**
 * Gets or sets the display style to use for the button.
*/
    get displayType() {
        return this.i.o;
    }
    set displayType(v) {
        this.i.o = ensureEnum(ButtonGroupDisplayStyle_$type, v);
    }
    /**
     * Gets or sets the base built in theme to use for the button group.
    */
    get baseTheme() {
        return this.i.g;
    }
    set baseTheme(v) {
        this.i.g = ensureEnum(BaseControlTheme_$type, v);
    }
    /**
     * Gets or sets the display density to use for the button group.
    */
    get density() {
        return this.i.k;
    }
    set density(v) {
        this.i.k = ensureEnum(ControlDisplayDensity_$type, v);
    }
    /**
     * Gets the actual display density to use for the button group.
    */
    get actualDensity() {
        return this.i.j;
    }
    set actualDensity(v) {
        this.i.j = ensureEnum(ControlDisplayDensity_$type, v);
    }
    /**
     * Gets the currently selected button indices.
    */
    get selectedIndices() {
        return this.i.d;
    }
    set selectedIndices(v) {
        this.i.d = v;
    }
    /**
     * Gets the actual item corner radius for the appropriate corners.
    */
    get actualItemCornerRadius() {
        return this.i.ak;
    }
    set actualItemCornerRadius(v) {
        this.i.ak = +v;
    }
    /**
     * Gets the actual item background color.
    */
    get actualItemBackgroundColor() {
        return brushToString(this.i.ew);
    }
    set actualItemBackgroundColor(v) {
        this.i.ew = stringToBrush(v);
    }
    /**
     * Gets the actual item background color.
    */
    get actualItemDisabledBackgroundColor() {
        return brushToString(this.i.ey);
    }
    set actualItemDisabledBackgroundColor(v) {
        this.i.ey = stringToBrush(v);
    }
    /**
     * Gets the actual item text color.
    */
    get actualItemTextColor() {
        return brushToString(this.i.e3);
    }
    set actualItemTextColor(v) {
        this.i.e3 = stringToBrush(v);
    }
    /**
     * Gets the actual item text color.
    */
    get actualItemDisabledTextColor() {
        return brushToString(this.i.e0);
    }
    set actualItemDisabledTextColor(v) {
        this.i.e0 = stringToBrush(v);
    }
    /**
     * Gets the actual item border color.
    */
    get actualItemBorderColor() {
        return brushToString(this.i.ex);
    }
    set actualItemBorderColor(v) {
        this.i.ex = stringToBrush(v);
    }
    /**
     * Gets the actual item border color.
    */
    get actualItemDisabledBorderColor() {
        return brushToString(this.i.ez);
    }
    set actualItemDisabledBorderColor(v) {
        this.i.ez = stringToBrush(v);
    }
    /**
     * Gets the actual item border width.
    */
    get actualItemBorderWidth() {
        return this.i.aj;
    }
    set actualItemBorderWidth(v) {
        this.i.aj = +v;
    }
    /**
     * Gets the actual selected item background color.
    */
    get actualSelectedItemBackgroundColor() {
        return brushToString(this.i.e4);
    }
    set actualSelectedItemBackgroundColor(v) {
        this.i.e4 = stringToBrush(v);
    }
    /**
     * Gets the stroke actual selected item text color.
    */
    get actualSelectedItemTextColor() {
        return brushToString(this.i.e7);
    }
    set actualSelectedItemTextColor(v) {
        this.i.e7 = stringToBrush(v);
    }
    /**
     * Gets the actual item hovered background color.
    */
    get actualItemHoverBackgroundColor() {
        return brushToString(this.i.e1);
    }
    set actualItemHoverBackgroundColor(v) {
        this.i.e1 = stringToBrush(v);
    }
    /**
     * Gets the actual item text color.
    */
    get actualItemHoverTextColor() {
        return brushToString(this.i.e2);
    }
    set actualItemHoverTextColor(v) {
        this.i.e2 = stringToBrush(v);
    }
    /**
     * Gets the actual selected item hovered background color.
    */
    get actualSelectedItemHoverBackgroundColor() {
        return brushToString(this.i.e5);
    }
    set actualSelectedItemHoverBackgroundColor(v) {
        this.i.e5 = stringToBrush(v);
    }
    /**
     * Gets the actual selected item hovered text color.
    */
    get actualSelectedItemHoverTextColor() {
        return brushToString(this.i.e6);
    }
    set actualSelectedItemHoverTextColor(v) {
        this.i.e6 = stringToBrush(v);
    }
    /**
     * Gets or sets the corner radius to use for the appropriate corners for the item buttons.
    */
    get itemCornerRadius() {
        return this.i.a0;
    }
    set itemCornerRadius(v) {
        this.i.a0 = +v;
    }
    /**
     * Gets or sets the color to use the background of the buttons in the group.
    */
    get itemBackgroundColor() {
        return brushToString(this.i.hk);
    }
    set itemBackgroundColor(v) {
        this.i.hk = stringToBrush(v);
    }
    /**
     * Gets or sets the disabled color to use the background of the buttons in the group.
    */
    get itemDisabledBackgroundColor() {
        return brushToString(this.i.hm);
    }
    set itemDisabledBackgroundColor(v) {
        this.i.hm = stringToBrush(v);
    }
    /**
     * Gets or sets the color to use the text of the buttons in the group.
    */
    get itemTextColor() {
        return brushToString(this.i.hr);
    }
    set itemTextColor(v) {
        this.i.hr = stringToBrush(v);
    }
    /**
     * Gets or sets the disabled color to use the text of the buttons in the group.
    */
    get itemDisabledTextColor() {
        return brushToString(this.i.ho);
    }
    set itemDisabledTextColor(v) {
        this.i.ho = stringToBrush(v);
    }
    /**
     * Gets or sets the color to use the hovered background of the buttons in the group.
    */
    get itemHoverBackgroundColor() {
        return brushToString(this.i.hp);
    }
    set itemHoverBackgroundColor(v) {
        this.i.hp = stringToBrush(v);
    }
    /**
     * Gets or sets the color to use the border of the buttons in the group.
    */
    get itemBorderColor() {
        return brushToString(this.i.hl);
    }
    set itemBorderColor(v) {
        this.i.hl = stringToBrush(v);
    }
    /**
     * Gets or sets the disabled color to use the border of the buttons in the group.
    */
    get itemDisabledBorderColor() {
        return brushToString(this.i.hn);
    }
    set itemDisabledBorderColor(v) {
        this.i.hn = stringToBrush(v);
    }
    /**
     * Gets or sets the border width to use for the buttons in the group.
    */
    get itemBorderWidth() {
        return this.i.az;
    }
    set itemBorderWidth(v) {
        this.i.az = +v;
    }
    /**
     * Gets or sets the color to use the hovered text of the buttons in the group.
    */
    get itemHoverTextColor() {
        return brushToString(this.i.hq);
    }
    set itemHoverTextColor(v) {
        this.i.hq = stringToBrush(v);
    }
    /**
     * Gets or sets the color to use the background of the buttons in the group that are selected.
    */
    get selectedItemBackgroundColor() {
        return brushToString(this.i.h4);
    }
    set selectedItemBackgroundColor(v) {
        this.i.h4 = stringToBrush(v);
    }
    /**
     * Gets or sets the color to use the text of the buttons in the group that are selected.
    */
    get selectedItemTextColor() {
        return brushToString(this.i.h7);
    }
    set selectedItemTextColor(v) {
        this.i.h7 = stringToBrush(v);
    }
    /**
     * Gets or sets the color to use the hovered background of the buttons in the group that are selected.
    */
    get selectedItemHoverBackgroundColor() {
        return brushToString(this.i.h5);
    }
    set selectedItemHoverBackgroundColor(v) {
        this.i.h5 = stringToBrush(v);
    }
    /**
     * Gets or sets the color to use the hovered text of the buttons in the group that are selected.
    */
    get selectedItemHoverTextColor() {
        return brushToString(this.i.h6);
    }
    set selectedItemHoverTextColor(v) {
        this.i.h6 = stringToBrush(v);
    }
    /**
     * Gets or sets the corner radius to use for the appropriate corners for the outlined type item buttons.
    */
    get outlinedItemCornerRadius() {
        return this.i.a2;
    }
    set outlinedItemCornerRadius(v) {
        this.i.a2 = +v;
    }
    /**
     * Gets or sets the color to use the background of the buttons in the group when type is outlined.
    */
    get outlinedItemBackgroundColor() {
        return brushToString(this.i.hs);
    }
    set outlinedItemBackgroundColor(v) {
        this.i.hs = stringToBrush(v);
    }
    /**
     * Gets or sets the disabled color to use the background of the buttons in the group when type is outlined.
    */
    get outlinedItemDisabledBackgroundColor() {
        return brushToString(this.i.hu);
    }
    set outlinedItemDisabledBackgroundColor(v) {
        this.i.hu = stringToBrush(v);
    }
    /**
     * Gets or sets the color to use the text of the buttons in the group when type is outlined.
    */
    get outlinedItemTextColor() {
        return brushToString(this.i.hz);
    }
    set outlinedItemTextColor(v) {
        this.i.hz = stringToBrush(v);
    }
    /**
     * Gets or sets the disabled color to use the text of the buttons in the group when type is outlined.
    */
    get outlinedItemDisabledTextColor() {
        return brushToString(this.i.hw);
    }
    set outlinedItemDisabledTextColor(v) {
        this.i.hw = stringToBrush(v);
    }
    /**
     * Gets or sets the color to use the hovered background of the buttons in the group when type is outlined.
    */
    get outlinedItemHoverBackgroundColor() {
        return brushToString(this.i.hx);
    }
    set outlinedItemHoverBackgroundColor(v) {
        this.i.hx = stringToBrush(v);
    }
    /**
     * Gets or sets the color to use the border of the buttons in the group when type is outlined.
    */
    get outlinedItemBorderColor() {
        return brushToString(this.i.ht);
    }
    set outlinedItemBorderColor(v) {
        this.i.ht = stringToBrush(v);
    }
    /**
     * Gets or sets the disabled color to use the border of the buttons in the group when type is outlined.
    */
    get outlinedItemDisabledBorderColor() {
        return brushToString(this.i.hv);
    }
    set outlinedItemDisabledBorderColor(v) {
        this.i.hv = stringToBrush(v);
    }
    /**
     * Gets or sets the border width to use for the buttons in the group when type is outlined.
    */
    get outlinedItemBorderWidth() {
        return this.i.a1;
    }
    set outlinedItemBorderWidth(v) {
        this.i.a1 = +v;
    }
    /**
     * Gets or sets the color to use the hovered text of the buttons in the group when type is outlined.
    */
    get outlinedItemHoverTextColor() {
        return brushToString(this.i.hy);
    }
    set outlinedItemHoverTextColor(v) {
        this.i.hy = stringToBrush(v);
    }
    /**
     * Gets or sets the color to use the background of the buttons in the group that are selected when type is outlined.
    */
    get outlinedSelectedItemBackgroundColor() {
        return brushToString(this.i.h0);
    }
    set outlinedSelectedItemBackgroundColor(v) {
        this.i.h0 = stringToBrush(v);
    }
    /**
     * Gets or sets the color to use the text of the buttons in the group that are selected when type is outlined.
    */
    get outlinedSelectedItemTextColor() {
        return brushToString(this.i.h3);
    }
    set outlinedSelectedItemTextColor(v) {
        this.i.h3 = stringToBrush(v);
    }
    /**
     * Gets or sets the color to use the hovered background of the buttons in the group that are selected when type is outlined.
    */
    get outlinedSelectedItemHoverBackgroundColor() {
        return brushToString(this.i.h1);
    }
    set outlinedSelectedItemHoverBackgroundColor(v) {
        this.i.h1 = stringToBrush(v);
    }
    /**
     * Gets or sets the color to use the hovered text of the buttons in the group that are selected when type is outlined.
    */
    get outlinedSelectedItemHoverTextColor() {
        return brushToString(this.i.h2);
    }
    set outlinedSelectedItemHoverTextColor(v) {
        this.i.h2 = stringToBrush(v);
    }
    /**
     * Gets or sets the corner radius to use for the appropriate corners for the flat type item buttons.
    */
    get flatItemCornerRadius() {
        return this.i.ay;
    }
    set flatItemCornerRadius(v) {
        this.i.ay = +v;
    }
    /**
     * Gets or sets the color to use the background of the buttons in the group when type is flat.
    */
    get flatItemBackgroundColor() {
        return brushToString(this.i.g8);
    }
    set flatItemBackgroundColor(v) {
        this.i.g8 = stringToBrush(v);
    }
    /**
     * Gets or sets the disabled color to use the background of the buttons in the group when type is flat.
    */
    get flatItemDisabledBackgroundColor() {
        return brushToString(this.i.ha);
    }
    set flatItemDisabledBackgroundColor(v) {
        this.i.ha = stringToBrush(v);
    }
    /**
     * Gets or sets the color to use the text of the buttons in the group when type is flat.
    */
    get flatItemTextColor() {
        return brushToString(this.i.hf);
    }
    set flatItemTextColor(v) {
        this.i.hf = stringToBrush(v);
    }
    /**
     * Gets or sets the disabled color to use the text of the buttons in the group when type is flat.
    */
    get flatItemDisabledTextColor() {
        return brushToString(this.i.hc);
    }
    set flatItemDisabledTextColor(v) {
        this.i.hc = stringToBrush(v);
    }
    /**
     * Gets or sets the color to use the hovered background of the buttons in the group when type is flat.
    */
    get flatItemHoverBackgroundColor() {
        return brushToString(this.i.hd);
    }
    set flatItemHoverBackgroundColor(v) {
        this.i.hd = stringToBrush(v);
    }
    /**
     * Gets or sets the color to use the border of the buttons in the group when type is flat.
    */
    get flatItemBorderColor() {
        return brushToString(this.i.g9);
    }
    set flatItemBorderColor(v) {
        this.i.g9 = stringToBrush(v);
    }
    /**
     * Gets or sets the disabled color to use the border of the buttons in the group when type is flat.
    */
    get flatItemDisabledBorderColor() {
        return brushToString(this.i.hb);
    }
    set flatItemDisabledBorderColor(v) {
        this.i.hb = stringToBrush(v);
    }
    /**
     * Gets or sets the border width to use for the buttons in the group when type is flat.
    */
    get flatItemBorderWidth() {
        return this.i.ax;
    }
    set flatItemBorderWidth(v) {
        this.i.ax = +v;
    }
    /**
     * Gets or sets the color to use the hovered text of the buttons in the group when type is flat.
    */
    get flatItemHoverTextColor() {
        return brushToString(this.i.he);
    }
    set flatItemHoverTextColor(v) {
        this.i.he = stringToBrush(v);
    }
    /**
     * Gets or sets the color to use the background of the buttons in the group that are selected when type is flat.
    */
    get flatSelectedItemBackgroundColor() {
        return brushToString(this.i.hg);
    }
    set flatSelectedItemBackgroundColor(v) {
        this.i.hg = stringToBrush(v);
    }
    /**
     * Gets or sets the color to use the text of the buttons in the group that are selected when type is flat.
    */
    get flatSelectedItemTextColor() {
        return brushToString(this.i.hj);
    }
    set flatSelectedItemTextColor(v) {
        this.i.hj = stringToBrush(v);
    }
    /**
     * Gets or sets the color to use the hovered background of the buttons in the group that are selected when type is flat.
    */
    get flatSelectedItemHoverBackgroundColor() {
        return brushToString(this.i.hh);
    }
    set flatSelectedItemHoverBackgroundColor(v) {
        this.i.hh = stringToBrush(v);
    }
    /**
     * Gets or sets the color to use the hovered text of the buttons in the group that are selected when type is flat.
    */
    get flatSelectedItemHoverTextColor() {
        return brushToString(this.i.hi);
    }
    set flatSelectedItemHoverTextColor(v) {
        this.i.hi = stringToBrush(v);
    }
    /**
     * Gets or sets the oreientation to use the button group when type is outlined.
    */
    get orientation() {
        return this.i.q;
    }
    set orientation(v) {
        this.i.q = ensureEnum(ButtonGroupOrientation_$type, v);
    }
    /**
     * Gets or sets the id to use for the button group.
    */
    get id() {
        return this.i.b2;
    }
    set id(v) {
        this.i.b2 = v;
    }
    /**
     * Gets or sets whether the checkbox is disabled.
    */
    get disabled() {
        return this.i.disabled;
    }
    set disabled(v) {
        this.i.disabled = ensureBool(v);
    }
    /**
     * Gets or sets whether the group supports multi-select.
    */
    get isMultiSelect() {
        return this.i.y;
    }
    set isMultiSelect(v) {
        this.i.y = ensureBool(v);
    }
    findByName(name) {
        if (this.buttons != null && this.buttons.findByName && this.buttons.findByName(name)) {
            return this.buttons.findByName(name);
        }
        return null;
    }
    get hasUserValues() {
        return this._hasUserValues;
    }
    __m(propertyName) {
        if (!this._inStyling) {
            this._hasUserValues.add(propertyName);
        }
    }
    _styling(container, component, parent) {
        if (this._inStyling) {
            return;
        }
        this._inStyling = true;
        this._stylingContainer = container;
        this._stylingParent = component;
        let genericPrefix = "";
        let typeName = this.i.$type.name;
        if (typeName.indexOf("Xam") === 0) {
            typeName = typeName.substring(3);
        }
        genericPrefix = toSpinal("ButtonGroup");
        let additionalPrefixes = [];
        let prefix = toSpinal(typeName);
        additionalPrefixes.push(prefix + "-");
        let b = this.i.$type.baseType;
        while (b && b.name != "Object" &&
            b.name != "Base" &&
            b.name != "Control" &&
            b.Name != "DependencyObject" &&
            b.Name != "FrameworkElement") {
            typeName = b.name;
            if (typeName.indexOf("Xam") === 0) {
                typeName = typeName.substring(3);
            }
            let basePrefix = toSpinal(typeName);
            additionalPrefixes.push(basePrefix + "-");
            b = b.baseType;
        }
        if (parent) {
            let parentTypeName = parent.i.$type.name;
            if (parentTypeName.indexOf("Xam") === 0) {
                parentTypeName = parentTypeName.substring(3);
            }
            let parentPrefix = toSpinal(parentTypeName);
            additionalPrefixes.push(parentPrefix + "-" + genericPrefix + "-");
            additionalPrefixes.push(parentPrefix + "-" + prefix + "-");
        }
        initializePropertiesFromCss(container, this, genericPrefix + "-", this.hasUserValues, false, additionalPrefixes);
        if (this._otherStyling) {
            this._otherStyling(container, component, parent);
        }
        this._inStyling = false;
    }
    onDetachedFromUI() {
        this.i.onDetachedFromUI();
    }
    onAttachedToUI() {
        this.i.onAttachedToUI();
    }
    get selectionChanged() {
        return this._selectionChanged;
    }
    set selectionChanged(ev) {
        if (this._selectionChanged_wrapped !== null) {
            this.i.selectionChanged = delegateRemove(this.i.selectionChanged, this._selectionChanged_wrapped);
            this._selectionChanged_wrapped = null;
            this._selectionChanged = null;
        }
        this._selectionChanged = ev;
        this._selectionChanged_wrapped = (o, e) => {
            let outerArgs = new IgrButtonGroupSelectionChangedEventArgs();
            outerArgs._provideImplementation(e);
            if (this.beforeSelectionChanged) {
                this.beforeSelectionChanged(this, outerArgs);
            }
            if (this._selectionChanged) {
                this._selectionChanged(this, outerArgs);
            }
        };
        this.i.selectionChanged = delegateCombine(this.i.selectionChanged, this._selectionChanged_wrapped);
    }
}

/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE: you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
class IgrButtonGroupModule {
    static register() {
        IgrChildContentModule.register();
        IgrButtonModule.register();
        TypeRegistrar.registerCons('IgrButtonGroup', IgrButtonGroup);
        TypeRegistrar.registerCons('IgrButtonGroup', IgrButtonGroup);
        TypeRegistrar.register('ButtonGroup', ButtonGroup.$type);
    }
}

/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
var SuffixShiftType = /*@__PURE__*/ (function (SuffixShiftType) {
    SuffixShiftType[SuffixShiftType["Line"] = 0] = "Line";
    SuffixShiftType[SuffixShiftType["Box"] = 1] = "Box";
    SuffixShiftType[SuffixShiftType["Border"] = 2] = "Border";
    return SuffixShiftType;
})({});
/**
 * @hidden
 */
let SuffixShiftType_$type = /*@__PURE__*/ markEnum('SuffixShiftType', 'Line,0|Box,1|Border,2');

/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
var PrefixShiftType = /*@__PURE__*/ (function (PrefixShiftType) {
    PrefixShiftType[PrefixShiftType["Line"] = 0] = "Line";
    PrefixShiftType[PrefixShiftType["Box"] = 1] = "Box";
    PrefixShiftType[PrefixShiftType["Border"] = 2] = "Border";
    return PrefixShiftType;
})({});
/**
 * @hidden
 */
let PrefixShiftType_$type = /*@__PURE__*/ markEnum('PrefixShiftType', 'Line,0|Box,1|Border,2');

/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
var LabelShiftType = /*@__PURE__*/ (function (LabelShiftType) {
    LabelShiftType[LabelShiftType["Line"] = 0] = "Line";
    LabelShiftType[LabelShiftType["Box"] = 1] = "Box";
    LabelShiftType[LabelShiftType["Border"] = 2] = "Border";
    return LabelShiftType;
})({});
/**
 * @hidden
 */
let LabelShiftType_$type = /*@__PURE__*/ markEnum('LabelShiftType', 'Line,0|Box,1|Border,2');

/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
var InputShiftType = /*@__PURE__*/ (function (InputShiftType) {
    InputShiftType[InputShiftType["Line"] = 0] = "Line";
    InputShiftType[InputShiftType["Box"] = 1] = "Box";
    InputShiftType[InputShiftType["Border"] = 2] = "Border";
    return InputShiftType;
})({});
/**
 * @hidden
 */
let InputShiftType_$type = /*@__PURE__*/ markEnum('InputShiftType', 'Line,0|Box,1|Border,2');

/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
var InputGroupDisplayType = /*@__PURE__*/ (function (InputGroupDisplayType) {
    InputGroupDisplayType[InputGroupDisplayType["Line"] = 0] = "Line";
    InputGroupDisplayType[InputGroupDisplayType["Box"] = 1] = "Box";
    InputGroupDisplayType[InputGroupDisplayType["Border"] = 2] = "Border";
    InputGroupDisplayType[InputGroupDisplayType["Search"] = 3] = "Search";
    return InputGroupDisplayType;
})({});
/**
 * @hidden
 */
let InputGroupDisplayType_$type = /*@__PURE__*/ markEnum('InputGroupDisplayType', 'Line,0|Box,1|Border,2|Search,3');

/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
/**
 * @hidden
 */
let Replaced = /*@__PURE__*/ (() => {
    class Replaced extends Base {
        constructor() {
            super(...arguments);
            this.b = null;
            this.a = 0;
        }
    }
    Replaced.$t = /*@__PURE__*/ markType(Replaced, 'Replaced');
    return Replaced;
})();

/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
/**
 * @hidden
 */
let MaskParsingService = /*@__PURE__*/ (() => {
    class MaskParsingService extends Base {
        g(a, b) {
            let c = "";
            let d = "";
            let e = b.a;
            let f = this.c(e);
            let g = f.keys;
            let h = this.e(e, g);
            let i = f.values;
            if (a != null) {
                d = a.toString();
            }
            for (let j = 0; j < e.length; j++) {
                c += b.b;
            }
            for (let k of fromEnum(f)) {
                c = this.i(c, k.key, k.value);
            }
            if (d == "") {
                return c;
            }
            let l = this.f(d, i);
            for (let m = 0; m < l.count; m++) {
                let n = l._inner[m];
                let o = this.b(n, h._inner[m], e);
                if (!o && n != b.b) {
                    l.item(m, b.b);
                }
            }
            if (l.count > h.count) {
                l.v(h.count + 1, l.count);
            }
            let p = 0;
            for (let q of fromEnum(l)) {
                let r = q;
                c = this.i(c, h._inner[p++], r);
            }
            return c;
        }
        h(a, b) {
            let c = "";
            let d = b.a;
            let e = this.c(d);
            let f = e.values;
            for (let g = 0; g < a.length; g++) {
                let h = a.charAt(g).toString();
                if (!f.contains(h)) {
                    if (h != b.b) {
                        c += h;
                    }
                }
            }
            return c;
        }
        a(a, b, c, d, e) {
            let f = this.c(c.a).keys;
            let g = new ObservableCollection$1(String_$type, 0);
            for (let h = 0; h < b.length; h++) {
                g.add(b.charAt(h).toString());
            }
            let i = d;
            e = Math.min(e, a.length);
            for (let j = d; j < e || (g.count > 0 && j < a.length); j++) {
                if (f.contains(j)) {
                    if (g._inner[0] == a.charAt(j).toString()) {
                        i = j + 1;
                        g.removeAt(0);
                    }
                    continue;
                }
                if (g._inner[0] != null && !this.b(g._inner[0].toString(), j, c.a) && g._inner[0].toString() != c.b) {
                    break;
                }
                let k = c.b;
                if (g.count > 0) {
                    i = j + 1;
                    k = g._inner[0];
                    g.removeAt(0);
                }
                a = this.i(a, j, k);
            }
            let l = new Replaced();
            l.b = a;
            l.a = i;
            return l;
        }
        i(a, b, c) {
            if (a != null) {
                return a.substr(0, b) + c + a.substr(b + 1);
            }
            return null;
        }
        b(a, b, c) {
            let d;
            let e;
            let f = "[\\d\\u00C0-\\u1FFF\\u2C00-\\uD7FFa-zA-Z]";
            let g = "[\\d\\u00C0-\\u1FFF\\u2C00-\\uD7FFa-zA-Z\\u0020]";
            let h = "[\\u00C0-\\u1FFF\\u2C00-\\uD7FFa-zA-Z]";
            let i = "[\\u00C0-\\u1FFF\\u2C00-\\uD7FFa-zA-Z\\u0020]";
            let j = "[\\d]";
            let k = "[\\d\\u0020]";
            let l = "[\\d-\\+\\s]";
            switch (c.charAt(b)) {
                case 'C':
                    e = a != "";
                    break;
                case '&':
                    d = new RegExp("[\\u0020]");
                    e = !d.test(a);
                    break;
                case 'a':
                    d = new RegExp(g);
                    e = d.test(a);
                    break;
                case 'A':
                    d = new RegExp(f);
                    e = d.test(a);
                    break;
                case '?':
                    d = new RegExp(i);
                    e = d.test(a);
                    break;
                case 'L':
                    d = new RegExp(h);
                    e = d.test(a);
                    break;
                case '0':
                    d = new RegExp(j);
                    e = d.test(a);
                    break;
                case '9':
                    d = new RegExp(k);
                    e = d.test(a);
                    break;
                case '#':
                    d = new RegExp(l);
                    e = d.test(a);
                    break;
                default:
                    e = false;
                    break;
            }
            return e;
        }
        c(a) {
            let b = new Dictionary$2(Number_$type, String_$type, 0);
            for (let c = 0; c < a.length; c++) {
                let d = a.charAt(c);
                if (!MaskParsingService.d.contains(d)) {
                    b.addItem(c, d.toString());
                }
            }
            return b;
        }
        e(a, b) {
            let c = new ObservableCollection$1(Number_$type, 0);
            for (let d = 0; d < a.length; d++) {
                if (!b.contains(d)) {
                    c.add(d);
                }
            }
            return c;
        }
        f(a, b) {
            let c = new ObservableCollection$1(String_$type, 0);
            for (let d = 0; d < a.length; d++) {
                let e = a.charAt(d).toString();
                if (!b.contains(e)) {
                    b.remove(e);
                    c.add(e);
                }
            }
            return c;
        }
    }
    MaskParsingService.$t = /*@__PURE__*/ markType(MaskParsingService, 'MaskParsingService');
    MaskParsingService.d = /*@__PURE__*/ ((() => {
        let $ret = new List$1(String_$type, 0);
        $ret.add('C');
        $ret.add('&');
        $ret.add('a');
        $ret.add('A');
        $ret.add('?');
        $ret.add('L');
        $ret.add('9');
        $ret.add('0');
        $ret.add('#');
        return $ret;
    })());
    return MaskParsingService;
})();

/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
/**
 * @hidden
 */
let InputChangeEventArgs = /*@__PURE__*/ (() => {
    class InputChangeEventArgs extends EventArgs {
        constructor() {
            super(...arguments);
            this._value = null;
            this._isCompositionInProgress = false;
        }
        get value() {
            return this._value;
        }
        set value(a) {
            this._value = a;
        }
        get isCompositionInProgress() {
            return this._isCompositionInProgress;
        }
        set isCompositionInProgress(a) {
            this._isCompositionInProgress = a;
        }
    }
    InputChangeEventArgs.$t = /*@__PURE__*/ markType(InputChangeEventArgs, 'InputChangeEventArgs', EventArgs.$);
    return InputChangeEventArgs;
})();

/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
/**
 * @hidden
 */
let MaskOptions = /*@__PURE__*/ (() => {
    class MaskOptions extends Base {
        constructor() {
            super(...arguments);
            this.a = null;
            this.b = null;
        }
    }
    MaskOptions.$t = /*@__PURE__*/ markType(MaskOptions, 'MaskOptions');
    return MaskOptions;
})();

/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
/**
 * @hidden
 */
let InputGroupView = /*@__PURE__*/ (() => {
    class InputGroupView extends Base {
        constructor() {
            super();
            this.d = null;
            this.l = null;
            this.e = null;
            this.i = new List$1(Delegate_$type, 0);
            this.y = null;
            this.f = true;
            this.n = null;
            this.o = null;
            this.p = null;
            this.s = null;
            this.r = null;
            this.q = null;
            this.m = null;
        }
        ag() {
        }
        g() {
            return true;
        }
        get v() {
            return this.n;
        }
        get ao() {
            return null;
        }
        get h() {
            return true;
        }
        ad(a) {
            if (a == null) {
                for (let b of fromEnum(this.i)) {
                    b();
                }
                this.i.clear();
            }
            this.l = a;
            a.rootWrapper.setStyleProperty("position", "relative");
            a.rootWrapper.setStyleProperty("box-sizing", "border-box");
            a.rootWrapper.setStyleProperty("border-width", "0px");
            a.rootWrapper.setStyleProperty("border-style", "solid");
            let c = this.u;
            this.i.add(c.listen("focusin", runOn(this, this.af)));
            this.i.add(c.listen("focusout", runOn(this, this.ai)));
            let d = this.l.createElement("div");
            d.setStyleProperty("position", "absolute");
            d.setStyleProperty("width", "100%");
            d.setStyleProperty("height", "100%");
            d.setStyleProperty("border-style", "solid");
            d.setStyleProperty("box-sizing", "border-box");
            d.setStyleProperty("left", "0px");
            d.setStyleProperty("top", "0px");
            this.l.append(d);
            this.m = d;
            let e = this.l.createElement("div");
            e.addClass("ig-input-content");
            e.setStyleProperty("width", "100%");
            e.setStyleProperty("position", "relative");
            e.setStyleProperty("display", "flex");
            e.setStyleProperty("flex-direction", "row");
            e.setStyleProperty("flex-wrap", "no-wrap");
            e.setStyleProperty("flex-flow", "row nowrap");
            e.setStyleProperty("flex-grow", "1");
            e.setStyleProperty("align-items", "center");
            e.setStyleProperty("padding-top", "1.125rem");
            this.p = e;
            this.i.add(e.listen("click", runOn(this, this.z)));
            this.l.append(e);
            this.l.getPortal(e, "ChildContent", (f) => {
                let comp_ = f.componentRef;
                this.s = comp_;
                this.p.setStyleProperty("flex-direction", "row");
            }, true);
            let f = this.l.createElement("div");
            f.setStyleProperty("position", "absolute");
            f.setStyleProperty("width", "100%");
            f.setStyleProperty("background-color", "rgba(0, 0, 0, 0.54)");
            f.setStyleProperty("height", "1px");
            f.setStyleProperty("pointer-events", "none");
            f.setStyleProperty("left", "0px");
            f.setStyleProperty("bottom", "1px");
            f.setStyleProperty("overflow", "visible");
            let g = this.l.createElement("span");
            g.setStyleProperty("width", "100%");
            g.setStyleProperty("height", "2px");
            g.setStyleProperty("display", "block");
            g.setStyleProperty("pointer-events", "none");
            NativeUI.z(g, ((() => {
                let $ret = new ScaleTransform();
                $ret.l = 0.5;
                $ret.m = 1;
                return $ret;
            })()));
            g.setStyleProperty("opacity", "0");
            this.r = g;
            f.append(this.r);
            this.q = f;
            this.l.append(f);
            this.d.l6();
        }
        get u() {
            return this.l.rootWrapper;
        }
        get t() {
            return this.m;
        }
        get w() {
            return this.q;
        }
        get x() {
            return this.r;
        }
        am(a) {
            if (this.y != a) {
                this.y = a;
                if (this.o != null) {
                    this.o.setAttribute("d", this.y);
                }
            }
        }
        al() {
            switch (this.d.g) {
                case 1:
                    this.p.setStyleProperty("padding-top", "1.125rem");
                    break;
                case 2:
                    this.p.setStyleProperty("padding-top", ".94737rem");
                    break;
                case 3:
                    this.p.setStyleProperty("padding-top", ".81818rem");
                    break;
            }
        }
        z(a) {
        }
        ah() {
            if (this.g()) {
            }
        }
        j() {
            let a = this.l.rootWrapper.getStyleProperty("height");
            return parseFloat(stringReplace(a, "px", ""));
        }
        ac() {
            this.f = true;
        }
        ae() {
            this.f = false;
            for (let a of fromEnum(this.i)) {
                a();
            }
            this.i.clear();
        }
        an(a) {
            if (a != null) {
                this.l.rootWrapper.setStyleProperty("font", a.fontString);
            }
        }
        k(a) {
            return a.view.h();
        }
        ab() {
            if (KeyFrameAnimationFactory.h == null) {
                KeyFrameAnimationFactory.h = this.l;
            }
        }
        a(a) {
            return new AnimationKeyFrameEffect(0, this.t, 0, null, a);
        }
        c(a) {
            return new AnimationKeyFrameEffect(0, this.w, 0, null, a);
        }
        b(a) {
            return new AnimationKeyFrameEffect(0, this.r, 0, null, a);
        }
        ak(a) {
        }
        aa(a) {
            this.p.append(a);
        }
        aj(a) {
            this.p.removeChild(a);
        }
        af(a) {
            this.d.l2();
        }
        ai(a) {
            this.d.l4();
        }
    }
    InputGroupView.$t = /*@__PURE__*/ markType(InputGroupView, 'InputGroupView');
    return InputGroupView;
})();
/**
 * @hidden
 */
let SuffixView = /*@__PURE__*/ (() => {
    class SuffixView extends Base {
        constructor() {
            super();
            this.a = null;
            this.g = null;
            this.b = null;
            this.e = new List$1(Delegate_$type, 0);
            this.c = true;
            this.h = null;
        }
        o() {
        }
        d() {
            return true;
        }
        get r() {
            return null;
        }
        m(a) {
            if (a == null) {
                for (let b of fromEnum(this.e)) {
                    b();
                }
                this.e.clear();
            }
            this.g = a;
            this.g.rootWrapper.setStyleProperty("display", "inline-block");
            let c = this.g.createElement("div");
            c.addClass("ig-suffix-content");
            this.g.append(c);
            c.setStyleProperty("cursor", "pointer");
            this.h = c;
            this.g.getPortal(c, "ChildContent", (d) => {
            }, true);
            this.a.aj();
        }
        q() {
            let a = new TransformGroup();
            a.j.add(((() => {
                let $ret = new TranslateTransform();
                $ret.k = this.a.j == 2 ? (this.f() * -0.25) : 0;
                return $ret;
            })()));
            a.j.add(((() => {
                let $ret = new ScaleTransform();
                $ret.l = 1;
                $ret.m = 1;
                return $ret;
            })()));
            NativeUI.z(this.g.rootWrapper, a);
            this.g.rootWrapper.setStyleProperty("transform-origin", "0px 0px");
        }
        f() {
            let a = this.g.rootWrapper.getStyleProperty("height");
            return parseFloat(stringReplace(a, "px", ""));
        }
        p() {
            if (this.d()) {
            }
        }
        i(a) {
            this.a.ag();
        }
        j(a) {
            this.a.ah();
        }
        l() {
            this.c = true;
            this.e.add(this.g.rootWrapper.listen("mouseenter", runOn(this, this.i)));
            this.e.add(this.g.rootWrapper.listen("mouseleave", runOn(this, this.j)));
        }
        n() {
            this.c = false;
            for (let a of fromEnum(this.e)) {
                a();
            }
            this.e.clear();
        }
        k(a) {
            this.h.append(a);
        }
    }
    SuffixView.$t = /*@__PURE__*/ markType(SuffixView, 'SuffixView');
    return SuffixView;
})();
/**
 * @hidden
 */
let PrefixView = /*@__PURE__*/ (() => {
    class PrefixView extends Base {
        constructor() {
            super();
            this.a = null;
            this.g = null;
            this.b = null;
            this.e = new List$1(Delegate_$type, 0);
            this.c = true;
            this.h = null;
        }
        o() {
        }
        d() {
            return true;
        }
        get r() {
            return null;
        }
        m(a) {
            if (a == null) {
                for (let b of fromEnum(this.e)) {
                    b();
                }
                this.e.clear();
            }
            this.g = a;
            this.g.rootWrapper.setStyleProperty("display", "inline-block");
            let c = this.g.createElement("div");
            c.addClass("ig-prefix-content");
            this.g.append(c);
            c.setStyleProperty("cursor", "pointer");
            this.h = c;
            this.g.getPortal(c, "ChildContent", (d) => {
            }, true);
            this.a.aj();
        }
        q() {
            let a = new TransformGroup();
            a.j.add(((() => {
                let $ret = new TranslateTransform();
                $ret.k = this.a.j == 2 ? (this.f() * -0.25) : 0;
                return $ret;
            })()));
            a.j.add(((() => {
                let $ret = new ScaleTransform();
                $ret.l = 1;
                $ret.m = 1;
                return $ret;
            })()));
            NativeUI.z(this.g.rootWrapper, a);
            this.g.rootWrapper.setStyleProperty("transform-origin", "0px 0px");
        }
        f() {
            let a = this.g.rootWrapper.getStyleProperty("height");
            return parseFloat(stringReplace(a, "px", ""));
        }
        p() {
            if (this.d()) {
            }
        }
        i(a) {
            this.a.ag();
        }
        j(a) {
            this.a.ah();
        }
        l() {
            this.c = true;
            this.e.add(this.g.rootWrapper.listen("mouseenter", runOn(this, this.i)));
            this.e.add(this.g.rootWrapper.listen("mouseleave", runOn(this, this.j)));
        }
        n() {
            this.c = false;
            for (let a of fromEnum(this.e)) {
                a();
            }
            this.e.clear();
        }
        k(a) {
            this.h.append(a);
        }
    }
    PrefixView.$t = /*@__PURE__*/ markType(PrefixView, 'PrefixView');
    return PrefixView;
})();
/**
 * @hidden
 */
let LabelView = /*@__PURE__*/ (() => {
    class LabelView extends Base {
        constructor() {
            super();
            this.b = null;
            this.i = null;
            this.c = null;
            this.g = new List$1(Delegate_$type, 0);
            this.m = null;
            this.d = true;
            this.j = null;
            this.k = null;
        }
        y() {
        }
        e() {
            return true;
        }
        get l() {
            return this.j;
        }
        get ag() {
            return null;
        }
        get f() {
            return true;
        }
        q() {
            if (KeyFrameAnimationFactory.h == null) {
                KeyFrameAnimationFactory.h = this.i;
            }
        }
        a(a) {
            return new AnimationKeyFrameEffect(0, this.i.rootWrapper, 0, null, a);
        }
        t(a) {
            if (a == null) {
                for (let b of fromEnum(this.g)) {
                    b();
                }
                this.g.clear();
            }
            this.i = a;
            this.i.rootWrapper.setStyleProperty("display", "inline-block");
            this.i.rootWrapper.setStyleProperty("position", "relative");
            let c = this.i.createElement("label");
            c.setStyleProperty("position", "relative");
            c.setStyleProperty("display", "inline-block");
            c.setStyleProperty("white-space", "nowrap");
            c.setStyleProperty("text-overflow", "ellipsis");
            c.setStyleProperty("line-height", "1");
            c.setStyleProperty("overflow", "hidden");
            c.setStyleProperty("height", "1.125rem");
            c.setStyleProperty("backface-visibility", "hidden");
            NativeUI.n(this.i.rootWrapper, this.b.cq);
            c.setStyleProperty("outline-style", "none");
            c.setStyleProperty("box-shadow", "none");
            c.setStyleProperty("font-family", "'Segoe UI', Verdana");
            c.setStyleProperty("font-size", "1rem");
            this.j = c;
            this.i.append(this.j);
            this.b.b9();
        }
        ac() {
            this.b.bc = "block";
            let a = new TransformGroup();
            a.j.add(((() => {
                let $ret = new TranslateTransform();
                $ret.k = this.b.r == 0 ? (this.h() * 0.5) : 0;
                return $ret;
            })()));
            a.j.add(((() => {
                let $ret = new ScaleTransform();
                $ret.l = 1;
                $ret.m = 1;
                return $ret;
            })()));
            NativeUI.z(this.i.rootWrapper, a);
            this.j.setStyleProperty("height", "1.125rem");
            this.i.rootWrapper.setStyleProperty("position", "absolute");
            this.i.rootWrapper.setStyleProperty("transform-origin", "0px 0px");
        }
        ad() {
            switch (this.b.o) {
                case 1:
                    this.i.rootWrapper.setStyleProperty("margin-top", "0px");
                    break;
                case 2:
                    this.i.rootWrapper.setStyleProperty("margin-top", "-.125rem");
                    break;
                case 3:
                    this.i.rootWrapper.setStyleProperty("margin-top", "-.25rem");
                    break;
            }
        }
        ab() {
            this.j.setText(this.b.text != null ? this.b.text : "");
        }
        ae(a) {
            if (this.m != a) {
                this.m = a;
                if (this.k != null) {
                    this.k.setAttribute("d", this.m);
                }
            }
        }
        v() {
            if (this.i != null) {
                this.i.rootWrapper.setStyleProperty("display", this.b.bc);
                this.j.setStyleProperty("display", this.b.bc);
                let ext_ = this.i.getExternal(this.b, null, null);
                if (ext_ && ext_._onDisplayChanged) {
                    ext_._onDisplayChanged();
                }
                ;
            }
        }
        r() {
            if (this.i != null) {
                this.i.rootWrapper.setStyleProperty("align-items", this.b.a6);
                this.j.setStyleProperty("align-items", this.b.a6);
                let ext_ = this.i.getExternal(this.b, null, null);
                if (ext_ && ext_._onAlignItemsChanged) {
                    ext_._onAlignItemsChanged();
                }
                ;
            }
        }
        w() {
            if (this.i != null) {
                this.i.rootWrapper.setStyleProperty("flex-direction", this.b.be);
                this.j.setStyleProperty("flex-direction", this.b.be);
                let ext_ = this.i.getExternal(this.b, null, null);
                if (ext_ && ext_._onFlexDirectionChanged) {
                    ext_._onFlexDirectionChanged();
                }
                ;
            }
        }
        x() {
            if (this.i != null) {
                this.i.rootWrapper.setStyleProperty("flex-grow", this.b.bg);
                this.j.setStyleProperty("flex-grow", this.b.bg);
                let ext_ = this.i.getExternal(this.b, null, null);
                if (ext_ && ext_._onFlexGrowChanged) {
                    ext_._onFlexGrowChanged();
                }
                ;
            }
        }
        n(a) {
        }
        z() {
            if (this.e()) {
            }
        }
        h() {
            let a = this.i.rootWrapper.getStyleProperty("height");
            return parseFloat(stringReplace(a, "px", ""));
        }
        o(a) {
            this.b.b6();
        }
        p(a) {
            this.b.b7();
        }
        s() {
            this.d = true;
            this.g.add(this.i.rootWrapper.listen("mouseenter", runOn(this, this.o)));
            this.g.add(this.i.rootWrapper.listen("mouseleave", runOn(this, this.p)));
        }
        u() {
            this.d = false;
            for (let a of fromEnum(this.g)) {
                a();
            }
            this.g.clear();
        }
        af(a) {
            if (a != null) {
                this.j.setStyleProperty("font", a.fontString);
            }
        }
        aa(a) {
            NativeUI.n(this.j, a);
        }
    }
    LabelView.$t = /*@__PURE__*/ markType(LabelView, 'LabelView');
    return LabelView;
})();
/**
 * @hidden
 */
let InputView = /*@__PURE__*/ (() => {
    class InputView extends Base {
        constructor() {
            super();
            this.a = null;
            this.i = null;
            this.b = null;
            this.g = new List$1(Delegate_$type, 0);
            this.d = false;
            this.o = null;
            this.c = true;
            this.j = null;
            this.k = null;
        }
        al() {
        }
        e() {
            return true;
        }
        get n() {
            return this.j;
        }
        get az() {
            return null;
        }
        get f() {
            return true;
        }
        ai(a) {
            if (a == null) {
                for (let b of fromEnum(this.g)) {
                    b();
                }
                this.g.clear();
            }
            this.i = a;
            this.i.rootWrapper.setStyleProperty("display", "inline-block");
            let c = this.i.createElement("input");
            c.setAttribute("type", this.a.bs);
            c.setStyleProperty("position", "relative");
            c.setStyleProperty("box-sizing", "border-box");
            c.setStyleProperty("display", "inline-block");
            c.setStyleProperty("border", "none");
            c.setStyleProperty("height", "2rem");
            c.setStyleProperty("line-height", "0");
            c.setStyleProperty("width", "100%");
            c.setStyleProperty("min-width", "0");
            c.setStyleProperty("overflow", "visible");
            c.setStyleProperty("background", "transparent");
            c.setStyleProperty("background-position-x", "initial");
            c.setStyleProperty("background-position-y", "initial");
            c.setStyleProperty("background-size", "initial");
            c.setStyleProperty("background-repeat-x", "initial");
            c.setStyleProperty("background-repeat-y", "initial");
            c.setStyleProperty("background-attachment", "initial");
            c.setStyleProperty("background-origin", "initial");
            c.setStyleProperty("background-color", "transparent");
            NativeUI.n(c, this.a.db);
            c.setStyleProperty("outline-style", "none");
            c.setStyleProperty("box-shadow", "none");
            c.setStyleProperty("border-top", "0.1875rem solid transparent");
            c.setStyleProperty("padding-bottom", "0.1875rem");
            c.setStyleProperty("font-family", "'Segoe UI', Verdana");
            c.setStyleProperty("font-size", "1rem");
            this.g.add(c.listen("change", runOn(this, this.u)));
            this.g.add(c.listen("input", runOn(this, this.v)));
            this.g.add(c.listen("focus", runOn(this, this.aa)));
            this.g.add(c.listen("blur", runOn(this, this.t)));
            this.g.add(c.listen("mouseenter", runOn(this, this.r)));
            this.g.add(c.listen("mouseleave", runOn(this, this.s)));
            this.g.add(c.listen("keydown", runOn(this, this.ab)));
            this.g.add(c.listen("keyup", runOn(this, this.ad)));
            this.g.add(c.listen("keypress", runOn(this, this.ac)));
            this.g.add(c.listen("paste", runOn(this, this.ag)));
            this.g.add(c.listen("dragenter", runOn(this, this.y)));
            this.g.add(c.listen("dragleave", runOn(this, this.z)));
            this.g.add(c.listen("compositionstart", runOn(this, this.x)));
            this.g.add(c.listen("compositionend", runOn(this, this.w)));
            this.g.add(c.listen("mousedown", runOn(this, this.ae)));
            this.g.add(c.listen("mouseup", runOn(this, this.af)));
            this.j = c;
            this.i.append(this.j);
            this.a.cx();
        }
        x(a) {
            this.d = true;
            this.a.cg();
        }
        w(a) {
            this.d = false;
            this.a.cf();
        }
        ap() {
            this.j.setAttribute("type", this.a.bs);
            if (this.a.bs == "date") {
                this.j.setStyleProperty("line-height", "normal");
            }
            else {
                this.j.setStyleProperty("line-height", "0");
            }
        }
        an() {
            this.j.setAttribute("placeholder", this.a.by);
        }
        av() {
            switch (this.a.k) {
                case 1:
                    this.j.setStyleProperty("height", "2rem");
                    this.j.setStyleProperty("font-size", "1rem");
                    break;
                case 2:
                    this.j.setStyleProperty("height", "1.68421rem");
                    this.j.setStyleProperty("font-size", "1rem");
                    break;
                case 3:
                    this.j.setStyleProperty("height", "1.45455rem");
                    this.j.setStyleProperty("font-size", ".95455rem");
                    break;
            }
        }
        au() {
            let a = new TransformGroup();
            a.j.add(((() => {
                let $ret = new TranslateTransform();
                $ret.k = this.a.p == 2 ? (this.h() * -0.25) : 0;
                return $ret;
            })()));
            a.j.add(((() => {
                let $ret = new ScaleTransform();
                $ret.l = 1;
                $ret.m = 1;
                return $ret;
            })()));
            NativeUI.z(this.i.rootWrapper, a);
            this.i.rootWrapper.setStyleProperty("transform-origin", "0px 0px");
        }
        h() {
            let a = this.i.rootWrapper.getStyleProperty("height");
            let b = parseFloat(stringReplace(a, "px", ""));
            return b;
        }
        aq(a) {
            this.j.setProperty("value", a);
        }
        t(a) {
            this.a.cc();
        }
        aa(a) {
            this.a.ck();
        }
        ae(a) {
            let b = this.ay(a);
            this.a.cp(b);
            if (b.handled) {
                a.preventDefault();
            }
        }
        af(a) {
            let b = this.ay(a);
            this.a.cs(b);
            if (b.handled) {
                a.preventDefault();
            }
        }
        ay(a) {
            let b = new MouseButtonEventArgs();
            b.position = { $type: Point_$type, x: a.offsetX, y: a.offsetY };
            return b;
        }
        u(a) {
            this.a.cd();
        }
        v(a) {
            this.a.ce();
        }
        ab(a) {
            let b = new KeyEventArgs(0, a);
            this.a.cm(b);
        }
        ad(a) {
            let b = new KeyEventArgs(0, a);
            this.a.co(b);
        }
        ac(a) {
            let b = new KeyEventArgs(0, a);
            this.a.cn(b);
        }
        ag(a) {
            this.a.ct();
        }
        y(a) {
            this.a.ci();
        }
        z(a) {
            this.a.cj();
        }
        aw(a) {
            if (this.o != a) {
                this.o = a;
                if (this.k != null) {
                    this.k.setAttribute("d", this.o);
                }
            }
        }
        p() {
            return this.j.getProperty("value");
        }
        q(a) {
        }
        m() {
            let a = this.j.getProperty("selectionStart");
            return typeGetValue(a);
        }
        l() {
            let a = this.j.getProperty("selectionEnd");
            return typeGetValue(a);
        }
        at(a) {
            this.j.setProperty("selectionStart", a);
        }
        ar(a) {
            this.j.setProperty("selectionEnd", a);
        }
        am() {
            if (this.e()) {
            }
        }
        r(a) {
            this.a.cq();
        }
        s(a) {
            this.a.cr();
        }
        ah() {
            this.c = true;
            this.g.add(this.j.listen("change", runOn(this, this.u)));
            this.g.add(this.j.listen("input", runOn(this, this.v)));
            this.g.add(this.j.listen("focus", runOn(this, this.aa)));
            this.g.add(this.j.listen("blur", runOn(this, this.t)));
            this.g.add(this.j.listen("mouseenter", runOn(this, this.r)));
            this.g.add(this.j.listen("mouseleave", runOn(this, this.s)));
            this.g.add(this.j.listen("keydown", runOn(this, this.ab)));
            this.g.add(this.j.listen("paste", runOn(this, this.ag)));
            this.g.add(this.j.listen("dragenter", runOn(this, this.y)));
            this.g.add(this.j.listen("dragleave", runOn(this, this.z)));
            this.g.add(this.j.listen("compositionstart", runOn(this, this.x)));
            this.g.add(this.j.listen("compositionend", runOn(this, this.w)));
            this.g.add(this.j.listen("mousedown", runOn(this, this.ae)));
            this.g.add(this.j.listen("mouseup", runOn(this, this.af)));
        }
        aj() {
            this.c = false;
            for (let a of fromEnum(this.g)) {
                a();
            }
            this.g.clear();
        }
        ax(a) {
            if (a != null) {
                this.j.setStyleProperty("font", a.fontString);
            }
        }
        ak() {
            if (this.j != null) {
                this.j.focus(false);
            }
        }
        ao() {
            if (this.j != null) {
                let nativeInput_ = this.j;
                nativeInput_.getNativeElement().select();
            }
        }
        as(a, b) {
            if (this.j != null) {
                let c = this.j.getNativeElement();
                c.setSelectionRange(a, b);
            }
        }
    }
    InputView.$t = /*@__PURE__*/ markType(InputView, 'InputView');
    return InputView;
})();
/**
 * @hidden
 */
let InputGroupItem = /*@__PURE__*/ (() => {
    class InputGroupItem extends Base {
        constructor() {
            super(...arguments);
            this.c = null;
            this.a = null;
            this.propertyChanged = null;
        }
        get e() {
            return this.c;
        }
        set e(a) {
            let b = this.c;
            this.c = a;
            if (b != this.c) {
                this.g("Name", b, a);
            }
        }
        get b() {
            return this.a;
        }
        set b(a) {
            let b = this.a;
            this.a = a;
            if (b != this.a) {
                this.g("InputGroup", b, a);
            }
        }
        g(a, b, c) {
            if (this.propertyChanged != null) {
                this.propertyChanged(this, new PropertyChangedEventArgs(a));
            }
            this.h(a, b, c);
        }
        h(a, b, c) {
        }
    }
    InputGroupItem.$t = /*@__PURE__*/ markType(InputGroupItem, 'InputGroupItem', Base.$, [INotifyPropertyChanged_$type]);
    return InputGroupItem;
})();
/**
 * @hidden
 */
let Suffix = /*@__PURE__*/ (() => {
    class Suffix extends InputGroupItem {
        constructor() {
            super();
            this._view = null;
            this.i = 0;
            this.t = "ig-suffix-" + Suffix.r++;
            this.s = null;
            this.m = false;
            this.l = false;
            this.n = false;
            let a = new SuffixView();
            a.a = this;
            this.view = a;
            this.view.o();
        }
        get view() {
            return this._view;
        }
        set view(a) {
            this._view = a;
        }
        destroy() {
            this.provideContainer(null);
        }
        get j() {
            return this.i;
        }
        set j(a) {
            let b = this.i;
            this.i = a;
            if (b != this.i) {
                this.g("ShiftType", enumGetBox(SuffixShiftType_$type, b), enumGetBox(SuffixShiftType_$type, a));
            }
        }
        h(a, b, c) {
            super.h(a, b, c);
            switch (a) {
                case "InputGroup":
                    this.af();
                    break;
                case "ShiftType":
                    this.ai();
                    break;
            }
        }
        ai() {
            this.view.q();
        }
        af() {
            this.view.q();
        }
        am() {
        }
        al() {
        }
        ag() {
            this.p = true;
        }
        ah() {
            this.p = false;
        }
        get w() {
            return this.t;
        }
        set w(a) {
            let b = this.t;
            this.t = a;
            if (b != this.t) {
                this.g("Id", b, a);
            }
        }
        get u() {
            return this.s;
        }
        set u(a) {
            let b = this.s;
            this.s = a;
            if (b != this.s) {
                this.g("AriaLabel", b, a);
            }
        }
        get p() {
            return this.m;
        }
        set p(a) {
            let b = this.m;
            this.m = a;
            if (b != this.m) {
                this.g("IsHover", b, a);
            }
        }
        get disabled() {
            return this.l;
        }
        set disabled(a) {
            let b = this.l;
            this.l = a;
            if (b != this.l) {
                this.g("IsDisabled", b, a);
            }
        }
        aj() {
        }
        onDetachedFromUI() {
            this.view.n();
        }
        onAttachedToUI() {
            this.view.l();
        }
        q() {
            return this.view.d();
        }
        appendContentChild(a) {
            this.view.k(a);
        }
        provideContainer(a) {
            this.view.m(a);
        }
    }
    Suffix.$t = /*@__PURE__*/ markType(Suffix, 'Suffix', InputGroupItem.$);
    Suffix.r = 0;
    return Suffix;
})();
/**
 * @hidden
 */
let Prefix = /*@__PURE__*/ (() => {
    class Prefix extends InputGroupItem {
        constructor() {
            super();
            this._view = null;
            this.i = 0;
            this.t = "ig-prefix-" + Prefix.r++;
            this.s = null;
            this.m = false;
            this.l = false;
            this.n = false;
            let a = new PrefixView();
            a.a = this;
            this.view = a;
            this.view.o();
        }
        get view() {
            return this._view;
        }
        set view(a) {
            this._view = a;
        }
        destroy() {
            this.provideContainer(null);
        }
        get j() {
            return this.i;
        }
        set j(a) {
            let b = this.i;
            this.i = a;
            if (b != this.i) {
                this.g("ShiftType", enumGetBox(PrefixShiftType_$type, b), enumGetBox(PrefixShiftType_$type, a));
            }
        }
        h(a, b, c) {
            super.h(a, b, c);
            switch (a) {
                case "InputGroup":
                    this.af();
                    break;
                case "ShiftType":
                    this.ai();
                    break;
            }
        }
        ai() {
            this.view.q();
        }
        af() {
            this.view.q();
        }
        am() {
        }
        al() {
        }
        ag() {
            this.p = true;
        }
        ah() {
            this.p = false;
        }
        get w() {
            return this.t;
        }
        set w(a) {
            let b = this.t;
            this.t = a;
            if (b != this.t) {
                this.g("Id", b, a);
            }
        }
        get u() {
            return this.s;
        }
        set u(a) {
            let b = this.s;
            this.s = a;
            if (b != this.s) {
                this.g("AriaLabel", b, a);
            }
        }
        get p() {
            return this.m;
        }
        set p(a) {
            let b = this.m;
            this.m = a;
            if (b != this.m) {
                this.g("IsHover", b, a);
            }
        }
        get disabled() {
            return this.l;
        }
        set disabled(a) {
            let b = this.l;
            this.l = a;
            if (b != this.l) {
                this.g("IsDisabled", b, a);
            }
        }
        aj() {
        }
        onDetachedFromUI() {
            this.view.n();
        }
        onAttachedToUI() {
            this.view.l();
        }
        q() {
            return this.view.d();
        }
        appendContentChild(a) {
            this.view.k(a);
        }
        provideContainer(a) {
            this.view.m(a);
        }
    }
    Prefix.$t = /*@__PURE__*/ markType(Prefix, 'Prefix', InputGroupItem.$);
    Prefix.r = 0;
    return Prefix;
})();
/**
 * @hidden
 */
let InputGroup = /*@__PURE__*/ (() => {
    class InputGroup extends Base {
        constructor() {
            super();
            this.i = 0;
            this.f = 1;
            this.e = 1;
            this.b = 0;
            this._view = null;
            this.p = null;
            this.n = null;
            this.lostFocus = null;
            this.gotFocus = null;
            this.db = ThemeResolver.b(InputGroup.c, InputGroup.fq, InputGroup.dx);
            this.e1 = ThemeResolver.b(InputGroup.c, InputGroup.f1, InputGroup.d8);
            this.mx = ThemeResolver.d(InputGroup.c, InputGroup.m6, InputGroup.m0);
            this.td = ThemeResolver.f(InputGroup.c, InputGroup.tm, InputGroup.tg);
            this.o6 = ThemeResolver.e(InputGroup.c, InputGroup.q4, InputGroup.po);
            this.qr = ThemeResolver.e(InputGroup.c, InputGroup.rl, InputGroup.p5);
            this.qs = ThemeResolver.e(InputGroup.c, InputGroup.rm, InputGroup.p6);
            this.g7 = ThemeResolver.b(InputGroup.c, InputGroup.gt, InputGroup.e0);
            this.g6 = ThemeResolver.b(InputGroup.c, InputGroup.gs, InputGroup.ez);
            this.e5 = ThemeResolver.b(InputGroup.c, InputGroup.f5, InputGroup.ec);
            this.sf = ThemeResolver.e(InputGroup.c, InputGroup.r5, InputGroup.qp);
            this.sg = ThemeResolver.e(InputGroup.c, InputGroup.r6, InputGroup.qq);
            this.qu = ThemeResolver.e(InputGroup.c, InputGroup.ro, InputGroup.p8);
            this.qt = ThemeResolver.e(InputGroup.c, InputGroup.rn, InputGroup.p7);
            this.g4 = ThemeResolver.b(InputGroup.c, InputGroup.gq, InputGroup.ex);
            this.e4 = ThemeResolver.b(InputGroup.c, InputGroup.f4, InputGroup.eb);
            this.e2 = ThemeResolver.b(InputGroup.c, InputGroup.f2, InputGroup.d9);
            this.e3 = ThemeResolver.b(InputGroup.c, InputGroup.f3, InputGroup.ea);
            this.g5 = ThemeResolver.b(InputGroup.c, InputGroup.gr, InputGroup.ey);
            this.o5 = ThemeResolver.e(InputGroup.c, InputGroup.q3, InputGroup.pn);
            this.e6 = ThemeResolver.b(InputGroup.c, InputGroup.f6, InputGroup.ed);
            this.e7 = ThemeResolver.b(InputGroup.c, InputGroup.f7, InputGroup.ee);
            this.m3 = ThemeResolver.d(InputGroup.c, InputGroup.m7, InputGroup.m1);
            this.tj = ThemeResolver.f(InputGroup.c, InputGroup.tn, InputGroup.th);
            this.qw = ThemeResolver.e(InputGroup.c, InputGroup.rq, InputGroup.qa);
            this.qx = ThemeResolver.e(InputGroup.c, InputGroup.rr, InputGroup.qb);
            this.qy = ThemeResolver.e(InputGroup.c, InputGroup.rs, InputGroup.qc);
            this.ff = ThemeResolver.b(InputGroup.c, InputGroup.gf, InputGroup.em);
            this.fe = ThemeResolver.b(InputGroup.c, InputGroup.ge, InputGroup.el);
            this.fb = ThemeResolver.b(InputGroup.c, InputGroup.gb, InputGroup.ei);
            this.q1 = ThemeResolver.e(InputGroup.c, InputGroup.rv, InputGroup.qf);
            this.q2 = ThemeResolver.e(InputGroup.c, InputGroup.rw, InputGroup.qg);
            this.q0 = ThemeResolver.e(InputGroup.c, InputGroup.ru, InputGroup.qe);
            this.qz = ThemeResolver.e(InputGroup.c, InputGroup.rt, InputGroup.qd);
            this.fc = ThemeResolver.b(InputGroup.c, InputGroup.gc, InputGroup.ej);
            this.fa = ThemeResolver.b(InputGroup.c, InputGroup.ga, InputGroup.eh);
            this.e8 = ThemeResolver.b(InputGroup.c, InputGroup.f8, InputGroup.ef);
            this.e9 = ThemeResolver.b(InputGroup.c, InputGroup.f9, InputGroup.eg);
            this.fd = ThemeResolver.b(InputGroup.c, InputGroup.gd, InputGroup.ek);
            this.qv = ThemeResolver.e(InputGroup.c, InputGroup.rp, InputGroup.p9);
            this.dc = ThemeResolver.b(InputGroup.c, InputGroup.fr, InputGroup.dy);
            this.dd = ThemeResolver.b(InputGroup.c, InputGroup.fs, InputGroup.dz);
            this.mw = ThemeResolver.d(InputGroup.c, InputGroup.m5, InputGroup.mz);
            this.tc = ThemeResolver.f(InputGroup.c, InputGroup.tl, InputGroup.tf);
            this.pg = ThemeResolver.e(InputGroup.c, InputGroup.re, InputGroup.py);
            this.ph = ThemeResolver.e(InputGroup.c, InputGroup.rf, InputGroup.pz);
            this.pi = ThemeResolver.e(InputGroup.c, InputGroup.rg, InputGroup.p0);
            this.dl = ThemeResolver.b(InputGroup.c, InputGroup.f0, InputGroup.d7);
            this.dk = ThemeResolver.b(InputGroup.c, InputGroup.fz, InputGroup.d6);
            this.dh = ThemeResolver.b(InputGroup.c, InputGroup.fw, InputGroup.d3);
            this.pl = ThemeResolver.e(InputGroup.c, InputGroup.rj, InputGroup.p3);
            this.pm = ThemeResolver.e(InputGroup.c, InputGroup.rk, InputGroup.p4);
            this.pk = ThemeResolver.e(InputGroup.c, InputGroup.ri, InputGroup.p2);
            this.pj = ThemeResolver.e(InputGroup.c, InputGroup.rh, InputGroup.p1);
            this.di = ThemeResolver.b(InputGroup.c, InputGroup.fx, InputGroup.d4);
            this.dg = ThemeResolver.b(InputGroup.c, InputGroup.fv, InputGroup.d2);
            this.de = ThemeResolver.b(InputGroup.c, InputGroup.ft, InputGroup.d0);
            this.df = ThemeResolver.b(InputGroup.c, InputGroup.fu, InputGroup.d1);
            this.dj = ThemeResolver.b(InputGroup.c, InputGroup.fy, InputGroup.d5);
            this.pf = ThemeResolver.e(InputGroup.c, InputGroup.rd, InputGroup.px);
            this.c1 = ThemeResolver.b(InputGroup.c, InputGroup.fg, InputGroup.dm);
            this.c2 = ThemeResolver.b(InputGroup.c, InputGroup.fh, InputGroup.dn);
            this.mv = ThemeResolver.d(InputGroup.c, InputGroup.m4, InputGroup.my);
            this.tb = ThemeResolver.f(InputGroup.c, InputGroup.tk, InputGroup.te);
            this.o8 = ThemeResolver.e(InputGroup.c, InputGroup.q6, InputGroup.pq);
            this.o9 = ThemeResolver.e(InputGroup.c, InputGroup.q7, InputGroup.pr);
            this.pa = ThemeResolver.e(InputGroup.c, InputGroup.q8, InputGroup.ps);
            this.da = ThemeResolver.b(InputGroup.c, InputGroup.fp, InputGroup.dw);
            this.c9 = ThemeResolver.b(InputGroup.c, InputGroup.fo, InputGroup.dv);
            this.c6 = ThemeResolver.b(InputGroup.c, InputGroup.fl, InputGroup.ds);
            this.pd = ThemeResolver.e(InputGroup.c, InputGroup.rb, InputGroup.pv);
            this.pe = ThemeResolver.e(InputGroup.c, InputGroup.rc, InputGroup.pw);
            this.pc = ThemeResolver.e(InputGroup.c, InputGroup.ra, InputGroup.pu);
            this.pb = ThemeResolver.e(InputGroup.c, InputGroup.q9, InputGroup.pt);
            this.c7 = ThemeResolver.b(InputGroup.c, InputGroup.fm, InputGroup.dt);
            this.c5 = ThemeResolver.b(InputGroup.c, InputGroup.fk, InputGroup.dr);
            this.c3 = ThemeResolver.b(InputGroup.c, InputGroup.fi, InputGroup.dp);
            this.c4 = ThemeResolver.b(InputGroup.c, InputGroup.fj, InputGroup.dq);
            this.c8 = ThemeResolver.b(InputGroup.c, InputGroup.fn, InputGroup.du);
            this.o7 = ThemeResolver.e(InputGroup.c, InputGroup.q5, InputGroup.pp);
            this.gu = ThemeResolver.b(InputGroup.c, InputGroup.gg, InputGroup.en);
            this.gv = ThemeResolver.b(InputGroup.c, InputGroup.gh, InputGroup.eo);
            this.m9 = ThemeResolver.d(InputGroup.c, InputGroup.m8, InputGroup.m2);
            this.tp = ThemeResolver.f(InputGroup.c, InputGroup.to, InputGroup.ti);
            this.r8 = ThemeResolver.e(InputGroup.c, InputGroup.ry, InputGroup.qi);
            this.r9 = ThemeResolver.e(InputGroup.c, InputGroup.rz, InputGroup.qj);
            this.sa = ThemeResolver.e(InputGroup.c, InputGroup.r0, InputGroup.qk);
            this.g3 = ThemeResolver.b(InputGroup.c, InputGroup.gp, InputGroup.ew);
            this.g2 = ThemeResolver.b(InputGroup.c, InputGroup.go, InputGroup.ev);
            this.gz = ThemeResolver.b(InputGroup.c, InputGroup.gl, InputGroup.es);
            this.sd = ThemeResolver.e(InputGroup.c, InputGroup.r3, InputGroup.qn);
            this.se = ThemeResolver.e(InputGroup.c, InputGroup.r4, InputGroup.qo);
            this.sc = ThemeResolver.e(InputGroup.c, InputGroup.r2, InputGroup.qm);
            this.sb = ThemeResolver.e(InputGroup.c, InputGroup.r1, InputGroup.ql);
            this.g0 = ThemeResolver.b(InputGroup.c, InputGroup.gm, InputGroup.et);
            this.gy = ThemeResolver.b(InputGroup.c, InputGroup.gk, InputGroup.er);
            this.gw = ThemeResolver.b(InputGroup.c, InputGroup.gi, InputGroup.ep);
            this.gx = ThemeResolver.b(InputGroup.c, InputGroup.gj, InputGroup.eq);
            this.g1 = ThemeResolver.b(InputGroup.c, InputGroup.gn, InputGroup.eu);
            this.r7 = ThemeResolver.e(InputGroup.c, InputGroup.rx, InputGroup.qh);
            this.nd = ThemeResolver.e(InputGroup.c, InputGroup.q4, InputGroup.po);
            this.ne = ThemeResolver.e(InputGroup.c, InputGroup.rl, InputGroup.p5);
            this.ai = ThemeResolver.b(InputGroup.c, InputGroup.fq, InputGroup.dx);
            this.aj = ThemeResolver.b(InputGroup.c, InputGroup.f1, InputGroup.d8);
            this.mk = ThemeResolver.d(InputGroup.c, InputGroup.m6, InputGroup.m0);
            this.s0 = ThemeResolver.f(InputGroup.c, InputGroup.tm, InputGroup.tg);
            this.ar = ThemeResolver.b(InputGroup.c, InputGroup.gt, InputGroup.e0);
            this.aq = ThemeResolver.b(InputGroup.c, InputGroup.gs, InputGroup.ez);
            this.an = ThemeResolver.b(InputGroup.c, InputGroup.f5, InputGroup.ec);
            this.nh = ThemeResolver.e(InputGroup.c, InputGroup.r5, InputGroup.qp);
            this.ni = ThemeResolver.e(InputGroup.c, InputGroup.r6, InputGroup.qq);
            this.ng = ThemeResolver.e(InputGroup.c, InputGroup.ro, InputGroup.p8);
            this.nf = ThemeResolver.e(InputGroup.c, InputGroup.rn, InputGroup.p7);
            this.ao = ThemeResolver.b(InputGroup.c, InputGroup.gq, InputGroup.ex);
            this.am = ThemeResolver.b(InputGroup.c, InputGroup.f4, InputGroup.eb);
            this.ak = ThemeResolver.b(InputGroup.c, InputGroup.f2, InputGroup.d9);
            this.al = ThemeResolver.b(InputGroup.c, InputGroup.f3, InputGroup.ea);
            this.ap = ThemeResolver.b(InputGroup.c, InputGroup.gr, InputGroup.ey);
            this.nc = ThemeResolver.e(InputGroup.c, InputGroup.q3, InputGroup.pn);
            this.a2 = NaN;
            this.bd = NaN;
            this.nk = null;
            this.mn = new CornerRadius(1, NaN, NaN, NaN, NaN);
            this.s3 = new Thickness(1, NaN, NaN, NaN, NaN);
            this.b5 = NaN;
            this.b4 = NaN;
            this.bh = NaN;
            this.og = null;
            this.oh = null;
            this.n1 = null;
            this.n0 = null;
            this.b2 = NaN;
            this.bg = NaN;
            this.be = NaN;
            this.bf = NaN;
            this.b3 = NaN;
            this.nj = null;
            this.bi = NaN;
            this.bj = NaN;
            this.n4 = null;
            this.n3 = null;
            this.mo = new CornerRadius(1, NaN, NaN, NaN, NaN);
            this.s4 = new Thickness(1, NaN, NaN, NaN, NaN);
            this.br = NaN;
            this.bq = NaN;
            this.bn = NaN;
            this.n7 = null;
            this.n8 = null;
            this.n6 = null;
            this.n5 = null;
            this.bo = NaN;
            this.bm = NaN;
            this.bk = NaN;
            this.bl = NaN;
            this.bp = NaN;
            this.n2 = null;
            this.a3 = NaN;
            this.a4 = NaN;
            this.nu = null;
            this.nt = null;
            this.mm = new CornerRadius(1, NaN, NaN, NaN, NaN);
            this.s2 = new Thickness(1, NaN, NaN, NaN, NaN);
            this.bc = NaN;
            this.bb = NaN;
            this.a8 = NaN;
            this.nx = null;
            this.ny = null;
            this.nw = null;
            this.nv = null;
            this.a9 = NaN;
            this.a7 = NaN;
            this.a5 = NaN;
            this.a6 = NaN;
            this.ba = NaN;
            this.ns = null;
            this.as = NaN;
            this.at = NaN;
            this.nn = null;
            this.nm = null;
            this.ml = new CornerRadius(1, NaN, NaN, NaN, NaN);
            this.s1 = new Thickness(1, NaN, NaN, NaN, NaN);
            this.a1 = NaN;
            this.a0 = NaN;
            this.ax = NaN;
            this.nq = null;
            this.nr = null;
            this.np = null;
            this.no = null;
            this.ay = NaN;
            this.aw = NaN;
            this.au = NaN;
            this.av = NaN;
            this.az = NaN;
            this.nl = null;
            this.bs = NaN;
            this.bt = NaN;
            this.ob = null;
            this.oa = null;
            this.mp = new CornerRadius(1, NaN, NaN, NaN, NaN);
            this.s5 = new Thickness(1, NaN, NaN, NaN, NaN);
            this.b1 = NaN;
            this.b0 = NaN;
            this.bx = NaN;
            this.oe = null;
            this.of = null;
            this.od = null;
            this.oc = null;
            this.by = NaN;
            this.bw = NaN;
            this.bu = NaN;
            this.bv = NaN;
            this.bz = NaN;
            this.n9 = null;
            this.w = false;
            this.s = false;
            this.y = false;
            this.u = false;
            this.x = false;
            this.t = false;
            this.q = false;
            this.nz = null;
            this.h4 = "ig-inputgroup-" + InputGroup.h3++;
            this.v = false;
            this.propertyChanged = null;
            this.k = new InputGroupInputCollection();
            this.o = null;
            this.aa = false;
            this.r = false;
            this.z = false;
            let a = new InputGroupView();
            a.d = this;
            this.view = a;
            this.view.ag();
            let b = this.k;
            b.collectionChanged = delegateCombine(b.collectionChanged, runOn(this, this.lp));
            let c = this.k;
            c.collectionResetting = delegateCombine(c.collectionResetting, runOn(this, this.lq));
        }
        lq(a, b) {
            this.md();
        }
        appendContentChild(a) {
            this.view.aa(a);
        }
        ma(a) {
            this.view.aj(a);
        }
        get j() {
            return this.i;
        }
        set j(a) {
            let b = this.i;
            this.i = a;
            if (b != this.i) {
                this.l5("DisplayType", enumGetBox(InputGroupDisplayType_$type, b), enumGetBox(InputGroupDisplayType_$type, a));
            }
        }
        get h() {
            return this.f;
        }
        set h(a) {
            let b = this.f;
            this.f = a;
            if (b != this.f) {
                this.l5("Density", enumGetBox(ControlDisplayDensity_$type, b), enumGetBox(ControlDisplayDensity_$type, a));
            }
        }
        get g() {
            return this.e;
        }
        set g(a) {
            let b = this.e;
            this.e = a;
            if (b != this.e) {
                this.l5("ActualDensity", enumGetBox(ControlDisplayDensity_$type, b), enumGetBox(ControlDisplayDensity_$type, a));
            }
        }
        lv(a) {
            for (let b = 0; b < this.inputs.count; b++) {
                if (typeCast(Label.$, this.inputs._inner[b]) !== null) {
                    a(this.inputs._inner[b]);
                }
            }
        }
        lw(a) {
            for (let b = 0; b < this.inputs.count; b++) {
                if (typeCast(Prefix.$, this.inputs._inner[b]) !== null) {
                    a(this.inputs._inner[b]);
                }
            }
        }
        lu(a) {
            for (let b = 0; b < this.inputs.count; b++) {
                if (typeCast(Input.$, this.inputs._inner[b]) !== null) {
                    a(this.inputs._inner[b]);
                }
            }
        }
        lx(a) {
            for (let b = 0; b < this.inputs.count; b++) {
                if (typeCast(Suffix.$, this.inputs._inner[b]) !== null) {
                    a(this.inputs._inner[b]);
                }
            }
        }
        lp(a, b) {
            if (b.oldItems != null) {
                for (let c of fromEn(b.oldItems)) {
                    let d = c;
                    if (d != null) {
                        d.b = null;
                    }
                }
            }
            if (b.newItems != null) {
                for (let e of fromEn(b.newItems)) {
                    let f = e;
                    if (f != null) {
                        f.b = this;
                    }
                }
            }
            this.mg();
            this.mf();
            this.mh();
            this.mi();
            this.md();
        }
        get d() {
            return this.b;
        }
        set d(a) {
            let b = this.b;
            this.b = a;
            if (b != this.b) {
                this.l5("BaseTheme", enumGetBox(BaseControlTheme_$type, b), enumGetBox(BaseControlTheme_$type, a));
            }
        }
        get view() {
            return this._view;
        }
        set view(a) {
            this._view = a;
        }
        destroy() {
            this.provideContainer(null);
        }
        l5(a, b, c) {
            if (this.propertyChanged != null) {
                this.propertyChanged(this, new PropertyChangedEventArgs(a));
            }
            this.l8(a, b, c);
        }
        l8(a, b, c) {
            switch (a) {
                case "BaseTheme":
                    this.mc(this.d);
                    this.me();
                    this.lv((d) => d.l = this.d == 0 ? 2 : this.d);
                    break;
                case "ActualBorderColor":
                case "ActualBackgroundColor":
                case "ActualBorderWidth":
                case "ActualFocusBorderColor":
                case "ActualFocusBorderWidth":
                case "ActualCornerRadius":
                case "ActualContentPadding":
                case "ActualUnderlineOpacity":
                case "ActualUnderlineRippleOpacity":
                case "ActualUnderlineRippleWidth":
                case "ActualUnderlineRippleColor":
                case "ActualUnderlineColor":
                case "ActualHoverUnderlineColor":
                case "ActualUnderlineWidth":
                case "ActualHoverUnderlineWidth":
                case "ActualHoverUnderlineOpacity":
                case "ActualFocusUnderlineColor":
                case "ActualFocusUnderlineOpacity":
                case "ActualFocusUnderlineRippleOpacity":
                case "IsHovered":
                    this.z = true;
                    this.aa = true;
                    this.r = true;
                    this.md();
                    break;
                case "BorderColor":
                case "BackgroundColor":
                case "BorderWidth":
                case "FocusBorderColor":
                case "FocusBorderWidth":
                case "CornerRadius":
                case "ContentPadding":
                case "UnderlineOpacity":
                case "UnderlineRippleOpacity":
                case "UnderlineRippleWidth":
                case "UnderlineRippleColor":
                case "UnderlineColor":
                case "HoverUnderlineColor":
                case "UnderlineWidth":
                case "HoverUnderlineWidth":
                case "HoverUnderlineOpacity":
                case "FocusUnderlineColor":
                case "FocusUnderlineOpacity":
                case "FocusUnderlineRippleOpacity":
                case "LineTypeBorderColor":
                case "LineTypeBackgroundColor":
                case "LineTypeBorderWidth":
                case "LineTypeFocusBorderColor":
                case "LineTypeFocusBorderWidth":
                case "LineTypeCornerRadius":
                case "LineTypeContentPadding":
                case "LineTypeUnderlineOpacity":
                case "LineTypeUnderlineRippleOpacity":
                case "LineTypeUnderlineRippleWidth":
                case "LineTypeUnderlineRippleColor":
                case "LineTypeUnderlineColor":
                case "LineTypeHoverUnderlineColor":
                case "LineTypeUnderlineWidth":
                case "LineTypeHoverUnderlineWidth":
                case "LineTypeHoverUnderlineOpacity":
                case "LineTypeFocusUnderlineColor":
                case "LineTypeFocusUnderlineOpacity":
                case "LineTypeFocusUnderlineRippleOpacity":
                case "BoxTypeBorderColor":
                case "BoxTypeBackgroundColor":
                case "BoxTypeBorderWidth":
                case "BoxTypeFocusBorderColor":
                case "BoxTypeFocusBorderWidth":
                case "BoxTypeCornerRadius":
                case "BoxTypeContentPadding":
                case "BoxTypeUnderlineOpacity":
                case "BoxTypeUnderlineRippleOpacity":
                case "BoxTypeUnderlineRippleWidth":
                case "BoxTypeUnderlineRippleColor":
                case "BoxTypeUnderlineColor":
                case "BoxTypeHoverUnderlineColor":
                case "BoxTypeUnderlineWidth":
                case "BoxTypeHoverUnderlineWidth":
                case "BoxTypeHoverUnderlineOpacity":
                case "BoxTypeFocusUnderlineColor":
                case "BoxTypeFocusUnderlineOpacity":
                case "BoxTypeFocusUnderlineRippleOpacity":
                case "BorderTypeBorderColor":
                case "BorderTypeBackgroundColor":
                case "BorderTypeBorderWidth":
                case "BorderTypeFocusBorderColor":
                case "BorderTypeFocusBorderWidth":
                case "BorderTypeCornerRadius":
                case "BorderTypeContentPadding":
                case "BorderTypeUnderlineOpacity":
                case "BorderTypeUnderlineRippleOpacity":
                case "BorderTypeUnderlineRippleWidth":
                case "BorderTypeUnderlineRippleColor":
                case "BorderTypeUnderlineColor":
                case "BorderTypeHoverUnderlineColor":
                case "BorderTypeUnderlineWidth":
                case "BorderTypeHoverUnderlineWidth":
                case "BorderTypeHoverUnderlineOpacity":
                case "BorderTypeFocusUnderlineColor":
                case "BorderTypeFocusUnderlineOpacity":
                case "BorderTypeFocusUnderlineRippleOpacity":
                case "DisplayType":
                    this.me();
                    break;
                case "ActualDensity":
                    this.view.al();
                    this.me();
                    break;
                case "Density":
                    this.g = this.h == 0 ? 1 : this.h;
                    break;
                case "IsFocused":
                    this.l3();
                    this.md();
                    break;
                case "IsExpanded":
                    this.s = true;
                    this.ab = this.ae;
                    break;
                case "ActualIsExpanded":
                    this.ly();
                    break;
            }
        }
        static mt(a, b) {
            return new CornerRadius(1, !isNaN_(a.c) ? a.c : b.c, !isNaN_(a.d) ? a.d : b.d, !isNaN_(a.b) ? a.b : b.b, !isNaN_(a.a) ? a.a : b.a);
        }
        static s9(a, b) {
            return new Thickness(1, !isNaN_(a.c) ? a.c : b.c, !isNaN_(a.e) ? a.e : b.e, !isNaN_(a.d) ? a.d : b.d, !isNaN_(a.b) ? a.b : b.b);
        }
        mg() {
            this.lv((a) => {
                a.p = this.g;
                a.l = this.d == 0 ? 2 : this.d;
                switch (this.j) {
                    case 0:
                        a.r = 0;
                        break;
                    case 1:
                        a.r = 1;
                        break;
                    case 2:
                    case 3:
                        a.r = 2;
                        break;
                }
            });
        }
        mh() {
            this.lw((a) => {
                switch (this.j) {
                    case 0:
                        a.j = 0;
                        break;
                    case 1:
                        a.j = 1;
                        break;
                    case 2:
                    case 3:
                        a.j = 2;
                        break;
                }
            });
        }
        mf() {
            this.lu((a) => {
                a.l = this.g;
                switch (this.j) {
                    case 0:
                        a.p = 0;
                        break;
                    case 1:
                        a.p = 1;
                        break;
                    case 2:
                    case 3:
                        a.p = 2;
                        break;
                }
            });
        }
        mi() {
            this.lx((a) => {
                switch (this.j) {
                    case 0:
                        a.j = 0;
                        break;
                    case 1:
                        a.j = 1;
                        break;
                    case 2:
                    case 3:
                        a.j = 2;
                        break;
                }
            });
        }
        me() {
            this.mg();
            this.mf();
            this.mh();
            this.mi();
            switch (this.j) {
                case 0:
                    this.oj = this.oq != null ? this.oq : this.sl != null ? this.sl : this.qw;
                    this.oi = this.op != null ? this.op : this.sk != null ? this.sk : this.qv;
                    this.b6 = !isNaN_(this.cq) ? this.cq : !isNaN_(this.hd) ? this.hd : this.e6;
                    this.ok = this.sh != null ? this.sh : this.sm != null ? this.sm : this.qx;
                    this.b7 = !isNaN_(this.g8) ? this.g8 : !isNaN_(this.he) ? this.he : this.e7;
                    this.mq = InputGroup.mt(this.mu, InputGroup.mt(this.na, this.m3));
                    this.s6 = InputGroup.s9(this.ta, InputGroup.s9(this.tq, this.tj));
                    this.cc = !isNaN_(this.hx) ? this.hx : !isNaN_(this.hj) ? this.hj : this.fc;
                    this.cd = !isNaN_(this.hy) ? this.hy : !isNaN_(this.hk) ? this.hk : this.fd;
                    this.ce = !isNaN_(this.hz) ? this.hz : !isNaN_(this.hl) ? this.hl : this.fe;
                    this.oo = this.sz != null ? this.sz : this.sq != null ? this.sq : this.q2;
                    this.on = this.sy != null ? this.sy : this.sp != null ? this.sp : this.q1;
                    this.om = this.sj != null ? this.sj : this.so != null ? this.so : this.q0;
                    this.cf = !isNaN_(this.h0) ? this.h0 : !isNaN_(this.hm) ? this.hm : this.ff;
                    this.cb = !isNaN_(this.hc) ? this.hc : !isNaN_(this.hi) ? this.hi : this.fb;
                    this.ca = !isNaN_(this.hb) ? this.hb : !isNaN_(this.hh) ? this.hh : this.fa;
                    this.ol = this.si != null ? this.si : this.sn != null ? this.sn : this.qz;
                    this.b8 = !isNaN_(this.g9) ? this.g9 : !isNaN_(this.hf) ? this.hf : this.e8;
                    this.b9 = !isNaN_(this.ha) ? this.ha : !isNaN_(this.hg) ? this.hg : this.e9;
                    break;
                case 1:
                    this.oj = this.oq != null ? this.oq : this.oz != null ? this.oz : this.pg;
                    this.oi = this.op != null ? this.op : this.oy != null ? this.oy : this.pf;
                    this.b6 = !isNaN_(this.cq) ? this.cq : !isNaN_(this.cr) ? this.cr : this.dc;
                    this.ok = this.sh != null ? this.sh : this.o0 != null ? this.o0 : this.ph;
                    this.b7 = !isNaN_(this.g8) ? this.g8 : !isNaN_(this.cs) ? this.cs : this.dd;
                    this.mq = InputGroup.mt(this.mu, InputGroup.mt(this.ms, this.mw));
                    this.s6 = InputGroup.s9(this.ta, InputGroup.s9(this.s8, this.tc));
                    this.cc = !isNaN_(this.hx) ? this.hx : !isNaN_(this.cx) ? this.cx : this.di;
                    this.cd = !isNaN_(this.hy) ? this.hy : !isNaN_(this.cy) ? this.cy : this.dj;
                    this.ce = !isNaN_(this.hz) ? this.hz : !isNaN_(this.cz) ? this.cz : this.dk;
                    this.oo = this.sz != null ? this.sz : this.o4 != null ? this.o4 : this.pm;
                    this.on = this.sy != null ? this.sy : this.o3 != null ? this.o3 : this.pl;
                    this.om = this.sj != null ? this.sj : this.o2 != null ? this.o2 : this.pk;
                    this.cf = !isNaN_(this.h0) ? this.h0 : !isNaN_(this.c0) ? this.c0 : this.dl;
                    this.cb = !isNaN_(this.hc) ? this.hc : !isNaN_(this.cw) ? this.cw : this.dh;
                    this.ca = !isNaN_(this.hb) ? this.hb : !isNaN_(this.cv) ? this.cv : this.dg;
                    this.ol = this.si != null ? this.si : this.o1 != null ? this.o1 : this.pj;
                    this.b8 = !isNaN_(this.g9) ? this.g9 : !isNaN_(this.ct) ? this.ct : this.de;
                    this.b9 = !isNaN_(this.ha) ? this.ha : !isNaN_(this.cu) ? this.cu : this.df;
                    break;
                case 2:
                    this.oj = this.oq != null ? this.oq : this.os != null ? this.os : this.o8;
                    this.oi = this.op != null ? this.op : this.or != null ? this.or : this.o7;
                    this.b6 = !isNaN_(this.cq) ? this.cq : !isNaN_(this.cg) ? this.cg : this.c1;
                    this.ok = this.sh != null ? this.sh : this.ot != null ? this.ot : this.o9;
                    this.b7 = !isNaN_(this.g8) ? this.g8 : !isNaN_(this.ch) ? this.ch : this.c2;
                    this.mq = InputGroup.mt(this.mu, InputGroup.mt(this.mr, this.mv));
                    this.s6 = InputGroup.s9(this.ta, InputGroup.s9(this.s7, this.tb));
                    this.cc = !isNaN_(this.hx) ? this.hx : !isNaN_(this.cm) ? this.cm : this.c7;
                    this.cd = !isNaN_(this.hy) ? this.hy : !isNaN_(this.cn) ? this.cn : this.c8;
                    this.ce = !isNaN_(this.hz) ? this.hz : !isNaN_(this.co) ? this.co : this.c9;
                    this.oo = this.sz != null ? this.sz : this.ox != null ? this.ox : this.pe;
                    this.on = this.sy != null ? this.sy : this.ow != null ? this.ow : this.pd;
                    this.om = this.sj != null ? this.sj : this.ov != null ? this.ov : this.pc;
                    this.cf = !isNaN_(this.h0) ? this.h0 : !isNaN_(this.cp) ? this.cp : this.da;
                    this.cb = !isNaN_(this.hc) ? this.hc : !isNaN_(this.cl) ? this.cl : this.c6;
                    this.ca = !isNaN_(this.hb) ? this.hb : !isNaN_(this.ck) ? this.ck : this.c5;
                    this.ol = this.si != null ? this.si : this.ou != null ? this.ou : this.pb;
                    this.b8 = !isNaN_(this.g9) ? this.g9 : !isNaN_(this.ci) ? this.ci : this.c3;
                    this.b9 = !isNaN_(this.ha) ? this.ha : !isNaN_(this.cj) ? this.cj : this.c4;
                    break;
                case 3:
                    this.oj = this.oq != null ? this.oq : this.ss != null ? this.ss : this.r8;
                    this.oi = this.op != null ? this.op : this.sr != null ? this.sr : this.r7;
                    this.b6 = !isNaN_(this.cq) ? this.cq : !isNaN_(this.hn) ? this.hn : this.gu;
                    this.ok = this.sh != null ? this.sh : this.st != null ? this.st : this.r9;
                    this.b7 = !isNaN_(this.g8) ? this.g8 : !isNaN_(this.ho) ? this.ho : this.gv;
                    this.mq = InputGroup.mt(this.mu, InputGroup.mt(this.nb, this.m9));
                    this.s6 = InputGroup.s9(this.ta, InputGroup.s9(this.tr, this.tp));
                    this.cc = !isNaN_(this.hx) ? this.hx : !isNaN_(this.ht) ? this.ht : this.g0;
                    this.cd = !isNaN_(this.hy) ? this.hy : !isNaN_(this.hu) ? this.hu : this.g1;
                    this.ce = !isNaN_(this.hz) ? this.hz : !isNaN_(this.hv) ? this.hv : this.g2;
                    this.oo = this.sz != null ? this.sz : this.sx != null ? this.sx : this.se;
                    this.on = this.sy != null ? this.sy : this.sw != null ? this.sw : this.sd;
                    this.om = this.sj != null ? this.sj : this.sv != null ? this.sv : this.sc;
                    this.cf = !isNaN_(this.h0) ? this.h0 : !isNaN_(this.hw) ? this.hw : this.g3;
                    this.cb = !isNaN_(this.hc) ? this.hc : !isNaN_(this.hs) ? this.hs : this.gz;
                    this.ca = !isNaN_(this.hb) ? this.hb : !isNaN_(this.hr) ? this.hr : this.gy;
                    this.ol = this.si != null ? this.si : this.su != null ? this.su : this.sb;
                    this.b8 = !isNaN_(this.g9) ? this.g9 : !isNaN_(this.hp) ? this.hp : this.gw;
                    this.b9 = !isNaN_(this.ha) ? this.ha : !isNaN_(this.hq) ? this.hq : this.gx;
                    break;
            }
        }
        md() {
            this.lv((a) => {
            });
            this.lu((a) => {
            });
            let a = this.view.u;
            let b = this.view.t;
            let c = this.view.w;
            let d = this.view.x;
            let e = this.o != null && this.o.playState == 1;
            let f = this.p != null && this.p.playState == 1;
            let g = this.n != null && this.n.playState == 1;
            NativeUI.l(a, this.mq);
            NativeUI.l(b, this.mq);
            NativeUI.j(a, this.oi);
            NativeUI.u(a, this.s6);
            if (this.af) {
                if (!g) {
                    NativeUI.k(b, this.ok);
                    NativeUI.m(b, new Thickness(0, this.b7));
                }
                if (!f) {
                    NativeUI.j(c, this.ol);
                }
            }
            else {
                if (!f) {
                    if (this.ag) {
                        NativeUI.j(c, this.om);
                        NativeUI.t(c, this.ca);
                        NativeUI.q(c, this.cb);
                    }
                    else {
                        NativeUI.j(c, this.on);
                        NativeUI.t(c, this.cc);
                        NativeUI.q(c, this.cf);
                    }
                }
                if (!g) {
                    NativeUI.k(b, this.oj);
                    NativeUI.m(b, new Thickness(0, this.b6));
                }
                if (!f) {
                    NativeUI.j(a, this.oi);
                }
            }
            if (!e) {
                NativeUI.j(d, this.oo);
                NativeUI.q(d, this.ce);
                NativeUI.t(d, this.cd);
            }
        }
        get a() {
            let a = new AnimationKeyFrameEffectTiming();
            a.g = 300;
            a.b = 0;
            return a;
        }
        onChildrenMutated() {
            this.lu((a) => a.view.au());
            this.lv((a) => a.view.ac());
            this.lw((a) => a.view.q());
            this.lx((a) => a.view.q());
        }
        lt() {
            this.view.ab();
            let a = false;
            if (this.p == null) {
                this.p = KeyFrameAnimationFactory.f.c(this.view.c(this.a).m(new AnimationKeyFrameProperty(2, this.oj)).m(new AnimationKeyFrameProperty(2, this.ok)));
            }
            if (this.n == null) {
                this.n = KeyFrameAnimationFactory.f.c(this.view.a(this.a).m(new AnimationKeyFrameProperty(3, this.oj), new AnimationKeyFrameProperty(4, this.j == 2 || this.j == 3 ? new Thickness(0, this.b6) : new Thickness(0, 0))).m(new AnimationKeyFrameProperty(3, this.ok), new AnimationKeyFrameProperty(4, this.j == 2 || this.j == 3 ? new Thickness(0, this.b7) : new Thickness(0, 0))));
            }
            if (this.o == null) {
                this.o = KeyFrameAnimationFactory.f.c(this.view.b(this.a).m(new AnimationKeyFrameProperty(2, this.ok), new AnimationKeyFrameProperty(14, ((() => {
                    let $ret = new ScaleTransform();
                    $ret.l = 0.5;
                    $ret.m = 1;
                    return $ret;
                })())), new AnimationKeyFrameProperty(1, 0)).m(new AnimationKeyFrameProperty(2, this.ok), new AnimationKeyFrameProperty(14, ((() => {
                    let $ret = new ScaleTransform();
                    $ret.l = 1;
                    $ret.m = 1;
                    return $ret;
                })())), new AnimationKeyFrameProperty(1, 1)));
            }
        }
        get ac() {
            let a = false;
            this.lu((b) => {
                if (b.ak) {
                    a = true;
                }
            });
            return a;
        }
        l4() {
            this.ab = this.s ? this.ae : this.ac ? true : false;
            this.af = false;
            if (null != this.lostFocus) {
                this.lostFocus(this, EventArgs.empty);
            }
        }
        mc(a) {
            this.db = ThemeResolver.b(a, InputGroup.fq, InputGroup.dx);
            this.e1 = ThemeResolver.b(a, InputGroup.f1, InputGroup.d8);
            this.mx = ThemeResolver.d(a, InputGroup.m6, InputGroup.m0);
            this.td = ThemeResolver.f(a, InputGroup.tm, InputGroup.tg);
            this.o6 = ThemeResolver.e(a, InputGroup.q4, InputGroup.po);
            this.qr = ThemeResolver.e(a, InputGroup.rl, InputGroup.p5);
            this.qs = ThemeResolver.e(a, InputGroup.rm, InputGroup.p6);
            this.g7 = ThemeResolver.b(a, InputGroup.gt, InputGroup.e0);
            this.g6 = ThemeResolver.b(a, InputGroup.gs, InputGroup.ez);
            this.e5 = ThemeResolver.b(a, InputGroup.f5, InputGroup.ec);
            this.sf = ThemeResolver.e(a, InputGroup.r5, InputGroup.qp);
            this.sg = ThemeResolver.e(a, InputGroup.r6, InputGroup.qq);
            this.qu = ThemeResolver.e(a, InputGroup.ro, InputGroup.p8);
            this.qt = ThemeResolver.e(a, InputGroup.rn, InputGroup.p7);
            this.g4 = ThemeResolver.b(a, InputGroup.gq, InputGroup.ex);
            this.e4 = ThemeResolver.b(a, InputGroup.f4, InputGroup.eb);
            this.e2 = ThemeResolver.b(a, InputGroup.f2, InputGroup.d9);
            this.e3 = ThemeResolver.b(a, InputGroup.f3, InputGroup.ea);
            this.g5 = ThemeResolver.b(a, InputGroup.gr, InputGroup.ey);
            this.o5 = ThemeResolver.e(a, InputGroup.q3, InputGroup.pn);
            this.e6 = ThemeResolver.b(a, InputGroup.f6, InputGroup.ed);
            this.e7 = ThemeResolver.b(a, InputGroup.f7, InputGroup.ee);
            this.m3 = ThemeResolver.d(a, InputGroup.m7, InputGroup.m1);
            this.tj = ThemeResolver.f(a, InputGroup.tn, InputGroup.th);
            this.qw = ThemeResolver.e(a, InputGroup.rq, InputGroup.qa);
            this.qx = ThemeResolver.e(a, InputGroup.rr, InputGroup.qb);
            this.qy = ThemeResolver.e(a, InputGroup.rs, InputGroup.qc);
            this.ff = ThemeResolver.b(a, InputGroup.gf, InputGroup.em);
            this.fe = ThemeResolver.b(a, InputGroup.ge, InputGroup.el);
            this.fb = ThemeResolver.b(a, InputGroup.gb, InputGroup.ei);
            this.q1 = ThemeResolver.e(a, InputGroup.rv, InputGroup.qf);
            this.q2 = ThemeResolver.e(a, InputGroup.rw, InputGroup.qg);
            this.q0 = ThemeResolver.e(a, InputGroup.ru, InputGroup.qe);
            this.qz = ThemeResolver.e(a, InputGroup.rt, InputGroup.qd);
            this.fc = ThemeResolver.b(a, InputGroup.gc, InputGroup.ej);
            this.fa = ThemeResolver.b(a, InputGroup.ga, InputGroup.eh);
            this.e8 = ThemeResolver.b(a, InputGroup.f8, InputGroup.ef);
            this.e9 = ThemeResolver.b(a, InputGroup.f9, InputGroup.eg);
            this.fd = ThemeResolver.b(a, InputGroup.gd, InputGroup.ek);
            this.qv = ThemeResolver.e(a, InputGroup.rp, InputGroup.p9);
            this.dc = ThemeResolver.b(a, InputGroup.fr, InputGroup.dy);
            this.dd = ThemeResolver.b(a, InputGroup.fs, InputGroup.dz);
            this.mw = ThemeResolver.d(a, InputGroup.m5, InputGroup.mz);
            this.tc = ThemeResolver.f(a, InputGroup.tl, InputGroup.tf);
            this.pg = ThemeResolver.e(a, InputGroup.re, InputGroup.py);
            this.ph = ThemeResolver.e(a, InputGroup.rf, InputGroup.pz);
            this.pi = ThemeResolver.e(a, InputGroup.rg, InputGroup.p0);
            this.dl = ThemeResolver.b(a, InputGroup.f0, InputGroup.d7);
            this.dk = ThemeResolver.b(a, InputGroup.fz, InputGroup.d6);
            this.dh = ThemeResolver.b(a, InputGroup.fw, InputGroup.d3);
            this.pl = ThemeResolver.e(a, InputGroup.rj, InputGroup.p3);
            this.pm = ThemeResolver.e(a, InputGroup.rk, InputGroup.p4);
            this.pk = ThemeResolver.e(a, InputGroup.ri, InputGroup.p2);
            this.pj = ThemeResolver.e(a, InputGroup.rh, InputGroup.p1);
            this.di = ThemeResolver.b(a, InputGroup.fx, InputGroup.d4);
            this.dg = ThemeResolver.b(a, InputGroup.fv, InputGroup.d2);
            this.de = ThemeResolver.b(a, InputGroup.ft, InputGroup.d0);
            this.df = ThemeResolver.b(a, InputGroup.fu, InputGroup.d1);
            this.dj = ThemeResolver.b(a, InputGroup.fy, InputGroup.d5);
            this.pf = ThemeResolver.e(a, InputGroup.rd, InputGroup.px);
            this.c1 = ThemeResolver.b(a, InputGroup.fg, InputGroup.dm);
            this.c2 = ThemeResolver.b(a, InputGroup.fh, InputGroup.dn);
            this.mv = ThemeResolver.d(a, InputGroup.m4, InputGroup.my);
            this.tb = ThemeResolver.f(a, InputGroup.tk, InputGroup.te);
            this.o8 = ThemeResolver.e(a, InputGroup.q6, InputGroup.pq);
            this.o9 = ThemeResolver.e(a, InputGroup.q7, InputGroup.pr);
            this.pa = ThemeResolver.e(a, InputGroup.q8, InputGroup.ps);
            this.da = ThemeResolver.b(a, InputGroup.fp, InputGroup.dw);
            this.c9 = ThemeResolver.b(a, InputGroup.fo, InputGroup.dv);
            this.c6 = ThemeResolver.b(a, InputGroup.fl, InputGroup.ds);
            this.pd = ThemeResolver.e(a, InputGroup.rb, InputGroup.pv);
            this.pe = ThemeResolver.e(a, InputGroup.rc, InputGroup.pw);
            this.pc = ThemeResolver.e(a, InputGroup.ra, InputGroup.pu);
            this.pb = ThemeResolver.e(a, InputGroup.q9, InputGroup.pt);
            this.c7 = ThemeResolver.b(a, InputGroup.fm, InputGroup.dt);
            this.c5 = ThemeResolver.b(a, InputGroup.fk, InputGroup.dr);
            this.c3 = ThemeResolver.b(a, InputGroup.fi, InputGroup.dp);
            this.c4 = ThemeResolver.b(a, InputGroup.fj, InputGroup.dq);
            this.c8 = ThemeResolver.b(a, InputGroup.fn, InputGroup.du);
            this.o7 = ThemeResolver.e(a, InputGroup.q5, InputGroup.pp);
            this.gu = ThemeResolver.b(a, InputGroup.gg, InputGroup.en);
            this.gv = ThemeResolver.b(a, InputGroup.gh, InputGroup.eo);
            this.m9 = ThemeResolver.d(a, InputGroup.m8, InputGroup.m2);
            this.tp = ThemeResolver.f(a, InputGroup.to, InputGroup.ti);
            this.r8 = ThemeResolver.e(a, InputGroup.ry, InputGroup.qi);
            this.r9 = ThemeResolver.e(a, InputGroup.rz, InputGroup.qj);
            this.sa = ThemeResolver.e(a, InputGroup.r0, InputGroup.qk);
            this.g3 = ThemeResolver.b(a, InputGroup.gp, InputGroup.ew);
            this.g2 = ThemeResolver.b(a, InputGroup.go, InputGroup.ev);
            this.gz = ThemeResolver.b(a, InputGroup.gl, InputGroup.es);
            this.sd = ThemeResolver.e(a, InputGroup.r3, InputGroup.qn);
            this.se = ThemeResolver.e(a, InputGroup.r4, InputGroup.qo);
            this.sc = ThemeResolver.e(a, InputGroup.r2, InputGroup.qm);
            this.sb = ThemeResolver.e(a, InputGroup.r1, InputGroup.ql);
            this.g0 = ThemeResolver.b(a, InputGroup.gm, InputGroup.et);
            this.gy = ThemeResolver.b(a, InputGroup.gk, InputGroup.er);
            this.gw = ThemeResolver.b(a, InputGroup.gi, InputGroup.ep);
            this.gx = ThemeResolver.b(a, InputGroup.gj, InputGroup.eq);
            this.g1 = ThemeResolver.b(a, InputGroup.gn, InputGroup.eu);
            this.r7 = ThemeResolver.e(a, InputGroup.rx, InputGroup.qh);
        }
        ly() {
            this.lt();
            if (this.ab) {
                this.lv((a) => a.am = true);
            }
            else {
                this.lv((a) => a.am = false);
            }
        }
        l3() {
            this.lt();
            if (this.af) {
                let a = 1;
                this.lv((b) => b.ak = true);
                this.l7(a);
            }
            else {
                let b = -1;
                this.lv((c) => c.ak = false);
                this.l7(b);
            }
        }
        l2() {
            this.ab = this.s ? this.ae : true;
            this.af = true;
            if (null != this.gotFocus) {
                this.gotFocus(this, EventArgs.empty);
            }
        }
        mj() {
            if (this.s) {
                this.ab = this.s;
            }
            else if (this.af) {
                this.ab = true;
            }
            else {
                this.ab = this.ac ? true : false;
            }
        }
        l7(a) {
            if ((a > 0 && this.p.playbackRate < 0) || (a < 0 && this.p.playbackRate > 0)) {
                this.p.reverse();
                this.p.finished.f((b) => {
                    if (this.p != null) {
                        this.p.commitStyles();
                    }
                    if (this.aa) {
                        this.p = null;
                        this.aa = false;
                    }
                });
                this.n.reverse();
                this.n.finished.f((b) => {
                    if (this.n != null) {
                        this.n.commitStyles();
                    }
                    if (this.r) {
                        this.n = null;
                        this.r = false;
                    }
                });
                this.o.reverse();
                this.o.finished.f((b) => {
                    if (this.o != null) {
                        this.o.commitStyles();
                    }
                    if (this.z) {
                        this.o = null;
                        this.z = false;
                    }
                });
            }
            else {
                this.p.play();
                this.p.finished.f((b) => {
                    if (this.p != null) {
                        this.p.commitStyles();
                    }
                    if (this.aa) {
                        this.p = null;
                        this.aa = false;
                    }
                });
                this.n.play();
                this.n.finished.f((b) => {
                    if (this.n != null) {
                        this.n.commitStyles();
                    }
                    if (this.r) {
                        this.n = null;
                        this.r = false;
                    }
                });
                this.o.play();
                this.o.finished.f((b) => {
                    if (this.o != null) {
                        this.o.commitStyles();
                    }
                    if (this.z) {
                        this.o = null;
                        this.z = false;
                    }
                });
            }
        }
        get oj() {
            return this.nd;
        }
        set oj(a) {
            let b = this.nd;
            this.nd = a;
            if (b != this.nd) {
                this.l5("ActualBorderColor", b, a);
            }
        }
        get ok() {
            return this.ne;
        }
        set ok(a) {
            let b = this.ne;
            this.ne = a;
            if (b != this.ne) {
                this.l5("ActualFocusBorderColor", b, a);
            }
        }
        get b6() {
            return this.ai;
        }
        set b6(a) {
            let b = this.ai;
            this.ai = a;
            if (b != this.ai) {
                this.l5("ActualBorderWidth", b, a);
            }
        }
        get b7() {
            return this.aj;
        }
        set b7(a) {
            let b = this.aj;
            this.aj = a;
            if (b != this.aj) {
                this.l5("ActualFocusBorderWidth", b, a);
            }
        }
        get mq() {
            return this.mk;
        }
        set mq(a) {
            let b = this.mk;
            this.mk = a;
            if (b != this.mk) {
                this.l5("ActualCornerRadius", b, a);
            }
        }
        get s6() {
            return this.s0;
        }
        set s6(a) {
            let b = this.s0;
            this.s0 = a;
            if (b != this.s0) {
                this.l5("ActualContentPadding", b, a);
            }
        }
        get cf() {
            return this.ar;
        }
        set cf(a) {
            let b = this.ar;
            this.ar = a;
            if (b != this.ar) {
                this.l5("ActualUnderlineWidth", b, a);
            }
        }
        get ce() {
            return this.aq;
        }
        set ce(a) {
            let b = this.aq;
            this.aq = a;
            if (b != this.aq) {
                this.l5("ActualUnderlineRippleWidth", b, a);
            }
        }
        get cb() {
            return this.an;
        }
        set cb(a) {
            let b = this.an;
            this.an = a;
            if (b != this.an) {
                this.l5("ActualHoverUnderlineWidth", b, a);
            }
        }
        get on() {
            return this.nh;
        }
        set on(a) {
            let b = this.nh;
            this.nh = a;
            if (b != this.nh) {
                this.l5("ActualUnderlineColor", b, a);
            }
        }
        get oo() {
            return this.ni;
        }
        set oo(a) {
            let b = this.ni;
            this.ni = a;
            if (b != this.ni) {
                this.l5("ActualUnderlineRippleColor", b, a);
            }
        }
        get om() {
            return this.ng;
        }
        set om(a) {
            let b = this.ng;
            this.ng = a;
            if (b != this.ng) {
                this.l5("ActualHoverUnderlineColor", b, a);
            }
        }
        get ol() {
            return this.nf;
        }
        set ol(a) {
            let b = this.nf;
            this.n0 = a;
            if (b != this.nf) {
                this.l5("ActualFocusUnderlineColor", b, a);
            }
        }
        get cc() {
            return this.ao;
        }
        set cc(a) {
            let b = this.ao;
            this.ao = a;
            if (b != this.ao) {
                this.l5("ActualUnderlineOpacity", b, a);
            }
        }
        get ca() {
            return this.am;
        }
        set ca(a) {
            let b = this.am;
            this.am = a;
            if (b != this.am) {
                this.l5("ActualHoverUnderlineOpacity", b, a);
            }
        }
        get b8() {
            return this.ak;
        }
        set b8(a) {
            let b = this.ak;
            this.ak = a;
            if (b != this.ak) {
                this.l5("ActualFocusUnderlineOpacity", b, a);
            }
        }
        get b9() {
            return this.al;
        }
        set b9(a) {
            let b = this.al;
            this.al = a;
            if (b != this.al) {
                this.l5("ActualFocusUnderlineRippleOpacity", b, a);
            }
        }
        get cd() {
            return this.ap;
        }
        set cd(a) {
            let b = this.ap;
            this.ap = a;
            if (b != this.ap) {
                this.l5("ActualUnderlineRippleOpacity", b, a);
            }
        }
        get oi() {
            return this.nc;
        }
        set oi(a) {
            let b = this.nc;
            this.nc = a;
            if (b != this.nc) {
                this.l5("ActualBackgroundColor", b, a);
            }
        }
        get cq() {
            return this.a2;
        }
        set cq(a) {
            let b = this.a2;
            this.a2 = a;
            if (b != this.a2) {
                this.l5("BorderWidth", b, a);
            }
        }
        get g8() {
            return this.bd;
        }
        set g8(a) {
            let b = this.bd;
            this.bd = a;
            if (b != this.bd) {
                this.l5("FocusBorderWidth", b, a);
            }
        }
        get oq() {
            return this.nk;
        }
        set oq(a) {
            let b = this.nk;
            this.nk = a;
            if (b != this.nk) {
                this.l5("BorderColor", b, a);
            }
        }
        get mu() {
            return this.mn;
        }
        set mu(a) {
            let b = this.mn;
            this.mn = a;
            if (b != this.mn) {
                this.l5("CornerRadius", b, a);
            }
        }
        get ta() {
            return this.s3;
        }
        set ta(a) {
            let b = this.s3;
            this.s3 = a;
            if (b != this.s3) {
                this.l5("ContentPadding", b, a);
            }
        }
        get h0() {
            return this.b5;
        }
        set h0(a) {
            let b = this.b5;
            this.b5 = a;
            if (b != this.b5) {
                this.l5("UnderlineWidth", b, a);
            }
        }
        get hz() {
            return this.b4;
        }
        set hz(a) {
            let b = this.b4;
            this.b4 = a;
            if (b != this.b4) {
                this.l5("UnderlineRippleWidth", b, a);
            }
        }
        get hc() {
            return this.bh;
        }
        set hc(a) {
            let b = this.bh;
            this.bh = a;
            if (b != this.bh) {
                this.l5("HoverUnderlineWidth", b, a);
            }
        }
        get sy() {
            return this.og;
        }
        set sy(a) {
            let b = this.og;
            this.og = a;
            if (b != this.og) {
                this.l5("UnderlineColor", b, a);
            }
        }
        get sz() {
            return this.oh;
        }
        set sz(a) {
            let b = this.oh;
            this.oh = a;
            if (b != this.oh) {
                this.l5("UnderlineRippleColor", b, a);
            }
        }
        get sj() {
            return this.n1;
        }
        set sj(a) {
            let b = this.n1;
            this.n1 = a;
            if (b != this.n1) {
                this.l5("HoverUnderlineColor", b, a);
            }
        }
        get si() {
            return this.n0;
        }
        set si(a) {
            let b = this.n0;
            this.n0 = a;
            if (b != this.n0) {
                this.l5("FocusUnderlineColor", b, a);
            }
        }
        get hx() {
            return this.b2;
        }
        set hx(a) {
            let b = this.b2;
            this.b2 = a;
            if (b != this.b2) {
                this.l5("UnderlineOpacity", b, a);
            }
        }
        get hb() {
            return this.bg;
        }
        set hb(a) {
            let b = this.bg;
            this.bg = a;
            if (b != this.bg) {
                this.l5("HoverUnderlineOpacity", b, a);
            }
        }
        get g9() {
            return this.be;
        }
        set g9(a) {
            let b = this.be;
            this.be = a;
            if (b != this.be) {
                this.l5("FocusUnderlineOpacity", b, a);
            }
        }
        get ha() {
            return this.bf;
        }
        set ha(a) {
            let b = this.bf;
            this.bf = a;
            if (b != this.bf) {
                this.l5("FocusUnderlineRippleOpacity", b, a);
            }
        }
        get hy() {
            return this.b3;
        }
        set hy(a) {
            let b = this.b3;
            this.b3 = a;
            if (b != this.b3) {
                this.l5("UnderlineRippleOpacity", b, a);
            }
        }
        get op() {
            return this.nj;
        }
        set op(a) {
            let b = this.nj;
            this.nj = a;
            if (b != this.nj) {
                this.l5("BackgroundColor", b, a);
            }
        }
        get hd() {
            return this.bi;
        }
        set hd(a) {
            let b = this.bi;
            this.bi = a;
            if (b != this.bi) {
                this.l5("LineTypeBorderWidth", b, a);
            }
        }
        get he() {
            return this.bj;
        }
        set he(a) {
            let b = this.bj;
            this.bj = a;
            if (b != this.bj) {
                this.l5("LineTypeFocusBorderWidth", b, a);
            }
        }
        get sm() {
            return this.n4;
        }
        set sm(a) {
            let b = this.n4;
            this.n4 = a;
            if (b != this.n4) {
                this.l5("LineTypeFocusBorderColor", b, a);
            }
        }
        get sl() {
            return this.n3;
        }
        set sl(a) {
            let b = this.n3;
            this.n3 = a;
            if (b != this.n3) {
                this.l5("LineTypeBorderColor", b, a);
            }
        }
        get na() {
            return this.mo;
        }
        set na(a) {
            let b = this.mo;
            this.mo = a;
            if (b != this.mo) {
                this.l5("LineTypeCornerRadius", b, a);
            }
        }
        get tq() {
            return this.s4;
        }
        set tq(a) {
            let b = this.s4;
            this.s4 = a;
            if (b != this.s4) {
                this.l5("LineTypeContentPadding", b, a);
            }
        }
        get hm() {
            return this.br;
        }
        set hm(a) {
            let b = this.br;
            this.br = a;
            if (b != this.br) {
                this.l5("LineTypeUnderlineWidth", b, a);
            }
        }
        get hl() {
            return this.bq;
        }
        set hl(a) {
            let b = this.bq;
            this.bq = a;
            if (b != this.bq) {
                this.l5("LineTypeUnderlineRippleWidth", b, a);
            }
        }
        get hi() {
            return this.bn;
        }
        set hi(a) {
            let b = this.bn;
            this.bn = a;
            if (b != this.bn) {
                this.l5("LineTypeHoverUnderlineWidth", b, a);
            }
        }
        get sp() {
            return this.n7;
        }
        set sp(a) {
            let b = this.n7;
            this.n7 = a;
            if (b != this.n7) {
                this.l5("LineTypeUnderlineColor", b, a);
            }
        }
        get sq() {
            return this.n8;
        }
        set sq(a) {
            let b = this.n8;
            this.n8 = a;
            if (b != this.n8) {
                this.l5("LineTypeUnderlineRippleColor", b, a);
            }
        }
        get so() {
            return this.n6;
        }
        set so(a) {
            let b = this.n6;
            this.n1 = a;
            if (b != this.n6) {
                this.l5("LineTypeHoverUnderlineColor", b, a);
            }
        }
        get sn() {
            return this.n5;
        }
        set sn(a) {
            let b = this.n5;
            this.n5 = a;
            if (b != this.n5) {
                this.l5("LineTypeFocusUnderlineColor", b, a);
            }
        }
        get hj() {
            return this.bo;
        }
        set hj(a) {
            let b = this.bo;
            this.bo = a;
            if (b != this.bo) {
                this.l5("LineTypeUnderlineOpacity", b, a);
            }
        }
        get hh() {
            return this.bm;
        }
        set hh(a) {
            let b = this.bm;
            this.bm = a;
            if (b != this.bm) {
                this.l5("LineTypeHoverUnderlineOpacity", b, a);
            }
        }
        get hf() {
            return this.bk;
        }
        set hf(a) {
            let b = this.bk;
            this.bk = a;
            if (b != this.bk) {
                this.l5("LineTypeFocusUnderlineOpacity", b, a);
            }
        }
        get hg() {
            return this.bl;
        }
        set hg(a) {
            let b = this.bl;
            this.bl = a;
            if (b != this.bl) {
                this.l5("LineTypeFocusUnderlineRippleOpacity", b, a);
            }
        }
        get hk() {
            return this.bp;
        }
        set hk(a) {
            let b = this.bp;
            this.bp = a;
            if (b != this.bp) {
                this.l5("LineTypeUnderlineRippleOpacity", b, a);
            }
        }
        get sk() {
            return this.n2;
        }
        set sk(a) {
            let b = this.n2;
            this.n2 = a;
            if (b != this.n2) {
                this.l5("LineTypeBackgroundColor", b, a);
            }
        }
        get cr() {
            return this.a3;
        }
        set cr(a) {
            let b = this.a3;
            this.a3 = a;
            if (b != this.a3) {
                this.l5("BoxTypeBorderWidth", b, a);
            }
        }
        get cs() {
            return this.a4;
        }
        set cs(a) {
            let b = this.a4;
            this.a4 = a;
            if (b != this.a4) {
                this.l5("BoxTypeFocusBorderWidth", b, a);
            }
        }
        get o0() {
            return this.nu;
        }
        set o0(a) {
            let b = this.nu;
            this.nu = a;
            if (b != this.nu) {
                this.l5("BoxTypeFocusBorderColor", b, a);
            }
        }
        get oz() {
            return this.nt;
        }
        set oz(a) {
            let b = this.nt;
            this.nt = a;
            if (b != this.nt) {
                this.l5("BoxTypeBorderColor", b, a);
            }
        }
        get ms() {
            return this.mm;
        }
        set ms(a) {
            let b = this.mm;
            this.mm = a;
            if (b != this.mm) {
                this.l5("BoxTypeCornerRadius", b, a);
            }
        }
        get s8() {
            return this.s2;
        }
        set s8(a) {
            let b = this.s2;
            this.s2 = a;
            if (b != this.s2) {
                this.l5("BoxTypeContentPadding", b, a);
            }
        }
        get c0() {
            return this.bc;
        }
        set c0(a) {
            let b = this.bc;
            this.bc = a;
            if (b != this.bc) {
                this.l5("BoxTypeUnderlineWidth", b, a);
            }
        }
        get cz() {
            return this.bb;
        }
        set cz(a) {
            let b = this.bb;
            this.bb = a;
            if (b != this.bb) {
                this.l5("BoxTypeUnderlineRippleWidth", b, a);
            }
        }
        get cw() {
            return this.a8;
        }
        set cw(a) {
            let b = this.a8;
            this.a8 = a;
            if (b != this.a8) {
                this.l5("BoxTypeHoverUnderlineWidth", b, a);
            }
        }
        get o3() {
            return this.nx;
        }
        set o3(a) {
            let b = this.nx;
            this.nx = a;
            if (b != this.nx) {
                this.l5("BoxTypeUnderlineColor", b, a);
            }
        }
        get o4() {
            return this.ny;
        }
        set o4(a) {
            let b = this.ny;
            this.ny = a;
            if (b != this.ny) {
                this.l5("BoxTypeUnderlineRippleColor", b, a);
            }
        }
        get o2() {
            return this.nw;
        }
        set o2(a) {
            let b = this.nw;
            this.n1 = a;
            if (b != this.nw) {
                this.l5("BoxTypeHoverUnderlineColor", b, a);
            }
        }
        get o1() {
            return this.nv;
        }
        set o1(a) {
            let b = this.nv;
            this.nv = a;
            if (b != this.nv) {
                this.l5("BoxTypeFocusUnderlineColor", b, a);
            }
        }
        get cx() {
            return this.a9;
        }
        set cx(a) {
            let b = this.a9;
            this.a9 = a;
            if (b != this.a9) {
                this.l5("BoxTypeUnderlineOpacity", b, a);
            }
        }
        get cv() {
            return this.a7;
        }
        set cv(a) {
            let b = this.a7;
            this.a7 = a;
            if (b != this.a7) {
                this.l5("BoxTypeHoverUnderlineOpacity", b, a);
            }
        }
        get ct() {
            return this.a5;
        }
        set ct(a) {
            let b = this.a5;
            this.a5 = a;
            if (b != this.a5) {
                this.l5("BoxTypeFocusUnderlineOpacity", b, a);
            }
        }
        get cu() {
            return this.a6;
        }
        set cu(a) {
            let b = this.a6;
            this.a6 = a;
            if (b != this.a6) {
                this.l5("BoxTypeFocusUnderlineRippleOpacity", b, a);
            }
        }
        get cy() {
            return this.ba;
        }
        set cy(a) {
            let b = this.ba;
            this.ba = a;
            if (b != this.ba) {
                this.l5("BoxTypeUnderlineRippleOpacity", b, a);
            }
        }
        get oy() {
            return this.ns;
        }
        set oy(a) {
            let b = this.ns;
            this.ns = a;
            if (b != this.ns) {
                this.l5("BoxTypeBackgroundColor", b, a);
            }
        }
        get cg() {
            return this.as;
        }
        set cg(a) {
            let b = this.as;
            this.as = a;
            if (b != this.as) {
                this.l5("BorderTypeBorderWidth", b, a);
            }
        }
        get ch() {
            return this.at;
        }
        set ch(a) {
            let b = this.at;
            this.at = a;
            if (b != this.at) {
                this.l5("BorderTypeFocusBorderWidth", b, a);
            }
        }
        get ot() {
            return this.nn;
        }
        set ot(a) {
            let b = this.nn;
            this.nn = a;
            if (b != this.nn) {
                this.l5("BorderTypeFocusBorderColor", b, a);
            }
        }
        get os() {
            return this.nm;
        }
        set os(a) {
            let b = this.nm;
            this.nm = a;
            if (b != this.nm) {
                this.l5("BorderTypeBorderColor", b, a);
            }
        }
        get mr() {
            return this.ml;
        }
        set mr(a) {
            let b = this.ml;
            this.ml = a;
            if (b != this.ml) {
                this.l5("BorderTypeCornerRadius", b, a);
            }
        }
        get s7() {
            return this.s1;
        }
        set s7(a) {
            let b = this.s1;
            this.s1 = a;
            if (b != this.s1) {
                this.l5("BorderTypeContentPadding", b, a);
            }
        }
        get cp() {
            return this.a1;
        }
        set cp(a) {
            let b = this.a1;
            this.a1 = a;
            if (b != this.a1) {
                this.l5("BorderTypeUnderlineWidth", b, a);
            }
        }
        get co() {
            return this.a0;
        }
        set co(a) {
            let b = this.a0;
            this.a0 = a;
            if (b != this.a0) {
                this.l5("BorderTypeUnderlineRippleWidth", b, a);
            }
        }
        get cl() {
            return this.ax;
        }
        set cl(a) {
            let b = this.ax;
            this.ax = a;
            if (b != this.ax) {
                this.l5("BorderTypeHoverUnderlineWidth", b, a);
            }
        }
        get ow() {
            return this.nq;
        }
        set ow(a) {
            let b = this.nq;
            this.nq = a;
            if (b != this.nq) {
                this.l5("BorderTypeUnderlineColor", b, a);
            }
        }
        get ox() {
            return this.nr;
        }
        set ox(a) {
            let b = this.nr;
            this.nr = a;
            if (b != this.nr) {
                this.l5("BorderTypeUnderlineRippleColor", b, a);
            }
        }
        get ov() {
            return this.np;
        }
        set ov(a) {
            let b = this.np;
            this.n1 = a;
            if (b != this.np) {
                this.l5("BorderTypeHoverUnderlineColor", b, a);
            }
        }
        get ou() {
            return this.no;
        }
        set ou(a) {
            let b = this.no;
            this.no = a;
            if (b != this.no) {
                this.l5("BorderTypeFocusUnderlineColor", b, a);
            }
        }
        get cm() {
            return this.ay;
        }
        set cm(a) {
            let b = this.ay;
            this.ay = a;
            if (b != this.ay) {
                this.l5("BorderTypeUnderlineOpacity", b, a);
            }
        }
        get ck() {
            return this.aw;
        }
        set ck(a) {
            let b = this.aw;
            this.aw = a;
            if (b != this.aw) {
                this.l5("BorderTypeHoverUnderlineOpacity", b, a);
            }
        }
        get ci() {
            return this.au;
        }
        set ci(a) {
            let b = this.au;
            this.au = a;
            if (b != this.au) {
                this.l5("BorderTypeFocusUnderlineOpacity", b, a);
            }
        }
        get cj() {
            return this.av;
        }
        set cj(a) {
            let b = this.av;
            this.av = a;
            if (b != this.av) {
                this.l5("BorderTypeFocusUnderlineRippleOpacity", b, a);
            }
        }
        get cn() {
            return this.az;
        }
        set cn(a) {
            let b = this.az;
            this.az = a;
            if (b != this.az) {
                this.l5("BorderTypeUnderlineRippleOpacity", b, a);
            }
        }
        get or() {
            return this.nl;
        }
        set or(a) {
            let b = this.nl;
            this.nl = a;
            if (b != this.nl) {
                this.l5("BorderTypeBackgroundColor", b, a);
            }
        }
        get hn() {
            return this.bs;
        }
        set hn(a) {
            let b = this.bs;
            this.bs = a;
            if (b != this.bs) {
                this.l5("SearchTypeBorderWidth", b, a);
            }
        }
        get ho() {
            return this.bt;
        }
        set ho(a) {
            let b = this.bt;
            this.bt = a;
            if (b != this.bt) {
                this.l5("SearchTypeFocusBorderWidth", b, a);
            }
        }
        get st() {
            return this.ob;
        }
        set st(a) {
            let b = this.ob;
            this.ob = a;
            if (b != this.ob) {
                this.l5("SearchTypeFocusBorderColor", b, a);
            }
        }
        get ss() {
            return this.oa;
        }
        set ss(a) {
            let b = this.oa;
            this.oa = a;
            if (b != this.oa) {
                this.l5("SearchTypeBorderColor", b, a);
            }
        }
        get nb() {
            return this.mp;
        }
        set nb(a) {
            let b = this.mp;
            this.mp = a;
            if (b != this.mp) {
                this.l5("SearchTypeCornerRadius", b, a);
            }
        }
        get tr() {
            return this.s5;
        }
        set tr(a) {
            let b = this.s5;
            this.s5 = a;
            if (b != this.s5) {
                this.l5("SearchTypeContentPadding", b, a);
            }
        }
        get hw() {
            return this.b1;
        }
        set hw(a) {
            let b = this.b1;
            this.b1 = a;
            if (b != this.b1) {
                this.l5("SearchTypeUnderlineWidth", b, a);
            }
        }
        get hv() {
            return this.b0;
        }
        set hv(a) {
            let b = this.b0;
            this.b0 = a;
            if (b != this.b0) {
                this.l5("SearchTypeUnderlineRippleWidth", b, a);
            }
        }
        get hs() {
            return this.bx;
        }
        set hs(a) {
            let b = this.bx;
            this.bx = a;
            if (b != this.bx) {
                this.l5("SearchTypeHoverUnderlineWidth", b, a);
            }
        }
        get sw() {
            return this.oe;
        }
        set sw(a) {
            let b = this.oe;
            this.oe = a;
            if (b != this.oe) {
                this.l5("SearchTypeUnderlineColor", b, a);
            }
        }
        get sx() {
            return this.of;
        }
        set sx(a) {
            let b = this.of;
            this.of = a;
            if (b != this.of) {
                this.l5("SearchTypeUnderlineRippleColor", b, a);
            }
        }
        get sv() {
            return this.od;
        }
        set sv(a) {
            let b = this.od;
            this.n1 = a;
            if (b != this.od) {
                this.l5("SearchTypeHoverUnderlineColor", b, a);
            }
        }
        get su() {
            return this.oc;
        }
        set su(a) {
            let b = this.oc;
            this.oc = a;
            if (b != this.oc) {
                this.l5("SearchTypeFocusUnderlineColor", b, a);
            }
        }
        get ht() {
            return this.by;
        }
        set ht(a) {
            let b = this.by;
            this.by = a;
            if (b != this.by) {
                this.l5("SearchTypeUnderlineOpacity", b, a);
            }
        }
        get hr() {
            return this.bw;
        }
        set hr(a) {
            let b = this.bw;
            this.bw = a;
            if (b != this.bw) {
                this.l5("SearchTypeHoverUnderlineOpacity", b, a);
            }
        }
        get hp() {
            return this.bu;
        }
        set hp(a) {
            let b = this.bu;
            this.bu = a;
            if (b != this.bu) {
                this.l5("SearchTypeFocusUnderlineOpacity", b, a);
            }
        }
        get hq() {
            return this.bv;
        }
        set hq(a) {
            let b = this.bv;
            this.bv = a;
            if (b != this.bv) {
                this.l5("SearchTypeFocusUnderlineRippleOpacity", b, a);
            }
        }
        get hu() {
            return this.bz;
        }
        set hu(a) {
            let b = this.bz;
            this.bz = a;
            if (b != this.bz) {
                this.l5("SearchTypeUnderlineRippleOpacity", b, a);
            }
        }
        get sr() {
            return this.n9;
        }
        set sr(a) {
            let b = this.n9;
            this.n9 = a;
            if (b != this.n9) {
                this.l5("SearchTypeBackgroundColor", b, a);
            }
        }
        get ae() {
            return this.w;
        }
        set ae(a) {
            let b = this.w;
            this.w = a;
            if (b != this.w) {
                this.l5("IsExpanded", b, a);
            }
        }
        mb() {
            this.w = false;
            this.s = false;
            this.mj();
        }
        get ag() {
            return this.y;
        }
        set ag(a) {
            let b = this.y;
            this.y = a;
            if (b != this.y) {
                this.l5("IsHovered", b, a);
            }
        }
        get af() {
            return this.x;
        }
        set af(a) {
            let b = this.x;
            this.x = a;
            if (b != this.x) {
                this.l5("IsFocused", b, a);
            }
        }
        get ab() {
            return this.q;
        }
        set ab(a) {
            let b = this.q;
            this.q = a;
            if (b != this.q) {
                this.l5("ActualIsExpanded", b, a);
            }
        }
        get sh() {
            return this.nz;
        }
        set sh(a) {
            let b = this.nz;
            this.nz = a;
            if (b != this.nz) {
                this.l5("FocusBorderColor", b, a);
            }
        }
        get ka() {
            return this.h4;
        }
        set ka(a) {
            let b = this.h4;
            this.h4 = a;
            if (b != this.h4) {
                this.l5("Id", b, a);
            }
        }
        get disabled() {
            return this.v;
        }
        set disabled(a) {
            let b = this.v;
            this.v = a;
            if (b != this.v) {
                this.l5("IsDisabled", b, a);
            }
        }
        l6() {
        }
        onDetachedFromUI() {
            this.view.ae();
        }
        onAttachedToUI() {
            this.view.ac();
        }
        ah() {
            return this.view.g();
        }
        provideContainer(a) {
            this.view.ad(a);
        }
        get inputs() {
            return this.k;
        }
    }
    InputGroup.$t = /*@__PURE__*/ markType(InputGroup, 'InputGroup', Base.$, [INotifyPropertyChanged_$type]);
    InputGroup.c = 2;
    InputGroup.fq = 0;
    InputGroup.f1 = 0;
    InputGroup.m6 = /*@__PURE__*/ new CornerRadius(1, 0, 0, 0, 0);
    InputGroup.tm = /*@__PURE__*/ new Thickness(1, 0, 0, 0, 0);
    InputGroup.q4 = /*@__PURE__*/ BrushUtil.g(138, 0, 0, 0);
    InputGroup.rl = /*@__PURE__*/ BrushUtil.g(255, 0, 153, 155);
    InputGroup.rm = /*@__PURE__*/ BrushUtil.g(255, 0, 153, 155);
    InputGroup.gt = 1;
    InputGroup.gs = 2;
    InputGroup.f5 = 2;
    InputGroup.r5 = /*@__PURE__*/ BrushUtil.g(138, 0, 0, 0);
    InputGroup.r6 = /*@__PURE__*/ BrushUtil.g(255, 0, 153, 155);
    InputGroup.ro = /*@__PURE__*/ BrushUtil.g(138, 0, 0, 0);
    InputGroup.rn = /*@__PURE__*/ BrushUtil.g(255, 0, 153, 155);
    InputGroup.gq = 1;
    InputGroup.f4 = 1;
    InputGroup.f2 = 1;
    InputGroup.f3 = 1;
    InputGroup.gr = 0;
    InputGroup.q3 = /*@__PURE__*/ BrushUtil.g(0, 0, 0, 0);
    InputGroup.f6 = 0;
    InputGroup.f7 = 0;
    InputGroup.m7 = /*@__PURE__*/ new CornerRadius(1, 0, 0, 0, 0);
    InputGroup.tn = /*@__PURE__*/ new Thickness(1, 0, 0, 0, 0);
    InputGroup.rq = /*@__PURE__*/ BrushUtil.g(138, 0, 0, 0);
    InputGroup.rr = /*@__PURE__*/ BrushUtil.g(255, 0, 153, 155);
    InputGroup.rs = /*@__PURE__*/ BrushUtil.g(255, 0, 153, 155);
    InputGroup.gf = 1;
    InputGroup.ge = 2;
    InputGroup.gb = 2;
    InputGroup.rv = /*@__PURE__*/ BrushUtil.g(138, 0, 0, 0);
    InputGroup.rw = /*@__PURE__*/ BrushUtil.g(255, 0, 153, 155);
    InputGroup.ru = /*@__PURE__*/ BrushUtil.g(138, 0, 0, 0);
    InputGroup.rt = /*@__PURE__*/ BrushUtil.g(255, 0, 153, 155);
    InputGroup.gc = 1;
    InputGroup.ga = 1;
    InputGroup.f8 = 1;
    InputGroup.f9 = 1;
    InputGroup.gd = 0;
    InputGroup.rp = /*@__PURE__*/ BrushUtil.g(0, 0, 0, 0);
    InputGroup.fr = 0;
    InputGroup.fs = 0;
    InputGroup.m5 = /*@__PURE__*/ new CornerRadius(1, 4, 4, 0, 0);
    InputGroup.tl = /*@__PURE__*/ new Thickness(1, 16, 0, 16, 0);
    InputGroup.re = /*@__PURE__*/ BrushUtil.g(138, 0, 0, 0);
    InputGroup.rf = /*@__PURE__*/ BrushUtil.g(255, 0, 153, 155);
    InputGroup.rg = /*@__PURE__*/ BrushUtil.g(255, 0, 153, 155);
    InputGroup.f0 = 1;
    InputGroup.fz = 2;
    InputGroup.fw = 2;
    InputGroup.rj = /*@__PURE__*/ BrushUtil.g(138, 0, 0, 0);
    InputGroup.rk = /*@__PURE__*/ BrushUtil.g(255, 0, 153, 155);
    InputGroup.ri = /*@__PURE__*/ BrushUtil.g(138, 0, 0, 0);
    InputGroup.rh = /*@__PURE__*/ BrushUtil.g(255, 0, 153, 155);
    InputGroup.fx = 1;
    InputGroup.fv = 1;
    InputGroup.ft = 1;
    InputGroup.fu = 1;
    InputGroup.fy = 0;
    InputGroup.rd = /*@__PURE__*/ BrushUtil.g(20, 0, 0, 0);
    InputGroup.fg = 1;
    InputGroup.fh = 2;
    InputGroup.m4 = /*@__PURE__*/ new CornerRadius(1, 4, 4, 4, 4);
    InputGroup.tk = /*@__PURE__*/ new Thickness(1, 16, 0, 16, 0);
    InputGroup.q6 = /*@__PURE__*/ BrushUtil.g(138, 0, 0, 0);
    InputGroup.q7 = /*@__PURE__*/ BrushUtil.g(255, 0, 153, 155);
    InputGroup.q8 = /*@__PURE__*/ BrushUtil.g(255, 0, 153, 155);
    InputGroup.fp = 1;
    InputGroup.fo = 2;
    InputGroup.fl = 2;
    InputGroup.rb = /*@__PURE__*/ BrushUtil.g(138, 0, 0, 0);
    InputGroup.rc = /*@__PURE__*/ BrushUtil.g(255, 0, 153, 155);
    InputGroup.ra = /*@__PURE__*/ BrushUtil.g(138, 0, 0, 0);
    InputGroup.q9 = /*@__PURE__*/ BrushUtil.g(255, 0, 153, 155);
    InputGroup.fm = 0;
    InputGroup.fk = 0;
    InputGroup.fi = 0;
    InputGroup.fj = 0;
    InputGroup.fn = 0;
    InputGroup.q5 = /*@__PURE__*/ BrushUtil.g(0, 0, 0, 0);
    InputGroup.gg = 1;
    InputGroup.gh = 2;
    InputGroup.m8 = /*@__PURE__*/ new CornerRadius(1, 4, 4, 4, 4);
    InputGroup.to = /*@__PURE__*/ new Thickness(1, 16, 0, 16, 0);
    InputGroup.ry = /*@__PURE__*/ BrushUtil.g(138, 0, 0, 0);
    InputGroup.rz = /*@__PURE__*/ BrushUtil.g(255, 0, 153, 155);
    InputGroup.r0 = /*@__PURE__*/ BrushUtil.g(255, 0, 153, 155);
    InputGroup.gp = 1;
    InputGroup.go = 2;
    InputGroup.gl = 2;
    InputGroup.r3 = /*@__PURE__*/ BrushUtil.g(138, 0, 0, 0);
    InputGroup.r4 = /*@__PURE__*/ BrushUtil.g(255, 0, 153, 155);
    InputGroup.r2 = /*@__PURE__*/ BrushUtil.g(138, 0, 0, 0);
    InputGroup.r1 = /*@__PURE__*/ BrushUtil.g(255, 0, 153, 155);
    InputGroup.gm = 0;
    InputGroup.gk = 0;
    InputGroup.gi = 0;
    InputGroup.gj = 0;
    InputGroup.gn = 0;
    InputGroup.rx = /*@__PURE__*/ BrushUtil.g(0, 0, 0, 0);
    InputGroup.dx = 0;
    InputGroup.d8 = 0;
    InputGroup.m0 = /*@__PURE__*/ new CornerRadius(1, 0, 0, 0, 0);
    InputGroup.tg = /*@__PURE__*/ new Thickness(1, 0, 0, 0, 0);
    InputGroup.po = /*@__PURE__*/ BrushUtil.g(255, 186, 191, 199);
    InputGroup.p5 = /*@__PURE__*/ BrushUtil.g(255, 33, 150, 243);
    InputGroup.p6 = /*@__PURE__*/ BrushUtil.g(255, 33, 150, 243);
    InputGroup.e0 = 1;
    InputGroup.ez = 2;
    InputGroup.ec = 2;
    InputGroup.qp = /*@__PURE__*/ BrushUtil.g(255, 186, 191, 199);
    InputGroup.qq = /*@__PURE__*/ BrushUtil.g(255, 33, 150, 243);
    InputGroup.p8 = /*@__PURE__*/ BrushUtil.g(255, 186, 191, 199);
    InputGroup.p7 = /*@__PURE__*/ BrushUtil.g(255, 33, 150, 243);
    InputGroup.ex = 1;
    InputGroup.eb = 1;
    InputGroup.d9 = 1;
    InputGroup.ea = 1;
    InputGroup.ey = 0;
    InputGroup.pn = /*@__PURE__*/ BrushUtil.g(0, 0, 0, 0);
    InputGroup.ed = 0;
    InputGroup.ee = 0;
    InputGroup.m1 = /*@__PURE__*/ new CornerRadius(1, 0, 0, 0, 0);
    InputGroup.th = /*@__PURE__*/ new Thickness(1, 0, 0, 0, 0);
    InputGroup.qa = /*@__PURE__*/ BrushUtil.g(255, 186, 191, 199);
    InputGroup.qb = /*@__PURE__*/ BrushUtil.g(255, 33, 150, 243);
    InputGroup.qc = /*@__PURE__*/ BrushUtil.g(255, 33, 150, 243);
    InputGroup.em = 1;
    InputGroup.el = 2;
    InputGroup.ei = 2;
    InputGroup.qf = /*@__PURE__*/ BrushUtil.g(255, 186, 191, 199);
    InputGroup.qg = /*@__PURE__*/ BrushUtil.g(255, 33, 150, 243);
    InputGroup.qe = /*@__PURE__*/ BrushUtil.g(255, 186, 191, 199);
    InputGroup.qd = /*@__PURE__*/ BrushUtil.g(255, 33, 150, 243);
    InputGroup.ej = 1;
    InputGroup.eh = 1;
    InputGroup.ef = 1;
    InputGroup.eg = 1;
    InputGroup.ek = 0;
    InputGroup.p9 = /*@__PURE__*/ BrushUtil.g(0, 0, 0, 0);
    InputGroup.dy = 0;
    InputGroup.dz = 0;
    InputGroup.mz = /*@__PURE__*/ new CornerRadius(1, 4, 4, 0, 0);
    InputGroup.tf = /*@__PURE__*/ new Thickness(1, 16, 0, 16, 0);
    InputGroup.py = /*@__PURE__*/ BrushUtil.g(255, 186, 191, 199);
    InputGroup.pz = /*@__PURE__*/ BrushUtil.g(255, 33, 150, 243);
    InputGroup.p0 = /*@__PURE__*/ BrushUtil.g(255, 33, 150, 243);
    InputGroup.d7 = 1;
    InputGroup.d6 = 2;
    InputGroup.d3 = 2;
    InputGroup.p3 = /*@__PURE__*/ BrushUtil.g(255, 186, 191, 199);
    InputGroup.p4 = /*@__PURE__*/ BrushUtil.g(255, 33, 150, 243);
    InputGroup.p2 = /*@__PURE__*/ BrushUtil.g(255, 186, 191, 199);
    InputGroup.p1 = /*@__PURE__*/ BrushUtil.g(255, 33, 150, 243);
    InputGroup.d4 = 1;
    InputGroup.d2 = 1;
    InputGroup.d0 = 1;
    InputGroup.d1 = 1;
    InputGroup.d5 = 0;
    InputGroup.px = /*@__PURE__*/ BrushUtil.g(20, 0, 0, 0);
    InputGroup.dm = 1;
    InputGroup.dn = 2;
    InputGroup.my = /*@__PURE__*/ new CornerRadius(1, 4, 4, 4, 4);
    InputGroup.te = /*@__PURE__*/ new Thickness(1, 16, 0, 16, 0);
    InputGroup.pq = /*@__PURE__*/ BrushUtil.g(255, 186, 191, 199);
    InputGroup.pr = /*@__PURE__*/ BrushUtil.g(255, 33, 150, 243);
    InputGroup.ps = /*@__PURE__*/ BrushUtil.g(255, 33, 150, 243);
    InputGroup.dw = 1;
    InputGroup.dv = 2;
    InputGroup.ds = 2;
    InputGroup.pv = /*@__PURE__*/ BrushUtil.g(255, 186, 191, 199);
    InputGroup.pw = /*@__PURE__*/ BrushUtil.g(255, 33, 150, 243);
    InputGroup.pu = /*@__PURE__*/ BrushUtil.g(255, 186, 191, 199);
    InputGroup.pt = /*@__PURE__*/ BrushUtil.g(255, 33, 150, 243);
    InputGroup.dt = 0;
    InputGroup.dr = 0;
    InputGroup.dp = 0;
    InputGroup.dq = 0;
    InputGroup.du = 0;
    InputGroup.pp = /*@__PURE__*/ BrushUtil.g(0, 0, 0, 0);
    InputGroup.en = 1;
    InputGroup.eo = 2;
    InputGroup.m2 = /*@__PURE__*/ new CornerRadius(1, 4, 4, 4, 4);
    InputGroup.ti = /*@__PURE__*/ new Thickness(1, 16, 0, 16, 0);
    InputGroup.qi = /*@__PURE__*/ BrushUtil.g(255, 186, 191, 199);
    InputGroup.qj = /*@__PURE__*/ BrushUtil.g(255, 33, 150, 243);
    InputGroup.qk = /*@__PURE__*/ BrushUtil.g(255, 33, 150, 243);
    InputGroup.ew = 1;
    InputGroup.ev = 2;
    InputGroup.es = 2;
    InputGroup.qn = /*@__PURE__*/ BrushUtil.g(255, 186, 191, 199);
    InputGroup.qo = /*@__PURE__*/ BrushUtil.g(255, 33, 150, 243);
    InputGroup.qm = /*@__PURE__*/ BrushUtil.g(255, 186, 191, 199);
    InputGroup.ql = /*@__PURE__*/ BrushUtil.g(255, 33, 150, 243);
    InputGroup.et = 0;
    InputGroup.er = 0;
    InputGroup.ep = 0;
    InputGroup.eq = 0;
    InputGroup.eu = 0;
    InputGroup.qh = /*@__PURE__*/ BrushUtil.g(0, 0, 0, 0);
    InputGroup.h3 = 0;
    return InputGroup;
})();
/**
 * @hidden
 */
let InputGroupInputCollection = /*@__PURE__*/ (() => {
    class InputGroupInputCollection extends ObservableCollection$1 {
        constructor() {
            super(InputGroupItem.$, 0);
            this.collectionResetting = null;
        }
        p() {
            if (this.collectionResetting != null) {
                this.collectionResetting(this, null);
            }
            super.p();
        }
    }
    InputGroupInputCollection.$t = /*@__PURE__*/ markType(InputGroupInputCollection, 'InputGroupInputCollection', /*@__PURE__*/ ObservableCollection$1.$.specialize(InputGroupItem.$));
    return InputGroupInputCollection;
})();
/**
 * @hidden
 */
let Label = /*@__PURE__*/ (() => {
    class Label extends InputGroupItem {
        constructor() {
            super();
            this.j = 0;
            this._view = null;
            this.z = null;
            this.y = null;
            this.n = 0;
            this.m = 1;
            this.ci = ThemeResolver.e(Label.k, Label.c1, Label.cu);
            this.cf = ThemeResolver.e(Label.k, Label.cy, Label.cr);
            this.cg = ThemeResolver.e(Label.k, Label.cz, Label.cs);
            this.ch = ThemeResolver.e(Label.k, Label.c0, Label.ct);
            this.t = null;
            this.cm = Label.c2;
            this.cj = Label.cv;
            this.ck = Label.cw;
            this.q = 0;
            this.ae = false;
            this.ac = false;
            this.u = null;
            this.cl = null;
            this.ay = "ig-label-" + Label.ar++;
            this.au = "inline-block";
            this.av = "inline-block";
            this.aw = null;
            this.as = "center";
            this.ap = 0;
            this.aa = false;
            this.ax = null;
            this.at = null;
            this.az = null;
            this.ad = false;
            this.ah = false;
            this.ab = false;
            this.ag = false;
            this.af = false;
            let a = new LabelView();
            a.b = this;
            this.view = a;
            this.view.y();
        }
        get l() {
            return this.j;
        }
        set l(a) {
            let b = this.j;
            this.j = a;
            if (b != this.j) {
                this.g("BaseTheme", enumGetBox(BaseControlTheme_$type, b), enumGetBox(BaseControlTheme_$type, a));
            }
        }
        get view() {
            return this._view;
        }
        set view(a) {
            this._view = a;
        }
        destroy() {
            this.provideContainer(null);
        }
        get i() {
            let a = new AnimationKeyFrameEffectTiming();
            a.g = 300;
            a.b = 0;
            return a;
        }
        b1() {
            this.view.q();
            let a = false;
            if (this.z == null) {
                let b = new TransformGroup();
                b.j.add(((() => {
                    let $ret = new TranslateTransform();
                    $ret.k = this.r == 0 ? (this.view.h() * 0.5) : 0;
                    return $ret;
                })()));
                b.j.add(((() => {
                    let $ret = new ScaleTransform();
                    $ret.l = 1;
                    $ret.m = 1;
                    return $ret;
                })()));
                let c = -(this.view.h() * 1.3);
                if (this.o == 2) {
                    c = -(this.view.h() * 1.05);
                }
                if (this.o == 3) {
                    c = -(this.view.h() * 1.01);
                }
                let d = new TransformGroup();
                d.j.add(((() => {
                    let $ret = new TranslateTransform();
                    $ret.k = this.r == 2 ? c : -(this.view.h() * 0.5);
                    return $ret;
                })()));
                d.j.add(((() => {
                    let $ret = new ScaleTransform();
                    $ret.l = 0.75;
                    $ret.m = 0.75;
                    return $ret;
                })()));
                this.z = KeyFrameAnimationFactory.f.c(this.view.a(this.i).m(new AnimationKeyFrameProperty(14, b), new AnimationKeyFrameProperty(2, BrushUtil.g(0, 255, 255, 255))).m(new AnimationKeyFrameProperty(14, d), new AnimationKeyFrameProperty(2, BrushUtil.g(this.r == 2 ? 255 : 0, 255, 255, 255))));
            }
            if (this.y == null) {
                this.y = KeyFrameAnimationFactory.f.c(this.view.a(this.i).m(new AnimationKeyFrameProperty(7, this.cq)).m(new AnimationKeyFrameProperty(7, this.cn)));
            }
        }
        ca(a, b) {
            if ((b > 0 && a.playbackRate < 0) || (b < 0 && a.playbackRate > 0)) {
                a.reverse();
                a.finished.f((c) => {
                    a.commitStyles();
                    if (a == this.z && this.ag) {
                        this.z = null;
                    }
                    if (a == this.y && this.af) {
                        this.y = null;
                    }
                });
            }
            else {
                a.play();
                a.finished.f((c) => {
                    a.commitStyles();
                    if (a == this.z && this.ag) {
                        this.z = null;
                    }
                    if (a == this.y && this.af) {
                        this.y = null;
                    }
                });
            }
        }
        h(a, b, c) {
            super.h(a, b, c);
            switch (a) {
                case "BaseTheme":
                    this.cc(this.l);
                    this.ce();
                    break;
                case "TextColor":
                case "HoverTextColor":
                case "TextStyle":
                case "HighlightTextColor":
                case "HoverHighlightTextColor":
                    this.ce();
                    break;
                case "ActualTextColor":
                case "ActualHoverTextColor":
                case "ActualTextStyle":
                case "ActualHighlightTextColor":
                case "ActualHoverHighlightTextColor":
                    if (this.z != null) {
                        if (this.z.playState == 3) {
                            this.z = null;
                        }
                        else {
                            this.ag = true;
                        }
                    }
                    if (this.y != null) {
                        if (this.y.playState == 3) {
                            this.y = null;
                        }
                        else {
                            this.af = true;
                        }
                    }
                    this.cd();
                    break;
                case "Text":
                    this.view.ab();
                    break;
                case "Density":
                    this.o = this.p == 0 ? 1 : this.p;
                    break;
                case "ActualDensity":
                    this.view.ad();
                    this.view.ac();
                    break;
                case "InputGroup":
                    this.view.ac();
                    break;
                case "IsHighlighted":
                    this.b4();
                    break;
                case "IsShifted":
                    this.b5();
                    break;
                case "ShiftType":
                    if (this.z != null) {
                        if (this.z.playState == 3) {
                            this.z = null;
                        }
                        else {
                            this.ag = true;
                        }
                    }
                    this.b8();
                    break;
                case "Display":
                    this.view.v();
                    break;
                case "FlexDirection":
                    this.view.w();
                    break;
                case "FlexGrow":
                    this.view.x();
                    break;
                case "AlignItems":
                    this.view.r();
                    break;
            }
        }
        b8() {
            this.view.ac();
        }
        b5() {
            this.b1();
            let a = 1;
            let b = this.am;
            if (!b) {
                a = -1;
            }
            this.ca(this.z, a);
        }
        b4() {
            this.b1();
            let a = 1;
            let b = this.ak;
            if (!b) {
                a = -1;
            }
            this.ca(this.y, a);
        }
        ce() {
            this.cq = this.c6 != null ? this.c6 : Label.c2;
            this.cp = this.c5 != null ? this.c5 : Label.c2;
            this.cn = this.c3 != null ? this.c3 : Label.cv;
            this.v = this.x != null ? this.x : Label.w;
        }
        cd() {
            if (this.v != null) {
                this.view.af(this.v);
            }
            this.view.aa(this.cq);
        }
        cc(a) {
            Label.c2 = ThemeResolver.e(a, Label.c1, Label.cu);
            Label.cv = ThemeResolver.e(a, Label.cy, Label.cr);
            Label.cx = ThemeResolver.e(a, Label.c0, Label.ct);
            Label.cw = ThemeResolver.e(a, Label.cz, Label.cs);
        }
        get p() {
            return this.n;
        }
        set p(a) {
            let b = this.n;
            this.n = a;
            if (b != this.n) {
                this.g("Density", enumGetBox(ControlDisplayDensity_$type, b), enumGetBox(ControlDisplayDensity_$type, a));
            }
        }
        get o() {
            return this.m;
        }
        set o(a) {
            let b = this.m;
            this.m = a;
            if (b != this.m) {
                this.g("ActualDensity", enumGetBox(ControlDisplayDensity_$type, b), enumGetBox(ControlDisplayDensity_$type, a));
            }
        }
        get cq() {
            return this.ci;
        }
        set cq(a) {
            let b = this.ci;
            this.ci = a;
            if (b != this.ci) {
                this.g("ActualTextColor", b, a);
            }
        }
        get cn() {
            return this.cf;
        }
        set cn(a) {
            let b = this.cf;
            this.cf = a;
            if (b != this.cf) {
                this.g("ActualHighlightTextColor", b, a);
            }
        }
        get co() {
            return this.cg;
        }
        set co(a) {
            let b = this.cg;
            this.cg = a;
            if (b != this.cg) {
                this.g("ActualHoverHighlightTextColor", b, a);
            }
        }
        get cp() {
            return this.ch;
        }
        set cp(a) {
            let b = this.ch;
            this.ch = a;
            if (b != this.ch) {
                this.g("ActualHoverTextColor", b, a);
            }
        }
        get v() {
            return this.t;
        }
        set v(a) {
            let b = this.t;
            this.t = a;
            if (b != this.t) {
                this.g("ActualTextStyle", b, a);
            }
        }
        get c6() {
            return this.cm;
        }
        set c6(a) {
            let b = this.cm;
            this.cm = a;
            if (b != this.cm) {
                this.g("TextColor", b, a);
            }
        }
        get c3() {
            return this.cj;
        }
        set c3(a) {
            let b = this.cj;
            this.cj = a;
            if (b != this.cj) {
                this.g("HighlightTextColor", b, a);
            }
        }
        get c4() {
            return this.ck;
        }
        set c4(a) {
            let b = this.ck;
            this.ck = a;
            if (b != this.ck) {
                this.g("HoverHighlightTextColor", b, a);
            }
        }
        get r() {
            return this.q;
        }
        set r(a) {
            let b = this.q;
            this.q = a;
            if (b != this.q) {
                this.g("ShiftType", enumGetBox(LabelShiftType_$type, b), enumGetBox(LabelShiftType_$type, a));
            }
        }
        get am() {
            return this.ae;
        }
        set am(a) {
            let b = this.ae;
            this.ae = a;
            if (b != this.ae) {
                this.g("IsShifted", b, a);
            }
        }
        get ak() {
            return this.ac;
        }
        set ak(a) {
            let b = this.ac;
            this.ac = a;
            if (b != this.ac) {
                this.g("IsHighlighted", b, a);
            }
        }
        b6() {
            this.al = true;
        }
        b7() {
            this.al = false;
        }
        get x() {
            return this.u;
        }
        set x(a) {
            let b = this.u;
            this.u = a;
            if (b != this.u) {
                this.g("TextStyle", b, a);
            }
        }
        get c5() {
            return this.cl;
        }
        set c5(a) {
            let b = this.cl;
            this.cl = a;
            if (b != this.cl) {
                this.g("HoverTextColor", b, a);
            }
        }
        get bn() {
            return this.ay;
        }
        set bn(a) {
            let b = this.ay;
            this.ay = a;
            if (b != this.ay) {
                this.g("Id", b, a);
            }
        }
        get bc() {
            return this.au;
        }
        set bc(a) {
            let b = this.au;
            this.au = a;
            if (b != this.au) {
                this.g("Display", b, a);
            }
        }
        get be() {
            return this.av;
        }
        set be(a) {
            let b = this.av;
            this.av = a;
            if (b != this.av) {
                this.g("FlexDirection", b, a);
            }
        }
        get bg() {
            return this.aw;
        }
        set bg(a) {
            let b = this.aw;
            this.aw = a;
            if (b != this.aw) {
                this.g("FlexGrow", b, a);
            }
        }
        get a6() {
            return this.as;
        }
        set a6(a) {
            let b = this.as;
            this.as = a;
            if (b != this.as) {
                this.g("AlignItems", b, a);
            }
        }
        get ai() {
            return this.aa;
        }
        get aq() {
            return this.ap;
        }
        set aq(a) {
            let b = this.ap;
            this.ap = a;
            this.aa = true;
            if (b != this.ap) {
                this.g("TabIndex", b, a);
            }
        }
        get bi() {
            return this.ax;
        }
        set bi(a) {
            let b = this.ax;
            this.ax = a;
            if (b != this.ax) {
                this.g("TabIndex", b, a);
            }
        }
        get a8() {
            return this.at;
        }
        set a8(a) {
            let b = this.at;
            this.at = a;
            if (b != this.at) {
                this.g("AriaLabel", b, a);
            }
        }
        get text() {
            return this.az;
        }
        set text(a) {
            let b = this.az;
            this.az = a;
            if (b != this.az) {
                this.g("Text", b, a);
            }
        }
        get al() {
            return this.ad;
        }
        set al(a) {
            let b = this.ad;
            this.ad = a;
            if (b != this.ad) {
                this.g("IsHover", b, a);
            }
        }
        get ao() {
            return this.ah;
        }
        set ao(a) {
            let b = this.ah;
            this.ah = a;
            if (b != this.ah) {
                this.g("Value", b, a);
            }
        }
        get disabled() {
            return this.ab;
        }
        set disabled(a) {
            let b = this.ab;
            this.ab = a;
            if (b != this.ab) {
                this.g("IsDisabled", b, a);
            }
        }
        b9() {
            this.view.ab();
        }
        onDetachedFromUI() {
            this.view.u();
        }
        onAttachedToUI() {
            this.view.s();
        }
        an() {
            return this.view.e();
        }
        provideContainer(a) {
            this.view.t(a);
        }
    }
    Label.$t = /*@__PURE__*/ markType(Label, 'Label', InputGroupItem.$);
    Label.c1 = /*@__PURE__*/ BrushUtil.g(221, 0, 0, 0);
    Label.cy = /*@__PURE__*/ BrushUtil.g(255, 0, 153, 155);
    Label.c0 = /*@__PURE__*/ BrushUtil.g(221, 0, 0, 0);
    Label.cz = /*@__PURE__*/ BrushUtil.g(255, 0, 153, 155);
    Label.cu = /*@__PURE__*/ BrushUtil.g(255, 24, 29, 31);
    Label.cr = /*@__PURE__*/ BrushUtil.g(255, 33, 150, 243);
    Label.ct = /*@__PURE__*/ BrushUtil.g(255, 24, 29, 31);
    Label.cs = /*@__PURE__*/ BrushUtil.g(255, 33, 150, 243);
    Label.k = 2;
    Label.c2 = /*@__PURE__*/ ThemeResolver.e(Label.k, Label.c1, Label.cu);
    Label.cv = /*@__PURE__*/ ThemeResolver.e(Label.k, Label.cy, Label.cr);
    Label.cx = /*@__PURE__*/ ThemeResolver.e(Label.k, Label.c0, Label.ct);
    Label.cw = /*@__PURE__*/ ThemeResolver.e(Label.k, Label.cz, Label.cs);
    Label.w = null;
    Label.ar = 0;
    return Label;
})();
/**
 * @hidden
 */
let Input = /*@__PURE__*/ (() => {
    class Input extends InputGroupItem {
        constructor() {
            super();
            this.v = null;
            this.av = 0;
            this.aw = 0;
            this.r = 0;
            this.bb = "";
            this.a5 = "";
            this.ab = false;
            this.a6 = null;
            this.ac = false;
            this.ai = false;
            this._view = null;
            this.o = 0;
            this.j = 1;
            this.i = 1;
            this.ba = null;
            this.bd = "_";
            this.ae = false;
            this.c7 = Input.dd;
            this.c6 = Input.dc;
            this.w = null;
            this.c9 = Input.dd;
            this.keyDown = null;
            this.keyUp = null;
            this.keyPress = null;
            this.gotFocus = null;
            this.lostFocus = null;
            this.mouseDown = null;
            this.mouseUp = null;
            this.x = null;
            this.a9 = "text";
            this.bc = "text";
            this.c8 = null;
            this.a8 = "ig-input-" + Input.a3++;
            this.ax = 0;
            this.ad = false;
            this.a7 = null;
            this.a4 = null;
            this.ah = false;
            this.be = null;
            this.ag = false;
            this.af = false;
            this.change = null;
            this.changing = null;
            this.compositionStart = null;
            this.compositionEnd = null;
            this.v = new MaskParsingService();
            let a = new InputView();
            a.a = this;
            this.view = a;
            this.view.al();
            Input.z = new FontInfo();
            Input.z.n = "'Segoe UI', Verdana";
        }
        get view() {
            return this._view;
        }
        set view(a) {
            this._view = a;
        }
        destroy() {
            this.provideContainer(null);
        }
        get p() {
            return this.o;
        }
        set p(a) {
            let b = this.o;
            this.o = a;
            if (b != this.o) {
                this.g("ShiftType", enumGetBox(InputShiftType_$type, b), enumGetBox(InputShiftType_$type, a));
            }
        }
        get l() {
            return this.j;
        }
        set l(a) {
            let b = this.j;
            this.j = a;
            if (b != this.j) {
                this.g("Density", enumGetBox(ControlDisplayDensity_$type, b), enumGetBox(ControlDisplayDensity_$type, a));
            }
        }
        get k() {
            return this.i;
        }
        set k(a) {
            let b = this.i;
            this.i = a;
            if (b != this.i) {
                this.g("ActualDensity", enumGetBox(ControlDisplayDensity_$type, b), enumGetBox(ControlDisplayDensity_$type, a));
            }
        }
        get bw() {
            return this.ba;
        }
        set bw(a) {
            let b = this.ba;
            this.ba = a;
            if (b != this.ba) {
                this.g("Mask", b, a);
            }
        }
        get b0() {
            return this.bd;
        }
        set b0(a) {
            let b = this.bd;
            this.bd = a;
            if (b != this.bd) {
                this.g("PromptChar", b, a);
            }
        }
        get al() {
            return this.ae;
        }
        set al(a) {
            let b = this.ae;
            this.ae = a;
            if (b != this.ae) {
                this.g("IncludeLiterals", b, a);
            }
        }
        h(a, b, c) {
            super.h(a, b, c);
            switch (a) {
                case "TextColor":
                case "HoverTextColor":
                case "TextStyle":
                    this.c4();
                    break;
                case "ActualTextColor":
                case "ActualHoverTextColor":
                case "ActualTextStyle":
                    this.c3();
                    break;
                case "Value":
                    if (!this.af) {
                        this.view.aq(this.b6);
                        if (this.b != null) {
                            this.b.mj();
                        }
                        if (this.bw != null && !this.ai) {
                            this.c5(this.b6);
                        }
                    }
                    break;
                case "Density":
                    this.k = this.l == 0 ? 1 : this.l;
                    break;
                case "ActualDensity":
                    this.view.av();
                    this.view.au();
                    break;
                case "InputGroup":
                    this.cl();
                    break;
                case "ShiftType":
                    this.cv();
                    break;
                case "InputType":
                    this.cw();
                    break;
                case "Placeholder":
                    this.cu();
                    break;
                case "Mask":
                    this.by = this.bw;
                    break;
                case "PromptChar": break;
                case "IncludeLiterals": break;
            }
        }
        cu() {
            this.view.an();
        }
        cw() {
            this.view.ap();
        }
        cv() {
            this.view.au();
        }
        cl() {
            this.view.au();
        }
        c4() {
            this.db = this.df != null ? this.df : Input.dd;
            this.da = this.de != null ? this.de : Input.dd;
            this.y = this.aa != null ? this.aa : Input.z;
        }
        c3() {
            if (this.y != null) {
                this.view.ax(this.y);
            }
            NativeUI.n(this.view.n, this.db);
        }
        get db() {
            return this.c7;
        }
        set db(a) {
            let b = this.c7;
            this.c7 = a;
            if (b != this.c7) {
                this.g("ActualTextColor", b, a);
            }
        }
        get da() {
            return this.c6;
        }
        set da(a) {
            let b = this.c6;
            this.c6 = a;
            if (b != this.c6) {
                this.g("ActualHoverTextColor", b, a);
            }
        }
        get y() {
            return this.w;
        }
        set y(a) {
            let b = this.w;
            this.w = a;
            if (b != this.w) {
                this.g("ActualTextStyle", b, a);
            }
        }
        get df() {
            return this.c9;
        }
        set df(a) {
            let b = this.c9;
            this.c9 = a;
            if (b != this.c9) {
                this.g("TextColor", b, a);
            }
        }
        cc() {
            if (this.bw != null) {
                this.c1(this.b6);
            }
            if (null != this.lostFocus) {
                this.lostFocus(this, EventArgs.empty);
            }
        }
        ck() {
            if (this.bw != null) {
                this.c2(this.b6);
            }
            if (null != this.gotFocus) {
                this.gotFocus(this, EventArgs.empty);
            }
        }
        cm(a) {
            if (this.bw != null) {
                let b = a.keyCode;
                if ((b == 17 && b == 90) || (b == 17 && b == 89)) {
                    a.preventDefault();
                }
                this.r = b;
                this.aw = this.az();
                this.av = this.ay();
            }
            if (null != this.keyDown) {
                this.keyDown(this, a);
            }
        }
        co(a) {
            if (null != this.keyUp) {
                this.keyUp(this, a);
            }
        }
        cn(a) {
            if (null != this.keyPress) {
                this.keyPress(this, a);
            }
        }
        cp(a) {
            if (null != this.mouseDown) {
                this.mouseDown(this, a);
            }
        }
        cs(a) {
            if (null != this.mouseUp) {
                this.mouseUp(this, a);
            }
        }
        ct() {
            if (this.bw != null) {
                this.bb = this.b6;
                this.aw = this.az();
            }
        }
        ci() {
            if (this.bw != null) {
                if (!this.ab) {
                    this.c2(this.a5);
                }
            }
        }
        cj() {
            if (this.bw != null) {
                if (!this.ab) {
                    this.c1(this.b6);
                }
            }
        }
        cd() {
            this.af = true;
            this.b6 = this.view.p();
            if (this.change != null) {
                this.change(this, ((() => {
                    let $ret = new InputChangeEventArgs();
                    $ret.value = this.b6;
                    $ret.isCompositionInProgress = this.view.d;
                    return $ret;
                })()));
            }
            this.af = false;
        }
        ce() {
            this.af = true;
            this.b6 = this.view.p();
            this.af = false;
            if (this.bw != null) {
                this.ai = true;
                if (this.ac) {
                    this.aw = this.az();
                }
                if (this.b6.length < this.bb.length && this.r == 229) {
                    this.r = 8;
                }
                let a = this.az();
                let b = this.ay();
                let c = "";
                switch (this.r) {
                    case 46:
                        this.av = this.aw == this.av ? ++this.av : this.av;
                        break;
                    case 8:
                        this.aw = this.az();
                        break;
                    default:
                        c = this.b6.substr(this.aw, this.ay() - this.aw);
                        break;
                }
                let d = new MaskOptions();
                d.a = this.bw;
                d.b = this.b0;
                let e = this.v.a(this.bb, c, d, this.aw, this.av);
                this.b6 = e.b;
                if (this.r == 8) {
                    e.a = this.aw;
                }
                this.c0(e.a, e.a);
                let f = this.v.h(this.b6, d);
                this.a5 = this.al ? this.b6 : f;
                this.b8();
                this.ai = false;
            }
            this.af = true;
            if (this.changing != null) {
                this.changing(this, ((() => {
                    let $ret = new InputChangeEventArgs();
                    $ret.value = this.b6;
                    $ret.isCompositionInProgress = this.view.d;
                    return $ret;
                })()));
            }
            this.af = false;
        }
        cg() {
            if (this.compositionStart != null) {
                this.compositionStart(this, new EventArgs());
            }
        }
        cf() {
            if (this.compositionEnd != null) {
                this.compositionEnd(this, new EventArgs());
            }
        }
        cq() {
            this.an = true;
        }
        cr() {
            this.an = false;
        }
        get aa() {
            return this.x;
        }
        set aa(a) {
            let b = this.x;
            this.x = a;
            if (b != this.x) {
                this.g("TextStyle", b, a);
            }
        }
        get bs() {
            return this.a9;
        }
        set bs(a) {
            let b = this.a9;
            this.a9 = a;
            if (b != this.a9) {
                this.g("InputType", b, a);
            }
        }
        get by() {
            return this.bc;
        }
        set by(a) {
            let b = this.bc;
            this.bc = a;
            if (b != this.bc) {
                this.g("Placeholder", b, a);
            }
        }
        get de() {
            return this.c8;
        }
        set de(a) {
            let b = this.c8;
            this.c8 = a;
            if (b != this.c8) {
                this.g("HoverTextColor", b, a);
            }
        }
        get bp() {
            return this.a8;
        }
        set bp(a) {
            let b = this.a8;
            this.a8 = a;
            if (b != this.a8) {
                this.g("Id", b, a);
            }
        }
        get aj() {
            return this.ad;
        }
        get a2() {
            return this.ax;
        }
        set a2(a) {
            let b = this.ax;
            this.ax = a;
            this.ad = true;
            if (b != this.ax) {
                this.g("TabIndex", b, a);
            }
        }
        get bm() {
            return this.a7;
        }
        set bm(a) {
            let b = this.a7;
            this.a7 = a;
            if (b != this.a7) {
                this.g("TabIndex", b, a);
            }
        }
        get bj() {
            return this.a4;
        }
        set bj(a) {
            let b = this.a4;
            this.a4 = a;
            if (b != this.a4) {
                this.g("AriaLabel", b, a);
            }
        }
        get an() {
            return this.ah;
        }
        set an(a) {
            let b = this.ah;
            this.ah = a;
            if (b != this.ah) {
                this.g("IsHover", b, a);
            }
        }
        get b6() {
            return this.be;
        }
        set b6(a) {
            let b = this.be;
            this.be = a;
            if (b != this.be) {
                this.g("Value", b, a);
            }
        }
        get ak() {
            return !stringIsNullOrEmpty(this.b6);
        }
        get disabled() {
            return this.ag;
        }
        set disabled(a) {
            let b = this.ag;
            this.ag = a;
            if (b != this.ag) {
                this.g("IsDisabled", b, a);
            }
        }
        cx() {
        }
        onDetachedFromUI() {
            this.view.aj();
        }
        onAttachedToUI() {
            this.view.ah();
        }
        ao() {
            return this.view.e();
        }
        provideContainer(a) {
            this.view.ai(a);
        }
        ca() {
            this.ck();
            this.view.ak();
        }
        cz() {
            this.view.ao();
        }
        c0(a, b) {
            this.view.as(a, b);
        }
        c2(a) {
            this.ai = true;
            let b = new MaskOptions();
            b.a = this.bw;
            b.b = this.b0;
            this.b6 = this.v.g(this.b6, b);
            this.bb = this.b6;
            this.ai = false;
        }
        c1(a) {
            this.ai = true;
            let b = new MaskOptions();
            b.a = this.bw;
            b.b = this.b0;
            if (a == this.v.g(null, b)) {
                this.b6 = "";
            }
            this.ai = false;
        }
        c5(a) {
            let b = new MaskOptions();
            b.a = this.bw;
            b.b = this.b0;
            if (this.b0 != null && this.b0.length > 1) {
                b.b = this.b0.substr(0, 1);
            }
            this.b6 = a != null ? this.v.g(a, b) : "";
            this.a5 = this.al ? this.b6 : a;
            if (this.changing != null) {
                this.changing(this, ((() => {
                    let $ret = new InputChangeEventArgs();
                    $ret.value = this.b6;
                    $ret.isCompositionInProgress = this.view.d;
                    return $ret;
                })()));
            }
        }
        b8() {
            this.bb = this.b6;
            this.ac = false;
            this.aw = 0;
            this.av = 0;
            this.r = 0;
        }
        az() {
            let a = this.view.m();
            let b = this.view.l();
            return a == b && this.ac ? b - this.a6.length : a;
        }
        ay() {
            return this.view.l();
        }
        get selectionStart() {
            return this.az();
        }
        set selectionStart(a) {
            this.view.at(a);
        }
        get selectionEnd() {
            return this.ay();
        }
        set selectionEnd(a) {
            this.view.ar(a);
        }
    }
    Input.$t = /*@__PURE__*/ markType(Input, 'Input', InputGroupItem.$);
    Input.dd = /*@__PURE__*/ BrushUtil.g(221, 0, 0, 0);
    Input.dc = /*@__PURE__*/ BrushUtil.g(221, 0, 0, 0);
    Input.z = null;
    Input.a3 = 0;
    return Input;
})();

/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/

class IgrInputGroupItem extends Component {
    constructor(props) {
        super(props);
        this.__p = null;
        this._hasUserValues = new Set();
        this._stylingContainer = null;
        this._stylingParent = null;
        this._inStyling = false;
        if (this._styling) {
            NamePatcher.ensureStylablePatched(Object.getPrototypeOf(this));
        }
        this._implementation = this.createImplementation();
        this._implementation.externalObject = this;
        this.onImplementationCreated();
    }
    createImplementation() {
        return null;
    }
    /**
     * @hidden
     */
    get i() {
        return this._implementation;
    } /**
                                 * @hidden
                                 */
    static _createFromInternal(internal) {
        if (!internal) {
            return null;
        }
        if (!internal.$type) {
            return null;
        }
        let name = internal.$type.name;
        let externalName = "Igr" + name;
        if (!TypeRegistrar.isRegistered(externalName)) {
            return null;
        }
        return TypeRegistrar.create(externalName);
    }
    onImplementationCreated() {
    }
    componentDidMount() {
        for (const p of Object.keys(this.props)) {
            if (isValidProp(this, p)) {
                this[p] = this.props[p];
            }
        }
    }
    shouldComponentUpdate(nextProps, nextState) {
        const mod = getModifiedProps(this.props, nextProps);
        for (const p of Object.keys(mod)) {
            if (isValidProp(this, p)) {
                this[p] = mod[p];
            }
        }
        return true;
    }
    render() {
        return null;
    }
    /**
     * Gets or sets name to use for the button.
    */
    get name() {
        return this.i.e;
    }
    set name(v) {
        this.i.e = v;
    }
    findByName(name) {
        return null;
    }
    get hasUserValues() {
        return this._hasUserValues;
    }
    __m(propertyName) {
        if (!this._inStyling) {
            this._hasUserValues.add(propertyName);
        }
    }
    _styling(container, component, parent) {
        if (this._inStyling) {
            return;
        }
        this._inStyling = true;
        this._stylingContainer = container;
        this._stylingParent = component;
        let genericPrefix = "";
        let typeName = this.i.$type.name;
        if (typeName.indexOf("Xam") === 0) {
            typeName = typeName.substring(3);
        }
        genericPrefix = toSpinal("InputGroupItem");
        let additionalPrefixes = [];
        let prefix = toSpinal(typeName);
        additionalPrefixes.push(prefix + "-");
        let b = this.i.$type.baseType;
        while (b && b.name != "Object" &&
            b.name != "Base" &&
            b.name != "Control" &&
            b.Name != "DependencyObject" &&
            b.Name != "FrameworkElement") {
            typeName = b.name;
            if (typeName.indexOf("Xam") === 0) {
                typeName = typeName.substring(3);
            }
            let basePrefix = toSpinal(typeName);
            additionalPrefixes.push(basePrefix + "-");
            b = b.baseType;
        }
        if (parent) {
            let parentTypeName = parent.i.$type.name;
            if (parentTypeName.indexOf("Xam") === 0) {
                parentTypeName = parentTypeName.substring(3);
            }
            let parentPrefix = toSpinal(parentTypeName);
            additionalPrefixes.push(parentPrefix + "-" + genericPrefix + "-");
            additionalPrefixes.push(parentPrefix + "-" + prefix + "-");
        }
        initializePropertiesFromCss(container, this, genericPrefix + "-", this.hasUserValues, false, additionalPrefixes);
        if (this._otherStyling) {
            this._otherStyling(container, component, parent);
        }
        this._inStyling = false;
    }
}

class IgrInputChangeEventArgs {
    createImplementation() {
        return new InputChangeEventArgs();
    }
    /**
     * @hidden
     */
    get i() {
        return this._implementation;
    }
    onImplementationCreated() {
    }
    constructor() {
        this._implementation = this.createImplementation();
        this._implementation.externalObject = this;
        this.onImplementationCreated();
    }
    _provideImplementation(i) {
        this._implementation = i;
        this._implementation.externalObject = this;
        this.onImplementationCreated();
    }
    get value() {
        return this.i.value;
    }
    set value(v) {
        this.i.value = v;
    }
    get isCompositionInProgress() {
        return this.i.isCompositionInProgress;
    }
    set isCompositionInProgress(v) {
        this.i.isCompositionInProgress = ensureBool(v);
    }
}

let requiredStyle$1 = `
.ig-input input::-ms-clear {
    display: none;
    width: 0;
    height: 0;
}

`;
let pending = [];
let checked = /*@__PURE__*/ new WeakMap(); // TODO why not WeakSet?
function ensureCss() {
    if (!document) {
        return;
    }
    if (checked.has(document)) {
        return;
    }
    injectCss(requiredStyle$1, "data-ig-input-style", () => {
        let temp = pending;
        pending = null;
        temp.forEach((v, i, a) => {
            //v.styleUpdated();
        });
    });
    checked.set(document, true);
}
function injectCss(style, attributeName, onload = null) {
    for (let i = 0; i < document.head.children.length; i++) {
        let child = document.head.children[i];
        if (child.tagName == "link" && child.hasAttribute(attributeName)) {
            return;
        }
    }
    let link = document.createElement("link");
    link.setAttribute('href', 'data:text/css;charset=UTF-8,' + encodeURIComponent(style));
    link.setAttribute('rel', 'stylesheet');
    link.setAttribute('type', 'text/css');
    link.setAttribute(attributeName, 'true');
    if (onload) {
        const onloadResolved = () => {
            link.onload = null;
            onload();
        };
        link.onload = onloadResolved;
    }
    document.head.appendChild(link);
}
class IgrInput extends IgrInputGroupItem {
    constructor(props) {
        super(props);
        this._wrapper = null;
        this._keyDown = null;
        this._keyDown_wrapped = null;
        this._keyUp = null;
        this._keyUp_wrapped = null;
        this._keyPress = null;
        this._keyPress_wrapped = null;
        this._change = null;
        this._change_wrapped = null;
        this._changing = null;
        this._changing_wrapped = null;
        ensureCss();
        if (this._styling) {
            NamePatcher.ensureStylablePatched(Object.getPrototypeOf(this));
        }
        this._implementation = this.createImplementation();
        this._implementation.externalObject = this;
        this._getMainRef = this._getMainRef.bind(this);
        var container;
        if (document) {
            container = document.createElement("div");
        }
        var root;
        root = container;
        if (container != null) {
            root = container;
        }
        this.requestRender = this.requestRender.bind(this);
        this._portalManager = new PortalManager("inputContent", this.requestRender);
        var ren = new ReactRenderer(root, document, true, {}, this._portalManager);
        this._wrapper = ren;
        this._container = this._wrapper.rootWrapper;
        this._container.setStyleProperty("display", "inline-block");
        this._container.setStyleProperty("vertical-align", "middle");
        var input = this.i;
        this._input = input;
        input.provideContainer(ren);
        if (props) {
            this.initializeProperties();
        }
    }
    _getMainRef(ref) {
        this._elRef = ref;
    }
    render() {
        let propChildren = this.props.children;
        let children = [];
        Children.forEach(propChildren, (ch) => {
            children.push(cloneElement(ch));
        });
        this._portalManager.onRender(children);
        let div = createElement("div", {
            className: "ig-input igr-input",
            ref: this._getMainRef,
            children: children
        });
        return div;
    }
    requestRender() {
        if (this._initialized) {
            this.setState({});
        }
    }
    //private _getLabelPortal(element: DomWrapper, portalCallback: (portal: DomPortal) => void): void {
    //    this._portalManager.getPortal(element, "TemplateContent", portalCallback);
    //}
    shouldComponentUpdate(nextProps, nextState) {
        const mod = getModifiedProps(this.props, nextProps);
        for (const p of Object.keys(mod)) {
            if (isValidProp(this, p)) {
                this[p] = mod[p];
            }
        }
        return true;
    }
    initializeProperties() {
        for (const p of Object.keys(this.props)) {
            if (isValidProp(this, p)) {
                this[p] = this.props[p];
            }
        }
    }
    // supports angular themes or custom properties set in CSS
    updateStyle() {
        this._styling(this._elRef, this);
    }
    componentWillUnmount() {
        this._input.destroy();
        this._wrapper.destroy();
    }
    componentDidMount() {
        this._elRef.appendChild(this._container.getNativeElement());
        this.initializeContent();
    }
    initializeContent() {
        this._styling(this._container.getNativeElement(), this);
        this.updateStyle();
    }
    createImplementation() {
        return new Input();
    }
    /**
                             * @hidden
                             */
    get i() {
        return this._implementation;
    }
    /**
 * Gets or sets the display density to use for the input.
*/
    get density() {
        return this.i.l;
    }
    set density(v) {
        this.i.l = ensureEnum(ControlDisplayDensity_$type, v);
    }
    /**
     * Gets the actual display density to use for the label.
    */
    get actualDensity() {
        return this.i.k;
    }
    set actualDensity(v) {
        this.i.k = ensureEnum(ControlDisplayDensity_$type, v);
    }
    /**
     * Gets/Sets the input mask for the input.
    */
    get mask() {
        return this.i.bw;
    }
    set mask(v) {
        this.i.bw = v;
    }
    /**
     * Gets/Sets the character representing a fillable spot in the input mask
    */
    get promptChar() {
        return this.i.b0;
    }
    set promptChar(v) {
        this.i.b0 = v;
    }
    /**
     * Specifies if the bound value includes the formatting symbols.
    */
    get includeLiterals() {
        return this.i.al;
    }
    set includeLiterals(v) {
        this.i.al = ensureBool(v);
    }
    /**
     * Gets the actual color to use for the text color.
    */
    get actualTextColor() {
        return brushToString(this.i.db);
    }
    set actualTextColor(v) {
        this.i.db = stringToBrush(v);
    }
    /**
     * Gets the actual hover color to use for the text.
    */
    get actualHoverTextColor() {
        return brushToString(this.i.da);
    }
    set actualHoverTextColor(v) {
        this.i.da = stringToBrush(v);
    }
    /**
     * Gets or sets the color to use for the text.
    */
    get textColor() {
        return brushToString(this.i.df);
    }
    set textColor(v) {
        this.i.df = stringToBrush(v);
    }
    /**
     * Gets or sets the use for the button.
    */
    get textStyle() {
        if (this.i.aa == null) {
            return null;
        }
        return this.i.aa.fontString;
    }
    set textStyle(v) {
        let fi = new FontInfo();
        fi.fontString = v;
        this.i.aa = fi;
    }
    /**
     * Gets or sets the type to use for the input.
    */
    get inputType() {
        return this.i.bs;
    }
    set inputType(v) {
        this.i.bs = v;
    }
    /**
     * Gets or sets the placeholder to use for the input.
    */
    get placeholder() {
        return this.i.by;
    }
    set placeholder(v) {
        this.i.by = v;
    }
    /**
     * Gets or sets the color to use for the hovered text of the button regardless of type.
    */
    get hoverTextColor() {
        return brushToString(this.i.de);
    }
    set hoverTextColor(v) {
        this.i.de = stringToBrush(v);
    }
    /**
     * Gets or sets the id to use for the checkbox.
    */
    get id() {
        return this.i.bp;
    }
    set id(v) {
        this.i.bp = v;
    }
    /**
     * Gets or sets TabIndex to use for the checkbox.
    */
    get tabIndex() {
        return this.i.a2;
    }
    set tabIndex(v) {
        this.i.a2 = +v;
    }
    /**
     * Gets or sets the for attribute to use for the input.
    */
    get for() {
        return this.i.bm;
    }
    set for(v) {
        this.i.bm = v;
    }
    /**
     * Gets or sets the value of the aria-label attribute.
    */
    get ariaLabel() {
        return this.i.bj;
    }
    set ariaLabel(v) {
        this.i.bj = v;
    }
    /**
     * Gets or sets whether the input is hovered.
    */
    get isHover() {
        return this.i.an;
    }
    set isHover(v) {
        this.i.an = ensureBool(v);
    }
    /**
     * Gets or sets the value for the input.
    */
    get value() {
        return this.i.b6;
    }
    set value(v) {
        this.i.b6 = v;
    }
    get hasValue() {
        return this.i.ak;
    }
    /**
     * Gets or sets whether the checkbox is disabled.
    */
    get disabled() {
        return this.i.disabled;
    }
    set disabled(v) {
        this.i.disabled = ensureBool(v);
    }
    /**
     * Returns / Sets the beginning index of the selected text. When nothing is selected, this returns the position of the text input cursor (caret) inside of the input.
    */
    get selectionStart() {
        return this.i.selectionStart;
    }
    set selectionStart(v) {
        this.i.selectionStart = +v;
    }
    /**
     * Returns / Sets the end index of the selected text. When nothing is selected, this returns the position of the text input cursor (caret) inside of the input.
    */
    get selectionEnd() {
        return this.i.selectionEnd;
    }
    set selectionEnd(v) {
        this.i.selectionEnd = +v;
    }
    onDetachedFromUI() {
        this.i.onDetachedFromUI();
    }
    onAttachedToUI() {
        this.i.onAttachedToUI();
    }
    focus() {
        this.i.ca();
    }
    select() {
        this.i.cz();
    }
    setSelectionRange(selectionStart, selectionEnd) {
        this.i.c0(selectionStart, selectionEnd);
    }
    get keyDown() {
        return this._keyDown;
    }
    set keyDown(ev) {
        if (this._keyDown_wrapped !== null) {
            this.i.keyDown = delegateRemove(this.i.keyDown, this._keyDown_wrapped);
            this._keyDown_wrapped = null;
            this._keyDown = null;
        }
        this._keyDown = ev;
        this._keyDown_wrapped = (o, e) => {
            let outerArgs = new IgrKeyEventArgs();
            outerArgs._provideImplementation(e);
            if (this.beforeKeyDown) {
                this.beforeKeyDown(this, outerArgs);
            }
            if (this._keyDown) {
                this._keyDown(this, outerArgs);
            }
        };
        this.i.keyDown = delegateCombine(this.i.keyDown, this._keyDown_wrapped);
    }
    get keyUp() {
        return this._keyUp;
    }
    set keyUp(ev) {
        if (this._keyUp_wrapped !== null) {
            this.i.keyUp = delegateRemove(this.i.keyUp, this._keyUp_wrapped);
            this._keyUp_wrapped = null;
            this._keyUp = null;
        }
        this._keyUp = ev;
        this._keyUp_wrapped = (o, e) => {
            let outerArgs = new IgrKeyEventArgs();
            outerArgs._provideImplementation(e);
            if (this.beforeKeyUp) {
                this.beforeKeyUp(this, outerArgs);
            }
            if (this._keyUp) {
                this._keyUp(this, outerArgs);
            }
        };
        this.i.keyUp = delegateCombine(this.i.keyUp, this._keyUp_wrapped);
    }
    get keyPress() {
        return this._keyPress;
    }
    set keyPress(ev) {
        if (this._keyPress_wrapped !== null) {
            this.i.keyPress = delegateRemove(this.i.keyPress, this._keyPress_wrapped);
            this._keyPress_wrapped = null;
            this._keyPress = null;
        }
        this._keyPress = ev;
        this._keyPress_wrapped = (o, e) => {
            let outerArgs = new IgrKeyEventArgs();
            outerArgs._provideImplementation(e);
            if (this.beforeKeyPress) {
                this.beforeKeyPress(this, outerArgs);
            }
            if (this._keyPress) {
                this._keyPress(this, outerArgs);
            }
        };
        this.i.keyPress = delegateCombine(this.i.keyPress, this._keyPress_wrapped);
    }
    get change() {
        return this._change;
    }
    set change(ev) {
        if (this._change_wrapped !== null) {
            this.i.change = delegateRemove(this.i.change, this._change_wrapped);
            this._change_wrapped = null;
            this._change = null;
        }
        this._change = ev;
        this._change_wrapped = (o, e) => {
            let outerArgs = new IgrInputChangeEventArgs();
            outerArgs._provideImplementation(e);
            if (this.beforeChange) {
                this.beforeChange(this, outerArgs);
            }
            if (this._change) {
                this._change(this, outerArgs);
            }
        };
        this.i.change = delegateCombine(this.i.change, this._change_wrapped);
    }
    get changing() {
        return this._changing;
    }
    set changing(ev) {
        if (this._changing_wrapped !== null) {
            this.i.changing = delegateRemove(this.i.changing, this._changing_wrapped);
            this._changing_wrapped = null;
            this._changing = null;
        }
        this._changing = ev;
        this._changing_wrapped = (o, e) => {
            let outerArgs = new IgrInputChangeEventArgs();
            outerArgs._provideImplementation(e);
            if (this.beforeChanging) {
                this.beforeChanging(this, outerArgs);
            }
            if (this._changing) {
                this._changing(this, outerArgs);
            }
        };
        this.i.changing = delegateCombine(this.i.changing, this._changing_wrapped);
    }
}

/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE: you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
class IgrInputModule {
    static register() {
        IgrChildContentModule.register();
        TypeRegistrar.registerCons('IgrInput', IgrInput);
        TypeRegistrar.registerCons('IgrInput', IgrInput);
        TypeRegistrar.register('Input', Input.$type);
    }
}

/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/

class IgrLabel extends IgrInputGroupItem {
    constructor(props) {
        super(props);
        this._wrapper = null;
        if (this._styling) {
            NamePatcher.ensureStylablePatched(Object.getPrototypeOf(this));
        }
        this._implementation = this.createImplementation();
        this._implementation.externalObject = this;
        this._getMainRef = this._getMainRef.bind(this);
        var container;
        if (document) {
            container = document.createElement("div");
        }
        var root;
        root = container;
        if (container != null) {
            root = container;
        }
        this.requestRender = this.requestRender.bind(this);
        this._portalManager = new PortalManager("labelContent", this.requestRender);
        var ren = new ReactRenderer(root, document, true, {}, this._portalManager);
        this._wrapper = ren;
        this._container = this._wrapper.rootWrapper;
        this._container.setStyleProperty("display", "inline-block");
        this._container.setStyleProperty("vertical-align", "middle");
        var label = this.i;
        this._label = label;
        label.provideContainer(ren);
        if (props) {
            this.initializeProperties();
        }
    }
    _getMainRef(ref) {
        this._elRef = ref;
    }
    render() {
        let propChildren = this.props.children;
        let children = [];
        Children.forEach(propChildren, (ch) => {
            children.push(cloneElement(ch));
        });
        this._portalManager.onRender(children);
        let div = createElement("div", {
            className: "ig-label igr-label",
            ref: this._getMainRef,
            children: children
        });
        return div;
    }
    requestRender() {
        if (this._initialized) {
            this.setState({});
        }
    }
    //private _getLabelPortal(element: DomWrapper, portalCallback: (portal: DomPortal) => void): void {
    //    this._portalManager.getPortal(element, "TemplateContent", portalCallback);
    //}
    shouldComponentUpdate(nextProps, nextState) {
        const mod = getModifiedProps(this.props, nextProps);
        for (const p of Object.keys(mod)) {
            if (isValidProp(this, p)) {
                this[p] = mod[p];
            }
        }
        return true;
    }
    initializeProperties() {
        for (const p of Object.keys(this.props)) {
            if (isValidProp(this, p)) {
                this[p] = this.props[p];
            }
        }
    }
    // supports angular themes or custom properties set in CSS
    updateStyle() {
        this._styling(this._elRef, this);
    }
    componentWillUnmount() {
        this._label.destroy();
        this._wrapper.destroy();
    }
    componentDidMount() {
        this._elRef.appendChild(this._container.getNativeElement());
        this.initializeContent();
    }
    initializeContent() {
        this._styling(this._container.getNativeElement(), this);
        this.updateStyle();
    }
    createImplementation() {
        return new Label();
    }
    _onDisplayChanged() {
        this._container.setStyleProperty("display", this.display);
    }
    _onFlexDirectionChanged() {
        this._container.setStyleProperty("flex-direction", this.flexDirection);
    }
    _onFlexGrowChanged() {
        this._container.setStyleProperty("flex-grow", this.flexGrow);
    }
    _onAlignItemsChanged() {
        this._container.setStyleProperty("align-items", this.alignItems);
    }
    /**
                             * @hidden
                             */
    get i() {
        return this._implementation;
    }
    /**
 * Gets or sets the base built in theme to use for the label.
*/
    get baseTheme() {
        return this.i.l;
    }
    set baseTheme(v) {
        this.i.l = ensureEnum(BaseControlTheme_$type, v);
    }
    /**
     * Gets or sets the display density to use for the label.
    */
    get density() {
        return this.i.p;
    }
    set density(v) {
        this.i.p = ensureEnum(ControlDisplayDensity_$type, v);
    }
    /**
     * Gets the actual display density to use for the label.
    */
    get actualDensity() {
        return this.i.o;
    }
    set actualDensity(v) {
        this.i.o = ensureEnum(ControlDisplayDensity_$type, v);
    }
    /**
     * Gets the actual color to use for the text color.
    */
    get actualTextColor() {
        return brushToString(this.i.cq);
    }
    set actualTextColor(v) {
        this.i.cq = stringToBrush(v);
    }
    /**
     * Gets the actual color to use for the text color.
    */
    get actualHighlightTextColor() {
        return brushToString(this.i.cn);
    }
    set actualHighlightTextColor(v) {
        this.i.cn = stringToBrush(v);
    }
    /**
     * Gets the actual color to use for the text color when highlighted and hovered.
    */
    get actualHoverHighlightTextColor() {
        return brushToString(this.i.co);
    }
    set actualHoverHighlightTextColor(v) {
        this.i.co = stringToBrush(v);
    }
    /**
     * Gets the actual hover color to use for the text.
    */
    get actualHoverTextColor() {
        return brushToString(this.i.cp);
    }
    set actualHoverTextColor(v) {
        this.i.cp = stringToBrush(v);
    }
    /**
     * Gets or sets the color to use for the text.
    */
    get textColor() {
        return brushToString(this.i.c6);
    }
    set textColor(v) {
        this.i.c6 = stringToBrush(v);
    }
    /**
     * Gets or sets the color to use for the text.
    */
    get highlightTextColor() {
        return brushToString(this.i.c3);
    }
    set highlightTextColor(v) {
        this.i.c3 = stringToBrush(v);
    }
    /**
     * Gets or sets the color to use for the text.
    */
    get hoverHighlightTextColor() {
        return brushToString(this.i.c4);
    }
    set hoverHighlightTextColor(v) {
        this.i.c4 = stringToBrush(v);
    }
    /**
     * Gets or sets the use for the button.
    */
    get textStyle() {
        if (this.i.x == null) {
            return null;
        }
        return this.i.x.fontString;
    }
    set textStyle(v) {
        let fi = new FontInfo();
        fi.fontString = v;
        this.i.x = fi;
    }
    /**
     * Gets or sets the color to use for the hovered text of the button regardless of type.
    */
    get hoverTextColor() {
        return brushToString(this.i.c5);
    }
    set hoverTextColor(v) {
        this.i.c5 = stringToBrush(v);
    }
    /**
     * Gets or sets the id to use for the checkbox.
    */
    get id() {
        return this.i.bn;
    }
    set id(v) {
        this.i.bn = v;
    }
    /**
     * Gets or sets the id to use for the checkbox.
    */
    get display() {
        return this.i.bc;
    }
    set display(v) {
        this.i.bc = v;
    }
    /**
     * Gets or sets the id to use for the checkbox.
    */
    get flexDirection() {
        return this.i.be;
    }
    set flexDirection(v) {
        this.i.be = v;
    }
    /**
     * Gets or sets the flex-grow setting for the button.
    */
    get flexGrow() {
        return this.i.bg;
    }
    set flexGrow(v) {
        this.i.bg = v;
    }
    /**
     * Gets or sets the id to use for the checkbox.
    */
    get alignItems() {
        return this.i.a6;
    }
    set alignItems(v) {
        this.i.a6 = v;
    }
    /**
     * Gets or sets TabIndex to use for the checkbox.
    */
    get tabIndex() {
        return this.i.aq;
    }
    set tabIndex(v) {
        this.i.aq = +v;
    }
    /**
     * Gets or sets the for attribute to use for the label.
    */
    get for() {
        return this.i.bi;
    }
    set for(v) {
        this.i.bi = v;
    }
    /**
     * Gets or sets the value of the aria-label attribute.
    */
    get ariaLabel() {
        return this.i.a8;
    }
    set ariaLabel(v) {
        this.i.a8 = v;
    }
    /**
     * Gets or sets the text for the label.
    */
    get text() {
        return this.i.text;
    }
    set text(v) {
        this.i.text = v;
    }
    /**
     * Gets or sets whether the label is hovered.
    */
    get isHover() {
        return this.i.al;
    }
    set isHover(v) {
        this.i.al = ensureBool(v);
    }
    /**
     * Gets or sets the value for the label.
    */
    get value() {
        return this.i.ao;
    }
    set value(v) {
        this.i.ao = ensureBool(v);
    }
    /**
     * Gets or sets whether the checkbox is disabled.
    */
    get disabled() {
        return this.i.disabled;
    }
    set disabled(v) {
        this.i.disabled = ensureBool(v);
    }
    onDetachedFromUI() {
        this.i.onDetachedFromUI();
    }
    onAttachedToUI() {
        this.i.onAttachedToUI();
    }
}

/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE: you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
class IgrLabelModule {
    static register() {
        IgrChildContentModule.register();
        TypeRegistrar.registerCons('IgrLabel', IgrLabel);
        TypeRegistrar.registerCons('IgrLabel', IgrLabel);
        TypeRegistrar.register('Input', Input.$type);
    }
}

/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/

/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/

class IgrInputGroupInputCollection extends IgCollection {
    constructor(list) {
        super();
        if (!IgrInputGroupItem.$type) {
            IgrInputGroupItem.$type = markType(IgrInputGroupItem, "IgrInputGroupItem");
        }
        if (list) {
            for (let i = 0; i < list.length; i++) {
                this.add(list[i]);
            }
        }
    }
    _createInnerColl() {
        if (!IgrInputGroupItem.$type) {
            IgrInputGroupItem.$type = markType(IgrInputGroupItem, "IgrInputGroupItem");
        }
        let coll = new SyncableObservableCollection$2(IgrInputGroupItem.$type, InputGroupItem.$type, 0);
        coll.compare = (ext, int) => {
            let comp = ext;
            if (comp._implementation) {
                comp = comp._implementation;
            }
            if (comp.equals) {
                return comp.equals(int);
            }
            return comp === int;
        };
        coll.createTo = (ext) => {
            return ext._implementation;
        };
        coll.createFrom = (int) => {
            let ext = int.externalObject;
            if (!ext) {
                ext = IgrInputGroupItem._createFromInternal(int);
                if (ext) {
                    ext._implementation = int;
                }
            }
            return ext;
        };
        return coll;
    }
}

class IgrInputGroup extends Component {
    constructor(props) {
        super(props);
        this._wrapper = null;
        this.contentInputs = [];
        /**
        * The style mappings actually present in the treemap. Do not directly modify this array.
        * This array's contents can be modified by causing React to reproject the child content.
        * Or adding and removing ranges from the manual ranges collection on the ranges property.
        */
        this.actualInputs = [];
        this._inputs = null;
        this._inputsAdapter = null;
        this._implementation = null;
        this.__p = null;
        this._hasUserValues = new Set();
        this._stylingContainer = null;
        this._stylingParent = null;
        this._inStyling = false;
        if (this._styling) {
            NamePatcher.ensureStylablePatched(Object.getPrototypeOf(this));
        }
        this._contentChildrenManager = new ContentChildrenManager((ch) => ch.props.name || ch.key || ch.props.id, (ch) => ch.name || ch.key || ch.id, () => this._updateContentChildren());
        this._implementation = this.createImplementation();
        this._implementation.externalObject = this;
        this._getMainRef = this._getMainRef.bind(this);
        var container;
        if (document) {
            container = document.createElement("div");
        }
        var root;
        root = container;
        if (container != null) {
            root = container;
        }
        this.requestRender = this.requestRender.bind(this);
        this._portalManager = new PortalManager("inputContent", this.requestRender);
        var ren = new ReactRenderer(root, document, true, {}, this._portalManager);
        this._wrapper = ren;
        this._container = this._wrapper.rootWrapper;
        this._container.setStyleProperty("display", "inline-block");
        var inputGroup = this.i;
        this._inputGroup = inputGroup;
        this._inputsAdapter = new CollectionAdapter(this.contentInputs, this.i.inputs, this.actualInputs, (c) => c.i, (i) => {
            if (this._container && this._container.getNativeElement().parentElement) {
                i._styling(this._container.getNativeElement(), this, this);
            }
        }, (i) => { });
        inputGroup.provideContainer(ren);
        if (props) {
            this.initializeProperties();
        }
    }
    _getMainRef(ref) {
        this._elRef = ref;
        if (this._elRef) {
            let mut = new MutationObserver((list) => {
                for (var mutation of list) {
                    if (mutation.type == 'childList') {
                        this.i.onChildrenMutated();
                    }
                }
            });
            mut.observe(this._elRef, {
                childList: true,
                subtree: true
            });
        }
    }
    _updateContentChildren() {
        this.contentInputs.length = 0;
        let contentChildrenActual = this._contentChildrenManager.contentChildrenActual;
        for (let i = 0; i < contentChildrenActual.length; i++) {
            if ((InputGroupItem.$type).isAssignableFrom(contentChildrenActual[i].i.$type)) {
                this.contentInputs.push(contentChildrenActual[i]);
            }
        }
        if (this._inputsAdapter !== null) {
            this._inputsAdapter.notifyContentChanged();
        }
    }
    /**
     * A collection of manually added style mappings for the treemap.
    */
    get inputs() {
        if (this._inputs === null) {
            let coll = new IgrInputGroupInputCollection();
            let inner = coll._innerColl;
            inner.addListener((sender, e) => {
                switch (e.action) {
                    case NotifyCollectionChangedAction.Add:
                        this._inputsAdapter.insertManualItem(e.newStartingIndex, e.newItems.item(0));
                        break;
                    case NotifyCollectionChangedAction.Remove:
                        this._inputsAdapter.removeManualItemAt(e.oldStartingIndex);
                        break;
                    case NotifyCollectionChangedAction.Replace:
                        this._inputsAdapter.removeManualItemAt(e.oldStartingIndex);
                        this._inputsAdapter.insertManualItem(e.newStartingIndex, e.newItems.item(0));
                        break;
                    case NotifyCollectionChangedAction.Reset:
                        this._inputsAdapter.clearManualItems();
                        break;
                }
            });
            this._inputs = coll;
        }
        return this._inputs;
    }
    render() {
        let children = this._contentChildrenManager.getChildren(this.props.children);
        this._portalManager.onRender(children);
        let div = createElement("div", {
            className: "ig-input-group igr-input-group",
            ref: this._getMainRef,
            children: children
        });
        return div;
    }
    requestRender() {
        if (this._initialized) {
            this.setState({});
        }
    }
    //private _getLabelPortal(element: DomWrapper, portalCallback: (portal: DomPortal) => void): void {
    //    this._portalManager.getPortal(element, "TemplateContent", portalCallback);
    //}
    shouldComponentUpdate(nextProps, nextState) {
        const mod = getModifiedProps(this.props, nextProps);
        for (const p of Object.keys(mod)) {
            if (isValidProp(this, p)) {
                this[p] = mod[p];
            }
        }
        return true;
    }
    initializeProperties() {
        for (const p of Object.keys(this.props)) {
            if (isValidProp(this, p)) {
                this[p] = this.props[p];
            }
        }
    }
    // supports angular themes or custom properties set in CSS
    updateStyle() {
        this._styling(this._elRef, this);
    }
    componentWillUnmount() {
        this._inputGroup.destroy();
        this._wrapper.destroy();
    }
    componentDidMount() {
        this._elRef.appendChild(this._container.getNativeElement());
        this.initializeContent();
    }
    initializeContent() {
        this._styling(this._container.getNativeElement(), this);
        this.updateStyle();
    }
    createImplementation() {
        return new InputGroup();
    }
    get i() {
        return this._implementation;
    }
    /**
 * Gets or sets the display style to use for the button.
*/
    get displayType() {
        return this.i.j;
    }
    set displayType(v) {
        this.i.j = ensureEnum(InputGroupDisplayType_$type, v);
    }
    /**
     * Gets or sets the display density to use for the input group.
    */
    get density() {
        return this.i.h;
    }
    set density(v) {
        this.i.h = ensureEnum(ControlDisplayDensity_$type, v);
    }
    /**
     * Gets the actual display density to use for the input group.
    */
    get actualDensity() {
        return this.i.g;
    }
    set actualDensity(v) {
        this.i.g = ensureEnum(ControlDisplayDensity_$type, v);
    }
    /**
     * Gets or sets the base built in theme to use for the label.
    */
    get baseTheme() {
        return this.i.d;
    }
    set baseTheme(v) {
        this.i.d = ensureEnum(BaseControlTheme_$type, v);
    }
    get inputHasValue() {
        return this.i.ac;
    }
    /**
     * Gets the actual item background color.
    */
    get actualBorderColor() {
        return brushToString(this.i.oj);
    }
    set actualBorderColor(v) {
        this.i.oj = stringToBrush(v);
    }
    /**
     * Gets the actual item border color.
    */
    get actualFocusBorderColor() {
        return brushToString(this.i.ok);
    }
    set actualFocusBorderColor(v) {
        this.i.ok = stringToBrush(v);
    }
    /**
     * Gets the actual item border width.
    */
    get actualBorderWidth() {
        return this.i.b6;
    }
    set actualBorderWidth(v) {
        this.i.b6 = +v;
    }
    /**
     * Gets the actual item border width.
    */
    get actualFocusBorderWidth() {
        return this.i.b7;
    }
    set actualFocusBorderWidth(v) {
        this.i.b7 = +v;
    }
    get actualCornerRadiusBottomRight() {
        return this.i.mq ? this.i.mq.b : NaN;
    }
    set actualCornerRadiusBottomRight(v) {
        this.ensureActualCornerRadius();
        this.i.mq.b = +v;
        this.i.mq = this.i.mq;
    }
    get actualCornerRadiusBottomLeft() {
        return this.i.mq ? this.i.mq.a : NaN;
    }
    set actualCornerRadiusBottomLeft(v) {
        this.ensureActualCornerRadius();
        this.i.mq.a = +v;
        this.i.mq = this.i.mq;
    }
    get actualCornerRadiusTopLeft() {
        return this.i.mq ? this.i.mq.c : NaN;
    }
    set actualCornerRadiusTopLeft(v) {
        this.ensureActualCornerRadius();
        this.i.mq.c = +v;
        this.i.mq = this.i.mq;
    }
    get actualCornerRadiusTopRight() {
        return this.i.mq ? this.i.mq.d : NaN;
    }
    set actualCornerRadiusTopRight(v) {
        this.ensureActualCornerRadius();
        this.i.mq.d = +v;
        this.i.mq = this.i.mq;
    }
    ensureActualCornerRadius() {
        if (this.i.mq) {
            return;
        }
        this.i.mq = new CornerRadius(2);
    }
    get actualContentPaddingBottom() {
        return this.i.s6 ? this.i.s6.b : NaN;
    }
    set actualContentPaddingBottom(v) {
        this.ensureActualContentPadding();
        this.i.s6.b = +v;
        this.i.s6 = this.i.s6;
    }
    get actualContentPaddingLeft() {
        return this.i.s6 ? this.i.s6.c : NaN;
    }
    set actualContentPaddingLeft(v) {
        this.ensureActualContentPadding();
        this.i.s6.c = +v;
        this.i.s6 = this.i.s6;
    }
    get actualContentPaddingRight() {
        return this.i.s6 ? this.i.s6.d : NaN;
    }
    set actualContentPaddingRight(v) {
        this.ensureActualContentPadding();
        this.i.s6.d = +v;
        this.i.s6 = this.i.s6;
    }
    get actualContentPaddingTop() {
        return this.i.s6 ? this.i.s6.e : NaN;
    }
    set actualContentPaddingTop(v) {
        this.ensureActualContentPadding();
        this.i.s6.e = +v;
        this.i.s6 = this.i.s6;
    }
    ensureActualContentPadding() {
        if (this.i.s6) {
            return;
        }
        this.i.s6 = new Thickness(2);
    }
    /**
     * Gets the actual width to use for the underline element.
    */
    get actualUnderlineWidth() {
        return this.i.cf;
    }
    set actualUnderlineWidth(v) {
        this.i.cf = +v;
    }
    /**
     * Gets the actual width to use for the underline element.
    */
    get actualUnderlineRippleWidth() {
        return this.i.ce;
    }
    set actualUnderlineRippleWidth(v) {
        this.i.ce = +v;
    }
    /**
     * Gets the width to use for the underline element when hovered.
    */
    get actualHoverUnderlineWidth() {
        return this.i.cb;
    }
    set actualHoverUnderlineWidth(v) {
        this.i.cb = +v;
    }
    /**
     * Gets the actual color to use for the underline element.
    */
    get actualUnderlineColor() {
        return brushToString(this.i.on);
    }
    set actualUnderlineColor(v) {
        this.i.on = stringToBrush(v);
    }
    /**
     * Gets the actual color to use for the underline ripple element.
    */
    get actualUnderlineRippleColor() {
        return brushToString(this.i.oo);
    }
    set actualUnderlineRippleColor(v) {
        this.i.oo = stringToBrush(v);
    }
    /**
     * Gets the actual color to use for the underline element.
    */
    get actualHoverUnderlineColor() {
        return brushToString(this.i.om);
    }
    set actualHoverUnderlineColor(v) {
        this.i.om = stringToBrush(v);
    }
    /**
     * Gets the actual color to use for the underline element when focused.
    */
    get actualFocusUnderlineColor() {
        return brushToString(this.i.ol);
    }
    set actualFocusUnderlineColor(v) {
        this.i.ol = stringToBrush(v);
    }
    /**
     * Gets the actual opacity to use for the underline element.
    */
    get actualUnderlineOpacity() {
        return this.i.cc;
    }
    set actualUnderlineOpacity(v) {
        this.i.cc = +v;
    }
    /**
     * Gets the actual opacity to use for the underline element when hovered.
    */
    get actualHoverUnderlineOpacity() {
        return this.i.ca;
    }
    set actualHoverUnderlineOpacity(v) {
        this.i.ca = +v;
    }
    /**
     * Gets the actual opacity to use for the underline element when focused.
    */
    get actualFocusUnderlineOpacity() {
        return this.i.b8;
    }
    set actualFocusUnderlineOpacity(v) {
        this.i.b8 = +v;
    }
    /**
     * Gets the actual opacity to use for the underline ripple element when focused.
    */
    get actualFocusUnderlineRippleOpacity() {
        return this.i.b9;
    }
    set actualFocusUnderlineRippleOpacity(v) {
        this.i.b9 = +v;
    }
    /**
     * Gets the actual opacity to use for the underline ripple element.
    */
    get actualUnderlineRippleOpacity() {
        return this.i.cd;
    }
    set actualUnderlineRippleOpacity(v) {
        this.i.cd = +v;
    }
    /**
     * Gets the actual opacity to use for the underline ripple element.
    */
    get actualBackgroundColor() {
        return brushToString(this.i.oi);
    }
    set actualBackgroundColor(v) {
        this.i.oi = stringToBrush(v);
    }
    /**
     * Gets or sets the border width to use for the border of the item group.
    */
    get borderWidth() {
        return this.i.cq;
    }
    set borderWidth(v) {
        this.i.cq = +v;
    }
    /**
     * Gets or sets the border width to use for the border of the item group when focused.
    */
    get focusBorderWidth() {
        return this.i.g8;
    }
    set focusBorderWidth(v) {
        this.i.g8 = +v;
    }
    /**
     * Gets or sets the color to use the border of the input group.
    */
    get borderColor() {
        return brushToString(this.i.oq);
    }
    set borderColor(v) {
        this.i.oq = stringToBrush(v);
    }
    get cornerRadiusBottomRight() {
        return this.i.mu ? this.i.mu.b : NaN;
    }
    set cornerRadiusBottomRight(v) {
        this.ensureCornerRadius();
        this.i.mu.b = +v;
        this.i.mu = this.i.mu;
    }
    get cornerRadiusBottomLeft() {
        return this.i.mu ? this.i.mu.a : NaN;
    }
    set cornerRadiusBottomLeft(v) {
        this.ensureCornerRadius();
        this.i.mu.a = +v;
        this.i.mu = this.i.mu;
    }
    get cornerRadiusTopLeft() {
        return this.i.mu ? this.i.mu.c : NaN;
    }
    set cornerRadiusTopLeft(v) {
        this.ensureCornerRadius();
        this.i.mu.c = +v;
        this.i.mu = this.i.mu;
    }
    get cornerRadiusTopRight() {
        return this.i.mu ? this.i.mu.d : NaN;
    }
    set cornerRadiusTopRight(v) {
        this.ensureCornerRadius();
        this.i.mu.d = +v;
        this.i.mu = this.i.mu;
    }
    ensureCornerRadius() {
        if (this.i.mu) {
            return;
        }
        this.i.mu = new CornerRadius(2);
    }
    get contentPaddingBottom() {
        return this.i.ta ? this.i.ta.b : NaN;
    }
    set contentPaddingBottom(v) {
        this.ensureContentPadding();
        this.i.ta.b = +v;
        this.i.ta = this.i.ta;
    }
    get contentPaddingLeft() {
        return this.i.ta ? this.i.ta.c : NaN;
    }
    set contentPaddingLeft(v) {
        this.ensureContentPadding();
        this.i.ta.c = +v;
        this.i.ta = this.i.ta;
    }
    get contentPaddingRight() {
        return this.i.ta ? this.i.ta.d : NaN;
    }
    set contentPaddingRight(v) {
        this.ensureContentPadding();
        this.i.ta.d = +v;
        this.i.ta = this.i.ta;
    }
    get contentPaddingTop() {
        return this.i.ta ? this.i.ta.e : NaN;
    }
    set contentPaddingTop(v) {
        this.ensureContentPadding();
        this.i.ta.e = +v;
        this.i.ta = this.i.ta;
    }
    ensureContentPadding() {
        if (this.i.ta) {
            return;
        }
        this.i.ta = new Thickness(2);
    }
    /**
     * Gets or sets the width to use for the underline element.
    */
    get underlineWidth() {
        return this.i.h0;
    }
    set underlineWidth(v) {
        this.i.h0 = +v;
    }
    /**
     * Gets or sets the width to use for the underline element.
    */
    get underlineRippleWidth() {
        return this.i.hz;
    }
    set underlineRippleWidth(v) {
        this.i.hz = +v;
    }
    /**
     * Gets or sets the width to use for the underline element when hovered.
    */
    get hoverUnderlineWidth() {
        return this.i.hc;
    }
    set hoverUnderlineWidth(v) {
        this.i.hc = +v;
    }
    /**
     * Gets or sets the color to use for the underline element.
    */
    get underlineColor() {
        return brushToString(this.i.sy);
    }
    set underlineColor(v) {
        this.i.sy = stringToBrush(v);
    }
    /**
     * Gets or sets the color to use for the underline ripple element.
    */
    get underlineRippleColor() {
        return brushToString(this.i.sz);
    }
    set underlineRippleColor(v) {
        this.i.sz = stringToBrush(v);
    }
    /**
     * Gets or sets the color to use for the underline element.
    */
    get hoverUnderlineColor() {
        return brushToString(this.i.sj);
    }
    set hoverUnderlineColor(v) {
        this.i.sj = stringToBrush(v);
    }
    /**
     * Gets or sets the color to use for the underline element.
    */
    get focusUnderlineColor() {
        return brushToString(this.i.si);
    }
    set focusUnderlineColor(v) {
        this.i.si = stringToBrush(v);
    }
    /**
     * Gets or sets the color to use for the underline element.
    */
    get underlineOpacity() {
        return this.i.hx;
    }
    set underlineOpacity(v) {
        this.i.hx = +v;
    }
    /**
     * Gets or sets the color to use for the underline element.
    */
    get hoverUnderlineOpacity() {
        return this.i.hb;
    }
    set hoverUnderlineOpacity(v) {
        this.i.hb = +v;
    }
    /**
     * Gets or sets the color to use for the underline element.
    */
    get focusUnderlineOpacity() {
        return this.i.g9;
    }
    set focusUnderlineOpacity(v) {
        this.i.g9 = +v;
    }
    /**
     * Gets or sets the opacity to use for the underline ripple element when focused.
    */
    get focusUnderlineRippleOpacity() {
        return this.i.ha;
    }
    set focusUnderlineRippleOpacity(v) {
        this.i.ha = +v;
    }
    /**
     * Gets or sets the opacity to use for the underline ripple element.
    */
    get underlineRippleOpacity() {
        return this.i.hy;
    }
    set underlineRippleOpacity(v) {
        this.i.hy = +v;
    }
    /**
     * Gets or sets the background color to use for the input group.
    */
    get backgroundColor() {
        return brushToString(this.i.op);
    }
    set backgroundColor(v) {
        this.i.op = stringToBrush(v);
    }
    /**
     * Gets or sets the border width to use for the border of the item group when using type line.
    */
    get lineTypeBorderWidth() {
        return this.i.hd;
    }
    set lineTypeBorderWidth(v) {
        this.i.hd = +v;
    }
    /**
     * Gets or sets the border width to use for the border of the item group when focused when type is line.
    */
    get lineTypeFocusBorderWidth() {
        return this.i.he;
    }
    set lineTypeFocusBorderWidth(v) {
        this.i.he = +v;
    }
    /**
     * Gets or sets the focus color to use the border of the input group when type is line.
    */
    get lineTypeFocusBorderColor() {
        return brushToString(this.i.sm);
    }
    set lineTypeFocusBorderColor(v) {
        this.i.sm = stringToBrush(v);
    }
    /**
     * Gets or sets the color to use the border of the input group when type is line.
    */
    get lineTypeBorderColor() {
        return brushToString(this.i.sl);
    }
    set lineTypeBorderColor(v) {
        this.i.sl = stringToBrush(v);
    }
    get lineTypeCornerRadiusBottomRight() {
        return this.i.na ? this.i.na.b : NaN;
    }
    set lineTypeCornerRadiusBottomRight(v) {
        this.ensureLineTypeCornerRadius();
        this.i.na.b = +v;
        this.i.na = this.i.na;
    }
    get lineTypeCornerRadiusBottomLeft() {
        return this.i.na ? this.i.na.a : NaN;
    }
    set lineTypeCornerRadiusBottomLeft(v) {
        this.ensureLineTypeCornerRadius();
        this.i.na.a = +v;
        this.i.na = this.i.na;
    }
    get lineTypeCornerRadiusTopLeft() {
        return this.i.na ? this.i.na.c : NaN;
    }
    set lineTypeCornerRadiusTopLeft(v) {
        this.ensureLineTypeCornerRadius();
        this.i.na.c = +v;
        this.i.na = this.i.na;
    }
    get lineTypeCornerRadiusTopRight() {
        return this.i.na ? this.i.na.d : NaN;
    }
    set lineTypeCornerRadiusTopRight(v) {
        this.ensureLineTypeCornerRadius();
        this.i.na.d = +v;
        this.i.na = this.i.na;
    }
    ensureLineTypeCornerRadius() {
        if (this.i.na) {
            return;
        }
        this.i.na = new CornerRadius(2);
    }
    get lineTypeContentPaddingBottom() {
        return this.i.tq ? this.i.tq.b : NaN;
    }
    set lineTypeContentPaddingBottom(v) {
        this.ensureLineTypeContentPadding();
        this.i.tq.b = +v;
        this.i.tq = this.i.tq;
    }
    get lineTypeContentPaddingLeft() {
        return this.i.tq ? this.i.tq.c : NaN;
    }
    set lineTypeContentPaddingLeft(v) {
        this.ensureLineTypeContentPadding();
        this.i.tq.c = +v;
        this.i.tq = this.i.tq;
    }
    get lineTypeContentPaddingRight() {
        return this.i.tq ? this.i.tq.d : NaN;
    }
    set lineTypeContentPaddingRight(v) {
        this.ensureLineTypeContentPadding();
        this.i.tq.d = +v;
        this.i.tq = this.i.tq;
    }
    get lineTypeContentPaddingTop() {
        return this.i.tq ? this.i.tq.e : NaN;
    }
    set lineTypeContentPaddingTop(v) {
        this.ensureLineTypeContentPadding();
        this.i.tq.e = +v;
        this.i.tq = this.i.tq;
    }
    ensureLineTypeContentPadding() {
        if (this.i.tq) {
            return;
        }
        this.i.tq = new Thickness(2);
    }
    /**
     * Gets or sets the width to use for the underline element when type is line.
    */
    get lineTypeUnderlineWidth() {
        return this.i.hm;
    }
    set lineTypeUnderlineWidth(v) {
        this.i.hm = +v;
    }
    /**
     * Gets or sets the width to use for the underline element when type is line.
    */
    get lineTypeUnderlineRippleWidth() {
        return this.i.hl;
    }
    set lineTypeUnderlineRippleWidth(v) {
        this.i.hl = +v;
    }
    /**
     * Gets or sets the width to use for the underline element when hovered when type is line.
    */
    get lineTypeHoverUnderlineWidth() {
        return this.i.hi;
    }
    set lineTypeHoverUnderlineWidth(v) {
        this.i.hi = +v;
    }
    /**
     * Gets or sets the color to use for the underline element when type is line.
    */
    get lineTypeUnderlineColor() {
        return brushToString(this.i.sp);
    }
    set lineTypeUnderlineColor(v) {
        this.i.sp = stringToBrush(v);
    }
    /**
     * Gets or sets the color to use for the underline ripple element when type is line.
    */
    get lineTypeUnderlineRippleColor() {
        return brushToString(this.i.sq);
    }
    set lineTypeUnderlineRippleColor(v) {
        this.i.sq = stringToBrush(v);
    }
    /**
     * Gets or sets the color to use for the underline element when type is line.
    */
    get lineTypeHoverUnderlineColor() {
        return brushToString(this.i.so);
    }
    set lineTypeHoverUnderlineColor(v) {
        this.i.so = stringToBrush(v);
    }
    /**
     * Gets or sets the color to use for the underline element when type is line.
    */
    get lineTypeFocusUnderlineColor() {
        return brushToString(this.i.sn);
    }
    set lineTypeFocusUnderlineColor(v) {
        this.i.sn = stringToBrush(v);
    }
    /**
     * Gets or sets the color to use for the underline element when type is line.
    */
    get lineTypeUnderlineOpacity() {
        return this.i.hj;
    }
    set lineTypeUnderlineOpacity(v) {
        this.i.hj = +v;
    }
    /**
     * Gets or sets the color to use for the underline element when type is line.
    */
    get lineTypeHoverUnderlineOpacity() {
        return this.i.hh;
    }
    set lineTypeHoverUnderlineOpacity(v) {
        this.i.hh = +v;
    }
    /**
     * Gets or sets the color to use for the underline element when type is line.
    */
    get lineTypeFocusUnderlineOpacity() {
        return this.i.hf;
    }
    set lineTypeFocusUnderlineOpacity(v) {
        this.i.hf = +v;
    }
    /**
     * Gets or sets the opacity to use for the underline ripple element when focused when type is line.
    */
    get lineTypeFocusUnderlineRippleOpacity() {
        return this.i.hg;
    }
    set lineTypeFocusUnderlineRippleOpacity(v) {
        this.i.hg = +v;
    }
    /**
     * Gets or sets the opacity to use for the underline ripple element when type is line.
    */
    get lineTypeUnderlineRippleOpacity() {
        return this.i.hk;
    }
    set lineTypeUnderlineRippleOpacity(v) {
        this.i.hk = +v;
    }
    /**
     * Gets or sets the background color to use for the input group when type is line.
    */
    get lineTypeBackgroundColor() {
        return brushToString(this.i.sk);
    }
    set lineTypeBackgroundColor(v) {
        this.i.sk = stringToBrush(v);
    }
    /**
     * Gets or sets the border width to use for the border of the item group when using type line.
    */
    get boxTypeBorderWidth() {
        return this.i.cr;
    }
    set boxTypeBorderWidth(v) {
        this.i.cr = +v;
    }
    /**
     * Gets or sets the border width to use for the border of the item group when focused when type is box.
    */
    get boxTypeFocusBorderWidth() {
        return this.i.cs;
    }
    set boxTypeFocusBorderWidth(v) {
        this.i.cs = +v;
    }
    /**
     * Gets or sets the focus color to use the border of the input group when type is box.
    */
    get boxTypeFocusBorderColor() {
        return brushToString(this.i.o0);
    }
    set boxTypeFocusBorderColor(v) {
        this.i.o0 = stringToBrush(v);
    }
    /**
     * Gets or sets the color to use the border of the input group when type is box.
    */
    get boxTypeBorderColor() {
        return brushToString(this.i.oz);
    }
    set boxTypeBorderColor(v) {
        this.i.oz = stringToBrush(v);
    }
    get boxTypeCornerRadiusBottomRight() {
        return this.i.ms ? this.i.ms.b : NaN;
    }
    set boxTypeCornerRadiusBottomRight(v) {
        this.ensureBoxTypeCornerRadius();
        this.i.ms.b = +v;
        this.i.ms = this.i.ms;
    }
    get boxTypeCornerRadiusBottomLeft() {
        return this.i.ms ? this.i.ms.a : NaN;
    }
    set boxTypeCornerRadiusBottomLeft(v) {
        this.ensureBoxTypeCornerRadius();
        this.i.ms.a = +v;
        this.i.ms = this.i.ms;
    }
    get boxTypeCornerRadiusTopLeft() {
        return this.i.ms ? this.i.ms.c : NaN;
    }
    set boxTypeCornerRadiusTopLeft(v) {
        this.ensureBoxTypeCornerRadius();
        this.i.ms.c = +v;
        this.i.ms = this.i.ms;
    }
    get boxTypeCornerRadiusTopRight() {
        return this.i.ms ? this.i.ms.d : NaN;
    }
    set boxTypeCornerRadiusTopRight(v) {
        this.ensureBoxTypeCornerRadius();
        this.i.ms.d = +v;
        this.i.ms = this.i.ms;
    }
    ensureBoxTypeCornerRadius() {
        if (this.i.ms) {
            return;
        }
        this.i.ms = new CornerRadius(2);
    }
    get boxTypeContentPaddingBottom() {
        return this.i.s8 ? this.i.s8.b : NaN;
    }
    set boxTypeContentPaddingBottom(v) {
        this.ensureBoxTypeContentPadding();
        this.i.s8.b = +v;
        this.i.s8 = this.i.s8;
    }
    get boxTypeContentPaddingLeft() {
        return this.i.s8 ? this.i.s8.c : NaN;
    }
    set boxTypeContentPaddingLeft(v) {
        this.ensureBoxTypeContentPadding();
        this.i.s8.c = +v;
        this.i.s8 = this.i.s8;
    }
    get boxTypeContentPaddingRight() {
        return this.i.s8 ? this.i.s8.d : NaN;
    }
    set boxTypeContentPaddingRight(v) {
        this.ensureBoxTypeContentPadding();
        this.i.s8.d = +v;
        this.i.s8 = this.i.s8;
    }
    get boxTypeContentPaddingTop() {
        return this.i.s8 ? this.i.s8.e : NaN;
    }
    set boxTypeContentPaddingTop(v) {
        this.ensureBoxTypeContentPadding();
        this.i.s8.e = +v;
        this.i.s8 = this.i.s8;
    }
    ensureBoxTypeContentPadding() {
        if (this.i.s8) {
            return;
        }
        this.i.s8 = new Thickness(2);
    }
    /**
     * Gets or sets the width to use for the underline element when type is box.
    */
    get boxTypeUnderlineWidth() {
        return this.i.c0;
    }
    set boxTypeUnderlineWidth(v) {
        this.i.c0 = +v;
    }
    /**
     * Gets or sets the width to use for the underline element when type is box.
    */
    get boxTypeUnderlineRippleWidth() {
        return this.i.cz;
    }
    set boxTypeUnderlineRippleWidth(v) {
        this.i.cz = +v;
    }
    /**
     * Gets or sets the width to use for the underline element when hovered when type is box.
    */
    get boxTypeHoverUnderlineWidth() {
        return this.i.cw;
    }
    set boxTypeHoverUnderlineWidth(v) {
        this.i.cw = +v;
    }
    /**
     * Gets or sets the color to use for the underline element when type is box.
    */
    get boxTypeUnderlineColor() {
        return brushToString(this.i.o3);
    }
    set boxTypeUnderlineColor(v) {
        this.i.o3 = stringToBrush(v);
    }
    /**
     * Gets or sets the color to use for the underline ripple element when type is box.
    */
    get boxTypeUnderlineRippleColor() {
        return brushToString(this.i.o4);
    }
    set boxTypeUnderlineRippleColor(v) {
        this.i.o4 = stringToBrush(v);
    }
    /**
     * Gets or sets the color to use for the underline element when type is box.
    */
    get boxTypeHoverUnderlineColor() {
        return brushToString(this.i.o2);
    }
    set boxTypeHoverUnderlineColor(v) {
        this.i.o2 = stringToBrush(v);
    }
    /**
     * Gets or sets the color to use for the underline element when type is box.
    */
    get boxTypeFocusUnderlineColor() {
        return brushToString(this.i.o1);
    }
    set boxTypeFocusUnderlineColor(v) {
        this.i.o1 = stringToBrush(v);
    }
    /**
     * Gets or sets the color to use for the underline element when type is box.
    */
    get boxTypeUnderlineOpacity() {
        return this.i.cx;
    }
    set boxTypeUnderlineOpacity(v) {
        this.i.cx = +v;
    }
    /**
     * Gets or sets the color to use for the underline element when type is box.
    */
    get boxTypeHoverUnderlineOpacity() {
        return this.i.cv;
    }
    set boxTypeHoverUnderlineOpacity(v) {
        this.i.cv = +v;
    }
    /**
     * Gets or sets the color to use for the underline element when type is box.
    */
    get boxTypeFocusUnderlineOpacity() {
        return this.i.ct;
    }
    set boxTypeFocusUnderlineOpacity(v) {
        this.i.ct = +v;
    }
    /**
     * Gets or sets the opacity to use for the underline ripple element when focused when type is box.
    */
    get boxTypeFocusUnderlineRippleOpacity() {
        return this.i.cu;
    }
    set boxTypeFocusUnderlineRippleOpacity(v) {
        this.i.cu = +v;
    }
    /**
     * Gets or sets the opacity to use for the underline ripple element when type is box.
    */
    get boxTypeUnderlineRippleOpacity() {
        return this.i.cy;
    }
    set boxTypeUnderlineRippleOpacity(v) {
        this.i.cy = +v;
    }
    /**
     * Gets or sets the background color to use for the input group when type is box.
    */
    get boxTypeBackgroundColor() {
        return brushToString(this.i.oy);
    }
    set boxTypeBackgroundColor(v) {
        this.i.oy = stringToBrush(v);
    }
    /**
     * Gets or sets the border width to use for the border of the item group when using type line.
    */
    get borderTypeBorderWidth() {
        return this.i.cg;
    }
    set borderTypeBorderWidth(v) {
        this.i.cg = +v;
    }
    /**
     * Gets or sets the border width to use for the border of the item group when focused when type is border.
    */
    get borderTypeFocusBorderWidth() {
        return this.i.ch;
    }
    set borderTypeFocusBorderWidth(v) {
        this.i.ch = +v;
    }
    /**
     * Gets or sets the focus color to use the border of the input group when type is border.
    */
    get borderTypeFocusBorderColor() {
        return brushToString(this.i.ot);
    }
    set borderTypeFocusBorderColor(v) {
        this.i.ot = stringToBrush(v);
    }
    /**
     * Gets or sets the color to use the border of the input group when type is border.
    */
    get borderTypeBorderColor() {
        return brushToString(this.i.os);
    }
    set borderTypeBorderColor(v) {
        this.i.os = stringToBrush(v);
    }
    get borderTypeCornerRadiusBottomRight() {
        return this.i.mr ? this.i.mr.b : NaN;
    }
    set borderTypeCornerRadiusBottomRight(v) {
        this.ensureBorderTypeCornerRadius();
        this.i.mr.b = +v;
        this.i.mr = this.i.mr;
    }
    get borderTypeCornerRadiusBottomLeft() {
        return this.i.mr ? this.i.mr.a : NaN;
    }
    set borderTypeCornerRadiusBottomLeft(v) {
        this.ensureBorderTypeCornerRadius();
        this.i.mr.a = +v;
        this.i.mr = this.i.mr;
    }
    get borderTypeCornerRadiusTopLeft() {
        return this.i.mr ? this.i.mr.c : NaN;
    }
    set borderTypeCornerRadiusTopLeft(v) {
        this.ensureBorderTypeCornerRadius();
        this.i.mr.c = +v;
        this.i.mr = this.i.mr;
    }
    get borderTypeCornerRadiusTopRight() {
        return this.i.mr ? this.i.mr.d : NaN;
    }
    set borderTypeCornerRadiusTopRight(v) {
        this.ensureBorderTypeCornerRadius();
        this.i.mr.d = +v;
        this.i.mr = this.i.mr;
    }
    ensureBorderTypeCornerRadius() {
        if (this.i.mr) {
            return;
        }
        this.i.mr = new CornerRadius(2);
    }
    get borderTypeContentPaddingBottom() {
        return this.i.s7 ? this.i.s7.b : NaN;
    }
    set borderTypeContentPaddingBottom(v) {
        this.ensureBorderTypeContentPadding();
        this.i.s7.b = +v;
        this.i.s7 = this.i.s7;
    }
    get borderTypeContentPaddingLeft() {
        return this.i.s7 ? this.i.s7.c : NaN;
    }
    set borderTypeContentPaddingLeft(v) {
        this.ensureBorderTypeContentPadding();
        this.i.s7.c = +v;
        this.i.s7 = this.i.s7;
    }
    get borderTypeContentPaddingRight() {
        return this.i.s7 ? this.i.s7.d : NaN;
    }
    set borderTypeContentPaddingRight(v) {
        this.ensureBorderTypeContentPadding();
        this.i.s7.d = +v;
        this.i.s7 = this.i.s7;
    }
    get borderTypeContentPaddingTop() {
        return this.i.s7 ? this.i.s7.e : NaN;
    }
    set borderTypeContentPaddingTop(v) {
        this.ensureBorderTypeContentPadding();
        this.i.s7.e = +v;
        this.i.s7 = this.i.s7;
    }
    ensureBorderTypeContentPadding() {
        if (this.i.s7) {
            return;
        }
        this.i.s7 = new Thickness(2);
    }
    /**
     * Gets or sets the width to use for the underline element when type is border.
    */
    get borderTypeUnderlineWidth() {
        return this.i.cp;
    }
    set borderTypeUnderlineWidth(v) {
        this.i.cp = +v;
    }
    /**
     * Gets or sets the width to use for the underline element when type is border.
    */
    get borderTypeUnderlineRippleWidth() {
        return this.i.co;
    }
    set borderTypeUnderlineRippleWidth(v) {
        this.i.co = +v;
    }
    /**
     * Gets or sets the width to use for the underline element when hovered when type is border.
    */
    get borderTypeHoverUnderlineWidth() {
        return this.i.cl;
    }
    set borderTypeHoverUnderlineWidth(v) {
        this.i.cl = +v;
    }
    /**
     * Gets or sets the color to use for the underline element when type is border.
    */
    get borderTypeUnderlineColor() {
        return brushToString(this.i.ow);
    }
    set borderTypeUnderlineColor(v) {
        this.i.ow = stringToBrush(v);
    }
    /**
     * Gets or sets the color to use for the underline ripple element when type is border.
    */
    get borderTypeUnderlineRippleColor() {
        return brushToString(this.i.ox);
    }
    set borderTypeUnderlineRippleColor(v) {
        this.i.ox = stringToBrush(v);
    }
    /**
     * Gets or sets the color to use for the underline element when type is border.
    */
    get borderTypeHoverUnderlineColor() {
        return brushToString(this.i.ov);
    }
    set borderTypeHoverUnderlineColor(v) {
        this.i.ov = stringToBrush(v);
    }
    /**
     * Gets or sets the color to use for the underline element when type is border.
    */
    get borderTypeFocusUnderlineColor() {
        return brushToString(this.i.ou);
    }
    set borderTypeFocusUnderlineColor(v) {
        this.i.ou = stringToBrush(v);
    }
    /**
     * Gets or sets the color to use for the underline element when type is border.
    */
    get borderTypeUnderlineOpacity() {
        return this.i.cm;
    }
    set borderTypeUnderlineOpacity(v) {
        this.i.cm = +v;
    }
    /**
     * Gets or sets the color to use for the underline element when type is border.
    */
    get borderTypeHoverUnderlineOpacity() {
        return this.i.ck;
    }
    set borderTypeHoverUnderlineOpacity(v) {
        this.i.ck = +v;
    }
    /**
     * Gets or sets the color to use for the underline element when type is border.
    */
    get borderTypeFocusUnderlineOpacity() {
        return this.i.ci;
    }
    set borderTypeFocusUnderlineOpacity(v) {
        this.i.ci = +v;
    }
    /**
     * Gets or sets the opacity to use for the underline ripple element when focused when type is border.
    */
    get borderTypeFocusUnderlineRippleOpacity() {
        return this.i.cj;
    }
    set borderTypeFocusUnderlineRippleOpacity(v) {
        this.i.cj = +v;
    }
    /**
     * Gets or sets the opacity to use for the underline ripple element when type is border.
    */
    get borderTypeUnderlineRippleOpacity() {
        return this.i.cn;
    }
    set borderTypeUnderlineRippleOpacity(v) {
        this.i.cn = +v;
    }
    /**
     * Gets or sets the background color to use for the input group when type is border.
    */
    get borderTypeBackgroundColor() {
        return brushToString(this.i.or);
    }
    set borderTypeBackgroundColor(v) {
        this.i.or = stringToBrush(v);
    }
    /**
     * Gets or sets the search width to use for the border of the item group when using type line.
    */
    get searchTypeBorderWidth() {
        return this.i.hn;
    }
    set searchTypeBorderWidth(v) {
        this.i.hn = +v;
    }
    /**
     * Gets or sets the search width to use for the border of the item group when focused when type is search.
    */
    get searchTypeFocusBorderWidth() {
        return this.i.ho;
    }
    set searchTypeFocusBorderWidth(v) {
        this.i.ho = +v;
    }
    /**
     * Gets or sets the focus color to use the search of the input group when type is search.
    */
    get searchTypeFocusBorderColor() {
        return brushToString(this.i.st);
    }
    set searchTypeFocusBorderColor(v) {
        this.i.st = stringToBrush(v);
    }
    /**
     * Gets or sets the color to use the search of the input group when type is search.
    */
    get searchTypeBorderColor() {
        return brushToString(this.i.ss);
    }
    set searchTypeBorderColor(v) {
        this.i.ss = stringToBrush(v);
    }
    get searchTypeCornerRadiusBottomRight() {
        return this.i.nb ? this.i.nb.b : NaN;
    }
    set searchTypeCornerRadiusBottomRight(v) {
        this.ensureSearchTypeCornerRadius();
        this.i.nb.b = +v;
        this.i.nb = this.i.nb;
    }
    get searchTypeCornerRadiusBottomLeft() {
        return this.i.nb ? this.i.nb.a : NaN;
    }
    set searchTypeCornerRadiusBottomLeft(v) {
        this.ensureSearchTypeCornerRadius();
        this.i.nb.a = +v;
        this.i.nb = this.i.nb;
    }
    get searchTypeCornerRadiusTopLeft() {
        return this.i.nb ? this.i.nb.c : NaN;
    }
    set searchTypeCornerRadiusTopLeft(v) {
        this.ensureSearchTypeCornerRadius();
        this.i.nb.c = +v;
        this.i.nb = this.i.nb;
    }
    get searchTypeCornerRadiusTopRight() {
        return this.i.nb ? this.i.nb.d : NaN;
    }
    set searchTypeCornerRadiusTopRight(v) {
        this.ensureSearchTypeCornerRadius();
        this.i.nb.d = +v;
        this.i.nb = this.i.nb;
    }
    ensureSearchTypeCornerRadius() {
        if (this.i.nb) {
            return;
        }
        this.i.nb = new CornerRadius(2);
    }
    get searchTypeContentPaddingBottom() {
        return this.i.tr ? this.i.tr.b : NaN;
    }
    set searchTypeContentPaddingBottom(v) {
        this.ensureSearchTypeContentPadding();
        this.i.tr.b = +v;
        this.i.tr = this.i.tr;
    }
    get searchTypeContentPaddingLeft() {
        return this.i.tr ? this.i.tr.c : NaN;
    }
    set searchTypeContentPaddingLeft(v) {
        this.ensureSearchTypeContentPadding();
        this.i.tr.c = +v;
        this.i.tr = this.i.tr;
    }
    get searchTypeContentPaddingRight() {
        return this.i.tr ? this.i.tr.d : NaN;
    }
    set searchTypeContentPaddingRight(v) {
        this.ensureSearchTypeContentPadding();
        this.i.tr.d = +v;
        this.i.tr = this.i.tr;
    }
    get searchTypeContentPaddingTop() {
        return this.i.tr ? this.i.tr.e : NaN;
    }
    set searchTypeContentPaddingTop(v) {
        this.ensureSearchTypeContentPadding();
        this.i.tr.e = +v;
        this.i.tr = this.i.tr;
    }
    ensureSearchTypeContentPadding() {
        if (this.i.tr) {
            return;
        }
        this.i.tr = new Thickness(2);
    }
    /**
     * Gets or sets the width to use for the underline element when type is search.
    */
    get searchTypeUnderlineWidth() {
        return this.i.hw;
    }
    set searchTypeUnderlineWidth(v) {
        this.i.hw = +v;
    }
    /**
     * Gets or sets the width to use for the underline element when type is search.
    */
    get searchTypeUnderlineRippleWidth() {
        return this.i.hv;
    }
    set searchTypeUnderlineRippleWidth(v) {
        this.i.hv = +v;
    }
    /**
     * Gets or sets the width to use for the underline element when hovered when type is search.
    */
    get searchTypeHoverUnderlineWidth() {
        return this.i.hs;
    }
    set searchTypeHoverUnderlineWidth(v) {
        this.i.hs = +v;
    }
    /**
     * Gets or sets the color to use for the underline element when type is search.
    */
    get searchTypeUnderlineColor() {
        return brushToString(this.i.sw);
    }
    set searchTypeUnderlineColor(v) {
        this.i.sw = stringToBrush(v);
    }
    /**
     * Gets or sets the color to use for the underline ripple element when type is search.
    */
    get searchTypeUnderlineRippleColor() {
        return brushToString(this.i.sx);
    }
    set searchTypeUnderlineRippleColor(v) {
        this.i.sx = stringToBrush(v);
    }
    /**
     * Gets or sets the color to use for the underline element when type is search.
    */
    get searchTypeHoverUnderlineColor() {
        return brushToString(this.i.sv);
    }
    set searchTypeHoverUnderlineColor(v) {
        this.i.sv = stringToBrush(v);
    }
    /**
     * Gets or sets the color to use for the underline element when type is search.
    */
    get searchTypeFocusUnderlineColor() {
        return brushToString(this.i.su);
    }
    set searchTypeFocusUnderlineColor(v) {
        this.i.su = stringToBrush(v);
    }
    /**
     * Gets or sets the color to use for the underline element when type is search.
    */
    get searchTypeUnderlineOpacity() {
        return this.i.ht;
    }
    set searchTypeUnderlineOpacity(v) {
        this.i.ht = +v;
    }
    /**
     * Gets or sets the color to use for the underline element when type is search.
    */
    get searchTypeHoverUnderlineOpacity() {
        return this.i.hr;
    }
    set searchTypeHoverUnderlineOpacity(v) {
        this.i.hr = +v;
    }
    /**
     * Gets or sets the color to use for the underline element when type is search.
    */
    get searchTypeFocusUnderlineOpacity() {
        return this.i.hp;
    }
    set searchTypeFocusUnderlineOpacity(v) {
        this.i.hp = +v;
    }
    /**
     * Gets or sets the opacity to use for the underline ripple element when focused when type is search.
    */
    get searchTypeFocusUnderlineRippleOpacity() {
        return this.i.hq;
    }
    set searchTypeFocusUnderlineRippleOpacity(v) {
        this.i.hq = +v;
    }
    /**
     * Gets or sets the opacity to use for the underline ripple element when type is search.
    */
    get searchTypeUnderlineRippleOpacity() {
        return this.i.hu;
    }
    set searchTypeUnderlineRippleOpacity(v) {
        this.i.hu = +v;
    }
    /**
     * Gets or sets the background color to use for the input group when type is search.
    */
    get searchTypeBackgroundColor() {
        return brushToString(this.i.sr);
    }
    set searchTypeBackgroundColor(v) {
        this.i.sr = stringToBrush(v);
    }
    /**
     * Gets or sets whether the input group is expanded or not.
    */
    get isExpanded() {
        return this.i.ae;
    }
    set isExpanded(v) {
        this.i.ae = ensureBool(v);
    }
    /**
     * Gets or sets whether the input group is hovered or not.
    */
    get isHovered() {
        return this.i.ag;
    }
    set isHovered(v) {
        this.i.ag = ensureBool(v);
    }
    /**
     * Gets or sets whether the input group is hovered or not.
    */
    get isFocused() {
        return this.i.af;
    }
    set isFocused(v) {
        this.i.af = ensureBool(v);
    }
    /**
     * Gets or sets whether the input group is expanded or not.
    */
    get actualIsExpanded() {
        return this.i.ab;
    }
    set actualIsExpanded(v) {
        this.i.ab = ensureBool(v);
    }
    /**
     * Gets or sets the color to use the hovered background of the inputs in the group.
    */
    get focusBorderColor() {
        return brushToString(this.i.sh);
    }
    set focusBorderColor(v) {
        this.i.sh = stringToBrush(v);
    }
    /**
     * Gets or sets the id to use for the checkbox.
    */
    get id() {
        return this.i.ka;
    }
    set id(v) {
        this.i.ka = v;
    }
    /**
     * Gets or sets whether the checkbox is disabled.
    */
    get disabled() {
        return this.i.disabled;
    }
    set disabled(v) {
        this.i.disabled = ensureBool(v);
    }
    findByName(name) {
        if (this.inputs != null && this.inputs.findByName && this.inputs.findByName(name)) {
            return this.inputs.findByName(name);
        }
        return null;
    }
    get hasUserValues() {
        return this._hasUserValues;
    }
    __m(propertyName) {
        if (!this._inStyling) {
            this._hasUserValues.add(propertyName);
        }
    }
    _styling(container, component, parent) {
        if (this._inStyling) {
            return;
        }
        this._inStyling = true;
        this._stylingContainer = container;
        this._stylingParent = component;
        let genericPrefix = "";
        let typeName = this.i.$type.name;
        if (typeName.indexOf("Xam") === 0) {
            typeName = typeName.substring(3);
        }
        genericPrefix = toSpinal("InputGroup");
        let additionalPrefixes = [];
        let prefix = toSpinal(typeName);
        additionalPrefixes.push(prefix + "-");
        let b = this.i.$type.baseType;
        while (b && b.name != "Object" &&
            b.name != "Base" &&
            b.name != "Control" &&
            b.Name != "DependencyObject" &&
            b.Name != "FrameworkElement") {
            typeName = b.name;
            if (typeName.indexOf("Xam") === 0) {
                typeName = typeName.substring(3);
            }
            let basePrefix = toSpinal(typeName);
            additionalPrefixes.push(basePrefix + "-");
            b = b.baseType;
        }
        if (parent) {
            let parentTypeName = parent.i.$type.name;
            if (parentTypeName.indexOf("Xam") === 0) {
                parentTypeName = parentTypeName.substring(3);
            }
            let parentPrefix = toSpinal(parentTypeName);
            additionalPrefixes.push(parentPrefix + "-" + genericPrefix + "-");
            additionalPrefixes.push(parentPrefix + "-" + prefix + "-");
        }
        initializePropertiesFromCss(container, this, genericPrefix + "-", this.hasUserValues, false, additionalPrefixes);
        if (this._otherStyling) {
            this._otherStyling(container, component, parent);
        }
        this._inStyling = false;
    }
    onDetachedFromUI() {
        this.i.onDetachedFromUI();
    }
    onAttachedToUI() {
        this.i.onAttachedToUI();
    }
}

/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE: you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
class IgrInputGroupModule {
    static register() {
        IgrChildContentModule.register();
        IgrInputModule.register();
        IgrLabelModule.register();
        TypeRegistrar.registerCons('IgrInputGroup', IgrInputGroup);
        TypeRegistrar.registerCons('IgrInputGroup', IgrInputGroup);
        TypeRegistrar.register('InputGroup', InputGroup.$type);
    }
}

/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/

class IgrPrefix extends IgrInputGroupItem {
    constructor(props) {
        super(props);
        this._wrapper = null;
        if (this._styling) {
            NamePatcher.ensureStylablePatched(Object.getPrototypeOf(this));
        }
        this._implementation = this.createImplementation();
        this._implementation.externalObject = this;
        this._getMainRef = this._getMainRef.bind(this);
        var container;
        if (document) {
            container = document.createElement("div");
        }
        var root;
        root = container;
        if (container != null) {
            root = container;
        }
        this.requestRender = this.requestRender.bind(this);
        this._portalManager = new PortalManager("prefixContent", this.requestRender);
        var ren = new ReactRenderer(root, document, true, {}, this._portalManager);
        this._wrapper = ren;
        this._container = this._wrapper.rootWrapper;
        this._container.setStyleProperty("display", "inline-block");
        this._container.setStyleProperty("vertical-align", "middle");
        var prefix = this.i;
        this._prefix = prefix;
        prefix.provideContainer(ren);
        if (props) {
            this.initializeProperties();
        }
    }
    _getMainRef(ref) {
        this._elRef = ref;
    }
    render() {
        let propChildren = this.props.children;
        let children = [];
        Children.forEach(propChildren, (ch) => {
            children.push(cloneElement(ch));
        });
        this._portalManager.onRender(children);
        let div = createElement("div", {
            className: "ig-prefix igr-prefix",
            ref: this._getMainRef,
            children: children
        });
        return div;
    }
    requestRender() {
        if (this._initialized) {
            this.setState({});
        }
    }
    //private _getLabelPortal(element: DomWrapper, portalCallback: (portal: DomPortal) => void): void {
    //    this._portalManager.getPortal(element, "TemplateContent", portalCallback);
    //}
    shouldComponentUpdate(nextProps, nextState) {
        const mod = getModifiedProps(this.props, nextProps);
        for (const p of Object.keys(mod)) {
            if (isValidProp(this, p)) {
                this[p] = mod[p];
            }
        }
        return true;
    }
    initializeProperties() {
        for (const p of Object.keys(this.props)) {
            if (isValidProp(this, p)) {
                this[p] = this.props[p];
            }
        }
    }
    // supports angular themes or custom properties set in CSS
    updateStyle() {
        this._styling(this._elRef, this);
    }
    componentWillUnmount() {
        this._prefix.destroy();
        this._wrapper.destroy();
    }
    componentDidMount() {
        this._elRef.appendChild(this._container.getNativeElement());
        this.initializeContent();
    }
    initializeContent() {
        this._styling(this._container.getNativeElement(), this);
        this.updateStyle();
    }
    createImplementation() {
        return new Prefix();
    }
    /**
                             * @hidden
                             */
    get i() {
        return this._implementation;
    }
    /**
 * Gets or sets the id to use for the checkbox.
*/
    get id() {
        return this.i.w;
    }
    set id(v) {
        this.i.w = v;
    }
    /**
     * Gets or sets the value of the aria-label attribute.
    */
    get ariaLabel() {
        return this.i.u;
    }
    set ariaLabel(v) {
        this.i.u = v;
    }
    /**
     * Gets or sets whether the prefix is hovered.
    */
    get isHover() {
        return this.i.p;
    }
    set isHover(v) {
        this.i.p = ensureBool(v);
    }
    /**
     * Gets or sets whether the checkbox is disabled.
    */
    get disabled() {
        return this.i.disabled;
    }
    set disabled(v) {
        this.i.disabled = ensureBool(v);
    }
    onDetachedFromUI() {
        this.i.onDetachedFromUI();
    }
    onAttachedToUI() {
        this.i.onAttachedToUI();
    }
}

/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE: you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
class IgrPrefixModule {
    static register() {
        IgrChildContentModule.register();
        TypeRegistrar.registerCons('IgrPrefix', IgrPrefix);
        TypeRegistrar.registerCons('IgrPrefix', IgrPrefix);
        TypeRegistrar.register('Prefix', Prefix.$type);
    }
}

/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/

class IgrSuffix extends IgrInputGroupItem {
    constructor(props) {
        super(props);
        this._wrapper = null;
        if (this._styling) {
            NamePatcher.ensureStylablePatched(Object.getPrototypeOf(this));
        }
        this._implementation = this.createImplementation();
        this._implementation.externalObject = this;
        this._getMainRef = this._getMainRef.bind(this);
        var container;
        if (document) {
            container = document.createElement("div");
        }
        var root;
        root = container;
        if (container != null) {
            root = container;
        }
        this.requestRender = this.requestRender.bind(this);
        this._portalManager = new PortalManager("suffixContent", this.requestRender);
        var ren = new ReactRenderer(root, document, true, {}, this._portalManager);
        this._wrapper = ren;
        this._container = this._wrapper.rootWrapper;
        this._container.setStyleProperty("display", "inline-block");
        this._container.setStyleProperty("vertical-align", "middle");
        var suffix = this.i;
        this._suffix = suffix;
        suffix.provideContainer(ren);
        if (props) {
            this.initializeProperties();
        }
    }
    _getMainRef(ref) {
        this._elRef = ref;
    }
    render() {
        let propChildren = this.props.children;
        let children = [];
        Children.forEach(propChildren, (ch) => {
            children.push(cloneElement(ch));
        });
        this._portalManager.onRender(children);
        let div = createElement("div", {
            className: "ig-suffix igr-suffix",
            ref: this._getMainRef,
            children: children
        });
        return div;
    }
    requestRender() {
        if (this._initialized) {
            this.setState({});
        }
    }
    //private _getLabelPortal(element: DomWrapper, portalCallback: (portal: DomPortal) => void): void {
    //    this._portalManager.getPortal(element, "TemplateContent", portalCallback);
    //}
    shouldComponentUpdate(nextProps, nextState) {
        const mod = getModifiedProps(this.props, nextProps);
        for (const p of Object.keys(mod)) {
            if (isValidProp(this, p)) {
                this[p] = mod[p];
            }
        }
        return true;
    }
    initializeProperties() {
        for (const p of Object.keys(this.props)) {
            if (isValidProp(this, p)) {
                this[p] = this.props[p];
            }
        }
    }
    // supports angular themes or custom properties set in CSS
    updateStyle() {
        this._styling(this._elRef, this);
    }
    componentWillUnmount() {
        this._suffix.destroy();
        this._wrapper.destroy();
    }
    componentDidMount() {
        this._elRef.appendChild(this._container.getNativeElement());
        this.initializeContent();
    }
    initializeContent() {
        this._styling(this._container.getNativeElement(), this);
        this.updateStyle();
    }
    createImplementation() {
        return new Suffix();
    }
    /**
                             * @hidden
                             */
    get i() {
        return this._implementation;
    }
    /**
 * Gets or sets the id to use for the checkbox.
*/
    get id() {
        return this.i.w;
    }
    set id(v) {
        this.i.w = v;
    }
    /**
     * Gets or sets the value of the aria-label attribute.
    */
    get ariaLabel() {
        return this.i.u;
    }
    set ariaLabel(v) {
        this.i.u = v;
    }
    /**
     * Gets or sets whether the suffix is hovered.
    */
    get isHover() {
        return this.i.p;
    }
    set isHover(v) {
        this.i.p = ensureBool(v);
    }
    /**
     * Gets or sets whether the checkbox is disabled.
    */
    get disabled() {
        return this.i.disabled;
    }
    set disabled(v) {
        this.i.disabled = ensureBool(v);
    }
    onDetachedFromUI() {
        this.i.onDetachedFromUI();
    }
    onAttachedToUI() {
        this.i.onAttachedToUI();
    }
}

/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
/**
 * @hidden
 */
let KEYCODES_$type = /*@__PURE__*/ markEnum('KEYCODES', 'ENTER,13|SPACE,32|ESCAPE,27|LEFT_ARROW,37|UP_ARROW,38|RIGHT_ARROW,39|DOWN_ARROW,40|F2,113|TAB,9|CTRL,17|Z,90|Y,89|X,88|BACKSPACE,8|DELETE,46|INPUT_METHOD,229');

/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/

/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/

/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/

/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/

/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/

/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/

/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/

/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/

/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/

/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/

/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/

export { Button, ButtonClickEventArgs, ButtonDisplayStyle_$type, ButtonGroup, ButtonGroupButtonCollection, ButtonGroupDisplayStyle_$type, ButtonGroupOrientation, ButtonGroupOrientation_$type, ButtonGroupSelectionChangedEventArgs, ButtonGroupView, ButtonView, Checkbox, CheckboxChangeEventArgs, CheckboxLabelPosition_$type, CheckboxView, ElevationHelper, Icon, IconView, IgrButton, IgrButtonClickEventArgs, IgrButtonGroup, IgrButtonGroupButtonCollection, IgrButtonGroupModule, IgrButtonGroupSelectionChangedEventArgs, IgrButtonModule, IgrCheckbox, IgrCheckboxChangeEventArgs, IgrCheckboxModule, IgrIcon, IgrIconModule, IgrInput, IgrInputChangeEventArgs, IgrInputGroup, IgrInputGroupInputCollection, IgrInputGroupItem, IgrInputGroupModule, IgrInputModule, IgrLabel, IgrLabelModule, IgrPrefix, IgrPrefixModule, IgrRipple, IgrRippleModule, IgrSuffix, Input, InputChangeEventArgs, InputGroup, InputGroupDisplayType, InputGroupDisplayType_$type, InputGroupInputCollection, InputGroupItem, InputGroupView, InputShiftType, InputShiftType_$type, InputView, KEYCODES_$type, Label, LabelShiftType, LabelShiftType_$type, LabelView, MaskOptions, MaskParsingService, Prefix, PrefixShiftType, PrefixShiftType_$type, PrefixView, Replaced, Ripple, RippleView, Suffix, SuffixShiftType, SuffixShiftType_$type, SuffixView, ThemeResolver };
//# sourceMappingURL=igniteui-react-inputs.js.map
